/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 1 "configparser.yy"

/* parser for config file (bison generated)
 * This file belongs to Worker, a file manager for UN*X/X11.
 * Copyright (C) 2003-2022 Ralf Hoffmann.
 * You can contact me at: ralf@boomerangsworld.de
 *   or http://www.boomerangsworld.de/worker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "wdefines.h"
#include "wconfig.h"
#include "wcdoubleshortkey.hh"
#include "wcpath.hh"
#include "wcfiletype.hh"
#include "wchotkey.hh"
#include "wcbutton.hh"
#include <stdlib.h>
#include <string.h>
#include "worker_commands.h"
#include "configheader.h"
#include <list>
#include "verzeichnis.hh"
#include <map>
#include "dirfiltersettings.hh"
#include "layoutsettings.hh"
#include "simplelist.hh"
#include "worker_types.h"
#include "wconfig_types.hh"

using namespace CopyParams;

int lconfig_side;
int lconfig_pos;
List *lconfig_listp,
     *lconfig_listb,
     *lconfig_listft,
     *lconfig_listh,
     *lconfig_listsk,
     *lconfig_ignorelist;
command_list_t lconfig_listcom;
std::list< std::string > lconfig_pathjump_allow;
std::map< std::string, struct directory_presets > dir_presets;
std::string path;
struct directory_presets dir_preset;
NM_Filter dir_preset_filter;
WCButton *lconfig_bt1;
WCFiletype *lconfig_ft1, *old_lconfig_ft1;
std::list<WCFiletype*> filetypehier;
WCHotkey *lconfig_hk1;
WCDoubleShortkey *lconfig_dk;
WCPath *lconfig_p1;
int lconfig_id;
KeySym lconfig_nkeysym;
unsigned int lconfig_keymod;
char *lconfig_tstr;
std::shared_ptr< FunctionProto > lconfig_fp1;
char lconfig_error[256];
std::map<std::string, WConfig::ColorDef::label_colors_t> lconfig_labelcolors;
WConfig::ColorDef::label_colors_t lconfig_labelcolor;
std::string lconfig_labelcolor_name;
LayoutSettings layout_sets;
std::string lconfig_face_name;
int lconfig_face_color;
std::list< std::pair< std::string, int > > lconfig_faces_list;
std::vector< WorkerTypes::listcol_t > columns;

extern WConfig *lconfig;

extern int yyerror( const char *s );

void lconfig_parseinit(void)
{
  lconfig_listp = NULL;
  lconfig_listb = NULL;
  lconfig_listft = NULL;
  lconfig_listh = NULL;
  lconfig_listsk = NULL;
  lconfig_listcom = {};
  lconfig_ignorelist = NULL;
  lconfig_bt1 = NULL;
  lconfig_ft1 = NULL;
  lconfig_hk1 = NULL;
  lconfig_dk = NULL;
  lconfig_p1 = NULL;
  lconfig_tstr = NULL;
  lconfig_fp1 = NULL;
}

void lconfig_cleanup(void)
{
  // free all stuff in the list
  if ( lconfig_fp1 ) {
    lconfig_fp1.reset();
  }
  if ( lconfig_tstr != NULL ) {
    _freesafe( lconfig_tstr );
    lconfig_tstr = NULL;
  }
  if ( lconfig_p1 != NULL ) {
    delete lconfig_p1;
    lconfig_p1 = NULL;
  }
  if ( lconfig_dk != NULL ) {
    delete lconfig_dk;
    lconfig_dk = NULL;
  }
  if ( lconfig_hk1 != NULL ) {
    delete lconfig_hk1;
    lconfig_hk1 = NULL;
  }
  if ( lconfig_ft1 != NULL ) {
    delete lconfig_ft1;
    lconfig_ft1 = NULL;
  }
  if ( lconfig_bt1 != NULL ) {
    delete lconfig_bt1;
    lconfig_bt1 = NULL;
  }
  if ( lconfig_listp != NULL ) {
    lconfig_id = lconfig_listp->initEnum();
    lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
    while ( lconfig_p1 != NULL ) {
      delete lconfig_p1;
      lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
    }
    lconfig_listp->closeEnum( lconfig_id );
    delete lconfig_listp;
    lconfig_listp = NULL;
  }
  if ( lconfig_listb != NULL ) {
    lconfig_id = lconfig_listb->initEnum();
    lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
    while ( lconfig_bt1 != NULL ) {
      delete lconfig_bt1;
      lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
    }
    lconfig_listb->closeEnum( lconfig_id );
    delete lconfig_listb;
    lconfig_listb = NULL;
  }
  if ( lconfig_listft != NULL ) {
    lconfig_id = lconfig_listft->initEnum();
    lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
    while ( lconfig_ft1 != NULL ) {
      delete lconfig_ft1;
      lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
    }
    lconfig_listft->closeEnum( lconfig_id );
    delete lconfig_listft;
    lconfig_listft = NULL;
  }

  while ( filetypehier.size() > 0 ) {
      lconfig_ft1 = filetypehier.back();
      filetypehier.pop_back();
      delete lconfig_ft1;
      lconfig_ft1 = NULL;
  }

  if ( lconfig_listh != NULL ) {
    lconfig_id = lconfig_listh->initEnum();
    lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
    while ( lconfig_hk1 != NULL ) {
      delete lconfig_hk1;
      lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
    }
    lconfig_listh->closeEnum( lconfig_id );
    delete lconfig_listh;
    lconfig_listh = NULL;
  }
  if ( lconfig_listsk != NULL ) {
    lconfig_id = lconfig_listsk->initEnum();
    lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    while ( lconfig_dk != NULL ) {
      delete lconfig_dk;
      lconfig_listsk->removeFirstElement();
      lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    }
    lconfig_listsk->closeEnum( lconfig_id );
    delete lconfig_listsk;
    lconfig_listsk = NULL;
  }
  lconfig_listcom.clear();
  if ( lconfig_ignorelist != NULL ) {
    lconfig_id = lconfig_ignorelist->initEnum();
    lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
    while ( lconfig_tstr != NULL ) {
      _freesafe( lconfig_tstr );
      lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
    }
    lconfig_ignorelist->closeEnum( lconfig_id );
    delete lconfig_ignorelist;
    lconfig_ignorelist = NULL;
  }
}

/*#define YYERROR_VERBOSE*/


#line 284 "configparser.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_CONFIGPARSER_HH_INCLUDED
# define YY_YY_CONFIGPARSER_HH_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    LEFTBRACE_WCP = 258,           /* LEFTBRACE_WCP  */
    RIGHTBRACE_WCP = 259,          /* RIGHTBRACE_WCP  */
    GLOBAL_WCP = 260,              /* GLOBAL_WCP  */
    COLORS_WCP = 261,              /* COLORS_WCP  */
    LANG_WCP = 262,                /* LANG_WCP  */
    PALETTE_WCP = 263,             /* PALETTE_WCP  */
    OWNOP_WCP = 264,               /* OWNOP_WCP  */
    LISTERSETS_WCP = 265,          /* LISTERSETS_WCP  */
    YES_WCP = 266,                 /* YES_WCP  */
    NO_WCP = 267,                  /* NO_WCP  */
    LEFT_WCP = 268,                /* LEFT_WCP  */
    RIGHT_WCP = 269,               /* RIGHT_WCP  */
    HBARTOP_WCP = 270,             /* HBARTOP_WCP  */
    HBARHEIGHT_WCP = 271,          /* HBARHEIGHT_WCP  */
    VBARLEFT_WCP = 272,            /* VBARLEFT_WCP  */
    VBARWIDTH_WCP = 273,           /* VBARWIDTH_WCP  */
    DISPLAYSETS_WCP = 274,         /* DISPLAYSETS_WCP  */
    NAME_WCP = 275,                /* NAME_WCP  */
    SIZE_WCP = 276,                /* SIZE_WCP  */
    TYPE_WCP = 277,                /* TYPE_WCP  */
    PERMISSION_WCP = 278,          /* PERMISSION_WCP  */
    OWNER_WCP = 279,               /* OWNER_WCP  */
    DESTINATION_WCP = 280,         /* DESTINATION_WCP  */
    MODTIME_WCP = 281,             /* MODTIME_WCP  */
    ACCTIME_WCP = 282,             /* ACCTIME_WCP  */
    CHGTIME_WCP = 283,             /* CHGTIME_WCP  */
    ROWS_WCP = 284,                /* ROWS_WCP  */
    COLUMNS_WCP = 285,             /* COLUMNS_WCP  */
    CACHESIZE_WCP = 286,           /* CACHESIZE_WCP  */
    OWNERSTYLE_WCP = 287,          /* OWNERSTYLE_WCP  */
    TERMINAL_WCP = 288,            /* TERMINAL_WCP  */
    USESTRINGFORDIRSIZE_WCP = 289, /* USESTRINGFORDIRSIZE_WCP  */
    TIMESETS_WCP = 290,            /* TIMESETS_WCP  */
    STYLE1_WCP = 291,              /* STYLE1_WCP  */
    STYLE2_WCP = 292,              /* STYLE2_WCP  */
    STYLE3_WCP = 293,              /* STYLE3_WCP  */
    DATE_WCP = 294,                /* DATE_WCP  */
    TIME_WCP = 295,                /* TIME_WCP  */
    DATESUBSTITUTION_WCP = 296,    /* DATESUBSTITUTION_WCP  */
    DATEBEFORETIME_WCP = 297,      /* DATEBEFORETIME_WCP  */
    STATEBAR_WCP = 298,            /* STATEBAR_WCP  */
    SELLVBAR_WCP = 299,            /* SELLVBAR_WCP  */
    UNSELLVBAR_WCP = 300,          /* UNSELLVBAR_WCP  */
    CLOCKBAR_WCP = 301,            /* CLOCKBAR_WCP  */
    REQUESTER_WCP = 302,           /* REQUESTER_WCP  */
    UNSELDIR_WCP = 303,            /* UNSELDIR_WCP  */
    SELDIR_WCP = 304,              /* SELDIR_WCP  */
    UNSELFILE_WCP = 305,           /* UNSELFILE_WCP  */
    SELFILE_WCP = 306,             /* SELFILE_WCP  */
    UNSELACTDIR_WCP = 307,         /* UNSELACTDIR_WCP  */
    SELACTDIR_WCP = 308,           /* SELACTDIR_WCP  */
    UNSELACTFILE_WCP = 309,        /* UNSELACTFILE_WCP  */
    SELACTFILE_WCP = 310,          /* SELACTFILE_WCP  */
    LVBG_WCP = 311,                /* LVBG_WCP  */
    STARTUP_WCP = 312,             /* STARTUP_WCP  */
    BUTTON_WCP = 313,              /* BUTTON_WCP  */
    BUTTONS_WCP = 314,             /* BUTTONS_WCP  */
    POSITION_WCP = 315,            /* POSITION_WCP  */
    TITLE_WCP = 316,               /* TITLE_WCP  */
    COMMANDS_WCP = 317,            /* COMMANDS_WCP  */
    SHORTKEYS_WCP = 318,           /* SHORTKEYS_WCP  */
    PATHS_WCP = 319,               /* PATHS_WCP  */
    PATH_WCP = 320,                /* PATH_WCP  */
    FILETYPES_WCP = 321,           /* FILETYPES_WCP  */
    FILETYPE_WCP = 322,            /* FILETYPE_WCP  */
    NORMAL_WCP = 323,              /* NORMAL_WCP  */
    NOTYETCHECKED_WCP = 324,       /* NOTYETCHECKED_WCP  */
    UNKNOWN_WCP = 325,             /* UNKNOWN_WCP  */
    NOSELECT_WCP = 326,            /* NOSELECT_WCP  */
    DIR_WCP = 327,                 /* DIR_WCP  */
    USEPATTERN_WCP = 328,          /* USEPATTERN_WCP  */
    USECONTENT_WCP = 329,          /* USECONTENT_WCP  */
    PATTERN_WCP = 330,             /* PATTERN_WCP  */
    CONTENT_WCP = 331,             /* CONTENT_WCP  */
    FTCOMMANDS_WCP = 332,          /* FTCOMMANDS_WCP  */
    DND_WCP = 333,                 /* DND_WCP  */
    DC_WCP = 334,                  /* DC_WCP  */
    SHOW_WCP = 335,                /* SHOW_WCP  */
    RAWSHOW_WCP = 336,             /* RAWSHOW_WCP  */
    USER_WCP = 337,                /* USER_WCP  */
    FLAGS_WCP = 338,               /* FLAGS_WCP  */
    IGNOREDIRS_WCP = 339,          /* IGNOREDIRS_WCP  */
    HOTKEYS_WCP = 340,             /* HOTKEYS_WCP  */
    HOTKEY_WCP = 341,              /* HOTKEY_WCP  */
    FONTS_WCP = 342,               /* FONTS_WCP  */
    GLOBALFONT_WCP = 343,          /* GLOBALFONT_WCP  */
    BUTTONFONT_WCP = 344,          /* BUTTONFONT_WCP  */
    LEFTFONT_WCP = 345,            /* LEFTFONT_WCP  */
    RIGHTFONT_WCP = 346,           /* RIGHTFONT_WCP  */
    TEXTVIEWFONT_WCP = 347,        /* TEXTVIEWFONT_WCP  */
    STATEBARFONT_WCP = 348,        /* STATEBARFONT_WCP  */
    TEXTVIEWALTFONT_WCP = 349,     /* TEXTVIEWALTFONT_WCP  */
    CLOCKBARSETS_WCP = 350,        /* CLOCKBARSETS_WCP  */
    MODUS_WCP = 351,               /* MODUS_WCP  */
    TIMESPACE_WCP = 352,           /* TIMESPACE_WCP  */
    VERSION_WCP = 353,             /* VERSION_WCP  */
    EXTERN_WCP = 354,              /* EXTERN_WCP  */
    UPDATETIME_WCP = 355,          /* UPDATETIME_WCP  */
    PROGRAM_WCP = 356,             /* PROGRAM_WCP  */
    SHOWHINTS_WCP = 357,           /* SHOWHINTS_WCP  */
    KEY_WCP = 358,                 /* KEY_WCP  */
    DOUBLE_WCP = 359,              /* DOUBLE_WCP  */
    MOD_WCP = 360,                 /* MOD_WCP  */
    CONTROL_WCP = 361,             /* CONTROL_WCP  */
    SHIFT_WCP = 362,               /* SHIFT_WCP  */
    LOCK_WCP = 363,                /* LOCK_WCP  */
    MOD1_WCP = 364,                /* MOD1_WCP  */
    MOD2_WCP = 365,                /* MOD2_WCP  */
    MOD3_WCP = 366,                /* MOD3_WCP  */
    MOD4_WCP = 367,                /* MOD4_WCP  */
    MOD5_WCP = 368,                /* MOD5_WCP  */
    DNDACTION_WCP = 369,           /* DNDACTION_WCP  */
    DCACTION_WCP = 370,            /* DCACTION_WCP  */
    SHOWACTION_WCP = 371,          /* SHOWACTION_WCP  */
    RSHOWACTION_WCP = 372,         /* RSHOWACTION_WCP  */
    USERACTION_WCP = 373,          /* USERACTION_WCP  */
    ROWUP_WCP = 374,               /* ROWUP_WCP  */
    ROWDOWN_WCP = 375,             /* ROWDOWN_WCP  */
    CHANGEHIDDENFLAG_WCP = 376,    /* CHANGEHIDDENFLAG_WCP  */
    COPYOP_WCP = 377,              /* COPYOP_WCP  */
    FIRSTROW_WCP = 378,            /* FIRSTROW_WCP  */
    LASTROW_WCP = 379,             /* LASTROW_WCP  */
    PAGEUP_WCP = 380,              /* PAGEUP_WCP  */
    PAGEDOWN_WCP = 381,            /* PAGEDOWN_WCP  */
    SELECTOP_WCP = 382,            /* SELECTOP_WCP  */
    SELECTALLOP_WCP = 383,         /* SELECTALLOP_WCP  */
    SELECTNONEOP_WCP = 384,        /* SELECTNONEOP_WCP  */
    INVERTALLOP_WCP = 385,         /* INVERTALLOP_WCP  */
    PARENTDIROP_WCP = 386,         /* PARENTDIROP_WCP  */
    ENTERDIROP_WCP = 387,          /* ENTERDIROP_WCP  */
    CHANGELISTERSETOP_WCP = 388,   /* CHANGELISTERSETOP_WCP  */
    SWITCHLISTEROP_WCP = 389,      /* SWITCHLISTEROP_WCP  */
    FILTERSELECTOP_WCP = 390,      /* FILTERSELECTOP_WCP  */
    FILTERUNSELECTOP_WCP = 391,    /* FILTERUNSELECTOP_WCP  */
    PATHTOOTHERSIDEOP_WCP = 392,   /* PATHTOOTHERSIDEOP_WCP  */
    QUITOP_WCP = 393,              /* QUITOP_WCP  */
    DELETEOP_WCP = 394,            /* DELETEOP_WCP  */
    RELOADOP_WCP = 395,            /* RELOADOP_WCP  */
    MAKEDIROP_WCP = 396,           /* MAKEDIROP_WCP  */
    RENAMEOP_WCP = 397,            /* RENAMEOP_WCP  */
    DIRSIZEOP_WCP = 398,           /* DIRSIZEOP_WCP  */
    SIMDDOP_WCP = 399,             /* SIMDDOP_WCP  */
    STARTPROGOP_WCP = 400,         /* STARTPROGOP_WCP  */
    SEARCHENTRYOP_WCP = 401,       /* SEARCHENTRYOP_WCP  */
    ENTERPATHOP_WCP = 402,         /* ENTERPATHOP_WCP  */
    SCROLLLISTEROP_WCP = 403,      /* SCROLLLISTEROP_WCP  */
    CREATESYMLINKOP_WCP = 404,     /* CREATESYMLINKOP_WCP  */
    CHANGESYMLINKOP_WCP = 405,     /* CHANGESYMLINKOP_WCP  */
    CHMODOP_WCP = 406,             /* CHMODOP_WCP  */
    TOGGLELISTERMODEOP_WCP = 407,  /* TOGGLELISTERMODEOP_WCP  */
    SETSORTMODEOP_WCP = 408,       /* SETSORTMODEOP_WCP  */
    SETFILTEROP_WCP = 409,         /* SETFILTEROP_WCP  */
    SHORTKEYFROMLISTOP_WCP = 410,  /* SHORTKEYFROMLISTOP_WCP  */
    CHOWNOP_WCP = 411,             /* CHOWNOP_WCP  */
    WORKERCONFIG_WCP = 412,        /* WORKERCONFIG_WCP  */
    USERSTYLE_WCP = 413,           /* USERSTYLE_WCP  */
    DATESTRING_WCP = 414,          /* DATESTRING_WCP  */
    TIMESTRING_WCP = 415,          /* TIMESTRING_WCP  */
    COLOR_WCP = 416,               /* COLOR_WCP  */
    PATTERNIGNORECASE_WCP = 417,   /* PATTERNIGNORECASE_WCP  */
    PATTERNUSEREGEXP_WCP = 418,    /* PATTERNUSEREGEXP_WCP  */
    PATTERNUSEFULLNAME_WCP = 419,  /* PATTERNUSEFULLNAME_WCP  */
    COM_WCP = 420,                 /* COM_WCP  */
    SEPARATEEACHENTRY_WCP = 421,   /* SEPARATEEACHENTRY_WCP  */
    RECURSIVE_WCP = 422,           /* RECURSIVE_WCP  */
    START_WCP = 423,               /* START_WCP  */
    TERMINALWAIT_WCP = 424,        /* TERMINALWAIT_WCP  */
    SHOWOUTPUT_WCP = 425,          /* SHOWOUTPUT_WCP  */
    VIEWSTR_WCP = 426,             /* VIEWSTR_WCP  */
    SHOWOUTPUTINT_WCP = 427,       /* SHOWOUTPUTINT_WCP  */
    INBACKGROUND_WCP = 428,        /* INBACKGROUND_WCP  */
    TAKEDIRS_WCP = 429,            /* TAKEDIRS_WCP  */
    ACTIONNUMBER_WCP = 430,        /* ACTIONNUMBER_WCP  */
    HIDDENFILES_WCP = 431,         /* HIDDENFILES_WCP  */
    HIDE_WCP = 432,                /* HIDE_WCP  */
    TOGGLE_WCP = 433,              /* TOGGLE_WCP  */
    FOLLOWSYMLINKS_WCP = 434,      /* FOLLOWSYMLINKS_WCP  */
    MOVE_WCP = 435,                /* MOVE_WCP  */
    RENAME_WCP = 436,              /* RENAME_WCP  */
    SAMEDIR_WCP = 437,             /* SAMEDIR_WCP  */
    REQUESTDEST_WCP = 438,         /* REQUESTDEST_WCP  */
    REQUESTFLAGS_WCP = 439,        /* REQUESTFLAGS_WCP  */
    OVERWRITE_WCP = 440,           /* OVERWRITE_WCP  */
    ALWAYS_WCP = 441,              /* ALWAYS_WCP  */
    NEVER_WCP = 442,               /* NEVER_WCP  */
    COPYMODE_WCP = 443,            /* COPYMODE_WCP  */
    FAST_WCP = 444,                /* FAST_WCP  */
    PRESERVEATTR_WCP = 445,        /* PRESERVEATTR_WCP  */
    MODE_WCP = 446,                /* MODE_WCP  */
    ACTIVE_WCP = 447,              /* ACTIVE_WCP  */
    ACTIVE2OTHER_WCP = 448,        /* ACTIVE2OTHER_WCP  */
    SPECIAL_WCP = 449,             /* SPECIAL_WCP  */
    REQUEST_WCP = 450,             /* REQUEST_WCP  */
    CURRENT_WCP = 451,             /* CURRENT_WCP  */
    OTHER_WCP = 452,               /* OTHER_WCP  */
    FILTER_WCP = 453,              /* FILTER_WCP  */
    QUICK_WCP = 454,               /* QUICK_WCP  */
    ALSOACTIVE_WCP = 455,          /* ALSOACTIVE_WCP  */
    RESETDIRSIZES_WCP = 456,       /* RESETDIRSIZES_WCP  */
    KEEPFILETYPES_WCP = 457,       /* KEEPFILETYPES_WCP  */
    RELATIVE_WCP = 458,            /* RELATIVE_WCP  */
    ONFILES_WCP = 459,             /* ONFILES_WCP  */
    ONDIRS_WCP = 460,              /* ONDIRS_WCP  */
    SORTBY_WCP = 461,              /* SORTBY_WCP  */
    SORTFLAG_WCP = 462,            /* SORTFLAG_WCP  */
    REVERSE_WCP = 463,             /* REVERSE_WCP  */
    DIRLAST_WCP = 464,             /* DIRLAST_WCP  */
    DIRMIXED_WCP = 465,            /* DIRMIXED_WCP  */
    EXCLUDE_WCP = 466,             /* EXCLUDE_WCP  */
    INCLUDE_WCP = 467,             /* INCLUDE_WCP  */
    UNSET_WCP = 468,               /* UNSET_WCP  */
    UNSETALL_WCP = 469,            /* UNSETALL_WCP  */
    SCRIPTOP_WCP = 470,            /* SCRIPTOP_WCP  */
    NOP_WCP = 471,                 /* NOP_WCP  */
    PUSH_WCP = 472,                /* PUSH_WCP  */
    LABEL_WCP = 473,               /* LABEL_WCP  */
    IF_WCP = 474,                  /* IF_WCP  */
    END_WCP = 475,                 /* END_WCP  */
    POP_WCP = 476,                 /* POP_WCP  */
    SETTINGS_WCP = 477,            /* SETTINGS_WCP  */
    WINDOW_WCP = 478,              /* WINDOW_WCP  */
    GOTO_WCP = 479,                /* GOTO_WCP  */
    PUSHUSEOUTPUT_WCP = 480,       /* PUSHUSEOUTPUT_WCP  */
    DODEBUG_WCP = 481,             /* DODEBUG_WCP  */
    WPURECURSIVE_WCP = 482,        /* WPURECURSIVE_WCP  */
    WPUTAKEDIRS_WCP = 483,         /* WPUTAKEDIRS_WCP  */
    STACKNR_WCP = 484,             /* STACKNR_WCP  */
    PUSHSTRING_WCP = 485,          /* PUSHSTRING_WCP  */
    IFTEST_WCP = 486,              /* IFTEST_WCP  */
    IFLABEL_WCP = 487,             /* IFLABEL_WCP  */
    WINTYPE_WCP = 488,             /* WINTYPE_WCP  */
    OPEN_WCP = 489,                /* OPEN_WCP  */
    CLOSE_WCP = 490,               /* CLOSE_WCP  */
    LEAVE_WCP = 491,               /* LEAVE_WCP  */
    CHANGEPROGRESS_WCP = 492,      /* CHANGEPROGRESS_WCP  */
    CHANGETEXT_WCP = 493,          /* CHANGETEXT_WCP  */
    PROGRESSUSEOUTPUT_WCP = 494,   /* PROGRESSUSEOUTPUT_WCP  */
    WINTEXTUSEOUTPUT_WCP = 495,    /* WINTEXTUSEOUTPUT_WCP  */
    PROGRESS_WCP = 496,            /* PROGRESS_WCP  */
    WINTEXT_WCP = 497,             /* WINTEXT_WCP  */
    SHOWDIRCACHEOP_WCP = 498,      /* SHOWDIRCACHEOP_WCP  */
    INODE_WCP = 499,               /* INODE_WCP  */
    NLINK_WCP = 500,               /* NLINK_WCP  */
    BLOCKS_WCP = 501,              /* BLOCKS_WCP  */
    SHOWHEADER_WCP = 502,          /* SHOWHEADER_WCP  */
    LVHEADER_WCP = 503,            /* LVHEADER_WCP  */
    IGNORECASE_WCP = 504,          /* IGNORECASE_WCP  */
    LISTVIEWS_WCP = 505,           /* LISTVIEWS_WCP  */
    BLL_WCP = 506,                 /* BLL_WCP  */
    LBL_WCP = 507,                 /* LBL_WCP  */
    LLB_WCP = 508,                 /* LLB_WCP  */
    BL_WCP = 509,                  /* BL_WCP  */
    LB_WCP = 510,                  /* LB_WCP  */
    LAYOUT_WCP = 511,              /* LAYOUT_WCP  */
    BUTTONSVERT_WCP = 512,         /* BUTTONSVERT_WCP  */
    LISTVIEWSVERT_WCP = 513,       /* LISTVIEWSVERT_WCP  */
    LISTVIEWWEIGHT_WCP = 514,      /* LISTVIEWWEIGHT_WCP  */
    WEIGHTTOACTIVE_WCP = 515,      /* WEIGHTTOACTIVE_WCP  */
    EXTCOND_WCP = 516,             /* EXTCOND_WCP  */
    USEEXTCOND_WCP = 517,          /* USEEXTCOND_WCP  */
    SUBTYPE_WCP = 518,             /* SUBTYPE_WCP  */
    PARENTACTIONOP_WCP = 519,      /* PARENTACTIONOP_WCP  */
    NOOPERATIONOP_WCP = 520,       /* NOOPERATIONOP_WCP  */
    COLORMODE_WCP = 521,           /* COLORMODE_WCP  */
    DEFAULT_WCP = 522,             /* DEFAULT_WCP  */
    CUSTOM_WCP = 523,              /* CUSTOM_WCP  */
    UNSELECTCOLOR_WCP = 524,       /* UNSELECTCOLOR_WCP  */
    SELECTCOLOR_WCP = 525,         /* SELECTCOLOR_WCP  */
    UNSELECTACTIVECOLOR_WCP = 526, /* UNSELECTACTIVECOLOR_WCP  */
    SELECTACTIVECOLOR_WCP = 527,   /* SELECTACTIVECOLOR_WCP  */
    COLOREXTERNPROG_WCP = 528,     /* COLOREXTERNPROG_WCP  */
    PARENT_WCP = 529,              /* PARENT_WCP  */
    DONTCD_WCP = 530,              /* DONTCD_WCP  */
    DONTCHECKVIRTUAL_WCP = 531,    /* DONTCHECKVIRTUAL_WCP  */
    GOFTPOP_WCP = 532,             /* GOFTPOP_WCP  */
    HOSTNAME_WCP = 533,            /* HOSTNAME_WCP  */
    USERNAME_WCP = 534,            /* USERNAME_WCP  */
    PASSWORD_WCP = 535,            /* PASSWORD_WCP  */
    DONTENTERFTP_WCP = 536,        /* DONTENTERFTP_WCP  */
    ALWAYSSTOREPW_WCP = 537,       /* ALWAYSSTOREPW_WCP  */
    INTERNALVIEWOP_WCP = 538,      /* INTERNALVIEWOP_WCP  */
    CUSTOMFILES_WCP = 539,         /* CUSTOMFILES_WCP  */
    SHOWMODE_WCP = 540,            /* SHOWMODE_WCP  */
    SELECTED_WCP = 541,            /* SELECTED_WCP  */
    REVERSESEARCH_WCP = 542,       /* REVERSESEARCH_WCP  */
    MOUSECONF_WCP = 543,           /* MOUSECONF_WCP  */
    SELECTBUTTON_WCP = 544,        /* SELECTBUTTON_WCP  */
    ACTIVATEBUTTON_WCP = 545,      /* ACTIVATEBUTTON_WCP  */
    SCROLLBUTTON_WCP = 546,        /* SCROLLBUTTON_WCP  */
    SELECTMETHOD_WCP = 547,        /* SELECTMETHOD_WCP  */
    ALTERNATIVE_WCP = 548,         /* ALTERNATIVE_WCP  */
    SEARCHOP_WCP = 549,            /* SEARCHOP_WCP  */
    EDITCOMMAND_WCP = 550,         /* EDITCOMMAND_WCP  */
    SHOWPREVRESULTS_WCP = 551,     /* SHOWPREVRESULTS_WCP  */
    TEXTVIEW_WCP = 552,            /* TEXTVIEW_WCP  */
    TEXTVIEWHIGHLIGHTED_WCP = 553, /* TEXTVIEWHIGHLIGHTED_WCP  */
    TEXTVIEWSELECTION_WCP = 554,   /* TEXTVIEWSELECTION_WCP  */
    DIRBOOKMARKOP_WCP = 555,       /* DIRBOOKMARKOP_WCP  */
    OPENCONTEXTMENUOP_WCP = 556,   /* OPENCONTEXTMENUOP_WCP  */
    RUNCUSTOMACTION_WCP = 557,     /* RUNCUSTOMACTION_WCP  */
    CUSTOMNAME_WCP = 558,          /* CUSTOMNAME_WCP  */
    CONTEXTBUTTON_WCP = 559,       /* CONTEXTBUTTON_WCP  */
    ACTIVATEMOD_WCP = 560,         /* ACTIVATEMOD_WCP  */
    SCROLLMOD_WCP = 561,           /* SCROLLMOD_WCP  */
    CONTEXTMOD_WCP = 562,          /* CONTEXTMOD_WCP  */
    NONE_WCP = 563,                /* NONE_WCP  */
    CUSTOMACTION_WCP = 564,        /* CUSTOMACTION_WCP  */
    SAVE_WORKER_STATE_ON_EXIT_WCP = 565, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
    OPENWORKERMENUOP_WCP = 566,    /* OPENWORKERMENUOP_WCP  */
    CHANGELABELOP_WCP = 567,       /* CHANGELABELOP_WCP  */
    ASKFORLABEL_WCP = 568,         /* ASKFORLABEL_WCP  */
    LABELCOLORS_WCP = 569,         /* LABELCOLORS_WCP  */
    BOOKMARKLABEL_WCP = 570,       /* BOOKMARKLABEL_WCP  */
    BOOKMARKFILTER_WCP = 571,      /* BOOKMARKFILTER_WCP  */
    SHOWONLYBOOKMARKS_WCP = 572,   /* SHOWONLYBOOKMARKS_WCP  */
    SHOWONLYLABEL_WCP = 573,       /* SHOWONLYLABEL_WCP  */
    SHOWALL_WCP = 574,             /* SHOWALL_WCP  */
    OPTIONMODE_WCP = 575,          /* OPTIONMODE_WCP  */
    INVERT_WCP = 576,              /* INVERT_WCP  */
    SET_WCP = 577,                 /* SET_WCP  */
    CHANGEFILTERS_WCP = 578,       /* CHANGEFILTERS_WCP  */
    CHANGEBOOKMARKS_WCP = 579,     /* CHANGEBOOKMARKS_WCP  */
    QUERYLABEL_WCP = 580,          /* QUERYLABEL_WCP  */
    MODIFYTABSOP_WCP = 581,        /* MODIFYTABSOP_WCP  */
    TABACTION_WCP = 582,           /* TABACTION_WCP  */
    NEWTAB_WCP = 583,              /* NEWTAB_WCP  */
    CLOSECURRENTTAB_WCP = 584,     /* CLOSECURRENTTAB_WCP  */
    NEXTTAB_WCP = 585,             /* NEXTTAB_WCP  */
    PREVTAB_WCP = 586,             /* PREVTAB_WCP  */
    TOGGLELOCKSTATE_WCP = 587,     /* TOGGLELOCKSTATE_WCP  */
    MOVETABLEFT_WCP = 588,         /* MOVETABLEFT_WCP  */
    MOVETABRIGHT_WCP = 589,        /* MOVETABRIGHT_WCP  */
    CHANGELAYOUTOP_WCP = 590,      /* CHANGELAYOUTOP_WCP  */
    INFIXSEARCH_WCP = 591,         /* INFIXSEARCH_WCP  */
    VOLUMEMANAGEROP_WCP = 592,     /* VOLUMEMANAGEROP_WCP  */
    ERROR = 593,                   /* ERROR  */
    ACTIVESIDE_WCP = 594,          /* ACTIVESIDE_WCP  */
    SHOWFREESPACE_WCP = 595,       /* SHOWFREESPACE_WCP  */
    ACTIVEMODE_WCP = 596,          /* ACTIVEMODE_WCP  */
    ASK_WCP = 597,                 /* ASK_WCP  */
    SSHALLOW_WCP = 598,            /* SSHALLOW_WCP  */
    FIELD_WIDTH_WCP = 599,         /* FIELD_WIDTH_WCP  */
    QUICKSEARCHENABLED_WCP = 600,  /* QUICKSEARCHENABLED_WCP  */
    FILTEREDSEARCHENABLED_WCP = 601, /* FILTEREDSEARCHENABLED_WCP  */
    XFTFONTS_WCP = 602,            /* XFTFONTS_WCP  */
    USEMAGIC_WCP = 603,            /* USEMAGIC_WCP  */
    MAGICPATTERN_WCP = 604,        /* MAGICPATTERN_WCP  */
    MAGICCOMPRESSED_WCP = 605,     /* MAGICCOMPRESSED_WCP  */
    MAGICMIME_WCP = 606,           /* MAGICMIME_WCP  */
    VOLUMEMANAGER_WCP = 607,       /* VOLUMEMANAGER_WCP  */
    MOUNTCOMMAND_WCP = 608,        /* MOUNTCOMMAND_WCP  */
    UNMOUNTCOMMAND_WCP = 609,      /* UNMOUNTCOMMAND_WCP  */
    FSTABFILE_WCP = 610,           /* FSTABFILE_WCP  */
    MTABFILE_WCP = 611,            /* MTABFILE_WCP  */
    PARTFILE_WCP = 612,            /* PARTFILE_WCP  */
    REQUESTACTION_WCP = 613,       /* REQUESTACTION_WCP  */
    SIZEH_WCP = 614,               /* SIZEH_WCP  */
    NEXTAGING_WCP = 615,           /* NEXTAGING_WCP  */
    ENTRY_WCP = 616,               /* ENTRY_WCP  */
    PREFIX_WCP = 617,              /* PREFIX_WCP  */
    VALUE_WCP = 618,               /* VALUE_WCP  */
    EXTENSION_WCP = 619,           /* EXTENSION_WCP  */
    EJECTCOMMAND_WCP = 620,        /* EJECTCOMMAND_WCP  */
    CLOSETRAYCOMMAND_WCP = 621,    /* CLOSETRAYCOMMAND_WCP  */
    AVFSMODULE_WCP = 622,          /* AVFSMODULE_WCP  */
    FLEXIBLEMATCH_WCP = 623,       /* FLEXIBLEMATCH_WCP  */
    USE_VERSION_STRING_COMPARE_WCP = 624, /* USE_VERSION_STRING_COMPARE_WCP  */
    SWITCHBUTTONBANKOP_WCP = 625,  /* SWITCHBUTTONBANKOP_WCP  */
    SWITCHTONEXTBANK_WCP = 626,    /* SWITCHTONEXTBANK_WCP  */
    SWITCHTOPREVBANK_WCP = 627,    /* SWITCHTOPREVBANK_WCP  */
    SWITCHTOBANKNR_WCP = 628,      /* SWITCHTOBANKNR_WCP  */
    BANKNR_WCP = 629,              /* BANKNR_WCP  */
    USE_VIRTUAL_TEMP_COPIES_WCP = 630, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
    PATHJUMPOP_WCP = 631,          /* PATHJUMPOP_WCP  */
    PATHJUMPALLOWDIRS_WCP = 632,   /* PATHJUMPALLOWDIRS_WCP  */
    CLIPBOARDOP_WCP = 633,         /* CLIPBOARDOP_WCP  */
    CLIPBOARDSTRING_WCP = 634,     /* CLIPBOARDSTRING_WCP  */
    COMMANDSTRING_WCP = 635,       /* COMMANDSTRING_WCP  */
    EVALCOMMAND_WCP = 636,         /* EVALCOMMAND_WCP  */
    WATCHMODE_WCP = 637,           /* WATCHMODE_WCP  */
    APPLY_WINDOW_DIALOG_TYPE_WCP = 638, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
    FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 639, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
    COMMANDMENUOP_WCP = 640,       /* COMMANDMENUOP_WCP  */
    SEARCHMODEONKEYPRESS_WCP = 641, /* SEARCHMODEONKEYPRESS_WCP  */
    PATHENTRYONTOP_WCP = 642,      /* PATHENTRYONTOP_WCP  */
    STORE_FILES_ALWAYS_WCP = 643,  /* STORE_FILES_ALWAYS_WCP  */
    PATHJUMPSETS_WCP = 644,        /* PATHJUMPSETS_WCP  */
    SHOWDOTDOT_WCP = 645,          /* SHOWDOTDOT_WCP  */
    SHOWBREADCRUMB_WCP = 646,      /* SHOWBREADCRUMB_WCP  */
    FACES_WCP = 647,               /* FACES_WCP  */
    FACE_WCP = 648,                /* FACE_WCP  */
    ENABLE_INFO_LINE_WCP = 649,    /* ENABLE_INFO_LINE_WCP  */
    INFO_LINE_LUA_MODE_WCP = 650,  /* INFO_LINE_LUA_MODE_WCP  */
    INFO_LINE_CONTENT_WCP = 651,   /* INFO_LINE_CONTENT_WCP  */
    RESTORE_TABS_MODE_WCP = 652,   /* RESTORE_TABS_MODE_WCP  */
    STORE_TABS_MODE_WCP = 653,     /* STORE_TABS_MODE_WCP  */
    AS_EXIT_STATE_WCP = 654,       /* AS_EXIT_STATE_WCP  */
    USE_EXTENDED_REGEX_WCP = 655,  /* USE_EXTENDED_REGEX_WCP  */
    HIGHLIGHT_USER_ACTION_WCP = 656, /* HIGHLIGHT_USER_ACTION_WCP  */
    CHTIMEOP_WCP = 657,            /* CHTIMEOP_WCP  */
    ADJUSTRELATIVESYMLINKS_WCP = 658, /* ADJUSTRELATIVESYMLINKS_WCP  */
    OUTSIDE_WCP = 659,             /* OUTSIDE_WCP  */
    EDIT_WCP = 660,                /* EDIT_WCP  */
    MAKEABSOLUTE_WCP = 661,        /* MAKEABSOLUTE_WCP  */
    MAKERELATIVE_WCP = 662,        /* MAKERELATIVE_WCP  */
    MAGICIGNORECASE_WCP = 663,     /* MAGICIGNORECASE_WCP  */
    ENSURE_FILE_PERMISSIONS_WCP = 664, /* ENSURE_FILE_PERMISSIONS_WCP  */
    USER_RW_WCP = 665,             /* USER_RW_WCP  */
    USER_RW_GROUP_R_WCP = 666,     /* USER_RW_GROUP_R_WCP  */
    USER_RW_ALL_R_WCP = 667,       /* USER_RW_ALL_R_WCP  */
    LEAVE_UNMODIFIED_WCP = 668,    /* LEAVE_UNMODIFIED_WCP  */
    PREFERUDISKSVERSION_WCP = 669, /* PREFERUDISKSVERSION_WCP  */
    CHANGECOLUMNSOP_WCP = 670,     /* CHANGECOLUMNSOP_WCP  */
    PATTERNISCOMMASEPARATED_WCP = 671, /* PATTERNISCOMMASEPARATED_WCP  */
    STRCASECMP_WCP = 672,          /* STRCASECMP_WCP  */
    USE_STRING_COMPARE_MODE_WCP = 673, /* USE_STRING_COMPARE_MODE_WCP  */
    VIEWNEWESTFILESOP_WCP = 674,   /* VIEWNEWESTFILESOP_WCP  */
    SHOWRECENT_WCP = 675,          /* SHOWRECENT_WCP  */
    DIRCOMPAREOP_WCP = 676,        /* DIRCOMPAREOP_WCP  */
    TABPROFILESOP_WCP = 677,       /* TABPROFILESOP_WCP  */
    EXTERNALVDIROP_WCP = 678,      /* EXTERNALVDIROP_WCP  */
    VDIR_PRESERVE_DIR_STRUCTURE_WCP = 679, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
    OPENTABMENUOP_WCP = 680,       /* OPENTABMENUOP_WCP  */
    INITIALTAB_WCP = 681,          /* INITIALTAB_WCP  */
    SHOWBYTIME_WCP = 682,          /* SHOWBYTIME_WCP  */
    SHOWBYFILTER_WCP = 683,        /* SHOWBYFILTER_WCP  */
    SHOWBYPROGRAM_WCP = 684,       /* SHOWBYPROGRAM_WCP  */
    TERMINAL_RETURNS_EARLY_WCP = 685, /* TERMINAL_RETURNS_EARLY_WCP  */
    DIRECTORYPRESETS_WCP = 686,    /* DIRECTORYPRESETS_WCP  */
    DIRECTORYPRESET_WCP = 687,     /* DIRECTORYPRESET_WCP  */
    HELPOP_WCP = 688,              /* HELPOP_WCP  */
    PRIORITY_WCP = 689,            /* PRIORITY_WCP  */
    AUTOFILTER_WCP = 690,          /* AUTOFILTER_WCP  */
    ENABLE_CUSTOM_LVB_LINE_WCP = 691, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
    CUSTOM_LVB_LINE_WCP = 692,     /* CUSTOM_LVB_LINE_WCP  */
    CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 693, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
    IMMEDIATE_FILTER_APPLY_WCP = 694, /* IMMEDIATE_FILTER_APPLY_WCP  */
    DISABLEBGCHECKPREFIX_WCP = 695, /* DISABLEBGCHECKPREFIX_WCP  */
    DISPLAYMODE_WCP = 696,         /* DISPLAYMODE_WCP  */
    SHOWSUBDIRS_WCP = 697,         /* SHOWSUBDIRS_WCP  */
    SHOWDIRECTSUBDIRS_WCP = 698,   /* SHOWDIRECTSUBDIRS_WCP  */
    INCLUDEALL_WCP = 699,          /* INCLUDEALL_WCP  */
    APPLYMODE_WCP = 700,           /* APPLYMODE_WCP  */
    ADD_WCP = 701,                 /* ADD_WCP  */
    REMOVE_WCP = 702,              /* REMOVE_WCP  */
    HIDENONEXISTING_WCP = 703,     /* HIDENONEXISTING_WCP  */
    VIEWCOMMANDLOGOP_WCP = 704,    /* VIEWCOMMANDLOGOP_WCP  */
    LOCKONCURRENTDIR_WCP = 705,    /* LOCKONCURRENTDIR_WCP  */
    STRING_WCP = 706,              /* STRING_WCP  */
    NUM_WCP = 707                  /* NUM_WCP  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define LEFTBRACE_WCP 258
#define RIGHTBRACE_WCP 259
#define GLOBAL_WCP 260
#define COLORS_WCP 261
#define LANG_WCP 262
#define PALETTE_WCP 263
#define OWNOP_WCP 264
#define LISTERSETS_WCP 265
#define YES_WCP 266
#define NO_WCP 267
#define LEFT_WCP 268
#define RIGHT_WCP 269
#define HBARTOP_WCP 270
#define HBARHEIGHT_WCP 271
#define VBARLEFT_WCP 272
#define VBARWIDTH_WCP 273
#define DISPLAYSETS_WCP 274
#define NAME_WCP 275
#define SIZE_WCP 276
#define TYPE_WCP 277
#define PERMISSION_WCP 278
#define OWNER_WCP 279
#define DESTINATION_WCP 280
#define MODTIME_WCP 281
#define ACCTIME_WCP 282
#define CHGTIME_WCP 283
#define ROWS_WCP 284
#define COLUMNS_WCP 285
#define CACHESIZE_WCP 286
#define OWNERSTYLE_WCP 287
#define TERMINAL_WCP 288
#define USESTRINGFORDIRSIZE_WCP 289
#define TIMESETS_WCP 290
#define STYLE1_WCP 291
#define STYLE2_WCP 292
#define STYLE3_WCP 293
#define DATE_WCP 294
#define TIME_WCP 295
#define DATESUBSTITUTION_WCP 296
#define DATEBEFORETIME_WCP 297
#define STATEBAR_WCP 298
#define SELLVBAR_WCP 299
#define UNSELLVBAR_WCP 300
#define CLOCKBAR_WCP 301
#define REQUESTER_WCP 302
#define UNSELDIR_WCP 303
#define SELDIR_WCP 304
#define UNSELFILE_WCP 305
#define SELFILE_WCP 306
#define UNSELACTDIR_WCP 307
#define SELACTDIR_WCP 308
#define UNSELACTFILE_WCP 309
#define SELACTFILE_WCP 310
#define LVBG_WCP 311
#define STARTUP_WCP 312
#define BUTTON_WCP 313
#define BUTTONS_WCP 314
#define POSITION_WCP 315
#define TITLE_WCP 316
#define COMMANDS_WCP 317
#define SHORTKEYS_WCP 318
#define PATHS_WCP 319
#define PATH_WCP 320
#define FILETYPES_WCP 321
#define FILETYPE_WCP 322
#define NORMAL_WCP 323
#define NOTYETCHECKED_WCP 324
#define UNKNOWN_WCP 325
#define NOSELECT_WCP 326
#define DIR_WCP 327
#define USEPATTERN_WCP 328
#define USECONTENT_WCP 329
#define PATTERN_WCP 330
#define CONTENT_WCP 331
#define FTCOMMANDS_WCP 332
#define DND_WCP 333
#define DC_WCP 334
#define SHOW_WCP 335
#define RAWSHOW_WCP 336
#define USER_WCP 337
#define FLAGS_WCP 338
#define IGNOREDIRS_WCP 339
#define HOTKEYS_WCP 340
#define HOTKEY_WCP 341
#define FONTS_WCP 342
#define GLOBALFONT_WCP 343
#define BUTTONFONT_WCP 344
#define LEFTFONT_WCP 345
#define RIGHTFONT_WCP 346
#define TEXTVIEWFONT_WCP 347
#define STATEBARFONT_WCP 348
#define TEXTVIEWALTFONT_WCP 349
#define CLOCKBARSETS_WCP 350
#define MODUS_WCP 351
#define TIMESPACE_WCP 352
#define VERSION_WCP 353
#define EXTERN_WCP 354
#define UPDATETIME_WCP 355
#define PROGRAM_WCP 356
#define SHOWHINTS_WCP 357
#define KEY_WCP 358
#define DOUBLE_WCP 359
#define MOD_WCP 360
#define CONTROL_WCP 361
#define SHIFT_WCP 362
#define LOCK_WCP 363
#define MOD1_WCP 364
#define MOD2_WCP 365
#define MOD3_WCP 366
#define MOD4_WCP 367
#define MOD5_WCP 368
#define DNDACTION_WCP 369
#define DCACTION_WCP 370
#define SHOWACTION_WCP 371
#define RSHOWACTION_WCP 372
#define USERACTION_WCP 373
#define ROWUP_WCP 374
#define ROWDOWN_WCP 375
#define CHANGEHIDDENFLAG_WCP 376
#define COPYOP_WCP 377
#define FIRSTROW_WCP 378
#define LASTROW_WCP 379
#define PAGEUP_WCP 380
#define PAGEDOWN_WCP 381
#define SELECTOP_WCP 382
#define SELECTALLOP_WCP 383
#define SELECTNONEOP_WCP 384
#define INVERTALLOP_WCP 385
#define PARENTDIROP_WCP 386
#define ENTERDIROP_WCP 387
#define CHANGELISTERSETOP_WCP 388
#define SWITCHLISTEROP_WCP 389
#define FILTERSELECTOP_WCP 390
#define FILTERUNSELECTOP_WCP 391
#define PATHTOOTHERSIDEOP_WCP 392
#define QUITOP_WCP 393
#define DELETEOP_WCP 394
#define RELOADOP_WCP 395
#define MAKEDIROP_WCP 396
#define RENAMEOP_WCP 397
#define DIRSIZEOP_WCP 398
#define SIMDDOP_WCP 399
#define STARTPROGOP_WCP 400
#define SEARCHENTRYOP_WCP 401
#define ENTERPATHOP_WCP 402
#define SCROLLLISTEROP_WCP 403
#define CREATESYMLINKOP_WCP 404
#define CHANGESYMLINKOP_WCP 405
#define CHMODOP_WCP 406
#define TOGGLELISTERMODEOP_WCP 407
#define SETSORTMODEOP_WCP 408
#define SETFILTEROP_WCP 409
#define SHORTKEYFROMLISTOP_WCP 410
#define CHOWNOP_WCP 411
#define WORKERCONFIG_WCP 412
#define USERSTYLE_WCP 413
#define DATESTRING_WCP 414
#define TIMESTRING_WCP 415
#define COLOR_WCP 416
#define PATTERNIGNORECASE_WCP 417
#define PATTERNUSEREGEXP_WCP 418
#define PATTERNUSEFULLNAME_WCP 419
#define COM_WCP 420
#define SEPARATEEACHENTRY_WCP 421
#define RECURSIVE_WCP 422
#define START_WCP 423
#define TERMINALWAIT_WCP 424
#define SHOWOUTPUT_WCP 425
#define VIEWSTR_WCP 426
#define SHOWOUTPUTINT_WCP 427
#define INBACKGROUND_WCP 428
#define TAKEDIRS_WCP 429
#define ACTIONNUMBER_WCP 430
#define HIDDENFILES_WCP 431
#define HIDE_WCP 432
#define TOGGLE_WCP 433
#define FOLLOWSYMLINKS_WCP 434
#define MOVE_WCP 435
#define RENAME_WCP 436
#define SAMEDIR_WCP 437
#define REQUESTDEST_WCP 438
#define REQUESTFLAGS_WCP 439
#define OVERWRITE_WCP 440
#define ALWAYS_WCP 441
#define NEVER_WCP 442
#define COPYMODE_WCP 443
#define FAST_WCP 444
#define PRESERVEATTR_WCP 445
#define MODE_WCP 446
#define ACTIVE_WCP 447
#define ACTIVE2OTHER_WCP 448
#define SPECIAL_WCP 449
#define REQUEST_WCP 450
#define CURRENT_WCP 451
#define OTHER_WCP 452
#define FILTER_WCP 453
#define QUICK_WCP 454
#define ALSOACTIVE_WCP 455
#define RESETDIRSIZES_WCP 456
#define KEEPFILETYPES_WCP 457
#define RELATIVE_WCP 458
#define ONFILES_WCP 459
#define ONDIRS_WCP 460
#define SORTBY_WCP 461
#define SORTFLAG_WCP 462
#define REVERSE_WCP 463
#define DIRLAST_WCP 464
#define DIRMIXED_WCP 465
#define EXCLUDE_WCP 466
#define INCLUDE_WCP 467
#define UNSET_WCP 468
#define UNSETALL_WCP 469
#define SCRIPTOP_WCP 470
#define NOP_WCP 471
#define PUSH_WCP 472
#define LABEL_WCP 473
#define IF_WCP 474
#define END_WCP 475
#define POP_WCP 476
#define SETTINGS_WCP 477
#define WINDOW_WCP 478
#define GOTO_WCP 479
#define PUSHUSEOUTPUT_WCP 480
#define DODEBUG_WCP 481
#define WPURECURSIVE_WCP 482
#define WPUTAKEDIRS_WCP 483
#define STACKNR_WCP 484
#define PUSHSTRING_WCP 485
#define IFTEST_WCP 486
#define IFLABEL_WCP 487
#define WINTYPE_WCP 488
#define OPEN_WCP 489
#define CLOSE_WCP 490
#define LEAVE_WCP 491
#define CHANGEPROGRESS_WCP 492
#define CHANGETEXT_WCP 493
#define PROGRESSUSEOUTPUT_WCP 494
#define WINTEXTUSEOUTPUT_WCP 495
#define PROGRESS_WCP 496
#define WINTEXT_WCP 497
#define SHOWDIRCACHEOP_WCP 498
#define INODE_WCP 499
#define NLINK_WCP 500
#define BLOCKS_WCP 501
#define SHOWHEADER_WCP 502
#define LVHEADER_WCP 503
#define IGNORECASE_WCP 504
#define LISTVIEWS_WCP 505
#define BLL_WCP 506
#define LBL_WCP 507
#define LLB_WCP 508
#define BL_WCP 509
#define LB_WCP 510
#define LAYOUT_WCP 511
#define BUTTONSVERT_WCP 512
#define LISTVIEWSVERT_WCP 513
#define LISTVIEWWEIGHT_WCP 514
#define WEIGHTTOACTIVE_WCP 515
#define EXTCOND_WCP 516
#define USEEXTCOND_WCP 517
#define SUBTYPE_WCP 518
#define PARENTACTIONOP_WCP 519
#define NOOPERATIONOP_WCP 520
#define COLORMODE_WCP 521
#define DEFAULT_WCP 522
#define CUSTOM_WCP 523
#define UNSELECTCOLOR_WCP 524
#define SELECTCOLOR_WCP 525
#define UNSELECTACTIVECOLOR_WCP 526
#define SELECTACTIVECOLOR_WCP 527
#define COLOREXTERNPROG_WCP 528
#define PARENT_WCP 529
#define DONTCD_WCP 530
#define DONTCHECKVIRTUAL_WCP 531
#define GOFTPOP_WCP 532
#define HOSTNAME_WCP 533
#define USERNAME_WCP 534
#define PASSWORD_WCP 535
#define DONTENTERFTP_WCP 536
#define ALWAYSSTOREPW_WCP 537
#define INTERNALVIEWOP_WCP 538
#define CUSTOMFILES_WCP 539
#define SHOWMODE_WCP 540
#define SELECTED_WCP 541
#define REVERSESEARCH_WCP 542
#define MOUSECONF_WCP 543
#define SELECTBUTTON_WCP 544
#define ACTIVATEBUTTON_WCP 545
#define SCROLLBUTTON_WCP 546
#define SELECTMETHOD_WCP 547
#define ALTERNATIVE_WCP 548
#define SEARCHOP_WCP 549
#define EDITCOMMAND_WCP 550
#define SHOWPREVRESULTS_WCP 551
#define TEXTVIEW_WCP 552
#define TEXTVIEWHIGHLIGHTED_WCP 553
#define TEXTVIEWSELECTION_WCP 554
#define DIRBOOKMARKOP_WCP 555
#define OPENCONTEXTMENUOP_WCP 556
#define RUNCUSTOMACTION_WCP 557
#define CUSTOMNAME_WCP 558
#define CONTEXTBUTTON_WCP 559
#define ACTIVATEMOD_WCP 560
#define SCROLLMOD_WCP 561
#define CONTEXTMOD_WCP 562
#define NONE_WCP 563
#define CUSTOMACTION_WCP 564
#define SAVE_WORKER_STATE_ON_EXIT_WCP 565
#define OPENWORKERMENUOP_WCP 566
#define CHANGELABELOP_WCP 567
#define ASKFORLABEL_WCP 568
#define LABELCOLORS_WCP 569
#define BOOKMARKLABEL_WCP 570
#define BOOKMARKFILTER_WCP 571
#define SHOWONLYBOOKMARKS_WCP 572
#define SHOWONLYLABEL_WCP 573
#define SHOWALL_WCP 574
#define OPTIONMODE_WCP 575
#define INVERT_WCP 576
#define SET_WCP 577
#define CHANGEFILTERS_WCP 578
#define CHANGEBOOKMARKS_WCP 579
#define QUERYLABEL_WCP 580
#define MODIFYTABSOP_WCP 581
#define TABACTION_WCP 582
#define NEWTAB_WCP 583
#define CLOSECURRENTTAB_WCP 584
#define NEXTTAB_WCP 585
#define PREVTAB_WCP 586
#define TOGGLELOCKSTATE_WCP 587
#define MOVETABLEFT_WCP 588
#define MOVETABRIGHT_WCP 589
#define CHANGELAYOUTOP_WCP 590
#define INFIXSEARCH_WCP 591
#define VOLUMEMANAGEROP_WCP 592
#define ERROR 593
#define ACTIVESIDE_WCP 594
#define SHOWFREESPACE_WCP 595
#define ACTIVEMODE_WCP 596
#define ASK_WCP 597
#define SSHALLOW_WCP 598
#define FIELD_WIDTH_WCP 599
#define QUICKSEARCHENABLED_WCP 600
#define FILTEREDSEARCHENABLED_WCP 601
#define XFTFONTS_WCP 602
#define USEMAGIC_WCP 603
#define MAGICPATTERN_WCP 604
#define MAGICCOMPRESSED_WCP 605
#define MAGICMIME_WCP 606
#define VOLUMEMANAGER_WCP 607
#define MOUNTCOMMAND_WCP 608
#define UNMOUNTCOMMAND_WCP 609
#define FSTABFILE_WCP 610
#define MTABFILE_WCP 611
#define PARTFILE_WCP 612
#define REQUESTACTION_WCP 613
#define SIZEH_WCP 614
#define NEXTAGING_WCP 615
#define ENTRY_WCP 616
#define PREFIX_WCP 617
#define VALUE_WCP 618
#define EXTENSION_WCP 619
#define EJECTCOMMAND_WCP 620
#define CLOSETRAYCOMMAND_WCP 621
#define AVFSMODULE_WCP 622
#define FLEXIBLEMATCH_WCP 623
#define USE_VERSION_STRING_COMPARE_WCP 624
#define SWITCHBUTTONBANKOP_WCP 625
#define SWITCHTONEXTBANK_WCP 626
#define SWITCHTOPREVBANK_WCP 627
#define SWITCHTOBANKNR_WCP 628
#define BANKNR_WCP 629
#define USE_VIRTUAL_TEMP_COPIES_WCP 630
#define PATHJUMPOP_WCP 631
#define PATHJUMPALLOWDIRS_WCP 632
#define CLIPBOARDOP_WCP 633
#define CLIPBOARDSTRING_WCP 634
#define COMMANDSTRING_WCP 635
#define EVALCOMMAND_WCP 636
#define WATCHMODE_WCP 637
#define APPLY_WINDOW_DIALOG_TYPE_WCP 638
#define FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP 639
#define COMMANDMENUOP_WCP 640
#define SEARCHMODEONKEYPRESS_WCP 641
#define PATHENTRYONTOP_WCP 642
#define STORE_FILES_ALWAYS_WCP 643
#define PATHJUMPSETS_WCP 644
#define SHOWDOTDOT_WCP 645
#define SHOWBREADCRUMB_WCP 646
#define FACES_WCP 647
#define FACE_WCP 648
#define ENABLE_INFO_LINE_WCP 649
#define INFO_LINE_LUA_MODE_WCP 650
#define INFO_LINE_CONTENT_WCP 651
#define RESTORE_TABS_MODE_WCP 652
#define STORE_TABS_MODE_WCP 653
#define AS_EXIT_STATE_WCP 654
#define USE_EXTENDED_REGEX_WCP 655
#define HIGHLIGHT_USER_ACTION_WCP 656
#define CHTIMEOP_WCP 657
#define ADJUSTRELATIVESYMLINKS_WCP 658
#define OUTSIDE_WCP 659
#define EDIT_WCP 660
#define MAKEABSOLUTE_WCP 661
#define MAKERELATIVE_WCP 662
#define MAGICIGNORECASE_WCP 663
#define ENSURE_FILE_PERMISSIONS_WCP 664
#define USER_RW_WCP 665
#define USER_RW_GROUP_R_WCP 666
#define USER_RW_ALL_R_WCP 667
#define LEAVE_UNMODIFIED_WCP 668
#define PREFERUDISKSVERSION_WCP 669
#define CHANGECOLUMNSOP_WCP 670
#define PATTERNISCOMMASEPARATED_WCP 671
#define STRCASECMP_WCP 672
#define USE_STRING_COMPARE_MODE_WCP 673
#define VIEWNEWESTFILESOP_WCP 674
#define SHOWRECENT_WCP 675
#define DIRCOMPAREOP_WCP 676
#define TABPROFILESOP_WCP 677
#define EXTERNALVDIROP_WCP 678
#define VDIR_PRESERVE_DIR_STRUCTURE_WCP 679
#define OPENTABMENUOP_WCP 680
#define INITIALTAB_WCP 681
#define SHOWBYTIME_WCP 682
#define SHOWBYFILTER_WCP 683
#define SHOWBYPROGRAM_WCP 684
#define TERMINAL_RETURNS_EARLY_WCP 685
#define DIRECTORYPRESETS_WCP 686
#define DIRECTORYPRESET_WCP 687
#define HELPOP_WCP 688
#define PRIORITY_WCP 689
#define AUTOFILTER_WCP 690
#define ENABLE_CUSTOM_LVB_LINE_WCP 691
#define CUSTOM_LVB_LINE_WCP 692
#define CUSTOM_DIRECTORY_INFO_COMMAND_WCP 693
#define IMMEDIATE_FILTER_APPLY_WCP 694
#define DISABLEBGCHECKPREFIX_WCP 695
#define DISPLAYMODE_WCP 696
#define SHOWSUBDIRS_WCP 697
#define SHOWDIRECTSUBDIRS_WCP 698
#define INCLUDEALL_WCP 699
#define APPLYMODE_WCP 700
#define ADD_WCP 701
#define REMOVE_WCP 702
#define HIDENONEXISTING_WCP 703
#define VIEWCOMMANDLOGOP_WCP 704
#define LOCKONCURRENTDIR_WCP 705
#define STRING_WCP 706
#define NUM_WCP 707

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 214 "configparser.yy"

  int num;
  char *strptr;

#line 1246 "configparser.cc"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;


int yyparse (void);


#endif /* !YY_YY_CONFIGPARSER_HH_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_LEFTBRACE_WCP = 3,              /* LEFTBRACE_WCP  */
  YYSYMBOL_RIGHTBRACE_WCP = 4,             /* RIGHTBRACE_WCP  */
  YYSYMBOL_GLOBAL_WCP = 5,                 /* GLOBAL_WCP  */
  YYSYMBOL_COLORS_WCP = 6,                 /* COLORS_WCP  */
  YYSYMBOL_LANG_WCP = 7,                   /* LANG_WCP  */
  YYSYMBOL_PALETTE_WCP = 8,                /* PALETTE_WCP  */
  YYSYMBOL_OWNOP_WCP = 9,                  /* OWNOP_WCP  */
  YYSYMBOL_LISTERSETS_WCP = 10,            /* LISTERSETS_WCP  */
  YYSYMBOL_YES_WCP = 11,                   /* YES_WCP  */
  YYSYMBOL_NO_WCP = 12,                    /* NO_WCP  */
  YYSYMBOL_LEFT_WCP = 13,                  /* LEFT_WCP  */
  YYSYMBOL_RIGHT_WCP = 14,                 /* RIGHT_WCP  */
  YYSYMBOL_HBARTOP_WCP = 15,               /* HBARTOP_WCP  */
  YYSYMBOL_HBARHEIGHT_WCP = 16,            /* HBARHEIGHT_WCP  */
  YYSYMBOL_VBARLEFT_WCP = 17,              /* VBARLEFT_WCP  */
  YYSYMBOL_VBARWIDTH_WCP = 18,             /* VBARWIDTH_WCP  */
  YYSYMBOL_DISPLAYSETS_WCP = 19,           /* DISPLAYSETS_WCP  */
  YYSYMBOL_NAME_WCP = 20,                  /* NAME_WCP  */
  YYSYMBOL_SIZE_WCP = 21,                  /* SIZE_WCP  */
  YYSYMBOL_TYPE_WCP = 22,                  /* TYPE_WCP  */
  YYSYMBOL_PERMISSION_WCP = 23,            /* PERMISSION_WCP  */
  YYSYMBOL_OWNER_WCP = 24,                 /* OWNER_WCP  */
  YYSYMBOL_DESTINATION_WCP = 25,           /* DESTINATION_WCP  */
  YYSYMBOL_MODTIME_WCP = 26,               /* MODTIME_WCP  */
  YYSYMBOL_ACCTIME_WCP = 27,               /* ACCTIME_WCP  */
  YYSYMBOL_CHGTIME_WCP = 28,               /* CHGTIME_WCP  */
  YYSYMBOL_ROWS_WCP = 29,                  /* ROWS_WCP  */
  YYSYMBOL_COLUMNS_WCP = 30,               /* COLUMNS_WCP  */
  YYSYMBOL_CACHESIZE_WCP = 31,             /* CACHESIZE_WCP  */
  YYSYMBOL_OWNERSTYLE_WCP = 32,            /* OWNERSTYLE_WCP  */
  YYSYMBOL_TERMINAL_WCP = 33,              /* TERMINAL_WCP  */
  YYSYMBOL_USESTRINGFORDIRSIZE_WCP = 34,   /* USESTRINGFORDIRSIZE_WCP  */
  YYSYMBOL_TIMESETS_WCP = 35,              /* TIMESETS_WCP  */
  YYSYMBOL_STYLE1_WCP = 36,                /* STYLE1_WCP  */
  YYSYMBOL_STYLE2_WCP = 37,                /* STYLE2_WCP  */
  YYSYMBOL_STYLE3_WCP = 38,                /* STYLE3_WCP  */
  YYSYMBOL_DATE_WCP = 39,                  /* DATE_WCP  */
  YYSYMBOL_TIME_WCP = 40,                  /* TIME_WCP  */
  YYSYMBOL_DATESUBSTITUTION_WCP = 41,      /* DATESUBSTITUTION_WCP  */
  YYSYMBOL_DATEBEFORETIME_WCP = 42,        /* DATEBEFORETIME_WCP  */
  YYSYMBOL_STATEBAR_WCP = 43,              /* STATEBAR_WCP  */
  YYSYMBOL_SELLVBAR_WCP = 44,              /* SELLVBAR_WCP  */
  YYSYMBOL_UNSELLVBAR_WCP = 45,            /* UNSELLVBAR_WCP  */
  YYSYMBOL_CLOCKBAR_WCP = 46,              /* CLOCKBAR_WCP  */
  YYSYMBOL_REQUESTER_WCP = 47,             /* REQUESTER_WCP  */
  YYSYMBOL_UNSELDIR_WCP = 48,              /* UNSELDIR_WCP  */
  YYSYMBOL_SELDIR_WCP = 49,                /* SELDIR_WCP  */
  YYSYMBOL_UNSELFILE_WCP = 50,             /* UNSELFILE_WCP  */
  YYSYMBOL_SELFILE_WCP = 51,               /* SELFILE_WCP  */
  YYSYMBOL_UNSELACTDIR_WCP = 52,           /* UNSELACTDIR_WCP  */
  YYSYMBOL_SELACTDIR_WCP = 53,             /* SELACTDIR_WCP  */
  YYSYMBOL_UNSELACTFILE_WCP = 54,          /* UNSELACTFILE_WCP  */
  YYSYMBOL_SELACTFILE_WCP = 55,            /* SELACTFILE_WCP  */
  YYSYMBOL_LVBG_WCP = 56,                  /* LVBG_WCP  */
  YYSYMBOL_STARTUP_WCP = 57,               /* STARTUP_WCP  */
  YYSYMBOL_BUTTON_WCP = 58,                /* BUTTON_WCP  */
  YYSYMBOL_BUTTONS_WCP = 59,               /* BUTTONS_WCP  */
  YYSYMBOL_POSITION_WCP = 60,              /* POSITION_WCP  */
  YYSYMBOL_TITLE_WCP = 61,                 /* TITLE_WCP  */
  YYSYMBOL_COMMANDS_WCP = 62,              /* COMMANDS_WCP  */
  YYSYMBOL_SHORTKEYS_WCP = 63,             /* SHORTKEYS_WCP  */
  YYSYMBOL_PATHS_WCP = 64,                 /* PATHS_WCP  */
  YYSYMBOL_PATH_WCP = 65,                  /* PATH_WCP  */
  YYSYMBOL_FILETYPES_WCP = 66,             /* FILETYPES_WCP  */
  YYSYMBOL_FILETYPE_WCP = 67,              /* FILETYPE_WCP  */
  YYSYMBOL_NORMAL_WCP = 68,                /* NORMAL_WCP  */
  YYSYMBOL_NOTYETCHECKED_WCP = 69,         /* NOTYETCHECKED_WCP  */
  YYSYMBOL_UNKNOWN_WCP = 70,               /* UNKNOWN_WCP  */
  YYSYMBOL_NOSELECT_WCP = 71,              /* NOSELECT_WCP  */
  YYSYMBOL_DIR_WCP = 72,                   /* DIR_WCP  */
  YYSYMBOL_USEPATTERN_WCP = 73,            /* USEPATTERN_WCP  */
  YYSYMBOL_USECONTENT_WCP = 74,            /* USECONTENT_WCP  */
  YYSYMBOL_PATTERN_WCP = 75,               /* PATTERN_WCP  */
  YYSYMBOL_CONTENT_WCP = 76,               /* CONTENT_WCP  */
  YYSYMBOL_FTCOMMANDS_WCP = 77,            /* FTCOMMANDS_WCP  */
  YYSYMBOL_DND_WCP = 78,                   /* DND_WCP  */
  YYSYMBOL_DC_WCP = 79,                    /* DC_WCP  */
  YYSYMBOL_SHOW_WCP = 80,                  /* SHOW_WCP  */
  YYSYMBOL_RAWSHOW_WCP = 81,               /* RAWSHOW_WCP  */
  YYSYMBOL_USER_WCP = 82,                  /* USER_WCP  */
  YYSYMBOL_FLAGS_WCP = 83,                 /* FLAGS_WCP  */
  YYSYMBOL_IGNOREDIRS_WCP = 84,            /* IGNOREDIRS_WCP  */
  YYSYMBOL_HOTKEYS_WCP = 85,               /* HOTKEYS_WCP  */
  YYSYMBOL_HOTKEY_WCP = 86,                /* HOTKEY_WCP  */
  YYSYMBOL_FONTS_WCP = 87,                 /* FONTS_WCP  */
  YYSYMBOL_GLOBALFONT_WCP = 88,            /* GLOBALFONT_WCP  */
  YYSYMBOL_BUTTONFONT_WCP = 89,            /* BUTTONFONT_WCP  */
  YYSYMBOL_LEFTFONT_WCP = 90,              /* LEFTFONT_WCP  */
  YYSYMBOL_RIGHTFONT_WCP = 91,             /* RIGHTFONT_WCP  */
  YYSYMBOL_TEXTVIEWFONT_WCP = 92,          /* TEXTVIEWFONT_WCP  */
  YYSYMBOL_STATEBARFONT_WCP = 93,          /* STATEBARFONT_WCP  */
  YYSYMBOL_TEXTVIEWALTFONT_WCP = 94,       /* TEXTVIEWALTFONT_WCP  */
  YYSYMBOL_CLOCKBARSETS_WCP = 95,          /* CLOCKBARSETS_WCP  */
  YYSYMBOL_MODUS_WCP = 96,                 /* MODUS_WCP  */
  YYSYMBOL_TIMESPACE_WCP = 97,             /* TIMESPACE_WCP  */
  YYSYMBOL_VERSION_WCP = 98,               /* VERSION_WCP  */
  YYSYMBOL_EXTERN_WCP = 99,                /* EXTERN_WCP  */
  YYSYMBOL_UPDATETIME_WCP = 100,           /* UPDATETIME_WCP  */
  YYSYMBOL_PROGRAM_WCP = 101,              /* PROGRAM_WCP  */
  YYSYMBOL_SHOWHINTS_WCP = 102,            /* SHOWHINTS_WCP  */
  YYSYMBOL_KEY_WCP = 103,                  /* KEY_WCP  */
  YYSYMBOL_DOUBLE_WCP = 104,               /* DOUBLE_WCP  */
  YYSYMBOL_MOD_WCP = 105,                  /* MOD_WCP  */
  YYSYMBOL_CONTROL_WCP = 106,              /* CONTROL_WCP  */
  YYSYMBOL_SHIFT_WCP = 107,                /* SHIFT_WCP  */
  YYSYMBOL_LOCK_WCP = 108,                 /* LOCK_WCP  */
  YYSYMBOL_MOD1_WCP = 109,                 /* MOD1_WCP  */
  YYSYMBOL_MOD2_WCP = 110,                 /* MOD2_WCP  */
  YYSYMBOL_MOD3_WCP = 111,                 /* MOD3_WCP  */
  YYSYMBOL_MOD4_WCP = 112,                 /* MOD4_WCP  */
  YYSYMBOL_MOD5_WCP = 113,                 /* MOD5_WCP  */
  YYSYMBOL_DNDACTION_WCP = 114,            /* DNDACTION_WCP  */
  YYSYMBOL_DCACTION_WCP = 115,             /* DCACTION_WCP  */
  YYSYMBOL_SHOWACTION_WCP = 116,           /* SHOWACTION_WCP  */
  YYSYMBOL_RSHOWACTION_WCP = 117,          /* RSHOWACTION_WCP  */
  YYSYMBOL_USERACTION_WCP = 118,           /* USERACTION_WCP  */
  YYSYMBOL_ROWUP_WCP = 119,                /* ROWUP_WCP  */
  YYSYMBOL_ROWDOWN_WCP = 120,              /* ROWDOWN_WCP  */
  YYSYMBOL_CHANGEHIDDENFLAG_WCP = 121,     /* CHANGEHIDDENFLAG_WCP  */
  YYSYMBOL_COPYOP_WCP = 122,               /* COPYOP_WCP  */
  YYSYMBOL_FIRSTROW_WCP = 123,             /* FIRSTROW_WCP  */
  YYSYMBOL_LASTROW_WCP = 124,              /* LASTROW_WCP  */
  YYSYMBOL_PAGEUP_WCP = 125,               /* PAGEUP_WCP  */
  YYSYMBOL_PAGEDOWN_WCP = 126,             /* PAGEDOWN_WCP  */
  YYSYMBOL_SELECTOP_WCP = 127,             /* SELECTOP_WCP  */
  YYSYMBOL_SELECTALLOP_WCP = 128,          /* SELECTALLOP_WCP  */
  YYSYMBOL_SELECTNONEOP_WCP = 129,         /* SELECTNONEOP_WCP  */
  YYSYMBOL_INVERTALLOP_WCP = 130,          /* INVERTALLOP_WCP  */
  YYSYMBOL_PARENTDIROP_WCP = 131,          /* PARENTDIROP_WCP  */
  YYSYMBOL_ENTERDIROP_WCP = 132,           /* ENTERDIROP_WCP  */
  YYSYMBOL_CHANGELISTERSETOP_WCP = 133,    /* CHANGELISTERSETOP_WCP  */
  YYSYMBOL_SWITCHLISTEROP_WCP = 134,       /* SWITCHLISTEROP_WCP  */
  YYSYMBOL_FILTERSELECTOP_WCP = 135,       /* FILTERSELECTOP_WCP  */
  YYSYMBOL_FILTERUNSELECTOP_WCP = 136,     /* FILTERUNSELECTOP_WCP  */
  YYSYMBOL_PATHTOOTHERSIDEOP_WCP = 137,    /* PATHTOOTHERSIDEOP_WCP  */
  YYSYMBOL_QUITOP_WCP = 138,               /* QUITOP_WCP  */
  YYSYMBOL_DELETEOP_WCP = 139,             /* DELETEOP_WCP  */
  YYSYMBOL_RELOADOP_WCP = 140,             /* RELOADOP_WCP  */
  YYSYMBOL_MAKEDIROP_WCP = 141,            /* MAKEDIROP_WCP  */
  YYSYMBOL_RENAMEOP_WCP = 142,             /* RENAMEOP_WCP  */
  YYSYMBOL_DIRSIZEOP_WCP = 143,            /* DIRSIZEOP_WCP  */
  YYSYMBOL_SIMDDOP_WCP = 144,              /* SIMDDOP_WCP  */
  YYSYMBOL_STARTPROGOP_WCP = 145,          /* STARTPROGOP_WCP  */
  YYSYMBOL_SEARCHENTRYOP_WCP = 146,        /* SEARCHENTRYOP_WCP  */
  YYSYMBOL_ENTERPATHOP_WCP = 147,          /* ENTERPATHOP_WCP  */
  YYSYMBOL_SCROLLLISTEROP_WCP = 148,       /* SCROLLLISTEROP_WCP  */
  YYSYMBOL_CREATESYMLINKOP_WCP = 149,      /* CREATESYMLINKOP_WCP  */
  YYSYMBOL_CHANGESYMLINKOP_WCP = 150,      /* CHANGESYMLINKOP_WCP  */
  YYSYMBOL_CHMODOP_WCP = 151,              /* CHMODOP_WCP  */
  YYSYMBOL_TOGGLELISTERMODEOP_WCP = 152,   /* TOGGLELISTERMODEOP_WCP  */
  YYSYMBOL_SETSORTMODEOP_WCP = 153,        /* SETSORTMODEOP_WCP  */
  YYSYMBOL_SETFILTEROP_WCP = 154,          /* SETFILTEROP_WCP  */
  YYSYMBOL_SHORTKEYFROMLISTOP_WCP = 155,   /* SHORTKEYFROMLISTOP_WCP  */
  YYSYMBOL_CHOWNOP_WCP = 156,              /* CHOWNOP_WCP  */
  YYSYMBOL_WORKERCONFIG_WCP = 157,         /* WORKERCONFIG_WCP  */
  YYSYMBOL_USERSTYLE_WCP = 158,            /* USERSTYLE_WCP  */
  YYSYMBOL_DATESTRING_WCP = 159,           /* DATESTRING_WCP  */
  YYSYMBOL_TIMESTRING_WCP = 160,           /* TIMESTRING_WCP  */
  YYSYMBOL_COLOR_WCP = 161,                /* COLOR_WCP  */
  YYSYMBOL_PATTERNIGNORECASE_WCP = 162,    /* PATTERNIGNORECASE_WCP  */
  YYSYMBOL_PATTERNUSEREGEXP_WCP = 163,     /* PATTERNUSEREGEXP_WCP  */
  YYSYMBOL_PATTERNUSEFULLNAME_WCP = 164,   /* PATTERNUSEFULLNAME_WCP  */
  YYSYMBOL_COM_WCP = 165,                  /* COM_WCP  */
  YYSYMBOL_SEPARATEEACHENTRY_WCP = 166,    /* SEPARATEEACHENTRY_WCP  */
  YYSYMBOL_RECURSIVE_WCP = 167,            /* RECURSIVE_WCP  */
  YYSYMBOL_START_WCP = 168,                /* START_WCP  */
  YYSYMBOL_TERMINALWAIT_WCP = 169,         /* TERMINALWAIT_WCP  */
  YYSYMBOL_SHOWOUTPUT_WCP = 170,           /* SHOWOUTPUT_WCP  */
  YYSYMBOL_VIEWSTR_WCP = 171,              /* VIEWSTR_WCP  */
  YYSYMBOL_SHOWOUTPUTINT_WCP = 172,        /* SHOWOUTPUTINT_WCP  */
  YYSYMBOL_INBACKGROUND_WCP = 173,         /* INBACKGROUND_WCP  */
  YYSYMBOL_TAKEDIRS_WCP = 174,             /* TAKEDIRS_WCP  */
  YYSYMBOL_ACTIONNUMBER_WCP = 175,         /* ACTIONNUMBER_WCP  */
  YYSYMBOL_HIDDENFILES_WCP = 176,          /* HIDDENFILES_WCP  */
  YYSYMBOL_HIDE_WCP = 177,                 /* HIDE_WCP  */
  YYSYMBOL_TOGGLE_WCP = 178,               /* TOGGLE_WCP  */
  YYSYMBOL_FOLLOWSYMLINKS_WCP = 179,       /* FOLLOWSYMLINKS_WCP  */
  YYSYMBOL_MOVE_WCP = 180,                 /* MOVE_WCP  */
  YYSYMBOL_RENAME_WCP = 181,               /* RENAME_WCP  */
  YYSYMBOL_SAMEDIR_WCP = 182,              /* SAMEDIR_WCP  */
  YYSYMBOL_REQUESTDEST_WCP = 183,          /* REQUESTDEST_WCP  */
  YYSYMBOL_REQUESTFLAGS_WCP = 184,         /* REQUESTFLAGS_WCP  */
  YYSYMBOL_OVERWRITE_WCP = 185,            /* OVERWRITE_WCP  */
  YYSYMBOL_ALWAYS_WCP = 186,               /* ALWAYS_WCP  */
  YYSYMBOL_NEVER_WCP = 187,                /* NEVER_WCP  */
  YYSYMBOL_COPYMODE_WCP = 188,             /* COPYMODE_WCP  */
  YYSYMBOL_FAST_WCP = 189,                 /* FAST_WCP  */
  YYSYMBOL_PRESERVEATTR_WCP = 190,         /* PRESERVEATTR_WCP  */
  YYSYMBOL_MODE_WCP = 191,                 /* MODE_WCP  */
  YYSYMBOL_ACTIVE_WCP = 192,               /* ACTIVE_WCP  */
  YYSYMBOL_ACTIVE2OTHER_WCP = 193,         /* ACTIVE2OTHER_WCP  */
  YYSYMBOL_SPECIAL_WCP = 194,              /* SPECIAL_WCP  */
  YYSYMBOL_REQUEST_WCP = 195,              /* REQUEST_WCP  */
  YYSYMBOL_CURRENT_WCP = 196,              /* CURRENT_WCP  */
  YYSYMBOL_OTHER_WCP = 197,                /* OTHER_WCP  */
  YYSYMBOL_FILTER_WCP = 198,               /* FILTER_WCP  */
  YYSYMBOL_QUICK_WCP = 199,                /* QUICK_WCP  */
  YYSYMBOL_ALSOACTIVE_WCP = 200,           /* ALSOACTIVE_WCP  */
  YYSYMBOL_RESETDIRSIZES_WCP = 201,        /* RESETDIRSIZES_WCP  */
  YYSYMBOL_KEEPFILETYPES_WCP = 202,        /* KEEPFILETYPES_WCP  */
  YYSYMBOL_RELATIVE_WCP = 203,             /* RELATIVE_WCP  */
  YYSYMBOL_ONFILES_WCP = 204,              /* ONFILES_WCP  */
  YYSYMBOL_ONDIRS_WCP = 205,               /* ONDIRS_WCP  */
  YYSYMBOL_SORTBY_WCP = 206,               /* SORTBY_WCP  */
  YYSYMBOL_SORTFLAG_WCP = 207,             /* SORTFLAG_WCP  */
  YYSYMBOL_REVERSE_WCP = 208,              /* REVERSE_WCP  */
  YYSYMBOL_DIRLAST_WCP = 209,              /* DIRLAST_WCP  */
  YYSYMBOL_DIRMIXED_WCP = 210,             /* DIRMIXED_WCP  */
  YYSYMBOL_EXCLUDE_WCP = 211,              /* EXCLUDE_WCP  */
  YYSYMBOL_INCLUDE_WCP = 212,              /* INCLUDE_WCP  */
  YYSYMBOL_UNSET_WCP = 213,                /* UNSET_WCP  */
  YYSYMBOL_UNSETALL_WCP = 214,             /* UNSETALL_WCP  */
  YYSYMBOL_SCRIPTOP_WCP = 215,             /* SCRIPTOP_WCP  */
  YYSYMBOL_NOP_WCP = 216,                  /* NOP_WCP  */
  YYSYMBOL_PUSH_WCP = 217,                 /* PUSH_WCP  */
  YYSYMBOL_LABEL_WCP = 218,                /* LABEL_WCP  */
  YYSYMBOL_IF_WCP = 219,                   /* IF_WCP  */
  YYSYMBOL_END_WCP = 220,                  /* END_WCP  */
  YYSYMBOL_POP_WCP = 221,                  /* POP_WCP  */
  YYSYMBOL_SETTINGS_WCP = 222,             /* SETTINGS_WCP  */
  YYSYMBOL_WINDOW_WCP = 223,               /* WINDOW_WCP  */
  YYSYMBOL_GOTO_WCP = 224,                 /* GOTO_WCP  */
  YYSYMBOL_PUSHUSEOUTPUT_WCP = 225,        /* PUSHUSEOUTPUT_WCP  */
  YYSYMBOL_DODEBUG_WCP = 226,              /* DODEBUG_WCP  */
  YYSYMBOL_WPURECURSIVE_WCP = 227,         /* WPURECURSIVE_WCP  */
  YYSYMBOL_WPUTAKEDIRS_WCP = 228,          /* WPUTAKEDIRS_WCP  */
  YYSYMBOL_STACKNR_WCP = 229,              /* STACKNR_WCP  */
  YYSYMBOL_PUSHSTRING_WCP = 230,           /* PUSHSTRING_WCP  */
  YYSYMBOL_IFTEST_WCP = 231,               /* IFTEST_WCP  */
  YYSYMBOL_IFLABEL_WCP = 232,              /* IFLABEL_WCP  */
  YYSYMBOL_WINTYPE_WCP = 233,              /* WINTYPE_WCP  */
  YYSYMBOL_OPEN_WCP = 234,                 /* OPEN_WCP  */
  YYSYMBOL_CLOSE_WCP = 235,                /* CLOSE_WCP  */
  YYSYMBOL_LEAVE_WCP = 236,                /* LEAVE_WCP  */
  YYSYMBOL_CHANGEPROGRESS_WCP = 237,       /* CHANGEPROGRESS_WCP  */
  YYSYMBOL_CHANGETEXT_WCP = 238,           /* CHANGETEXT_WCP  */
  YYSYMBOL_PROGRESSUSEOUTPUT_WCP = 239,    /* PROGRESSUSEOUTPUT_WCP  */
  YYSYMBOL_WINTEXTUSEOUTPUT_WCP = 240,     /* WINTEXTUSEOUTPUT_WCP  */
  YYSYMBOL_PROGRESS_WCP = 241,             /* PROGRESS_WCP  */
  YYSYMBOL_WINTEXT_WCP = 242,              /* WINTEXT_WCP  */
  YYSYMBOL_SHOWDIRCACHEOP_WCP = 243,       /* SHOWDIRCACHEOP_WCP  */
  YYSYMBOL_INODE_WCP = 244,                /* INODE_WCP  */
  YYSYMBOL_NLINK_WCP = 245,                /* NLINK_WCP  */
  YYSYMBOL_BLOCKS_WCP = 246,               /* BLOCKS_WCP  */
  YYSYMBOL_SHOWHEADER_WCP = 247,           /* SHOWHEADER_WCP  */
  YYSYMBOL_LVHEADER_WCP = 248,             /* LVHEADER_WCP  */
  YYSYMBOL_IGNORECASE_WCP = 249,           /* IGNORECASE_WCP  */
  YYSYMBOL_LISTVIEWS_WCP = 250,            /* LISTVIEWS_WCP  */
  YYSYMBOL_BLL_WCP = 251,                  /* BLL_WCP  */
  YYSYMBOL_LBL_WCP = 252,                  /* LBL_WCP  */
  YYSYMBOL_LLB_WCP = 253,                  /* LLB_WCP  */
  YYSYMBOL_BL_WCP = 254,                   /* BL_WCP  */
  YYSYMBOL_LB_WCP = 255,                   /* LB_WCP  */
  YYSYMBOL_LAYOUT_WCP = 256,               /* LAYOUT_WCP  */
  YYSYMBOL_BUTTONSVERT_WCP = 257,          /* BUTTONSVERT_WCP  */
  YYSYMBOL_LISTVIEWSVERT_WCP = 258,        /* LISTVIEWSVERT_WCP  */
  YYSYMBOL_LISTVIEWWEIGHT_WCP = 259,       /* LISTVIEWWEIGHT_WCP  */
  YYSYMBOL_WEIGHTTOACTIVE_WCP = 260,       /* WEIGHTTOACTIVE_WCP  */
  YYSYMBOL_EXTCOND_WCP = 261,              /* EXTCOND_WCP  */
  YYSYMBOL_USEEXTCOND_WCP = 262,           /* USEEXTCOND_WCP  */
  YYSYMBOL_SUBTYPE_WCP = 263,              /* SUBTYPE_WCP  */
  YYSYMBOL_PARENTACTIONOP_WCP = 264,       /* PARENTACTIONOP_WCP  */
  YYSYMBOL_NOOPERATIONOP_WCP = 265,        /* NOOPERATIONOP_WCP  */
  YYSYMBOL_COLORMODE_WCP = 266,            /* COLORMODE_WCP  */
  YYSYMBOL_DEFAULT_WCP = 267,              /* DEFAULT_WCP  */
  YYSYMBOL_CUSTOM_WCP = 268,               /* CUSTOM_WCP  */
  YYSYMBOL_UNSELECTCOLOR_WCP = 269,        /* UNSELECTCOLOR_WCP  */
  YYSYMBOL_SELECTCOLOR_WCP = 270,          /* SELECTCOLOR_WCP  */
  YYSYMBOL_UNSELECTACTIVECOLOR_WCP = 271,  /* UNSELECTACTIVECOLOR_WCP  */
  YYSYMBOL_SELECTACTIVECOLOR_WCP = 272,    /* SELECTACTIVECOLOR_WCP  */
  YYSYMBOL_COLOREXTERNPROG_WCP = 273,      /* COLOREXTERNPROG_WCP  */
  YYSYMBOL_PARENT_WCP = 274,               /* PARENT_WCP  */
  YYSYMBOL_DONTCD_WCP = 275,               /* DONTCD_WCP  */
  YYSYMBOL_DONTCHECKVIRTUAL_WCP = 276,     /* DONTCHECKVIRTUAL_WCP  */
  YYSYMBOL_GOFTPOP_WCP = 277,              /* GOFTPOP_WCP  */
  YYSYMBOL_HOSTNAME_WCP = 278,             /* HOSTNAME_WCP  */
  YYSYMBOL_USERNAME_WCP = 279,             /* USERNAME_WCP  */
  YYSYMBOL_PASSWORD_WCP = 280,             /* PASSWORD_WCP  */
  YYSYMBOL_DONTENTERFTP_WCP = 281,         /* DONTENTERFTP_WCP  */
  YYSYMBOL_ALWAYSSTOREPW_WCP = 282,        /* ALWAYSSTOREPW_WCP  */
  YYSYMBOL_INTERNALVIEWOP_WCP = 283,       /* INTERNALVIEWOP_WCP  */
  YYSYMBOL_CUSTOMFILES_WCP = 284,          /* CUSTOMFILES_WCP  */
  YYSYMBOL_SHOWMODE_WCP = 285,             /* SHOWMODE_WCP  */
  YYSYMBOL_SELECTED_WCP = 286,             /* SELECTED_WCP  */
  YYSYMBOL_REVERSESEARCH_WCP = 287,        /* REVERSESEARCH_WCP  */
  YYSYMBOL_MOUSECONF_WCP = 288,            /* MOUSECONF_WCP  */
  YYSYMBOL_SELECTBUTTON_WCP = 289,         /* SELECTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEBUTTON_WCP = 290,       /* ACTIVATEBUTTON_WCP  */
  YYSYMBOL_SCROLLBUTTON_WCP = 291,         /* SCROLLBUTTON_WCP  */
  YYSYMBOL_SELECTMETHOD_WCP = 292,         /* SELECTMETHOD_WCP  */
  YYSYMBOL_ALTERNATIVE_WCP = 293,          /* ALTERNATIVE_WCP  */
  YYSYMBOL_SEARCHOP_WCP = 294,             /* SEARCHOP_WCP  */
  YYSYMBOL_EDITCOMMAND_WCP = 295,          /* EDITCOMMAND_WCP  */
  YYSYMBOL_SHOWPREVRESULTS_WCP = 296,      /* SHOWPREVRESULTS_WCP  */
  YYSYMBOL_TEXTVIEW_WCP = 297,             /* TEXTVIEW_WCP  */
  YYSYMBOL_TEXTVIEWHIGHLIGHTED_WCP = 298,  /* TEXTVIEWHIGHLIGHTED_WCP  */
  YYSYMBOL_TEXTVIEWSELECTION_WCP = 299,    /* TEXTVIEWSELECTION_WCP  */
  YYSYMBOL_DIRBOOKMARKOP_WCP = 300,        /* DIRBOOKMARKOP_WCP  */
  YYSYMBOL_OPENCONTEXTMENUOP_WCP = 301,    /* OPENCONTEXTMENUOP_WCP  */
  YYSYMBOL_RUNCUSTOMACTION_WCP = 302,      /* RUNCUSTOMACTION_WCP  */
  YYSYMBOL_CUSTOMNAME_WCP = 303,           /* CUSTOMNAME_WCP  */
  YYSYMBOL_CONTEXTBUTTON_WCP = 304,        /* CONTEXTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEMOD_WCP = 305,          /* ACTIVATEMOD_WCP  */
  YYSYMBOL_SCROLLMOD_WCP = 306,            /* SCROLLMOD_WCP  */
  YYSYMBOL_CONTEXTMOD_WCP = 307,           /* CONTEXTMOD_WCP  */
  YYSYMBOL_NONE_WCP = 308,                 /* NONE_WCP  */
  YYSYMBOL_CUSTOMACTION_WCP = 309,         /* CUSTOMACTION_WCP  */
  YYSYMBOL_SAVE_WORKER_STATE_ON_EXIT_WCP = 310, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
  YYSYMBOL_OPENWORKERMENUOP_WCP = 311,     /* OPENWORKERMENUOP_WCP  */
  YYSYMBOL_CHANGELABELOP_WCP = 312,        /* CHANGELABELOP_WCP  */
  YYSYMBOL_ASKFORLABEL_WCP = 313,          /* ASKFORLABEL_WCP  */
  YYSYMBOL_LABELCOLORS_WCP = 314,          /* LABELCOLORS_WCP  */
  YYSYMBOL_BOOKMARKLABEL_WCP = 315,        /* BOOKMARKLABEL_WCP  */
  YYSYMBOL_BOOKMARKFILTER_WCP = 316,       /* BOOKMARKFILTER_WCP  */
  YYSYMBOL_SHOWONLYBOOKMARKS_WCP = 317,    /* SHOWONLYBOOKMARKS_WCP  */
  YYSYMBOL_SHOWONLYLABEL_WCP = 318,        /* SHOWONLYLABEL_WCP  */
  YYSYMBOL_SHOWALL_WCP = 319,              /* SHOWALL_WCP  */
  YYSYMBOL_OPTIONMODE_WCP = 320,           /* OPTIONMODE_WCP  */
  YYSYMBOL_INVERT_WCP = 321,               /* INVERT_WCP  */
  YYSYMBOL_SET_WCP = 322,                  /* SET_WCP  */
  YYSYMBOL_CHANGEFILTERS_WCP = 323,        /* CHANGEFILTERS_WCP  */
  YYSYMBOL_CHANGEBOOKMARKS_WCP = 324,      /* CHANGEBOOKMARKS_WCP  */
  YYSYMBOL_QUERYLABEL_WCP = 325,           /* QUERYLABEL_WCP  */
  YYSYMBOL_MODIFYTABSOP_WCP = 326,         /* MODIFYTABSOP_WCP  */
  YYSYMBOL_TABACTION_WCP = 327,            /* TABACTION_WCP  */
  YYSYMBOL_NEWTAB_WCP = 328,               /* NEWTAB_WCP  */
  YYSYMBOL_CLOSECURRENTTAB_WCP = 329,      /* CLOSECURRENTTAB_WCP  */
  YYSYMBOL_NEXTTAB_WCP = 330,              /* NEXTTAB_WCP  */
  YYSYMBOL_PREVTAB_WCP = 331,              /* PREVTAB_WCP  */
  YYSYMBOL_TOGGLELOCKSTATE_WCP = 332,      /* TOGGLELOCKSTATE_WCP  */
  YYSYMBOL_MOVETABLEFT_WCP = 333,          /* MOVETABLEFT_WCP  */
  YYSYMBOL_MOVETABRIGHT_WCP = 334,         /* MOVETABRIGHT_WCP  */
  YYSYMBOL_CHANGELAYOUTOP_WCP = 335,       /* CHANGELAYOUTOP_WCP  */
  YYSYMBOL_INFIXSEARCH_WCP = 336,          /* INFIXSEARCH_WCP  */
  YYSYMBOL_VOLUMEMANAGEROP_WCP = 337,      /* VOLUMEMANAGEROP_WCP  */
  YYSYMBOL_ERROR = 338,                    /* ERROR  */
  YYSYMBOL_ACTIVESIDE_WCP = 339,           /* ACTIVESIDE_WCP  */
  YYSYMBOL_SHOWFREESPACE_WCP = 340,        /* SHOWFREESPACE_WCP  */
  YYSYMBOL_ACTIVEMODE_WCP = 341,           /* ACTIVEMODE_WCP  */
  YYSYMBOL_ASK_WCP = 342,                  /* ASK_WCP  */
  YYSYMBOL_SSHALLOW_WCP = 343,             /* SSHALLOW_WCP  */
  YYSYMBOL_FIELD_WIDTH_WCP = 344,          /* FIELD_WIDTH_WCP  */
  YYSYMBOL_QUICKSEARCHENABLED_WCP = 345,   /* QUICKSEARCHENABLED_WCP  */
  YYSYMBOL_FILTEREDSEARCHENABLED_WCP = 346, /* FILTEREDSEARCHENABLED_WCP  */
  YYSYMBOL_XFTFONTS_WCP = 347,             /* XFTFONTS_WCP  */
  YYSYMBOL_USEMAGIC_WCP = 348,             /* USEMAGIC_WCP  */
  YYSYMBOL_MAGICPATTERN_WCP = 349,         /* MAGICPATTERN_WCP  */
  YYSYMBOL_MAGICCOMPRESSED_WCP = 350,      /* MAGICCOMPRESSED_WCP  */
  YYSYMBOL_MAGICMIME_WCP = 351,            /* MAGICMIME_WCP  */
  YYSYMBOL_VOLUMEMANAGER_WCP = 352,        /* VOLUMEMANAGER_WCP  */
  YYSYMBOL_MOUNTCOMMAND_WCP = 353,         /* MOUNTCOMMAND_WCP  */
  YYSYMBOL_UNMOUNTCOMMAND_WCP = 354,       /* UNMOUNTCOMMAND_WCP  */
  YYSYMBOL_FSTABFILE_WCP = 355,            /* FSTABFILE_WCP  */
  YYSYMBOL_MTABFILE_WCP = 356,             /* MTABFILE_WCP  */
  YYSYMBOL_PARTFILE_WCP = 357,             /* PARTFILE_WCP  */
  YYSYMBOL_REQUESTACTION_WCP = 358,        /* REQUESTACTION_WCP  */
  YYSYMBOL_SIZEH_WCP = 359,                /* SIZEH_WCP  */
  YYSYMBOL_NEXTAGING_WCP = 360,            /* NEXTAGING_WCP  */
  YYSYMBOL_ENTRY_WCP = 361,                /* ENTRY_WCP  */
  YYSYMBOL_PREFIX_WCP = 362,               /* PREFIX_WCP  */
  YYSYMBOL_VALUE_WCP = 363,                /* VALUE_WCP  */
  YYSYMBOL_EXTENSION_WCP = 364,            /* EXTENSION_WCP  */
  YYSYMBOL_EJECTCOMMAND_WCP = 365,         /* EJECTCOMMAND_WCP  */
  YYSYMBOL_CLOSETRAYCOMMAND_WCP = 366,     /* CLOSETRAYCOMMAND_WCP  */
  YYSYMBOL_AVFSMODULE_WCP = 367,           /* AVFSMODULE_WCP  */
  YYSYMBOL_FLEXIBLEMATCH_WCP = 368,        /* FLEXIBLEMATCH_WCP  */
  YYSYMBOL_USE_VERSION_STRING_COMPARE_WCP = 369, /* USE_VERSION_STRING_COMPARE_WCP  */
  YYSYMBOL_SWITCHBUTTONBANKOP_WCP = 370,   /* SWITCHBUTTONBANKOP_WCP  */
  YYSYMBOL_SWITCHTONEXTBANK_WCP = 371,     /* SWITCHTONEXTBANK_WCP  */
  YYSYMBOL_SWITCHTOPREVBANK_WCP = 372,     /* SWITCHTOPREVBANK_WCP  */
  YYSYMBOL_SWITCHTOBANKNR_WCP = 373,       /* SWITCHTOBANKNR_WCP  */
  YYSYMBOL_BANKNR_WCP = 374,               /* BANKNR_WCP  */
  YYSYMBOL_USE_VIRTUAL_TEMP_COPIES_WCP = 375, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
  YYSYMBOL_PATHJUMPOP_WCP = 376,           /* PATHJUMPOP_WCP  */
  YYSYMBOL_PATHJUMPALLOWDIRS_WCP = 377,    /* PATHJUMPALLOWDIRS_WCP  */
  YYSYMBOL_CLIPBOARDOP_WCP = 378,          /* CLIPBOARDOP_WCP  */
  YYSYMBOL_CLIPBOARDSTRING_WCP = 379,      /* CLIPBOARDSTRING_WCP  */
  YYSYMBOL_COMMANDSTRING_WCP = 380,        /* COMMANDSTRING_WCP  */
  YYSYMBOL_EVALCOMMAND_WCP = 381,          /* EVALCOMMAND_WCP  */
  YYSYMBOL_WATCHMODE_WCP = 382,            /* WATCHMODE_WCP  */
  YYSYMBOL_APPLY_WINDOW_DIALOG_TYPE_WCP = 383, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
  YYSYMBOL_FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 384, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
  YYSYMBOL_COMMANDMENUOP_WCP = 385,        /* COMMANDMENUOP_WCP  */
  YYSYMBOL_SEARCHMODEONKEYPRESS_WCP = 386, /* SEARCHMODEONKEYPRESS_WCP  */
  YYSYMBOL_PATHENTRYONTOP_WCP = 387,       /* PATHENTRYONTOP_WCP  */
  YYSYMBOL_STORE_FILES_ALWAYS_WCP = 388,   /* STORE_FILES_ALWAYS_WCP  */
  YYSYMBOL_PATHJUMPSETS_WCP = 389,         /* PATHJUMPSETS_WCP  */
  YYSYMBOL_SHOWDOTDOT_WCP = 390,           /* SHOWDOTDOT_WCP  */
  YYSYMBOL_SHOWBREADCRUMB_WCP = 391,       /* SHOWBREADCRUMB_WCP  */
  YYSYMBOL_FACES_WCP = 392,                /* FACES_WCP  */
  YYSYMBOL_FACE_WCP = 393,                 /* FACE_WCP  */
  YYSYMBOL_ENABLE_INFO_LINE_WCP = 394,     /* ENABLE_INFO_LINE_WCP  */
  YYSYMBOL_INFO_LINE_LUA_MODE_WCP = 395,   /* INFO_LINE_LUA_MODE_WCP  */
  YYSYMBOL_INFO_LINE_CONTENT_WCP = 396,    /* INFO_LINE_CONTENT_WCP  */
  YYSYMBOL_RESTORE_TABS_MODE_WCP = 397,    /* RESTORE_TABS_MODE_WCP  */
  YYSYMBOL_STORE_TABS_MODE_WCP = 398,      /* STORE_TABS_MODE_WCP  */
  YYSYMBOL_AS_EXIT_STATE_WCP = 399,        /* AS_EXIT_STATE_WCP  */
  YYSYMBOL_USE_EXTENDED_REGEX_WCP = 400,   /* USE_EXTENDED_REGEX_WCP  */
  YYSYMBOL_HIGHLIGHT_USER_ACTION_WCP = 401, /* HIGHLIGHT_USER_ACTION_WCP  */
  YYSYMBOL_CHTIMEOP_WCP = 402,             /* CHTIMEOP_WCP  */
  YYSYMBOL_ADJUSTRELATIVESYMLINKS_WCP = 403, /* ADJUSTRELATIVESYMLINKS_WCP  */
  YYSYMBOL_OUTSIDE_WCP = 404,              /* OUTSIDE_WCP  */
  YYSYMBOL_EDIT_WCP = 405,                 /* EDIT_WCP  */
  YYSYMBOL_MAKEABSOLUTE_WCP = 406,         /* MAKEABSOLUTE_WCP  */
  YYSYMBOL_MAKERELATIVE_WCP = 407,         /* MAKERELATIVE_WCP  */
  YYSYMBOL_MAGICIGNORECASE_WCP = 408,      /* MAGICIGNORECASE_WCP  */
  YYSYMBOL_ENSURE_FILE_PERMISSIONS_WCP = 409, /* ENSURE_FILE_PERMISSIONS_WCP  */
  YYSYMBOL_USER_RW_WCP = 410,              /* USER_RW_WCP  */
  YYSYMBOL_USER_RW_GROUP_R_WCP = 411,      /* USER_RW_GROUP_R_WCP  */
  YYSYMBOL_USER_RW_ALL_R_WCP = 412,        /* USER_RW_ALL_R_WCP  */
  YYSYMBOL_LEAVE_UNMODIFIED_WCP = 413,     /* LEAVE_UNMODIFIED_WCP  */
  YYSYMBOL_PREFERUDISKSVERSION_WCP = 414,  /* PREFERUDISKSVERSION_WCP  */
  YYSYMBOL_CHANGECOLUMNSOP_WCP = 415,      /* CHANGECOLUMNSOP_WCP  */
  YYSYMBOL_PATTERNISCOMMASEPARATED_WCP = 416, /* PATTERNISCOMMASEPARATED_WCP  */
  YYSYMBOL_STRCASECMP_WCP = 417,           /* STRCASECMP_WCP  */
  YYSYMBOL_USE_STRING_COMPARE_MODE_WCP = 418, /* USE_STRING_COMPARE_MODE_WCP  */
  YYSYMBOL_VIEWNEWESTFILESOP_WCP = 419,    /* VIEWNEWESTFILESOP_WCP  */
  YYSYMBOL_SHOWRECENT_WCP = 420,           /* SHOWRECENT_WCP  */
  YYSYMBOL_DIRCOMPAREOP_WCP = 421,         /* DIRCOMPAREOP_WCP  */
  YYSYMBOL_TABPROFILESOP_WCP = 422,        /* TABPROFILESOP_WCP  */
  YYSYMBOL_EXTERNALVDIROP_WCP = 423,       /* EXTERNALVDIROP_WCP  */
  YYSYMBOL_VDIR_PRESERVE_DIR_STRUCTURE_WCP = 424, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
  YYSYMBOL_OPENTABMENUOP_WCP = 425,        /* OPENTABMENUOP_WCP  */
  YYSYMBOL_INITIALTAB_WCP = 426,           /* INITIALTAB_WCP  */
  YYSYMBOL_SHOWBYTIME_WCP = 427,           /* SHOWBYTIME_WCP  */
  YYSYMBOL_SHOWBYFILTER_WCP = 428,         /* SHOWBYFILTER_WCP  */
  YYSYMBOL_SHOWBYPROGRAM_WCP = 429,        /* SHOWBYPROGRAM_WCP  */
  YYSYMBOL_TERMINAL_RETURNS_EARLY_WCP = 430, /* TERMINAL_RETURNS_EARLY_WCP  */
  YYSYMBOL_DIRECTORYPRESETS_WCP = 431,     /* DIRECTORYPRESETS_WCP  */
  YYSYMBOL_DIRECTORYPRESET_WCP = 432,      /* DIRECTORYPRESET_WCP  */
  YYSYMBOL_HELPOP_WCP = 433,               /* HELPOP_WCP  */
  YYSYMBOL_PRIORITY_WCP = 434,             /* PRIORITY_WCP  */
  YYSYMBOL_AUTOFILTER_WCP = 435,           /* AUTOFILTER_WCP  */
  YYSYMBOL_ENABLE_CUSTOM_LVB_LINE_WCP = 436, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_LVB_LINE_WCP = 437,      /* CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 438, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
  YYSYMBOL_IMMEDIATE_FILTER_APPLY_WCP = 439, /* IMMEDIATE_FILTER_APPLY_WCP  */
  YYSYMBOL_DISABLEBGCHECKPREFIX_WCP = 440, /* DISABLEBGCHECKPREFIX_WCP  */
  YYSYMBOL_DISPLAYMODE_WCP = 441,          /* DISPLAYMODE_WCP  */
  YYSYMBOL_SHOWSUBDIRS_WCP = 442,          /* SHOWSUBDIRS_WCP  */
  YYSYMBOL_SHOWDIRECTSUBDIRS_WCP = 443,    /* SHOWDIRECTSUBDIRS_WCP  */
  YYSYMBOL_INCLUDEALL_WCP = 444,           /* INCLUDEALL_WCP  */
  YYSYMBOL_APPLYMODE_WCP = 445,            /* APPLYMODE_WCP  */
  YYSYMBOL_ADD_WCP = 446,                  /* ADD_WCP  */
  YYSYMBOL_REMOVE_WCP = 447,               /* REMOVE_WCP  */
  YYSYMBOL_HIDENONEXISTING_WCP = 448,      /* HIDENONEXISTING_WCP  */
  YYSYMBOL_VIEWCOMMANDLOGOP_WCP = 449,     /* VIEWCOMMANDLOGOP_WCP  */
  YYSYMBOL_LOCKONCURRENTDIR_WCP = 450,     /* LOCKONCURRENTDIR_WCP  */
  YYSYMBOL_STRING_WCP = 451,               /* STRING_WCP  */
  YYSYMBOL_NUM_WCP = 452,                  /* NUM_WCP  */
  YYSYMBOL_453_ = 453,                     /* '.'  */
  YYSYMBOL_454_ = 454,                     /* ';'  */
  YYSYMBOL_455_ = 455,                     /* '='  */
  YYSYMBOL_456_ = 456,                     /* ','  */
  YYSYMBOL_YYACCEPT = 457,                 /* $accept  */
  YYSYMBOL_S = 458,                        /* S  */
  YYSYMBOL_459_1 = 459,                    /* $@1  */
  YYSYMBOL_460_2 = 460,                    /* $@2  */
  YYSYMBOL_start = 461,                    /* start  */
  YYSYMBOL_462_3 = 462,                    /* $@3  */
  YYSYMBOL_463_4 = 463,                    /* $@4  */
  YYSYMBOL_464_5 = 464,                    /* $@5  */
  YYSYMBOL_465_6 = 465,                    /* $@6  */
  YYSYMBOL_466_7 = 466,                    /* $@7  */
  YYSYMBOL_467_8 = 467,                    /* $@8  */
  YYSYMBOL_468_9 = 468,                    /* $@9  */
  YYSYMBOL_469_10 = 469,                   /* $@10  */
  YYSYMBOL_470_11 = 470,                   /* $@11  */
  YYSYMBOL_471_12 = 471,                   /* $@12  */
  YYSYMBOL_472_13 = 472,                   /* $@13  */
  YYSYMBOL_473_14 = 473,                   /* $@14  */
  YYSYMBOL_474_15 = 474,                   /* $@15  */
  YYSYMBOL_475_16 = 475,                   /* $@16  */
  YYSYMBOL_pjallowdirs = 476,              /* pjallowdirs  */
  YYSYMBOL_477_17 = 477,                   /* $@17  */
  YYSYMBOL_pathjumpsets = 478,             /* pathjumpsets  */
  YYSYMBOL_479_18 = 479,                   /* $@18  */
  YYSYMBOL_glb = 480,                      /* glb  */
  YYSYMBOL_481_19 = 481,                   /* $@19  */
  YYSYMBOL_482_20 = 482,                   /* $@20  */
  YYSYMBOL_483_21 = 483,                   /* $@21  */
  YYSYMBOL_484_22 = 484,                   /* $@22  */
  YYSYMBOL_485_23 = 485,                   /* $@23  */
  YYSYMBOL_486_24 = 486,                   /* $@24  */
  YYSYMBOL_487_25 = 487,                   /* $@25  */
  YYSYMBOL_488_26 = 488,                   /* $@26  */
  YYSYMBOL_489_27 = 489,                   /* $@27  */
  YYSYMBOL_490_28 = 490,                   /* $@28  */
  YYSYMBOL_491_29 = 491,                   /* $@29  */
  YYSYMBOL_492_30 = 492,                   /* $@30  */
  YYSYMBOL_493_31 = 493,                   /* $@31  */
  YYSYMBOL_494_32 = 494,                   /* $@32  */
  YYSYMBOL_495_33 = 495,                   /* $@33  */
  YYSYMBOL_496_34 = 496,                   /* $@34  */
  YYSYMBOL_497_35 = 497,                   /* $@35  */
  YYSYMBOL_layout = 498,                   /* layout  */
  YYSYMBOL_499_36 = 499,                   /* $@36  */
  YYSYMBOL_500_37 = 500,                   /* $@37  */
  YYSYMBOL_501_38 = 501,                   /* $@38  */
  YYSYMBOL_502_39 = 502,                   /* $@39  */
  YYSYMBOL_503_40 = 503,                   /* $@40  */
  YYSYMBOL_504_41 = 504,                   /* $@41  */
  YYSYMBOL_505_42 = 505,                   /* $@42  */
  YYSYMBOL_506_43 = 506,                   /* $@43  */
  YYSYMBOL_507_44 = 507,                   /* $@44  */
  YYSYMBOL_508_45 = 508,                   /* $@45  */
  YYSYMBOL_509_46 = 509,                   /* $@46  */
  YYSYMBOL_510_47 = 510,                   /* $@47  */
  YYSYMBOL_511_48 = 511,                   /* $@48  */
  YYSYMBOL_pal = 512,                      /* pal  */
  YYSYMBOL_513_49 = 513,                   /* $@49  */
  YYSYMBOL_listersets = 514,               /* listersets  */
  YYSYMBOL_515_50 = 515,                   /* $@50  */
  YYSYMBOL_516_51 = 516,                   /* $@51  */
  YYSYMBOL_listersets2 = 517,              /* listersets2  */
  YYSYMBOL_518_52 = 518,                   /* $@52  */
  YYSYMBOL_519_53 = 519,                   /* $@53  */
  YYSYMBOL_520_54 = 520,                   /* $@54  */
  YYSYMBOL_521_55 = 521,                   /* $@55  */
  YYSYMBOL_522_56 = 522,                   /* $@56  */
  YYSYMBOL_523_57 = 523,                   /* $@57  */
  YYSYMBOL_524_58 = 524,                   /* $@58  */
  YYSYMBOL_displaysets = 525,              /* displaysets  */
  YYSYMBOL_526_59 = 526,                   /* $@59  */
  YYSYMBOL_527_60 = 527,                   /* $@60  */
  YYSYMBOL_528_61 = 528,                   /* $@61  */
  YYSYMBOL_529_62 = 529,                   /* $@62  */
  YYSYMBOL_530_63 = 530,                   /* $@63  */
  YYSYMBOL_531_64 = 531,                   /* $@64  */
  YYSYMBOL_532_65 = 532,                   /* $@65  */
  YYSYMBOL_533_66 = 533,                   /* $@66  */
  YYSYMBOL_534_67 = 534,                   /* $@67  */
  YYSYMBOL_535_68 = 535,                   /* $@68  */
  YYSYMBOL_536_69 = 536,                   /* $@69  */
  YYSYMBOL_537_70 = 537,                   /* $@70  */
  YYSYMBOL_538_71 = 538,                   /* $@71  */
  YYSYMBOL_539_72 = 539,                   /* $@72  */
  YYSYMBOL_timesets = 540,                 /* timesets  */
  YYSYMBOL_541_73 = 541,                   /* $@73  */
  YYSYMBOL_542_74 = 542,                   /* $@74  */
  YYSYMBOL_543_75 = 543,                   /* $@75  */
  YYSYMBOL_544_76 = 544,                   /* $@76  */
  YYSYMBOL_545_77 = 545,                   /* $@77  */
  YYSYMBOL_546_78 = 546,                   /* $@78  */
  YYSYMBOL_547_79 = 547,                   /* $@79  */
  YYSYMBOL_548_80 = 548,                   /* $@80  */
  YYSYMBOL_549_81 = 549,                   /* $@81  */
  YYSYMBOL_550_82 = 550,                   /* $@82  */
  YYSYMBOL_551_83 = 551,                   /* $@83  */
  YYSYMBOL_mouseconf = 552,                /* mouseconf  */
  YYSYMBOL_553_84 = 553,                   /* $@84  */
  YYSYMBOL_554_85 = 554,                   /* $@85  */
  YYSYMBOL_555_86 = 555,                   /* $@86  */
  YYSYMBOL_556_87 = 556,                   /* $@87  */
  YYSYMBOL_557_88 = 557,                   /* $@88  */
  YYSYMBOL_558_89 = 558,                   /* $@89  */
  YYSYMBOL_559_90 = 559,                   /* $@90  */
  YYSYMBOL_560_91 = 560,                   /* $@91  */
  YYSYMBOL_561_92 = 561,                   /* $@92  */
  YYSYMBOL_562_93 = 562,                   /* $@93  */
  YYSYMBOL_563_94 = 563,                   /* $@94  */
  YYSYMBOL_564_95 = 564,                   /* $@95  */
  YYSYMBOL_cols = 565,                     /* cols  */
  YYSYMBOL_566_96 = 566,                   /* $@96  */
  YYSYMBOL_567_97 = 567,                   /* $@97  */
  YYSYMBOL_568_98 = 568,                   /* $@98  */
  YYSYMBOL_569_99 = 569,                   /* $@99  */
  YYSYMBOL_570_100 = 570,                  /* $@100  */
  YYSYMBOL_571_101 = 571,                  /* $@101  */
  YYSYMBOL_572_102 = 572,                  /* $@102  */
  YYSYMBOL_573_103 = 573,                  /* $@103  */
  YYSYMBOL_574_104 = 574,                  /* $@104  */
  YYSYMBOL_575_105 = 575,                  /* $@105  */
  YYSYMBOL_576_106 = 576,                  /* $@106  */
  YYSYMBOL_577_107 = 577,                  /* $@107  */
  YYSYMBOL_578_108 = 578,                  /* $@108  */
  YYSYMBOL_579_109 = 579,                  /* $@109  */
  YYSYMBOL_580_110 = 580,                  /* $@110  */
  YYSYMBOL_581_111 = 581,                  /* $@111  */
  YYSYMBOL_582_112 = 582,                  /* $@112  */
  YYSYMBOL_583_113 = 583,                  /* $@113  */
  YYSYMBOL_584_114 = 584,                  /* $@114  */
  YYSYMBOL_585_115 = 585,                  /* $@115  */
  YYSYMBOL_labelcolors = 586,              /* labelcolors  */
  YYSYMBOL_587_116 = 587,                  /* $@116  */
  YYSYMBOL_588_117 = 588,                  /* $@117  */
  YYSYMBOL_labelcolor = 589,               /* labelcolor  */
  YYSYMBOL_590_118 = 590,                  /* $@118  */
  YYSYMBOL_591_119 = 591,                  /* $@119  */
  YYSYMBOL_592_120 = 592,                  /* $@120  */
  YYSYMBOL_faces = 593,                    /* faces  */
  YYSYMBOL_594_121 = 594,                  /* $@121  */
  YYSYMBOL_595_122 = 595,                  /* $@122  */
  YYSYMBOL_face = 596,                     /* face  */
  YYSYMBOL_597_123 = 597,                  /* $@123  */
  YYSYMBOL_598_124 = 598,                  /* $@124  */
  YYSYMBOL_startup = 599,                  /* startup  */
  YYSYMBOL_600_125 = 600,                  /* $@125  */
  YYSYMBOL_601_126 = 601,                  /* $@126  */
  YYSYMBOL_602_127 = 602,                  /* $@127  */
  YYSYMBOL_603_128 = 603,                  /* $@128  */
  YYSYMBOL_604_129 = 604,                  /* $@129  */
  YYSYMBOL_605_130 = 605,                  /* $@130  */
  YYSYMBOL_606_131 = 606,                  /* $@131  */
  YYSYMBOL_607_132 = 607,                  /* $@132  */
  YYSYMBOL_608_133 = 608,                  /* $@133  */
  YYSYMBOL_paths = 609,                    /* paths  */
  YYSYMBOL_610_134 = 610,                  /* $@134  */
  YYSYMBOL_611_135 = 611,                  /* $@135  */
  YYSYMBOL_path = 612,                     /* path  */
  YYSYMBOL_613_136 = 613,                  /* $@136  */
  YYSYMBOL_614_137 = 614,                  /* $@137  */
  YYSYMBOL_615_138 = 615,                  /* $@138  */
  YYSYMBOL_616_139 = 616,                  /* $@139  */
  YYSYMBOL_617_140 = 617,                  /* $@140  */
  YYSYMBOL_618_141 = 618,                  /* $@141  */
  YYSYMBOL_keylist = 619,                  /* keylist  */
  YYSYMBOL_620_142 = 620,                  /* $@142  */
  YYSYMBOL_621_143 = 621,                  /* $@143  */
  YYSYMBOL_622_144 = 622,                  /* $@144  */
  YYSYMBOL_623_145 = 623,                  /* $@145  */
  YYSYMBOL_624_146 = 624,                  /* $@146  */
  YYSYMBOL_625_147 = 625,                  /* $@147  */
  YYSYMBOL_626_148 = 626,                  /* $@148  */
  YYSYMBOL_627_149 = 627,                  /* $@149  */
  YYSYMBOL_628_150 = 628,                  /* $@150  */
  YYSYMBOL_629_151 = 629,                  /* $@151  */
  YYSYMBOL_mods = 630,                     /* mods  */
  YYSYMBOL_631_152 = 631,                  /* $@152  */
  YYSYMBOL_632_153 = 632,                  /* $@153  */
  YYSYMBOL_633_154 = 633,                  /* $@154  */
  YYSYMBOL_634_155 = 634,                  /* $@155  */
  YYSYMBOL_635_156 = 635,                  /* $@156  */
  YYSYMBOL_636_157 = 636,                  /* $@157  */
  YYSYMBOL_637_158 = 637,                  /* $@158  */
  YYSYMBOL_638_159 = 638,                  /* $@159  */
  YYSYMBOL_filetypes = 639,                /* filetypes  */
  YYSYMBOL_640_160 = 640,                  /* $@160  */
  YYSYMBOL_641_161 = 641,                  /* $@161  */
  YYSYMBOL_642_162 = 642,                  /* $@162  */
  YYSYMBOL_643_163 = 643,                  /* $@163  */
  YYSYMBOL_644_164 = 644,                  /* $@164  */
  YYSYMBOL_ignoredirs = 645,               /* ignoredirs  */
  YYSYMBOL_646_165 = 646,                  /* $@165  */
  YYSYMBOL_subfiletypes = 647,             /* subfiletypes  */
  YYSYMBOL_648_166 = 648,                  /* $@166  */
  YYSYMBOL_649_167 = 649,                  /* $@167  */
  YYSYMBOL_filetype = 650,                 /* filetype  */
  YYSYMBOL_651_168 = 651,                  /* $@168  */
  YYSYMBOL_652_169 = 652,                  /* $@169  */
  YYSYMBOL_653_170 = 653,                  /* $@170  */
  YYSYMBOL_654_171 = 654,                  /* $@171  */
  YYSYMBOL_655_172 = 655,                  /* $@172  */
  YYSYMBOL_656_173 = 656,                  /* $@173  */
  YYSYMBOL_657_174 = 657,                  /* $@174  */
  YYSYMBOL_658_175 = 658,                  /* $@175  */
  YYSYMBOL_659_176 = 659,                  /* $@176  */
  YYSYMBOL_660_177 = 660,                  /* $@177  */
  YYSYMBOL_661_178 = 661,                  /* $@178  */
  YYSYMBOL_662_179 = 662,                  /* $@179  */
  YYSYMBOL_663_180 = 663,                  /* $@180  */
  YYSYMBOL_664_181 = 664,                  /* $@181  */
  YYSYMBOL_665_182 = 665,                  /* $@182  */
  YYSYMBOL_666_183 = 666,                  /* $@183  */
  YYSYMBOL_667_184 = 667,                  /* $@184  */
  YYSYMBOL_668_185 = 668,                  /* $@185  */
  YYSYMBOL_669_186 = 669,                  /* $@186  */
  YYSYMBOL_670_187 = 670,                  /* $@187  */
  YYSYMBOL_671_188 = 671,                  /* $@188  */
  YYSYMBOL_672_189 = 672,                  /* $@189  */
  YYSYMBOL_673_190 = 673,                  /* $@190  */
  YYSYMBOL_674_191 = 674,                  /* $@191  */
  YYSYMBOL_675_192 = 675,                  /* $@192  */
  YYSYMBOL_676_193 = 676,                  /* $@193  */
  YYSYMBOL_677_194 = 677,                  /* $@194  */
  YYSYMBOL_filecontent = 678,              /* filecontent  */
  YYSYMBOL_679_195 = 679,                  /* $@195  */
  YYSYMBOL_ft_type = 680,                  /* ft_type  */
  YYSYMBOL_ftcommands = 681,               /* ftcommands  */
  YYSYMBOL_682_196 = 682,                  /* $@196  */
  YYSYMBOL_683_197 = 683,                  /* $@197  */
  YYSYMBOL_684_198 = 684,                  /* $@198  */
  YYSYMBOL_685_199 = 685,                  /* $@199  */
  YYSYMBOL_686_200 = 686,                  /* $@200  */
  YYSYMBOL_687_201 = 687,                  /* $@201  */
  YYSYMBOL_688_202 = 688,                  /* $@202  */
  YYSYMBOL_689_203 = 689,                  /* $@203  */
  YYSYMBOL_690_204 = 690,                  /* $@204  */
  YYSYMBOL_691_205 = 691,                  /* $@205  */
  YYSYMBOL_692_206 = 692,                  /* $@206  */
  YYSYMBOL_693_207 = 693,                  /* $@207  */
  YYSYMBOL_commands = 694,                 /* commands  */
  YYSYMBOL_flags = 695,                    /* flags  */
  YYSYMBOL_hotkeys = 696,                  /* hotkeys  */
  YYSYMBOL_697_208 = 697,                  /* $@208  */
  YYSYMBOL_698_209 = 698,                  /* $@209  */
  YYSYMBOL_hotkey = 699,                   /* hotkey  */
  YYSYMBOL_700_210 = 700,                  /* $@210  */
  YYSYMBOL_701_211 = 701,                  /* $@211  */
  YYSYMBOL_702_212 = 702,                  /* $@212  */
  YYSYMBOL_703_213 = 703,                  /* $@213  */
  YYSYMBOL_704_214 = 704,                  /* $@214  */
  YYSYMBOL_buttons = 705,                  /* buttons  */
  YYSYMBOL_706_215 = 706,                  /* $@215  */
  YYSYMBOL_707_216 = 707,                  /* $@216  */
  YYSYMBOL_button = 708,                   /* button  */
  YYSYMBOL_709_217 = 709,                  /* $@217  */
  YYSYMBOL_710_218 = 710,                  /* $@218  */
  YYSYMBOL_711_219 = 711,                  /* $@219  */
  YYSYMBOL_712_220 = 712,                  /* $@220  */
  YYSYMBOL_713_221 = 713,                  /* $@221  */
  YYSYMBOL_714_222 = 714,                  /* $@222  */
  YYSYMBOL_715_223 = 715,                  /* $@223  */
  YYSYMBOL_fonts = 716,                    /* fonts  */
  YYSYMBOL_717_224 = 717,                  /* $@224  */
  YYSYMBOL_718_225 = 718,                  /* $@225  */
  YYSYMBOL_719_226 = 719,                  /* $@226  */
  YYSYMBOL_720_227 = 720,                  /* $@227  */
  YYSYMBOL_721_228 = 721,                  /* $@228  */
  YYSYMBOL_722_229 = 722,                  /* $@229  */
  YYSYMBOL_723_230 = 723,                  /* $@230  */
  YYSYMBOL_xftfonts = 724,                 /* xftfonts  */
  YYSYMBOL_725_231 = 725,                  /* $@231  */
  YYSYMBOL_726_232 = 726,                  /* $@232  */
  YYSYMBOL_727_233 = 727,                  /* $@233  */
  YYSYMBOL_728_234 = 728,                  /* $@234  */
  YYSYMBOL_729_235 = 729,                  /* $@235  */
  YYSYMBOL_730_236 = 730,                  /* $@236  */
  YYSYMBOL_731_237 = 731,                  /* $@237  */
  YYSYMBOL_volumemanager = 732,            /* volumemanager  */
  YYSYMBOL_733_238 = 733,                  /* $@238  */
  YYSYMBOL_734_239 = 734,                  /* $@239  */
  YYSYMBOL_735_240 = 735,                  /* $@240  */
  YYSYMBOL_736_241 = 736,                  /* $@241  */
  YYSYMBOL_737_242 = 737,                  /* $@242  */
  YYSYMBOL_738_243 = 738,                  /* $@243  */
  YYSYMBOL_739_244 = 739,                  /* $@244  */
  YYSYMBOL_740_245 = 740,                  /* $@245  */
  YYSYMBOL_741_246 = 741,                  /* $@246  */
  YYSYMBOL_clockbarsets = 742,             /* clockbarsets  */
  YYSYMBOL_743_247 = 743,                  /* $@247  */
  YYSYMBOL_744_248 = 744,                  /* $@248  */
  YYSYMBOL_745_249 = 745,                  /* $@249  */
  YYSYMBOL_746_250 = 746,                  /* $@250  */
  YYSYMBOL_747_251 = 747,                  /* $@251  */
  YYSYMBOL_748_252 = 748,                  /* $@252  */
  YYSYMBOL_749_253 = 749,                  /* $@253  */
  YYSYMBOL_bool = 750,                     /* bool  */
  YYSYMBOL_command = 751,                  /* command  */
  YYSYMBOL_ownop = 752,                    /* ownop  */
  YYSYMBOL_753_254 = 753,                  /* $@254  */
  YYSYMBOL_ownopbody = 754,                /* ownopbody  */
  YYSYMBOL_755_255 = 755,                  /* $@255  */
  YYSYMBOL_756_256 = 756,                  /* $@256  */
  YYSYMBOL_757_257 = 757,                  /* $@257  */
  YYSYMBOL_758_258 = 758,                  /* $@258  */
  YYSYMBOL_759_259 = 759,                  /* $@259  */
  YYSYMBOL_760_260 = 760,                  /* $@260  */
  YYSYMBOL_761_261 = 761,                  /* $@261  */
  YYSYMBOL_762_262 = 762,                  /* $@262  */
  YYSYMBOL_763_263 = 763,                  /* $@263  */
  YYSYMBOL_764_264 = 764,                  /* $@264  */
  YYSYMBOL_765_265 = 765,                  /* $@265  */
  YYSYMBOL_766_266 = 766,                  /* $@266  */
  YYSYMBOL_767_267 = 767,                  /* $@267  */
  YYSYMBOL_768_268 = 768,                  /* $@268  */
  YYSYMBOL_dndaction = 769,                /* dndaction  */
  YYSYMBOL_770_269 = 770,                  /* $@269  */
  YYSYMBOL_dcaction = 771,                 /* dcaction  */
  YYSYMBOL_772_270 = 772,                  /* $@270  */
  YYSYMBOL_showaction = 773,               /* showaction  */
  YYSYMBOL_774_271 = 774,                  /* $@271  */
  YYSYMBOL_rshowaction = 775,              /* rshowaction  */
  YYSYMBOL_776_272 = 776,                  /* $@272  */
  YYSYMBOL_useraction = 777,               /* useraction  */
  YYSYMBOL_778_273 = 778,                  /* $@273  */
  YYSYMBOL_useractionbody = 779,           /* useractionbody  */
  YYSYMBOL_780_274 = 780,                  /* $@274  */
  YYSYMBOL_rowup = 781,                    /* rowup  */
  YYSYMBOL_782_275 = 782,                  /* $@275  */
  YYSYMBOL_rowdown = 783,                  /* rowdown  */
  YYSYMBOL_784_276 = 784,                  /* $@276  */
  YYSYMBOL_changehiddenflag = 785,         /* changehiddenflag  */
  YYSYMBOL_786_277 = 786,                  /* $@277  */
  YYSYMBOL_changehiddenflagbody = 787,     /* changehiddenflagbody  */
  YYSYMBOL_788_278 = 788,                  /* $@278  */
  YYSYMBOL_789_279 = 789,                  /* $@279  */
  YYSYMBOL_790_280 = 790,                  /* $@280  */
  YYSYMBOL_copyop = 791,                   /* copyop  */
  YYSYMBOL_792_281 = 792,                  /* $@281  */
  YYSYMBOL_copyopbody = 793,               /* copyopbody  */
  YYSYMBOL_794_282 = 794,                  /* $@282  */
  YYSYMBOL_795_283 = 795,                  /* $@283  */
  YYSYMBOL_796_284 = 796,                  /* $@284  */
  YYSYMBOL_797_285 = 797,                  /* $@285  */
  YYSYMBOL_798_286 = 798,                  /* $@286  */
  YYSYMBOL_799_287 = 799,                  /* $@287  */
  YYSYMBOL_800_288 = 800,                  /* $@288  */
  YYSYMBOL_801_289 = 801,                  /* $@289  */
  YYSYMBOL_802_290 = 802,                  /* $@290  */
  YYSYMBOL_803_291 = 803,                  /* $@291  */
  YYSYMBOL_804_292 = 804,                  /* $@292  */
  YYSYMBOL_805_293 = 805,                  /* $@293  */
  YYSYMBOL_806_294 = 806,                  /* $@294  */
  YYSYMBOL_807_295 = 807,                  /* $@295  */
  YYSYMBOL_808_296 = 808,                  /* $@296  */
  YYSYMBOL_809_297 = 809,                  /* $@297  */
  YYSYMBOL_810_298 = 810,                  /* $@298  */
  YYSYMBOL_811_299 = 811,                  /* $@299  */
  YYSYMBOL_812_300 = 812,                  /* $@300  */
  YYSYMBOL_813_301 = 813,                  /* $@301  */
  YYSYMBOL_firstrow = 814,                 /* firstrow  */
  YYSYMBOL_815_302 = 815,                  /* $@302  */
  YYSYMBOL_lastrow = 816,                  /* lastrow  */
  YYSYMBOL_817_303 = 817,                  /* $@303  */
  YYSYMBOL_pageup = 818,                   /* pageup  */
  YYSYMBOL_819_304 = 819,                  /* $@304  */
  YYSYMBOL_pagedown = 820,                 /* pagedown  */
  YYSYMBOL_821_305 = 821,                  /* $@305  */
  YYSYMBOL_selectop = 822,                 /* selectop  */
  YYSYMBOL_823_306 = 823,                  /* $@306  */
  YYSYMBOL_selectallop = 824,              /* selectallop  */
  YYSYMBOL_825_307 = 825,                  /* $@307  */
  YYSYMBOL_selectnoneop = 826,             /* selectnoneop  */
  YYSYMBOL_827_308 = 827,                  /* $@308  */
  YYSYMBOL_invertallop = 828,              /* invertallop  */
  YYSYMBOL_829_309 = 829,                  /* $@309  */
  YYSYMBOL_parentdirop = 830,              /* parentdirop  */
  YYSYMBOL_831_310 = 831,                  /* $@310  */
  YYSYMBOL_enterdirop = 832,               /* enterdirop  */
  YYSYMBOL_833_311 = 833,                  /* $@311  */
  YYSYMBOL_enterdiropbody = 834,           /* enterdiropbody  */
  YYSYMBOL_835_312 = 835,                  /* $@312  */
  YYSYMBOL_836_313 = 836,                  /* $@313  */
  YYSYMBOL_837_314 = 837,                  /* $@314  */
  YYSYMBOL_838_315 = 838,                  /* $@315  */
  YYSYMBOL_839_316 = 839,                  /* $@316  */
  YYSYMBOL_changelistersetop = 840,        /* changelistersetop  */
  YYSYMBOL_841_317 = 841,                  /* $@317  */
  YYSYMBOL_changelistersetopbody = 842,    /* changelistersetopbody  */
  YYSYMBOL_843_318 = 843,                  /* $@318  */
  YYSYMBOL_844_319 = 844,                  /* $@319  */
  YYSYMBOL_845_320 = 845,                  /* $@320  */
  YYSYMBOL_846_321 = 846,                  /* $@321  */
  YYSYMBOL_switchlisterop = 847,           /* switchlisterop  */
  YYSYMBOL_848_322 = 848,                  /* $@322  */
  YYSYMBOL_filterselectop = 849,           /* filterselectop  */
  YYSYMBOL_850_323 = 850,                  /* $@323  */
  YYSYMBOL_filterselectopbody = 851,       /* filterselectopbody  */
  YYSYMBOL_852_324 = 852,                  /* $@324  */
  YYSYMBOL_853_325 = 853,                  /* $@325  */
  YYSYMBOL_854_326 = 854,                  /* $@326  */
  YYSYMBOL_filterunselectop = 855,         /* filterunselectop  */
  YYSYMBOL_856_327 = 856,                  /* $@327  */
  YYSYMBOL_filterunselectopbody = 857,     /* filterunselectopbody  */
  YYSYMBOL_858_328 = 858,                  /* $@328  */
  YYSYMBOL_859_329 = 859,                  /* $@329  */
  YYSYMBOL_860_330 = 860,                  /* $@330  */
  YYSYMBOL_pathtoothersideop = 861,        /* pathtoothersideop  */
  YYSYMBOL_862_331 = 862,                  /* $@331  */
  YYSYMBOL_quitop = 863,                   /* quitop  */
  YYSYMBOL_864_332 = 864,                  /* $@332  */
  YYSYMBOL_quitopbody = 865,               /* quitopbody  */
  YYSYMBOL_866_333 = 866,                  /* $@333  */
  YYSYMBOL_867_334 = 867,                  /* $@334  */
  YYSYMBOL_deleteop = 868,                 /* deleteop  */
  YYSYMBOL_869_335 = 869,                  /* $@335  */
  YYSYMBOL_deleteopbody = 870,             /* deleteopbody  */
  YYSYMBOL_871_336 = 871,                  /* $@336  */
  YYSYMBOL_reloadop = 872,                 /* reloadop  */
  YYSYMBOL_873_337 = 873,                  /* $@337  */
  YYSYMBOL_reloadopbody = 874,             /* reloadopbody  */
  YYSYMBOL_875_338 = 875,                  /* $@338  */
  YYSYMBOL_876_339 = 876,                  /* $@339  */
  YYSYMBOL_877_340 = 877,                  /* $@340  */
  YYSYMBOL_878_341 = 878,                  /* $@341  */
  YYSYMBOL_879_342 = 879,                  /* $@342  */
  YYSYMBOL_880_343 = 880,                  /* $@343  */
  YYSYMBOL_makedirop = 881,                /* makedirop  */
  YYSYMBOL_882_344 = 882,                  /* $@344  */
  YYSYMBOL_renameop = 883,                 /* renameop  */
  YYSYMBOL_884_345 = 884,                  /* $@345  */
  YYSYMBOL_dirsizeop = 885,                /* dirsizeop  */
  YYSYMBOL_886_346 = 886,                  /* $@346  */
  YYSYMBOL_simddop = 887,                  /* simddop  */
  YYSYMBOL_888_347 = 888,                  /* $@347  */
  YYSYMBOL_startprogop = 889,              /* startprogop  */
  YYSYMBOL_890_348 = 890,                  /* $@348  */
  YYSYMBOL_startprogopbody = 891,          /* startprogopbody  */
  YYSYMBOL_892_349 = 892,                  /* $@349  */
  YYSYMBOL_893_350 = 893,                  /* $@350  */
  YYSYMBOL_894_351 = 894,                  /* $@351  */
  YYSYMBOL_895_352 = 895,                  /* $@352  */
  YYSYMBOL_896_353 = 896,                  /* $@353  */
  YYSYMBOL_897_354 = 897,                  /* $@354  */
  YYSYMBOL_898_355 = 898,                  /* $@355  */
  YYSYMBOL_899_356 = 899,                  /* $@356  */
  YYSYMBOL_900_357 = 900,                  /* $@357  */
  YYSYMBOL_901_358 = 901,                  /* $@358  */
  YYSYMBOL_searchentryop = 902,            /* searchentryop  */
  YYSYMBOL_903_359 = 903,                  /* $@359  */
  YYSYMBOL_searchentryopbody = 904,        /* searchentryopbody  */
  YYSYMBOL_905_360 = 905,                  /* $@360  */
  YYSYMBOL_906_361 = 906,                  /* $@361  */
  YYSYMBOL_907_362 = 907,                  /* $@362  */
  YYSYMBOL_908_363 = 908,                  /* $@363  */
  YYSYMBOL_enterpathop = 909,              /* enterpathop  */
  YYSYMBOL_910_364 = 910,                  /* $@364  */
  YYSYMBOL_enterpathopbody = 911,          /* enterpathopbody  */
  YYSYMBOL_912_365 = 912,                  /* $@365  */
  YYSYMBOL_913_366 = 913,                  /* $@366  */
  YYSYMBOL_914_367 = 914,                  /* $@367  */
  YYSYMBOL_915_368 = 915,                  /* $@368  */
  YYSYMBOL_scrolllisterop = 916,           /* scrolllisterop  */
  YYSYMBOL_917_369 = 917,                  /* $@369  */
  YYSYMBOL_scrolllisteropbody = 918,       /* scrolllisteropbody  */
  YYSYMBOL_919_370 = 919,                  /* $@370  */
  YYSYMBOL_920_371 = 920,                  /* $@371  */
  YYSYMBOL_createsymlinkop = 921,          /* createsymlinkop  */
  YYSYMBOL_922_372 = 922,                  /* $@372  */
  YYSYMBOL_createsymlinkopbody = 923,      /* createsymlinkopbody  */
  YYSYMBOL_924_373 = 924,                  /* $@373  */
  YYSYMBOL_925_374 = 925,                  /* $@374  */
  YYSYMBOL_926_375 = 926,                  /* $@375  */
  YYSYMBOL_changesymlinkop = 927,          /* changesymlinkop  */
  YYSYMBOL_928_376 = 928,                  /* $@376  */
  YYSYMBOL_changesymlinkopbody = 929,      /* changesymlinkopbody  */
  YYSYMBOL_930_377 = 930,                  /* $@377  */
  YYSYMBOL_931_378 = 931,                  /* $@378  */
  YYSYMBOL_932_379 = 932,                  /* $@379  */
  YYSYMBOL_chmodop = 933,                  /* chmodop  */
  YYSYMBOL_934_380 = 934,                  /* $@380  */
  YYSYMBOL_chmodopbody = 935,              /* chmodopbody  */
  YYSYMBOL_936_381 = 936,                  /* $@381  */
  YYSYMBOL_937_382 = 937,                  /* $@382  */
  YYSYMBOL_938_383 = 938,                  /* $@383  */
  YYSYMBOL_939_384 = 939,                  /* $@384  */
  YYSYMBOL_940_385 = 940,                  /* $@385  */
  YYSYMBOL_941_386 = 941,                  /* $@386  */
  YYSYMBOL_942_387 = 942,                  /* $@387  */
  YYSYMBOL_943_388 = 943,                  /* $@388  */
  YYSYMBOL_944_389 = 944,                  /* $@389  */
  YYSYMBOL_chtimeop = 945,                 /* chtimeop  */
  YYSYMBOL_946_390 = 946,                  /* $@390  */
  YYSYMBOL_chtimeopbody = 947,             /* chtimeopbody  */
  YYSYMBOL_948_391 = 948,                  /* $@391  */
  YYSYMBOL_949_392 = 949,                  /* $@392  */
  YYSYMBOL_950_393 = 950,                  /* $@393  */
  YYSYMBOL_951_394 = 951,                  /* $@394  */
  YYSYMBOL_togglelistermodeop = 952,       /* togglelistermodeop  */
  YYSYMBOL_953_395 = 953,                  /* $@395  */
  YYSYMBOL_togglelistermodeopbody = 954,   /* togglelistermodeopbody  */
  YYSYMBOL_955_396 = 955,                  /* $@396  */
  YYSYMBOL_setsortmodeop = 956,            /* setsortmodeop  */
  YYSYMBOL_957_397 = 957,                  /* $@397  */
  YYSYMBOL_setsortmodeopbody = 958,        /* setsortmodeopbody  */
  YYSYMBOL_959_398 = 959,                  /* $@398  */
  YYSYMBOL_960_399 = 960,                  /* $@399  */
  YYSYMBOL_961_400 = 961,                  /* $@400  */
  YYSYMBOL_962_401 = 962,                  /* $@401  */
  YYSYMBOL_963_402 = 963,                  /* $@402  */
  YYSYMBOL_964_403 = 964,                  /* $@403  */
  YYSYMBOL_965_404 = 965,                  /* $@404  */
  YYSYMBOL_966_405 = 966,                  /* $@405  */
  YYSYMBOL_967_406 = 967,                  /* $@406  */
  YYSYMBOL_968_407 = 968,                  /* $@407  */
  YYSYMBOL_969_408 = 969,                  /* $@408  */
  YYSYMBOL_970_409 = 970,                  /* $@409  */
  YYSYMBOL_971_410 = 971,                  /* $@410  */
  YYSYMBOL_972_411 = 972,                  /* $@411  */
  YYSYMBOL_setfilterop = 973,              /* setfilterop  */
  YYSYMBOL_974_412 = 974,                  /* $@412  */
  YYSYMBOL_setfilteropbody = 975,          /* setfilteropbody  */
  YYSYMBOL_976_413 = 976,                  /* $@413  */
  YYSYMBOL_977_414 = 977,                  /* $@414  */
  YYSYMBOL_978_415 = 978,                  /* $@415  */
  YYSYMBOL_979_416 = 979,                  /* $@416  */
  YYSYMBOL_980_417 = 980,                  /* $@417  */
  YYSYMBOL_981_418 = 981,                  /* $@418  */
  YYSYMBOL_982_419 = 982,                  /* $@419  */
  YYSYMBOL_983_420 = 983,                  /* $@420  */
  YYSYMBOL_984_421 = 984,                  /* $@421  */
  YYSYMBOL_985_422 = 985,                  /* $@422  */
  YYSYMBOL_986_423 = 986,                  /* $@423  */
  YYSYMBOL_987_424 = 987,                  /* $@424  */
  YYSYMBOL_988_425 = 988,                  /* $@425  */
  YYSYMBOL_989_426 = 989,                  /* $@426  */
  YYSYMBOL_990_427 = 990,                  /* $@427  */
  YYSYMBOL_shortkeyfromlistop = 991,       /* shortkeyfromlistop  */
  YYSYMBOL_992_428 = 992,                  /* $@428  */
  YYSYMBOL_chownop = 993,                  /* chownop  */
  YYSYMBOL_994_429 = 994,                  /* $@429  */
  YYSYMBOL_chownopbody = 995,              /* chownopbody  */
  YYSYMBOL_996_430 = 996,                  /* $@430  */
  YYSYMBOL_997_431 = 997,                  /* $@431  */
  YYSYMBOL_998_432 = 998,                  /* $@432  */
  YYSYMBOL_999_433 = 999,                  /* $@433  */
  YYSYMBOL_scriptop = 1000,                /* scriptop  */
  YYSYMBOL_1001_434 = 1001,                /* $@434  */
  YYSYMBOL_scriptopbody = 1002,            /* scriptopbody  */
  YYSYMBOL_1003_435 = 1003,                /* $@435  */
  YYSYMBOL_1004_436 = 1004,                /* $@436  */
  YYSYMBOL_1005_437 = 1005,                /* $@437  */
  YYSYMBOL_1006_438 = 1006,                /* $@438  */
  YYSYMBOL_1007_439 = 1007,                /* $@439  */
  YYSYMBOL_1008_440 = 1008,                /* $@440  */
  YYSYMBOL_1009_441 = 1009,                /* $@441  */
  YYSYMBOL_1010_442 = 1010,                /* $@442  */
  YYSYMBOL_1011_443 = 1011,                /* $@443  */
  YYSYMBOL_1012_444 = 1012,                /* $@444  */
  YYSYMBOL_1013_445 = 1013,                /* $@445  */
  YYSYMBOL_1014_446 = 1014,                /* $@446  */
  YYSYMBOL_1015_447 = 1015,                /* $@447  */
  YYSYMBOL_1016_448 = 1016,                /* $@448  */
  YYSYMBOL_1017_449 = 1017,                /* $@449  */
  YYSYMBOL_1018_450 = 1018,                /* $@450  */
  YYSYMBOL_1019_451 = 1019,                /* $@451  */
  YYSYMBOL_1020_452 = 1020,                /* $@452  */
  YYSYMBOL_1021_453 = 1021,                /* $@453  */
  YYSYMBOL_1022_454 = 1022,                /* $@454  */
  YYSYMBOL_1023_455 = 1023,                /* $@455  */
  YYSYMBOL_1024_456 = 1024,                /* $@456  */
  YYSYMBOL_1025_457 = 1025,                /* $@457  */
  YYSYMBOL_1026_458 = 1026,                /* $@458  */
  YYSYMBOL_1027_459 = 1027,                /* $@459  */
  YYSYMBOL_1028_460 = 1028,                /* $@460  */
  YYSYMBOL_1029_461 = 1029,                /* $@461  */
  YYSYMBOL_1030_462 = 1030,                /* $@462  */
  YYSYMBOL_1031_463 = 1031,                /* $@463  */
  YYSYMBOL_showdircacheop = 1032,          /* showdircacheop  */
  YYSYMBOL_1033_464 = 1033,                /* $@464  */
  YYSYMBOL_parentactionop = 1034,          /* parentactionop  */
  YYSYMBOL_1035_465 = 1035,                /* $@465  */
  YYSYMBOL_nooperationop = 1036,           /* nooperationop  */
  YYSYMBOL_1037_466 = 1037,                /* $@466  */
  YYSYMBOL_goftpop = 1038,                 /* goftpop  */
  YYSYMBOL_1039_467 = 1039,                /* $@467  */
  YYSYMBOL_goftpopbody = 1040,             /* goftpopbody  */
  YYSYMBOL_1041_468 = 1041,                /* $@468  */
  YYSYMBOL_1042_469 = 1042,                /* $@469  */
  YYSYMBOL_1043_470 = 1043,                /* $@470  */
  YYSYMBOL_1044_471 = 1044,                /* $@471  */
  YYSYMBOL_1045_472 = 1045,                /* $@472  */
  YYSYMBOL_1046_473 = 1046,                /* $@473  */
  YYSYMBOL_1047_474 = 1047,                /* $@474  */
  YYSYMBOL_internalviewop = 1048,          /* internalviewop  */
  YYSYMBOL_1049_475 = 1049,                /* $@475  */
  YYSYMBOL_internalviewopbody = 1050,      /* internalviewopbody  */
  YYSYMBOL_1051_476 = 1051,                /* $@476  */
  YYSYMBOL_1052_477 = 1052,                /* $@477  */
  YYSYMBOL_1053_478 = 1053,                /* $@478  */
  YYSYMBOL_1054_479 = 1054,                /* $@479  */
  YYSYMBOL_clipboardop = 1055,             /* clipboardop  */
  YYSYMBOL_1056_480 = 1056,                /* $@480  */
  YYSYMBOL_clipboardopbody = 1057,         /* clipboardopbody  */
  YYSYMBOL_1058_481 = 1058,                /* $@481  */
  YYSYMBOL_searchop = 1059,                /* searchop  */
  YYSYMBOL_1060_482 = 1060,                /* $@482  */
  YYSYMBOL_searchopbody = 1061,            /* searchopbody  */
  YYSYMBOL_1062_483 = 1062,                /* $@483  */
  YYSYMBOL_1063_484 = 1063,                /* $@484  */
  YYSYMBOL_dirbookmarkop = 1064,           /* dirbookmarkop  */
  YYSYMBOL_1065_485 = 1065,                /* $@485  */
  YYSYMBOL_opencontextmenuop = 1066,       /* opencontextmenuop  */
  YYSYMBOL_1067_486 = 1067,                /* $@486  */
  YYSYMBOL_opencontextmenuopbody = 1068,   /* opencontextmenuopbody  */
  YYSYMBOL_1069_487 = 1069,                /* $@487  */
  YYSYMBOL_runcustomaction = 1070,         /* runcustomaction  */
  YYSYMBOL_1071_488 = 1071,                /* $@488  */
  YYSYMBOL_runcustomactionbody = 1072,     /* runcustomactionbody  */
  YYSYMBOL_1073_489 = 1073,                /* $@489  */
  YYSYMBOL_openworkermenuop = 1074,        /* openworkermenuop  */
  YYSYMBOL_1075_490 = 1075,                /* $@490  */
  YYSYMBOL_changelabelop = 1076,           /* changelabelop  */
  YYSYMBOL_1077_491 = 1077,                /* $@491  */
  YYSYMBOL_changelabelopbody = 1078,       /* changelabelopbody  */
  YYSYMBOL_1079_492 = 1079,                /* $@492  */
  YYSYMBOL_1080_493 = 1080,                /* $@493  */
  YYSYMBOL_modifytabsop = 1081,            /* modifytabsop  */
  YYSYMBOL_1082_494 = 1082,                /* $@494  */
  YYSYMBOL_modifytabsopbody = 1083,        /* modifytabsopbody  */
  YYSYMBOL_1084_495 = 1084,                /* $@495  */
  YYSYMBOL_1085_496 = 1085,                /* $@496  */
  YYSYMBOL_1086_497 = 1086,                /* $@497  */
  YYSYMBOL_1087_498 = 1087,                /* $@498  */
  YYSYMBOL_1088_499 = 1088,                /* $@499  */
  YYSYMBOL_1089_500 = 1089,                /* $@500  */
  YYSYMBOL_1090_501 = 1090,                /* $@501  */
  YYSYMBOL_changelayoutop = 1091,          /* changelayoutop  */
  YYSYMBOL_1092_502 = 1092,                /* $@502  */
  YYSYMBOL_changelayoutopbody = 1093,      /* changelayoutopbody  */
  YYSYMBOL_1094_503 = 1094,                /* $@503  */
  YYSYMBOL_1095_504 = 1095,                /* $@504  */
  YYSYMBOL_1096_505 = 1096,                /* $@505  */
  YYSYMBOL_1097_506 = 1097,                /* $@506  */
  YYSYMBOL_1098_507 = 1098,                /* $@507  */
  YYSYMBOL_1099_508 = 1099,                /* $@508  */
  YYSYMBOL_1100_509 = 1100,                /* $@509  */
  YYSYMBOL_1101_510 = 1101,                /* $@510  */
  YYSYMBOL_1102_511 = 1102,                /* $@511  */
  YYSYMBOL_1103_512 = 1103,                /* $@512  */
  YYSYMBOL_1104_513 = 1104,                /* $@513  */
  YYSYMBOL_1105_514 = 1105,                /* $@514  */
  YYSYMBOL_1106_515 = 1106,                /* $@515  */
  YYSYMBOL_changecolumnsop = 1107,         /* changecolumnsop  */
  YYSYMBOL_1108_516 = 1108,                /* $@516  */
  YYSYMBOL_changecolumnsopbody = 1109,     /* changecolumnsopbody  */
  YYSYMBOL_1110_517 = 1110,                /* $@517  */
  YYSYMBOL_1111_518 = 1111,                /* $@518  */
  YYSYMBOL_1112_519 = 1112,                /* $@519  */
  YYSYMBOL_1113_520 = 1113,                /* $@520  */
  YYSYMBOL_1114_521 = 1114,                /* $@521  */
  YYSYMBOL_1115_522 = 1115,                /* $@522  */
  YYSYMBOL_1116_523 = 1116,                /* $@523  */
  YYSYMBOL_1117_524 = 1117,                /* $@524  */
  YYSYMBOL_1118_525 = 1118,                /* $@525  */
  YYSYMBOL_1119_526 = 1119,                /* $@526  */
  YYSYMBOL_1120_527 = 1120,                /* $@527  */
  YYSYMBOL_1121_528 = 1121,                /* $@528  */
  YYSYMBOL_1122_529 = 1122,                /* $@529  */
  YYSYMBOL_1123_530 = 1123,                /* $@530  */
  YYSYMBOL_volumemanagerop = 1124,         /* volumemanagerop  */
  YYSYMBOL_1125_531 = 1125,                /* $@531  */
  YYSYMBOL_switchbuttonbankop = 1126,      /* switchbuttonbankop  */
  YYSYMBOL_1127_532 = 1127,                /* $@532  */
  YYSYMBOL_switchbuttonbankopbody = 1128,  /* switchbuttonbankopbody  */
  YYSYMBOL_1129_533 = 1129,                /* $@533  */
  YYSYMBOL_1130_534 = 1130,                /* $@534  */
  YYSYMBOL_1131_535 = 1131,                /* $@535  */
  YYSYMBOL_1132_536 = 1132,                /* $@536  */
  YYSYMBOL_pathjumpop = 1133,              /* pathjumpop  */
  YYSYMBOL_1134_537 = 1134,                /* $@537  */
  YYSYMBOL_pathjumpopbody = 1135,          /* pathjumpopbody  */
  YYSYMBOL_1136_538 = 1136,                /* $@538  */
  YYSYMBOL_1137_539 = 1137,                /* $@539  */
  YYSYMBOL_1138_540 = 1138,                /* $@540  */
  YYSYMBOL_1139_541 = 1139,                /* $@541  */
  YYSYMBOL_1140_542 = 1140,                /* $@542  */
  YYSYMBOL_1141_543 = 1141,                /* $@543  */
  YYSYMBOL_1142_544 = 1142,                /* $@544  */
  YYSYMBOL_1143_545 = 1143,                /* $@545  */
  YYSYMBOL_1144_546 = 1144,                /* $@546  */
  YYSYMBOL_commandmenuop = 1145,           /* commandmenuop  */
  YYSYMBOL_1146_547 = 1146,                /* $@547  */
  YYSYMBOL_commandmenuopbody = 1147,       /* commandmenuopbody  */
  YYSYMBOL_1148_548 = 1148,                /* $@548  */
  YYSYMBOL_viewnewestfilesop = 1149,       /* viewnewestfilesop  */
  YYSYMBOL_1150_549 = 1150,                /* $@549  */
  YYSYMBOL_dircompareop = 1151,            /* dircompareop  */
  YYSYMBOL_1152_550 = 1152,                /* $@550  */
  YYSYMBOL_tabprofilesop = 1153,           /* tabprofilesop  */
  YYSYMBOL_1154_551 = 1154,                /* $@551  */
  YYSYMBOL_externalvdirop = 1155,          /* externalvdirop  */
  YYSYMBOL_1156_552 = 1156,                /* $@552  */
  YYSYMBOL_externalvdiropbody = 1157,      /* externalvdiropbody  */
  YYSYMBOL_1158_553 = 1158,                /* $@553  */
  YYSYMBOL_opentabmenuop = 1159,           /* opentabmenuop  */
  YYSYMBOL_1160_554 = 1160,                /* $@554  */
  YYSYMBOL_directorypresets = 1161,        /* directorypresets  */
  YYSYMBOL_1162_555 = 1162,                /* $@555  */
  YYSYMBOL_1163_556 = 1163,                /* $@556  */
  YYSYMBOL_directorypreset = 1164,         /* directorypreset  */
  YYSYMBOL_1165_557 = 1165,                /* $@557  */
  YYSYMBOL_1166_558 = 1166,                /* $@558  */
  YYSYMBOL_1167_559 = 1167,                /* $@559  */
  YYSYMBOL_1168_560 = 1168,                /* $@560  */
  YYSYMBOL_1169_561 = 1169,                /* $@561  */
  YYSYMBOL_1170_562 = 1170,                /* $@562  */
  YYSYMBOL_1171_563 = 1171,                /* $@563  */
  YYSYMBOL_1172_564 = 1172,                /* $@564  */
  YYSYMBOL_1173_565 = 1173,                /* $@565  */
  YYSYMBOL_1174_566 = 1174,                /* $@566  */
  YYSYMBOL_1175_567 = 1175,                /* $@567  */
  YYSYMBOL_1176_568 = 1176,                /* $@568  */
  YYSYMBOL_1177_569 = 1177,                /* $@569  */
  YYSYMBOL_1178_570 = 1178,                /* $@570  */
  YYSYMBOL_1179_571 = 1179,                /* $@571  */
  YYSYMBOL_1180_572 = 1180,                /* $@572  */
  YYSYMBOL_1181_573 = 1181,                /* $@573  */
  YYSYMBOL_1182_574 = 1182,                /* $@574  */
  YYSYMBOL_1183_575 = 1183,                /* $@575  */
  YYSYMBOL_directorypreset_filter = 1184,  /* directorypreset_filter  */
  YYSYMBOL_1185_576 = 1185,                /* $@576  */
  YYSYMBOL_1186_577 = 1186,                /* $@577  */
  YYSYMBOL_1187_578 = 1187,                /* $@578  */
  YYSYMBOL_helpop = 1188,                  /* helpop  */
  YYSYMBOL_1189_579 = 1189,                /* $@579  */
  YYSYMBOL_viewcommandlogop = 1190,        /* viewcommandlogop  */
  YYSYMBOL_1191_580 = 1191                 /* $@580  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   2591

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  457
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  735
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1292
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3069

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   707


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,   456,     2,   453,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,   454,
       2,   455,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   332,   332,   332,   332,   335,   336,   337,   336,   340,
     341,   342,   341,   353,   354,   353,   365,   366,   365,   377,
     378,   377,   389,   390,   391,   392,   393,   394,   393,   397,
     398,   397,   400,   402,   402,   403,   405,   405,   406,   408,
     408,   409,   409,   410,   410,   411,   411,   412,   413,   413,
     414,   414,   415,   415,   416,   416,   417,   417,   419,   420,
     420,   421,   421,   422,   423,   423,   424,   424,   425,   425,
     426,   426,   427,   427,   428,   429,   429,   430,   432,   432,
     433,   433,   434,   434,   435,   435,   436,   436,   437,   437,
     438,   438,   439,   439,   440,   440,   441,   441,   442,   442,
     443,   443,   444,   444,   445,   447,   447,   448,   450,   450,
     451,   451,   452,   454,   454,   455,   455,   456,   456,   457,
     457,   458,   458,   459,   459,   460,   460,   461,   463,   463,
     464,   464,   465,   465,   466,   466,   467,   467,   468,   468,
     469,   469,   470,   470,   471,   471,   472,   472,   473,   473,
     474,   474,   475,   475,   476,   476,   477,   479,   479,   480,
     480,   481,   481,   482,   482,   483,   483,   484,   484,   485,
     485,   486,   486,   487,   487,   488,   488,   489,   489,   490,
     492,   492,   493,   493,   494,   494,   495,   495,   496,   496,
     497,   497,   498,   499,   498,   500,   501,   500,   502,   503,
     502,   504,   506,   506,   510,   510,   514,   514,   518,   518,
     522,   522,   526,   526,   530,   530,   534,   534,   538,   538,
     542,   542,   546,   546,   550,   550,   554,   554,   558,   558,
     562,   562,   565,   565,   569,   569,   573,   573,   577,   578,
     577,   583,   585,   587,   594,   587,   597,   599,   599,   603,
     603,   607,   607,   608,   610,   614,   610,   617,   619,   619,
     622,   622,   623,   625,   625,   626,   626,   627,   627,   628,
     628,   629,   629,   630,   630,   631,   631,   632,   632,   633,
     633,   634,   636,   637,   636,   643,   645,   645,   649,   649,
     650,   650,   653,   653,   654,   655,   654,   667,   669,   672,
     677,   678,   669,   680,   683,   688,   689,   694,   695,   680,
     697,   699,   699,   700,   700,   701,   701,   702,   702,   703,
     703,   704,   704,   705,   705,   706,   706,   707,   709,   710,
     709,   713,   714,   713,   725,   725,   726,   728,   728,   729,
     731,   734,   731,   743,   745,   745,   746,   746,   747,   747,
     748,   748,   749,   749,   751,   751,   752,   752,   753,   753,
     754,   754,   755,   756,   756,   757,   757,   758,   759,   759,
     762,   762,   765,   765,   768,   768,   771,   771,   772,   772,
     773,   773,   774,   774,   775,   775,   776,   776,   777,   777,
     778,   778,   779,   779,   780,   780,   781,   781,   782,   782,
     783,   785,   785,   786,   788,   789,   790,   791,   792,   795,
     796,   795,   799,   800,   799,   803,   804,   803,   807,   808,
     807,   811,   812,   811,   815,   818,   815,   821,   823,   824,
     825,   827,   829,   830,   829,   833,   835,   835,   836,   837,
     836,   840,   841,   840,   853,   855,   856,   855,   862,   864,
     864,   868,   868,   869,   869,   872,   873,   872,   876,   877,
     876,   889,   892,   891,   899,   898,   906,   905,   913,   912,
     920,   919,   927,   926,   934,   933,   940,   943,   942,   950,
     949,   957,   956,   964,   963,   971,   970,   978,   977,   985,
     984,   991,   994,   993,   998,   997,  1002,  1001,  1006,  1005,
    1010,  1009,  1014,  1013,  1018,  1017,  1022,  1021,  1026,  1025,
    1029,  1031,  1031,  1032,  1032,  1033,  1033,  1034,  1034,  1035,
    1035,  1036,  1036,  1037,  1037,  1038,  1040,  1041,  1043,  1044,
    1045,  1046,  1047,  1048,  1049,  1050,  1051,  1052,  1053,  1054,
    1055,  1056,  1057,  1058,  1059,  1060,  1061,  1062,  1063,  1064,
    1065,  1066,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,
    1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,  1083,  1084,
    1085,  1086,  1087,  1088,  1089,  1090,  1091,  1092,  1093,  1094,
    1095,  1096,  1097,  1098,  1099,  1100,  1101,  1102,  1103,  1104,
    1105,  1106,  1107,  1108,  1109,  1110,  1111,  1112,  1113,  1114,
    1116,  1116,  1119,  1119,  1120,  1120,  1121,  1121,  1122,  1122,
    1123,  1123,  1124,  1124,  1125,  1125,  1126,  1126,  1127,  1127,
    1128,  1128,  1129,  1129,  1130,  1130,  1131,  1131,  1132,  1132,
    1133,  1135,  1135,  1138,  1138,  1141,  1141,  1144,  1144,  1147,
    1147,  1150,  1150,  1151,  1153,  1153,  1160,  1160,  1167,  1167,
    1170,  1170,  1171,  1171,  1172,  1172,  1173,  1175,  1175,  1178,
    1178,  1179,  1179,  1180,  1180,  1181,  1181,  1182,  1182,  1183,
    1183,  1184,  1184,  1185,  1185,  1186,  1186,  1187,  1187,  1188,
    1188,  1189,  1189,  1190,  1190,  1191,  1191,  1192,  1192,  1193,
    1193,  1194,  1194,  1195,  1195,  1196,  1196,  1197,  1197,  1198,
    1200,  1200,  1207,  1207,  1214,  1214,  1221,  1221,  1228,  1228,
    1235,  1235,  1242,  1242,  1249,  1249,  1256,  1256,  1263,  1263,
    1266,  1266,  1267,  1267,  1268,  1268,  1269,  1269,  1270,  1270,
    1271,  1273,  1273,  1276,  1276,  1277,  1277,  1278,  1278,  1279,
    1279,  1280,  1282,  1282,  1285,  1285,  1288,  1288,  1289,  1289,
    1290,  1290,  1291,  1293,  1293,  1296,  1296,  1297,  1297,  1298,
    1298,  1299,  1301,  1301,  1304,  1304,  1307,  1307,  1308,  1308,
    1309,  1311,  1311,  1314,  1314,  1315,  1317,  1317,  1320,  1320,
    1321,  1321,  1322,  1322,  1323,  1323,  1324,  1324,  1325,  1325,
    1326,  1328,  1328,  1331,  1331,  1334,  1334,  1337,  1337,  1344,
    1344,  1347,  1347,  1348,  1348,  1349,  1349,  1350,  1350,  1351,
    1351,  1352,  1352,  1353,  1353,  1354,  1354,  1355,  1355,  1356,
    1356,  1357,  1359,  1359,  1362,  1362,  1363,  1363,  1364,  1364,
    1365,  1365,  1366,  1368,  1368,  1371,  1371,  1372,  1372,  1373,
    1373,  1374,  1374,  1375,  1377,  1377,  1380,  1380,  1381,  1381,
    1382,  1384,  1384,  1387,  1387,  1388,  1388,  1389,  1389,  1390,
    1392,  1392,  1395,  1395,  1396,  1396,  1397,  1397,  1398,  1400,
    1400,  1403,  1403,  1404,  1404,  1405,  1405,  1406,  1406,  1407,
    1407,  1408,  1408,  1409,  1409,  1410,  1410,  1411,  1411,  1412,
    1414,  1414,  1417,  1417,  1418,  1418,  1419,  1419,  1420,  1420,
    1421,  1423,  1423,  1426,  1426,  1427,  1429,  1429,  1434,  1434,
    1435,  1435,  1436,  1436,  1437,  1437,  1438,  1438,  1439,  1439,
    1440,  1440,  1441,  1441,  1442,  1442,  1443,  1443,  1444,  1444,
    1445,  1445,  1446,  1446,  1447,  1447,  1448,  1450,  1450,  1453,
    1453,  1454,  1454,  1455,  1455,  1456,  1456,  1457,  1457,  1458,
    1458,  1459,  1459,  1460,  1460,  1461,  1461,  1462,  1462,  1463,
    1463,  1464,  1464,  1465,  1465,  1466,  1466,  1467,  1467,  1468,
    1470,  1470,  1473,  1473,  1476,  1476,  1477,  1477,  1478,  1478,
    1479,  1479,  1480,  1482,  1482,  1485,  1485,  1486,  1486,  1487,
    1487,  1488,  1488,  1489,  1489,  1490,  1490,  1491,  1491,  1492,
    1492,  1493,  1493,  1494,  1494,  1495,  1495,  1496,  1496,  1497,
    1497,  1498,  1498,  1499,  1499,  1500,  1500,  1501,  1501,  1502,
    1502,  1503,  1503,  1504,  1504,  1505,  1505,  1506,  1506,  1507,
    1507,  1508,  1508,  1509,  1509,  1510,  1510,  1511,  1511,  1512,
    1512,  1513,  1513,  1514,  1516,  1516,  1519,  1519,  1522,  1522,
    1525,  1525,  1528,  1528,  1529,  1529,  1530,  1530,  1531,  1531,
    1532,  1532,  1533,  1533,  1534,  1534,  1535,  1537,  1537,  1540,
    1540,  1541,  1541,  1542,  1542,  1543,  1543,  1545,  1547,  1547,
    1550,  1550,  1551,  1553,  1553,  1556,  1556,  1557,  1557,  1558,
    1560,  1560,  1563,  1563,  1566,  1566,  1567,  1569,  1569,  1572,
    1572,  1573,  1575,  1575,  1578,  1578,  1581,  1581,  1582,  1582,
    1583,  1585,  1585,  1588,  1588,  1589,  1589,  1590,  1590,  1591,
    1591,  1592,  1592,  1593,  1593,  1594,  1594,  1595,  1597,  1597,
    1605,  1605,  1606,  1606,  1607,  1607,  1608,  1608,  1609,  1609,
    1610,  1610,  1611,  1611,  1612,  1612,  1613,  1613,  1614,  1614,
    1615,  1615,  1616,  1616,  1617,  1617,  1618,  1620,  1620,  1628,
    1628,  1629,  1629,  1630,  1630,  1631,  1631,  1632,  1632,  1633,
    1633,  1634,  1634,  1635,  1635,  1636,  1636,  1637,  1637,  1638,
    1638,  1639,  1639,  1640,  1640,  1641,  1641,  1642,  1644,  1644,
    1647,  1647,  1650,  1650,  1651,  1651,  1652,  1652,  1653,  1653,
    1654,  1656,  1656,  1659,  1659,  1660,  1660,  1661,  1661,  1662,
    1662,  1663,  1663,  1664,  1664,  1665,  1665,  1666,  1666,  1667,
    1667,  1668,  1670,  1670,  1673,  1673,  1674,  1676,  1676,  1679,
    1679,  1682,  1682,  1685,  1685,  1688,  1688,  1689,  1691,  1691,
    1698,  1699,  1698,  1701,  1703,  1703,  1704,  1704,  1705,  1705,
    1706,  1706,  1707,  1707,  1708,  1708,  1709,  1709,  1710,  1710,
    1711,  1711,  1712,  1712,  1713,  1713,  1714,  1714,  1715,  1715,
    1716,  1716,  1717,  1717,  1718,  1718,  1719,  1719,  1720,  1721,
    1720,  1722,  1724,  1724,  1725,  1725,  1726,  1726,  1727,  1729,
    1729,  1734,  1734
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "LEFTBRACE_WCP",
  "RIGHTBRACE_WCP", "GLOBAL_WCP", "COLORS_WCP", "LANG_WCP", "PALETTE_WCP",
  "OWNOP_WCP", "LISTERSETS_WCP", "YES_WCP", "NO_WCP", "LEFT_WCP",
  "RIGHT_WCP", "HBARTOP_WCP", "HBARHEIGHT_WCP", "VBARLEFT_WCP",
  "VBARWIDTH_WCP", "DISPLAYSETS_WCP", "NAME_WCP", "SIZE_WCP", "TYPE_WCP",
  "PERMISSION_WCP", "OWNER_WCP", "DESTINATION_WCP", "MODTIME_WCP",
  "ACCTIME_WCP", "CHGTIME_WCP", "ROWS_WCP", "COLUMNS_WCP", "CACHESIZE_WCP",
  "OWNERSTYLE_WCP", "TERMINAL_WCP", "USESTRINGFORDIRSIZE_WCP",
  "TIMESETS_WCP", "STYLE1_WCP", "STYLE2_WCP", "STYLE3_WCP", "DATE_WCP",
  "TIME_WCP", "DATESUBSTITUTION_WCP", "DATEBEFORETIME_WCP", "STATEBAR_WCP",
  "SELLVBAR_WCP", "UNSELLVBAR_WCP", "CLOCKBAR_WCP", "REQUESTER_WCP",
  "UNSELDIR_WCP", "SELDIR_WCP", "UNSELFILE_WCP", "SELFILE_WCP",
  "UNSELACTDIR_WCP", "SELACTDIR_WCP", "UNSELACTFILE_WCP", "SELACTFILE_WCP",
  "LVBG_WCP", "STARTUP_WCP", "BUTTON_WCP", "BUTTONS_WCP", "POSITION_WCP",
  "TITLE_WCP", "COMMANDS_WCP", "SHORTKEYS_WCP", "PATHS_WCP", "PATH_WCP",
  "FILETYPES_WCP", "FILETYPE_WCP", "NORMAL_WCP", "NOTYETCHECKED_WCP",
  "UNKNOWN_WCP", "NOSELECT_WCP", "DIR_WCP", "USEPATTERN_WCP",
  "USECONTENT_WCP", "PATTERN_WCP", "CONTENT_WCP", "FTCOMMANDS_WCP",
  "DND_WCP", "DC_WCP", "SHOW_WCP", "RAWSHOW_WCP", "USER_WCP", "FLAGS_WCP",
  "IGNOREDIRS_WCP", "HOTKEYS_WCP", "HOTKEY_WCP", "FONTS_WCP",
  "GLOBALFONT_WCP", "BUTTONFONT_WCP", "LEFTFONT_WCP", "RIGHTFONT_WCP",
  "TEXTVIEWFONT_WCP", "STATEBARFONT_WCP", "TEXTVIEWALTFONT_WCP",
  "CLOCKBARSETS_WCP", "MODUS_WCP", "TIMESPACE_WCP", "VERSION_WCP",
  "EXTERN_WCP", "UPDATETIME_WCP", "PROGRAM_WCP", "SHOWHINTS_WCP",
  "KEY_WCP", "DOUBLE_WCP", "MOD_WCP", "CONTROL_WCP", "SHIFT_WCP",
  "LOCK_WCP", "MOD1_WCP", "MOD2_WCP", "MOD3_WCP", "MOD4_WCP", "MOD5_WCP",
  "DNDACTION_WCP", "DCACTION_WCP", "SHOWACTION_WCP", "RSHOWACTION_WCP",
  "USERACTION_WCP", "ROWUP_WCP", "ROWDOWN_WCP", "CHANGEHIDDENFLAG_WCP",
  "COPYOP_WCP", "FIRSTROW_WCP", "LASTROW_WCP", "PAGEUP_WCP",
  "PAGEDOWN_WCP", "SELECTOP_WCP", "SELECTALLOP_WCP", "SELECTNONEOP_WCP",
  "INVERTALLOP_WCP", "PARENTDIROP_WCP", "ENTERDIROP_WCP",
  "CHANGELISTERSETOP_WCP", "SWITCHLISTEROP_WCP", "FILTERSELECTOP_WCP",
  "FILTERUNSELECTOP_WCP", "PATHTOOTHERSIDEOP_WCP", "QUITOP_WCP",
  "DELETEOP_WCP", "RELOADOP_WCP", "MAKEDIROP_WCP", "RENAMEOP_WCP",
  "DIRSIZEOP_WCP", "SIMDDOP_WCP", "STARTPROGOP_WCP", "SEARCHENTRYOP_WCP",
  "ENTERPATHOP_WCP", "SCROLLLISTEROP_WCP", "CREATESYMLINKOP_WCP",
  "CHANGESYMLINKOP_WCP", "CHMODOP_WCP", "TOGGLELISTERMODEOP_WCP",
  "SETSORTMODEOP_WCP", "SETFILTEROP_WCP", "SHORTKEYFROMLISTOP_WCP",
  "CHOWNOP_WCP", "WORKERCONFIG_WCP", "USERSTYLE_WCP", "DATESTRING_WCP",
  "TIMESTRING_WCP", "COLOR_WCP", "PATTERNIGNORECASE_WCP",
  "PATTERNUSEREGEXP_WCP", "PATTERNUSEFULLNAME_WCP", "COM_WCP",
  "SEPARATEEACHENTRY_WCP", "RECURSIVE_WCP", "START_WCP",
  "TERMINALWAIT_WCP", "SHOWOUTPUT_WCP", "VIEWSTR_WCP", "SHOWOUTPUTINT_WCP",
  "INBACKGROUND_WCP", "TAKEDIRS_WCP", "ACTIONNUMBER_WCP",
  "HIDDENFILES_WCP", "HIDE_WCP", "TOGGLE_WCP", "FOLLOWSYMLINKS_WCP",
  "MOVE_WCP", "RENAME_WCP", "SAMEDIR_WCP", "REQUESTDEST_WCP",
  "REQUESTFLAGS_WCP", "OVERWRITE_WCP", "ALWAYS_WCP", "NEVER_WCP",
  "COPYMODE_WCP", "FAST_WCP", "PRESERVEATTR_WCP", "MODE_WCP", "ACTIVE_WCP",
  "ACTIVE2OTHER_WCP", "SPECIAL_WCP", "REQUEST_WCP", "CURRENT_WCP",
  "OTHER_WCP", "FILTER_WCP", "QUICK_WCP", "ALSOACTIVE_WCP",
  "RESETDIRSIZES_WCP", "KEEPFILETYPES_WCP", "RELATIVE_WCP", "ONFILES_WCP",
  "ONDIRS_WCP", "SORTBY_WCP", "SORTFLAG_WCP", "REVERSE_WCP", "DIRLAST_WCP",
  "DIRMIXED_WCP", "EXCLUDE_WCP", "INCLUDE_WCP", "UNSET_WCP",
  "UNSETALL_WCP", "SCRIPTOP_WCP", "NOP_WCP", "PUSH_WCP", "LABEL_WCP",
  "IF_WCP", "END_WCP", "POP_WCP", "SETTINGS_WCP", "WINDOW_WCP", "GOTO_WCP",
  "PUSHUSEOUTPUT_WCP", "DODEBUG_WCP", "WPURECURSIVE_WCP",
  "WPUTAKEDIRS_WCP", "STACKNR_WCP", "PUSHSTRING_WCP", "IFTEST_WCP",
  "IFLABEL_WCP", "WINTYPE_WCP", "OPEN_WCP", "CLOSE_WCP", "LEAVE_WCP",
  "CHANGEPROGRESS_WCP", "CHANGETEXT_WCP", "PROGRESSUSEOUTPUT_WCP",
  "WINTEXTUSEOUTPUT_WCP", "PROGRESS_WCP", "WINTEXT_WCP",
  "SHOWDIRCACHEOP_WCP", "INODE_WCP", "NLINK_WCP", "BLOCKS_WCP",
  "SHOWHEADER_WCP", "LVHEADER_WCP", "IGNORECASE_WCP", "LISTVIEWS_WCP",
  "BLL_WCP", "LBL_WCP", "LLB_WCP", "BL_WCP", "LB_WCP", "LAYOUT_WCP",
  "BUTTONSVERT_WCP", "LISTVIEWSVERT_WCP", "LISTVIEWWEIGHT_WCP",
  "WEIGHTTOACTIVE_WCP", "EXTCOND_WCP", "USEEXTCOND_WCP", "SUBTYPE_WCP",
  "PARENTACTIONOP_WCP", "NOOPERATIONOP_WCP", "COLORMODE_WCP",
  "DEFAULT_WCP", "CUSTOM_WCP", "UNSELECTCOLOR_WCP", "SELECTCOLOR_WCP",
  "UNSELECTACTIVECOLOR_WCP", "SELECTACTIVECOLOR_WCP",
  "COLOREXTERNPROG_WCP", "PARENT_WCP", "DONTCD_WCP",
  "DONTCHECKVIRTUAL_WCP", "GOFTPOP_WCP", "HOSTNAME_WCP", "USERNAME_WCP",
  "PASSWORD_WCP", "DONTENTERFTP_WCP", "ALWAYSSTOREPW_WCP",
  "INTERNALVIEWOP_WCP", "CUSTOMFILES_WCP", "SHOWMODE_WCP", "SELECTED_WCP",
  "REVERSESEARCH_WCP", "MOUSECONF_WCP", "SELECTBUTTON_WCP",
  "ACTIVATEBUTTON_WCP", "SCROLLBUTTON_WCP", "SELECTMETHOD_WCP",
  "ALTERNATIVE_WCP", "SEARCHOP_WCP", "EDITCOMMAND_WCP",
  "SHOWPREVRESULTS_WCP", "TEXTVIEW_WCP", "TEXTVIEWHIGHLIGHTED_WCP",
  "TEXTVIEWSELECTION_WCP", "DIRBOOKMARKOP_WCP", "OPENCONTEXTMENUOP_WCP",
  "RUNCUSTOMACTION_WCP", "CUSTOMNAME_WCP", "CONTEXTBUTTON_WCP",
  "ACTIVATEMOD_WCP", "SCROLLMOD_WCP", "CONTEXTMOD_WCP", "NONE_WCP",
  "CUSTOMACTION_WCP", "SAVE_WORKER_STATE_ON_EXIT_WCP",
  "OPENWORKERMENUOP_WCP", "CHANGELABELOP_WCP", "ASKFORLABEL_WCP",
  "LABELCOLORS_WCP", "BOOKMARKLABEL_WCP", "BOOKMARKFILTER_WCP",
  "SHOWONLYBOOKMARKS_WCP", "SHOWONLYLABEL_WCP", "SHOWALL_WCP",
  "OPTIONMODE_WCP", "INVERT_WCP", "SET_WCP", "CHANGEFILTERS_WCP",
  "CHANGEBOOKMARKS_WCP", "QUERYLABEL_WCP", "MODIFYTABSOP_WCP",
  "TABACTION_WCP", "NEWTAB_WCP", "CLOSECURRENTTAB_WCP", "NEXTTAB_WCP",
  "PREVTAB_WCP", "TOGGLELOCKSTATE_WCP", "MOVETABLEFT_WCP",
  "MOVETABRIGHT_WCP", "CHANGELAYOUTOP_WCP", "INFIXSEARCH_WCP",
  "VOLUMEMANAGEROP_WCP", "ERROR", "ACTIVESIDE_WCP", "SHOWFREESPACE_WCP",
  "ACTIVEMODE_WCP", "ASK_WCP", "SSHALLOW_WCP", "FIELD_WIDTH_WCP",
  "QUICKSEARCHENABLED_WCP", "FILTEREDSEARCHENABLED_WCP", "XFTFONTS_WCP",
  "USEMAGIC_WCP", "MAGICPATTERN_WCP", "MAGICCOMPRESSED_WCP",
  "MAGICMIME_WCP", "VOLUMEMANAGER_WCP", "MOUNTCOMMAND_WCP",
  "UNMOUNTCOMMAND_WCP", "FSTABFILE_WCP", "MTABFILE_WCP", "PARTFILE_WCP",
  "REQUESTACTION_WCP", "SIZEH_WCP", "NEXTAGING_WCP", "ENTRY_WCP",
  "PREFIX_WCP", "VALUE_WCP", "EXTENSION_WCP", "EJECTCOMMAND_WCP",
  "CLOSETRAYCOMMAND_WCP", "AVFSMODULE_WCP", "FLEXIBLEMATCH_WCP",
  "USE_VERSION_STRING_COMPARE_WCP", "SWITCHBUTTONBANKOP_WCP",
  "SWITCHTONEXTBANK_WCP", "SWITCHTOPREVBANK_WCP", "SWITCHTOBANKNR_WCP",
  "BANKNR_WCP", "USE_VIRTUAL_TEMP_COPIES_WCP", "PATHJUMPOP_WCP",
  "PATHJUMPALLOWDIRS_WCP", "CLIPBOARDOP_WCP", "CLIPBOARDSTRING_WCP",
  "COMMANDSTRING_WCP", "EVALCOMMAND_WCP", "WATCHMODE_WCP",
  "APPLY_WINDOW_DIALOG_TYPE_WCP", "FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP",
  "COMMANDMENUOP_WCP", "SEARCHMODEONKEYPRESS_WCP", "PATHENTRYONTOP_WCP",
  "STORE_FILES_ALWAYS_WCP", "PATHJUMPSETS_WCP", "SHOWDOTDOT_WCP",
  "SHOWBREADCRUMB_WCP", "FACES_WCP", "FACE_WCP", "ENABLE_INFO_LINE_WCP",
  "INFO_LINE_LUA_MODE_WCP", "INFO_LINE_CONTENT_WCP",
  "RESTORE_TABS_MODE_WCP", "STORE_TABS_MODE_WCP", "AS_EXIT_STATE_WCP",
  "USE_EXTENDED_REGEX_WCP", "HIGHLIGHT_USER_ACTION_WCP", "CHTIMEOP_WCP",
  "ADJUSTRELATIVESYMLINKS_WCP", "OUTSIDE_WCP", "EDIT_WCP",
  "MAKEABSOLUTE_WCP", "MAKERELATIVE_WCP", "MAGICIGNORECASE_WCP",
  "ENSURE_FILE_PERMISSIONS_WCP", "USER_RW_WCP", "USER_RW_GROUP_R_WCP",
  "USER_RW_ALL_R_WCP", "LEAVE_UNMODIFIED_WCP", "PREFERUDISKSVERSION_WCP",
  "CHANGECOLUMNSOP_WCP", "PATTERNISCOMMASEPARATED_WCP", "STRCASECMP_WCP",
  "USE_STRING_COMPARE_MODE_WCP", "VIEWNEWESTFILESOP_WCP", "SHOWRECENT_WCP",
  "DIRCOMPAREOP_WCP", "TABPROFILESOP_WCP", "EXTERNALVDIROP_WCP",
  "VDIR_PRESERVE_DIR_STRUCTURE_WCP", "OPENTABMENUOP_WCP", "INITIALTAB_WCP",
  "SHOWBYTIME_WCP", "SHOWBYFILTER_WCP", "SHOWBYPROGRAM_WCP",
  "TERMINAL_RETURNS_EARLY_WCP", "DIRECTORYPRESETS_WCP",
  "DIRECTORYPRESET_WCP", "HELPOP_WCP", "PRIORITY_WCP", "AUTOFILTER_WCP",
  "ENABLE_CUSTOM_LVB_LINE_WCP", "CUSTOM_LVB_LINE_WCP",
  "CUSTOM_DIRECTORY_INFO_COMMAND_WCP", "IMMEDIATE_FILTER_APPLY_WCP",
  "DISABLEBGCHECKPREFIX_WCP", "DISPLAYMODE_WCP", "SHOWSUBDIRS_WCP",
  "SHOWDIRECTSUBDIRS_WCP", "INCLUDEALL_WCP", "APPLYMODE_WCP", "ADD_WCP",
  "REMOVE_WCP", "HIDENONEXISTING_WCP", "VIEWCOMMANDLOGOP_WCP",
  "LOCKONCURRENTDIR_WCP", "STRING_WCP", "NUM_WCP", "'.'", "';'", "'='",
  "','", "$accept", "S", "$@1", "$@2", "start", "$@3", "$@4", "$@5", "$@6",
  "$@7", "$@8", "$@9", "$@10", "$@11", "$@12", "$@13", "$@14", "$@15",
  "$@16", "pjallowdirs", "$@17", "pathjumpsets", "$@18", "glb", "$@19",
  "$@20", "$@21", "$@22", "$@23", "$@24", "$@25", "$@26", "$@27", "$@28",
  "$@29", "$@30", "$@31", "$@32", "$@33", "$@34", "$@35", "layout", "$@36",
  "$@37", "$@38", "$@39", "$@40", "$@41", "$@42", "$@43", "$@44", "$@45",
  "$@46", "$@47", "$@48", "pal", "$@49", "listersets", "$@50", "$@51",
  "listersets2", "$@52", "$@53", "$@54", "$@55", "$@56", "$@57", "$@58",
  "displaysets", "$@59", "$@60", "$@61", "$@62", "$@63", "$@64", "$@65",
  "$@66", "$@67", "$@68", "$@69", "$@70", "$@71", "$@72", "timesets",
  "$@73", "$@74", "$@75", "$@76", "$@77", "$@78", "$@79", "$@80", "$@81",
  "$@82", "$@83", "mouseconf", "$@84", "$@85", "$@86", "$@87", "$@88",
  "$@89", "$@90", "$@91", "$@92", "$@93", "$@94", "$@95", "cols", "$@96",
  "$@97", "$@98", "$@99", "$@100", "$@101", "$@102", "$@103", "$@104",
  "$@105", "$@106", "$@107", "$@108", "$@109", "$@110", "$@111", "$@112",
  "$@113", "$@114", "$@115", "labelcolors", "$@116", "$@117", "labelcolor",
  "$@118", "$@119", "$@120", "faces", "$@121", "$@122", "face", "$@123",
  "$@124", "startup", "$@125", "$@126", "$@127", "$@128", "$@129", "$@130",
  "$@131", "$@132", "$@133", "paths", "$@134", "$@135", "path", "$@136",
  "$@137", "$@138", "$@139", "$@140", "$@141", "keylist", "$@142", "$@143",
  "$@144", "$@145", "$@146", "$@147", "$@148", "$@149", "$@150", "$@151",
  "mods", "$@152", "$@153", "$@154", "$@155", "$@156", "$@157", "$@158",
  "$@159", "filetypes", "$@160", "$@161", "$@162", "$@163", "$@164",
  "ignoredirs", "$@165", "subfiletypes", "$@166", "$@167", "filetype",
  "$@168", "$@169", "$@170", "$@171", "$@172", "$@173", "$@174", "$@175",
  "$@176", "$@177", "$@178", "$@179", "$@180", "$@181", "$@182", "$@183",
  "$@184", "$@185", "$@186", "$@187", "$@188", "$@189", "$@190", "$@191",
  "$@192", "$@193", "$@194", "filecontent", "$@195", "ft_type",
  "ftcommands", "$@196", "$@197", "$@198", "$@199", "$@200", "$@201",
  "$@202", "$@203", "$@204", "$@205", "$@206", "$@207", "commands",
  "flags", "hotkeys", "$@208", "$@209", "hotkey", "$@210", "$@211",
  "$@212", "$@213", "$@214", "buttons", "$@215", "$@216", "button",
  "$@217", "$@218", "$@219", "$@220", "$@221", "$@222", "$@223", "fonts",
  "$@224", "$@225", "$@226", "$@227", "$@228", "$@229", "$@230",
  "xftfonts", "$@231", "$@232", "$@233", "$@234", "$@235", "$@236",
  "$@237", "volumemanager", "$@238", "$@239", "$@240", "$@241", "$@242",
  "$@243", "$@244", "$@245", "$@246", "clockbarsets", "$@247", "$@248",
  "$@249", "$@250", "$@251", "$@252", "$@253", "bool", "command", "ownop",
  "$@254", "ownopbody", "$@255", "$@256", "$@257", "$@258", "$@259",
  "$@260", "$@261", "$@262", "$@263", "$@264", "$@265", "$@266", "$@267",
  "$@268", "dndaction", "$@269", "dcaction", "$@270", "showaction",
  "$@271", "rshowaction", "$@272", "useraction", "$@273", "useractionbody",
  "$@274", "rowup", "$@275", "rowdown", "$@276", "changehiddenflag",
  "$@277", "changehiddenflagbody", "$@278", "$@279", "$@280", "copyop",
  "$@281", "copyopbody", "$@282", "$@283", "$@284", "$@285", "$@286",
  "$@287", "$@288", "$@289", "$@290", "$@291", "$@292", "$@293", "$@294",
  "$@295", "$@296", "$@297", "$@298", "$@299", "$@300", "$@301",
  "firstrow", "$@302", "lastrow", "$@303", "pageup", "$@304", "pagedown",
  "$@305", "selectop", "$@306", "selectallop", "$@307", "selectnoneop",
  "$@308", "invertallop", "$@309", "parentdirop", "$@310", "enterdirop",
  "$@311", "enterdiropbody", "$@312", "$@313", "$@314", "$@315", "$@316",
  "changelistersetop", "$@317", "changelistersetopbody", "$@318", "$@319",
  "$@320", "$@321", "switchlisterop", "$@322", "filterselectop", "$@323",
  "filterselectopbody", "$@324", "$@325", "$@326", "filterunselectop",
  "$@327", "filterunselectopbody", "$@328", "$@329", "$@330",
  "pathtoothersideop", "$@331", "quitop", "$@332", "quitopbody", "$@333",
  "$@334", "deleteop", "$@335", "deleteopbody", "$@336", "reloadop",
  "$@337", "reloadopbody", "$@338", "$@339", "$@340", "$@341", "$@342",
  "$@343", "makedirop", "$@344", "renameop", "$@345", "dirsizeop", "$@346",
  "simddop", "$@347", "startprogop", "$@348", "startprogopbody", "$@349",
  "$@350", "$@351", "$@352", "$@353", "$@354", "$@355", "$@356", "$@357",
  "$@358", "searchentryop", "$@359", "searchentryopbody", "$@360", "$@361",
  "$@362", "$@363", "enterpathop", "$@364", "enterpathopbody", "$@365",
  "$@366", "$@367", "$@368", "scrolllisterop", "$@369",
  "scrolllisteropbody", "$@370", "$@371", "createsymlinkop", "$@372",
  "createsymlinkopbody", "$@373", "$@374", "$@375", "changesymlinkop",
  "$@376", "changesymlinkopbody", "$@377", "$@378", "$@379", "chmodop",
  "$@380", "chmodopbody", "$@381", "$@382", "$@383", "$@384", "$@385",
  "$@386", "$@387", "$@388", "$@389", "chtimeop", "$@390", "chtimeopbody",
  "$@391", "$@392", "$@393", "$@394", "togglelistermodeop", "$@395",
  "togglelistermodeopbody", "$@396", "setsortmodeop", "$@397",
  "setsortmodeopbody", "$@398", "$@399", "$@400", "$@401", "$@402",
  "$@403", "$@404", "$@405", "$@406", "$@407", "$@408", "$@409", "$@410",
  "$@411", "setfilterop", "$@412", "setfilteropbody", "$@413", "$@414",
  "$@415", "$@416", "$@417", "$@418", "$@419", "$@420", "$@421", "$@422",
  "$@423", "$@424", "$@425", "$@426", "$@427", "shortkeyfromlistop",
  "$@428", "chownop", "$@429", "chownopbody", "$@430", "$@431", "$@432",
  "$@433", "scriptop", "$@434", "scriptopbody", "$@435", "$@436", "$@437",
  "$@438", "$@439", "$@440", "$@441", "$@442", "$@443", "$@444", "$@445",
  "$@446", "$@447", "$@448", "$@449", "$@450", "$@451", "$@452", "$@453",
  "$@454", "$@455", "$@456", "$@457", "$@458", "$@459", "$@460", "$@461",
  "$@462", "$@463", "showdircacheop", "$@464", "parentactionop", "$@465",
  "nooperationop", "$@466", "goftpop", "$@467", "goftpopbody", "$@468",
  "$@469", "$@470", "$@471", "$@472", "$@473", "$@474", "internalviewop",
  "$@475", "internalviewopbody", "$@476", "$@477", "$@478", "$@479",
  "clipboardop", "$@480", "clipboardopbody", "$@481", "searchop", "$@482",
  "searchopbody", "$@483", "$@484", "dirbookmarkop", "$@485",
  "opencontextmenuop", "$@486", "opencontextmenuopbody", "$@487",
  "runcustomaction", "$@488", "runcustomactionbody", "$@489",
  "openworkermenuop", "$@490", "changelabelop", "$@491",
  "changelabelopbody", "$@492", "$@493", "modifytabsop", "$@494",
  "modifytabsopbody", "$@495", "$@496", "$@497", "$@498", "$@499", "$@500",
  "$@501", "changelayoutop", "$@502", "changelayoutopbody", "$@503",
  "$@504", "$@505", "$@506", "$@507", "$@508", "$@509", "$@510", "$@511",
  "$@512", "$@513", "$@514", "$@515", "changecolumnsop", "$@516",
  "changecolumnsopbody", "$@517", "$@518", "$@519", "$@520", "$@521",
  "$@522", "$@523", "$@524", "$@525", "$@526", "$@527", "$@528", "$@529",
  "$@530", "volumemanagerop", "$@531", "switchbuttonbankop", "$@532",
  "switchbuttonbankopbody", "$@533", "$@534", "$@535", "$@536",
  "pathjumpop", "$@537", "pathjumpopbody", "$@538", "$@539", "$@540",
  "$@541", "$@542", "$@543", "$@544", "$@545", "$@546", "commandmenuop",
  "$@547", "commandmenuopbody", "$@548", "viewnewestfilesop", "$@549",
  "dircompareop", "$@550", "tabprofilesop", "$@551", "externalvdirop",
  "$@552", "externalvdiropbody", "$@553", "opentabmenuop", "$@554",
  "directorypresets", "$@555", "$@556", "directorypreset", "$@557",
  "$@558", "$@559", "$@560", "$@561", "$@562", "$@563", "$@564", "$@565",
  "$@566", "$@567", "$@568", "$@569", "$@570", "$@571", "$@572", "$@573",
  "$@574", "$@575", "directorypreset_filter", "$@576", "$@577", "$@578",
  "helpop", "$@579", "viewcommandlogop", "$@580", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-2305)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -2305,    52,   -79, -2305,  -370,  -326,  -319,  -311,  -304,  -274,
   -2305,    17,   182,   186,   189,   204,   206,   210,   226,   257,
     270,   274,   304,   318,   335, -2305,    31, -2305,    22, -2305,
   -2305, -2305, -2305,   987,   432,   994, -2305,  -152, -2305,  -185,
     337,   339,  -106,  -101,   -95,   -89,   -85,   -82,   378,   385,
     387,   -59,   401,   -48,   -42,   -40,   -28,   -26,   -13,   442,
      70,     2,     5,    34,    57,   478,   449,   470,    95,   428,
      88,   157,   160,   176,   179,   194,   201,   661,   212,   217,
     223,   225,   664,   231,   232,   241,   242,   288,   290,   303,
     677,   261,   305,   757,   373,   356, -2305,    97,   364,   365,
     372,   218,   379,   425,   559, -2305,   448,   425,   345,   425,
     425,   425,   412,   425,   393,    17,   395,   399,   413,   491,
     492,   680,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   853,   937, -2305,   723,   724,    -3,
    -117,    17,  1173,  1174,  1176,  1177,  1179,  1180,   722,  1181,
    1183,  1184,   729,   733,   736,   738,   739,   740,   741,    17,
     368,   742,   744,   425,    17,   745,   746,   747,   748,   749,
     750,   751,    17,   752,  1189,   425,    17,  1200,  1201,   753,
     756, -2305, -2305,  1205,   758,   759,   760,   762,   763,   764,
   -2305, -2305,   765,   755,   766,   767,   768,   769,   770,  1207,
     568,   771,   772,   773,   774,   775,  1212,  1217,  1228,  1229,
     778,   779,   780,   781,   782,   783,   784,   785,   786,   787,
    1239,   790,   791,   792,   793,   794,   795, -2305,   798,   799,
     800,   801,   802,   803,   804,   805,   806,   807,   808,   809,
     810,   811,   812,   813,   814,   815, -2305,   875,  1265,   816,
     817,   818,   819,   820,   821,   822,   823,   824, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305,   425, -2305, -2305, -2305,   825,
     826,   827,   828,   829,   830,   831, -2305,   832,   833,   834,
     835,   836,   837,   838, -2305,   839,   840,   841,   842,   843,
     844,   845, -2305, -2305, -2305,   846, -2305, -2305, -2305, -2305,
     847,  1297,  1300,  1301,    31, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305,   205,   141,   425,   425,   854,   855,    31,   856,
     857,   858,   859,   860,   861,   862,   863,   864,   852,   865,
     866,   867,  1304,   871,   872,   873,   -34,   874, -2305, -2305,
   -2305,    31, -2305,   868,   876,   877,   878,   879,   425,   880,
     881,   882,    31, -2305, -2305, -2305, -2305, -2305, -2305,   883,
     884,   885,   886,   887,   888,   889,   890,   891,   892,   893,
     894,   895,   898,   897,   899,   900,   901,  1043,  1306,  1329,
      17, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
     547,    17,   583,    17,   254,   903,   904,    17,   361,    17,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305,   261,    17, -2305,   252,    17,    31,   907,    31,    39,
      39, -2305,    31,    31,    31,    31,    31,    31,    31,   906,
     908,   909,   910,   911,   912,   913,   914,   915,   916,   917,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
     425,   425,   920,   425,    31,   919,   921,   922,   923,   924,
     925,  1230,  1230,  1230, -2305,    31,   926,   927,   928,   929,
     930,   931,   932,   933,   934, -2305,    31,    31,    31,    31,
      31,    31,   938,   939,   940,   941,   942,   943,   944,   945,
     946,   947,   948,   949,   950, -2305,   951,   952,   953,   954,
    1333,  1334, -2305,    70, -2305,    22,    22,    22,    22,    22,
      22,    22,    22,    22,   955,   956,  1358,  1371,   957,  1385,
   -2305,   958,   959,  1404,   960,   962,  1405, -2305,   963,   964,
     965,   966,   967,  1413,  1420,   969,   970,   971,   972,   973,
    1426,   975,   976,   977,   978,   979,   980,   981,   982,   983,
     984,   985,   986,   988,  1438,   990,  1441, -2305, -2305,   991,
    1444,  1445,  1446, -2305,   987,   987,   987,   987,   987,   987,
     987,   432,   432,   432,   432,   432,   432,   432,   994,   994,
     994,   994,   994,   994,   994, -2305, -2305,  -152,   996,   997,
    1450,   999,  1000,  1452, -2305, -2305,   993, -2305,  1002,  1003,
    1004,  1005,  1458,  1007,  1008,  1460,  1461, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305,   568,   568,   568,   568,   568,
     568,   568,   568,   568,  1012,  1013,  1014,  1015, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305,  1016,  1466,  1468,  1469, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305,  1020,  1021,  1022,  1023,  1024,
    1025,  1026,  1027,  1028,  1029,  1030,  1031,  1032,    70,  1033,
    1034,  1035,  1036, -2305, -2305,    20, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305,  1039,  1041, -2305, -2305,
    1042, -2305,  1044,  1046, -2305,  1047,  1048, -2305,   657,  1050,
     425,   425,  1051, -2305,    27,   425,   425,   425,  1052,   425,
    1270,   -62,  1053,  1054,  1055,  1056,  1058,   425,  1059,   425,
     425,   425,   425,  1060, -2305, -2305, -2305,    95,  1062, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305,  1063,    -5, -2305,   108,   331, -2305,
    1064,   425,  1065,   425,  1066, -2305,   425,   425,    97,    97,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305,   448,   448,   448,   448,   448,   448,
     961, -2305, -2305, -2305,   345,   345,   345,   345,   345,   345,
     345,   345,   345, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305,    79,    70,  1038,  1040,  1495,  1057,  1061,   430,   153,
    1067,   449,  1068,  1070,   153,  1071,  1072,   470, -2305, -2305,
   -2305, -2305, -2305,  1073,  1075,  1076,  1077,  1078,  1069,  1501,
    1516,  1517,  1523,  1081,  1531,  1532,  1083,  1084,  1085,  1086,
    1087,  1539,  1540,  1089,  1091,  1092,  1093,  1079,  1094,  1095,
    1096,  1099,  1100,  1101,  1102,  1103,  1104,  1105,  1106,    95,
     903,    95, -2305,  1107,   430,   153,   428,  1108,  1109,  1110,
     115,  1111,  1112,  1113,  1114,  1115,  1116,  1117,  1118,  1119,
    1120,  1121,  1122,  1123,  1124,   373,  1125,  1126,  1128,  1129,
    1130,    23,  1131,  1132, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305,   568,   568,   568,
     568, -2305, -2305, -2305, -2305, -2305, -2305,  1133,  1134,  1135,
    1136,  1137,  1138,  1139,  1140,   448,   448,   448, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305,    70,    70,    70,
      70,    70,    70,    70,    70,    70,    70,    70,    70,    70,
      70,    70,    70,    70,  1141,  1142,  1143,  1544, -2305,  1098,
    1127, -2305, -2305, -2305,  1592,  1596,  1597,  1598,  1599,  1600,
    1601,  1602,  1603,  1604,  1605,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,  1613,  1614,  1615,  1616,  1617,  1618,  1619,  1620,
    1621,  1622,  1623,  1624,  1625,  1626,  1627,  1628,  1629,  1630,
    1631,  1632,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,  1642,  1643,  1644,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,  1657,  1658,  1659,  1660,
    1661,  1662,  1663,  1664,  1665,  1666,  1667,  1668,   430, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305,  1670,  1671,  1672,  1219, -2305, -2305, -2305,  1673, -2305,
    1223, -2305, -2305, -2305, -2305, -2305, -2305,  1224,  1674, -2305,
   -2305, -2305, -2305,  1677, -2305,   254, -2305, -2305, -2305, -2305,
   -2305, -2305,   254, -2305, -2305, -2305, -2305,  1231,  1232,  1233,
    1234, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305,  1678,  1683, -2305, -2305, -2305, -2305,  1226,
    1235,  1684, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305,  1237, -2305, -2305,
   -2305, -2305,  1238,  1240,  1241,  1242,  1243,  1244,  1245,  1246,
    1247,  1248,  1249,  1250,  1251,  1252,  1687, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305,  1256,  1257,  1258, -2305,  1254,  1259,   875,   547,   547,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,  1260,   583,
     583, -2305,   583,  1261,   254,   254,   254,   254,   254,  1264,
     254,   430,   430,   430,   430, -2305,  1388, -2305,   254,   254,
     254,   254,   254,   254, -2305,   254,   254,   254,   254,  1263,
    1266,  1267,  1268,   254,   254,   254,   254,   254,   254,   254,
     254,   361, -2305, -2305,   252,   252,   252,  1272,   133, -2305,
     252,   252,   252,   252,   252,   252,   252,   252,   252,   252,
     252,   252,   252,   252,  1271,    39,    39,    39,    39, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305,    39,    39,    39,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1273,  1255,  1262,  1043, -2305, -2305,
   -2305, -2305, -2305,   267,  1689,  1708,  1715,  1720,  1722,  1553,
    1725,  1726,  1555,   -14,  1728,  1729,  1730,  1731,  1732,  1733,
    1734,  1735,  1736,    -4,  1550,  1738,  -126,  -119,  1739,  1554,
    1546,    13,  1740,  1743,  1744,  1745,    90,    85,  1559,  1560,
     209,  1561,    19,  1562,   245,   272,  1750,   480,    63,  1751,
    1752,  1753,    44,   101,   159,  1754,  1359,  1456,  1757,  -138,
    1435,   607,  1759,  -118,   213,  1386,  1344,   485,    66,  1762,
    1763,  1764,  1389,  1766,  1767,  1768,   547,  1675,  1676,   547,
   -2305, -2305, -2305,   583, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305,  1319, -2305,  1770,  1771,  1772,  1773,   430,  1325, -2305,
   -2305, -2305, -2305, -2305,  1777, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305,   361,   361, -2305, -2305, -2305,  1328,  1330,  1331,
     252, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
      23,    23,    23,    23,    23,    23,    23,    23,    23,    23,
      23,    23,    23,    23, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305,  1335,  1336, -2305,    20,
      20,  1337,  1338,  1339,  1340,  1341,  1342,  1343,  1345,  1346,
    1347,  1779,   430, -2305, -2305, -2305, -2305,  1348,  1782, -2305,
   -2305,  1349,  1785,  1350,  1351,  1352,  1353,  1354,  1355,  1356,
    1357,  1360,  1361,  1362,  1363,  1786, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305,  1364,  1365,  1787,  1366,  1795,
   -2305,  1367,  1368,  1369,  1809,  1370,  1372,  1375,  1810, -2305,
    1376,  1822,  1382,  1834,  1384,  1387,  1394,  1836, -2305, -2305,
   -2305, -2305,  1395,  1397,  1398,  1400,  1401,  1402,  1837,  1403,
    1406,  1409,  1410,  1855,  1414,  1856,  1415,  1864,  1417,  1418,
    1421,  1874,  1424,  1879,  1433,  1434,  1436,  1437,  1442,  1443,
    1886,  1449,  1892,  1451,  1453,  1895,  1454,  1455,  1457,  1459,
    1465,  1470,  1471,  1472,  1478,  1901, -2305,  1479,  1480,  1481,
    1486,  1903,  1487,  1488,  1489,  1491,  1492,  1493,  1496,  1497,
    1499,  1500,  1502,  1504,  1506,  1507,  1508,  1509,  1511,  1512,
    1909, -2305, -2305, -2305,  1513,  1514,  1515,  1518,  1519,  1520,
    1521,  1911,  1522,  1525,  1527,  1912,  1528,  1529,  1952, -2305,
    1530,  1967,  1536,  1968, -2305,  1537,  1538,  1982,  1545,  1983,
    1541,  1547,  1548,  1549,  1551,  1552,  1556,  1557,  1558,  1563,
    1564,  1565,  1566,  2000, -2305,  1567,  1568,  2003,  1569,  1570,
    1571,  1572,  1573,  2004,  1574,  2005,  1575,  2009,  1576,  1577,
    1578,  1579,  2010,  1581,  1582,  1583,  1584,  1585,  1586,  1587,
    1588,  1589,  1590,  1591,  1593,  1594,  1595,  2011, -2305, -2305,
   -2305,  1669,  2012, -2305, -2305, -2305, -2305,  1679,  1680, -2305,
     547, -2305,   583, -2305, -2305, -2305, -2305, -2305,  2013,  1681,
   -2305,   254,   254,   254,   254, -2305, -2305, -2305, -2305, -2305,
   -2305,   756, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305,    79,  1682,  1685, -2305,
   -2305,  1686,   425,   425,   229,  1690,   425,   425,   425,   425,
     425, -2305, -2305,  1688, -2305,   173, -2305,   425,   425,   425,
     425,   425,   425,    78,    -1,   425,   -90,    67,   425, -2305,
    1691,   609, -2305,    87, -2305,  1692,   425,   425, -2305,  1693,
     425,   425, -2305,     9, -2305,   425, -2305,   136,   425,   425,
   -2305,   425,   275,  1694,   425,   425,   425, -2305,   425,   425,
     425,   425, -2305,   150, -2305,   455, -2305,   425,   425,   425,
   -2305,   184, -2305,  1695,   425,   425,   425,   425,   -44, -2305,
    1696, -2305,   117,   410, -2305,   425,   503,  1697,  1698,   357,
     197,   425,   425,   425, -2305,   425,   425,   425,   425, -2305,
     -23,  1699,   425,   425,   425,   425,  1700,  1702,  1703,  1704,
     457,   425,   425,   425,   425,  1705,  1706,  1707, -2305,   425,
    1709,  1710,  1711,   425,   425,  1712, -2305,   425,  1713,  -108,
   -2305,  1714,   425, -2305,   425, -2305,  1716, -2305,  1717,   425,
   -2305,   761, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305,   425,   425,  1718,   425, -2305,   333,  1719, -2305,
     293,  -216,   425,   425,   425, -2305,  1721, -2305,   425, -2305,
     425,   425,   425,   425, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
    1723, -2305,  1724,  1727, -2305, -2305,  1069,    27,    27,    27,
      27, -2305,  1737,  1270, -2305, -2305, -2305, -2305,   115,   115,
     115, -2305, -2305, -2305, -2305,  1741,  1742,  1746,  1747,  1748,
    1749,  1755,  1756,  1758,  1760,  1761,  1765,  1769,  1774,  1775,
    1776,  1778,  1780,  1781,  1783,  1784,  1788,  1789,  1790,  1791,
    1792,  1793,  1794,  1796,  1797,  1798,  1799,  1800,  1801,  1802,
    1803,  1804,  1805,  1806,  1807,  1808,  1811,  1812,  1813,  1814,
    1815,  1816,  1817,  1818,  1819,  1820,  1821,  1823,  1824,  1825,
    1826,  1827,  1828,  1829,  1830,  1831,  1832,  1833,  1835,  1838,
    1839,  1840,  1841,  1842,  1843,  1844,  1845,  1846,  1847,  1848,
    1849,  1850,  1851,  1852,  1853,  1854,  1857,  1858,  1859,  1860,
    1861,  1862,  1863,  1865,  1866,  1867,  1868,  1869,  1870,  1871,
    1872,  1873,  1875,  1876,  1877,  1878,  1880,  1881,  1882,  1883,
    1884,  1885,  1887,  1888,  1889,  1890,  1891,  1893,  1894,  1896,
    1897,  1898,  1899,  1900,  1902,  1904,  1905,  1906,  1907,  1908,
    1913,  1914,  1915,  1916,  1917,  1918,  1919,  1920,  1921,  1922,
    1923,  1924,  1925,  1926,  1927,  1928,  1929,  1930,  1931,  1932,
    1933,  1934,  1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,
    1943,  1944,  1945,  1946,  1947,  1948,  1949,  1950,  1951,  1953,
    1954,  1955,  1956,  1957,  1958,  1959,  1960,  1961,  1962,  1963,
    1964,  1965,  1966,  1969,  1970,  1971,  1972,  1973,  1974,   607,
     607,   607,   607,   607,   607,   607,   607,   607,  1975,  1976,
    1977,  1978,  1979,  1980,  1981,  1984,  1985,  1986,  1987,  1988,
    1989,  1990,  1991,  1992,  1993,  1994,  1995,  1996,  1997,  1998,
    1999,    66,    66,    66,    66,    66,    66,    66,    66,    66,
      66,    66,    66,    66,    66,  2001,  2002,  2006, -2305, -2305,
   -2305, -2305, -2305,    27,  2007, -2305, -2305, -2305, -2305,    79,
      79, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305,  2043, -2305, -2305,   267,   267,
     267,   267,   267,   267,   267,   267,   267,   267,   267,   267,
     267,   267,  1553,  1555,  1555,  1555,   -14,   -14,   -14,   -14,
     -14,   -14,   -14,   -14,   -14,   -14,   -14,   -14,   -14,   -14,
     -14,   -14,   -14,   -14,   -14,   -14,    -4,    -4,    -4,    -4,
      -4,  1550,  1550,  1550,  1550,  -126,  -126,  -126,  -119,  -119,
    -119,  1554,  1554,  1546,    13,    13,    13,    13,    13,    13,
      90,    90,    90,    90,    90,    90,    90,    90,    90,    90,
      85,    85,    85,    85,  1559,  1559,  1559,  1559,  1560,  1560,
     209,   209,   209,  1561,  1561,  1561,    19,    19,    19,    19,
      19,    19,    19,    19,    19,  1562,   245,   245,   245,   245,
     245,   245,   245,   245,   245,   245,   245,   245,   245,   245,
     272,   272,   272,   272,   272,   272,   272,   272,   272,   272,
     272,   272,   272,   272,   272,   480,   480,   480,   480,    63,
      63,    63,    63,    63,    63,    63,    63,    63,    63,    63,
      63,    63,    63,    63,    63,    63,    63,    63,    63,    63,
      63,    63,    63,    63,    63,    63,    63,    63,    44,    44,
      44,    44,    44,    44,    44,   101,   101,   101,   101,   159,
     159,  1359,  1456,  -138,  -138,  1435,  1435,  1435,  1435,  1435,
    1435,  1435,   607,   607,   607,   607,  -118,  -118,  -118,  -118,
     213,   213,   213,   213,   213,   213,   213,   213,   213,  1386,
    1344,   485,   485,   485,   485,  1389,  1230,  1230,   430, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,  2046,
    2047,  2008,  2048, -2305,  2014, -2305,   153,  2015,    27, -2305,
    2016, -2305, -2305,  1230, -2305,  2049, -2305,   153, -2305
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     0,     1,     0,     0,     0,     0,     0,     0,
       3,    32,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     4,    77,     6,   281,    19,
      10,    13,    16,   476,   525,   491,    26,    38,    29,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     242,     0,     0,     0,     0,     0,   448,   285,   336,   435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,  1243,     0,    59,   112,     0,     0,
       0,     0,     0,     0,   179,    61,   201,     0,   510,     0,
       0,     0,     0,     0,     0,    32,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     7,     0,     0,     0,
       0,    32,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    32,
       0,     0,     0,     0,    32,     0,     0,     0,     0,     0,
       0,     0,    32,     0,     0,     0,    32,     0,     0,     0,
     107,   108,   110,     0,     0,     0,     0,     0,     0,     0,
     526,   527,     0,     0,     0,     0,     0,     0,     0,     0,
     104,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   238,   257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     9,   445,
      20,   282,    11,   328,   331,     0,    14,   432,    17,     0,
       0,     0,     0,     0,     0,     0,    22,     0,     0,     0,
       0,     0,     0,     0,    24,     0,     0,     0,     0,     0,
       0,     0,    23,    33,    27,     0,    25,  1240,    30,    39,
       0,     0,     0,     0,    77,    41,    43,    45,    48,    50,
      52,    56,     0,     0,     0,     0,     0,     0,    77,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   192,   195,
     198,    77,    64,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    77,    66,    70,    72,    68,    54,    75,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   246,     0,     0,
      32,   263,   265,   269,   267,   271,   275,   273,   279,   277,
     461,    32,   297,    32,   400,   339,     0,    32,   444,    32,
     462,   464,   466,   468,   470,   472,   474,   513,   511,   515,
     517,   519,   521,   523,   477,   479,   481,   483,   485,   487,
     489,    35,    32,    36,  1281,    32,    77,     0,    77,   127,
     127,    47,    77,    77,    77,    77,    77,    77,    77,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      58,    78,    80,    82,    84,    86,    88,    90,    92,    94,
       0,     0,     0,     0,    77,     0,     0,     0,     0,     0,
       0,   327,   327,   327,    63,    77,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    74,    77,    77,    77,    77,
      77,    77,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,   254,   242,     8,   281,   281,   281,   281,   281,
     281,   281,   281,   281,     0,     0,     0,     0,     0,     0,
      21,     0,     0,     0,     0,     0,     0,    12,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   334,    15,     0,
       0,     0,     0,    18,   476,   476,   476,   476,   476,   476,
     476,   525,   525,   525,   525,   525,   525,   525,   491,   491,
     491,   491,   491,   491,   491,    34,    28,    38,     0,     0,
       0,     0,     0,     0,    31,    40,     0,    60,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    42,    44,    46,
      49,    51,    53,    57,   157,   159,   161,   163,   169,   171,
     173,   167,   177,   165,   175,   104,   104,   104,   104,   104,
     104,   104,   104,   104,     0,     0,     0,     0,    62,   180,
     182,   184,   186,   188,   190,     0,     0,     0,     0,    65,
     492,   494,   500,   502,   504,   506,   496,   498,   508,    67,
      71,    73,    69,    55,    76,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   242,     0,
       0,     0,     0,   243,   239,   262,   241,   264,   266,   270,
     268,   272,   276,   274,   280,   278,     0,     0,   455,   458,
       0,   446,     0,     0,   294,     0,     0,   283,     0,     0,
       0,     0,     0,   352,   427,     0,     0,     0,     0,     0,
     343,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   329,   337,   332,   336,     0,   438,
     441,   433,   463,   465,   467,   469,   471,   473,   475,   514,
     512,   516,   518,   520,   522,   524,   478,   480,   482,   484,
     486,   488,   490,    37,     0,     0,  1278,     0,     0,  1241,
       0,     0,     0,     0,     0,   121,     0,     0,   112,   112,
     179,   179,   179,   179,   179,   179,   179,   179,   179,   179,
     179,    79,    81,    83,    85,    87,    89,    91,    93,    95,
      96,    98,   100,   102,   201,   201,   201,   201,   201,   201,
       0,   193,   196,   199,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   202,   204,   206,   216,   218,   210,   208,
     214,   212,   222,   220,   226,   224,   231,   228,   232,   234,
     236,   253,   242,     0,     0,     0,     0,     0,   430,   310,
       0,   448,     0,     0,   310,     0,     0,   285,   404,   405,
     406,   407,   408,     0,     0,     0,     0,     0,   403,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   336,
     339,   336,   335,     0,   430,   310,   435,     0,     0,     0,
    1288,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1243,     0,     0,     0,     0,
       0,   156,     0,     0,   109,   111,   158,   160,   162,   164,
     170,   172,   174,   168,   178,   166,   176,   104,   104,   104,
     104,   181,   183,   185,   187,   189,   191,     0,     0,     0,
       0,     0,     0,     0,     0,   201,   201,   201,   493,   495,
     501,   503,   505,   507,   497,   499,   509,   242,   242,   242,
     242,   242,   242,   242,   242,   242,   242,   242,   242,   242,
     242,   242,   242,   242,     0,     0,     0,     0,   240,     0,
       0,   255,   449,   451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   430,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   591,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     589,   578,   579,   580,   581,   582,   583,   584,   585,   592,
     586,   587,   588,   590,   593,   594,   595,   596,   597,   598,
     599,     0,     0,     0,     0,   447,   286,   288,     0,   292,
       0,   284,   344,   346,   350,   354,   348,     0,     0,   409,
     412,   415,   418,     0,   424,   400,   356,   358,   360,   363,
     365,   340,   400,   382,   378,   380,   384,     0,     0,     0,
       0,   376,   388,   386,   390,   392,   394,   396,   398,   330,
     338,   333,   436,     0,     0,   434,  1244,  1274,  1276,     0,
       0,     0,  1246,  1248,  1256,  1264,  1258,  1252,  1250,  1254,
    1260,  1262,  1272,  1266,  1268,  1270,  1242,     0,   113,   115,
     117,   119,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   123,   125,    97,
      99,   101,   103,   311,   313,   315,   317,   319,   321,   323,
     325,   194,   197,   200,   203,   205,   207,   217,   219,   211,
     209,   215,   213,   223,   221,   227,   225,   229,   233,   235,
     237,     0,     0,     0,   244,     0,     0,   257,   461,   461,
     600,   431,   631,   633,   635,   637,   639,   644,   646,   648,
     657,   700,   702,   704,   706,   708,   710,   712,   714,   716,
     718,   731,   742,   744,   753,   762,   764,   771,   776,   791,
     793,   795,   797,   799,   822,   833,   844,   851,   860,   869,
     901,   906,   937,   970,   972,   983,  1044,  1046,  1048,  1050,
    1067,  1083,  1090,  1092,  1097,  1102,  1104,  1111,  1128,  1188,
    1190,  1201,  1078,  1222,   890,  1157,  1227,  1229,  1231,  1233,
    1238,  1289,  1291,   456,   428,   298,   303,   459,     0,   297,
     297,   295,   297,     0,   400,   400,   400,   400,   400,     0,
     400,   430,   430,   430,   430,   421,     0,   362,   400,   400,
     400,   400,   400,   400,   367,   400,   400,   400,   400,     0,
       0,     0,     0,   400,   400,   400,   400,   400,   400,   400,
     400,   444,   439,   442,  1281,  1281,  1281,     0,     0,  1279,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,     0,   127,   127,   127,   127,   128,
     130,   132,   134,   136,   138,   140,   142,   144,   146,   148,
     150,   152,   154,   127,   127,   127,   327,   327,   327,   327,
     327,   327,   327,   327,     0,     0,     0,   246,   260,   258,
     256,   450,   452,   630,     0,     0,     0,     0,     0,   643,
       0,     0,   656,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   730,   741,     0,   752,   761,     0,   770,
     775,   790,     0,     0,     0,     0,   821,   832,   843,   850,
     859,   868,   889,   905,   936,   969,     0,   982,  1043,     0,
       0,     0,  1066,  1077,  1089,     0,  1096,  1101,     0,  1110,
    1127,  1156,     0,  1200,  1221,  1082,  1226,   900,  1187,     0,
       0,     0,  1237,     0,     0,     0,   461,     0,     0,   461,
     453,   287,   289,   297,   293,   290,   345,   347,   351,   355,
     349,     0,   353,     0,     0,     0,     0,   430,     0,   357,
     359,   361,   364,   366,     0,   383,   379,   381,   385,   368,
     370,   372,   374,   377,   389,   387,   391,   393,   395,   397,
     399,   437,   444,   444,  1245,  1275,  1277,     0,     0,     0,
    1281,  1247,  1249,  1257,  1265,  1259,  1253,  1251,  1255,  1261,
    1263,  1273,  1267,  1269,  1271,   105,   114,   116,   118,   120,
     156,   156,   156,   156,   156,   156,   156,   156,   156,   156,
     156,   156,   156,   156,   122,   124,   126,   312,   314,   316,
     318,   320,   322,   324,   326,   251,     0,     0,   245,   262,
     262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   430,   632,   634,   636,   638,     0,     0,   645,
     647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   701,   703,   705,   707,
     709,   711,   713,   715,   717,     0,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   763,
       0,     0,     0,     0,     0,     0,     0,     0,   792,   794,
     796,   798,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   971,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1045,  1047,  1049,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1091,
       0,     0,     0,     0,  1103,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1189,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,  1230,
    1232,     0,     0,  1239,  1290,  1292,   457,     0,     0,   460,
     461,   296,   297,   401,   410,   413,   416,   419,     0,     0,
     341,   400,   400,   400,   400,   440,   443,  1282,  1284,  1286,
    1280,   107,   129,   131,   133,   135,   137,   139,   141,   143,
     145,   147,   149,   151,   153,   155,   253,     0,     0,   261,
     259,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   601,   429,     0,   640,     0,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   658,
       0,     0,   719,     0,   732,     0,     0,     0,   745,     0,
       0,     0,   754,     0,   765,     0,   772,     0,     0,     0,
     777,     0,     0,     0,     0,     0,     0,   800,     0,     0,
       0,     0,   823,     0,   834,     0,   845,     0,     0,     0,
     852,     0,   861,     0,     0,     0,     0,     0,     0,   870,
       0,   902,     0,     0,   907,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,     0,     0,     0,   973,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   984,     0,
       0,     0,     0,     0,     0,     0,  1051,     0,     0,     0,
    1068,     0,     0,  1084,     0,  1093,     0,  1098,     0,     0,
    1105,     0,  1112,  1130,  1132,  1134,  1136,  1138,  1140,  1142,
    1144,  1146,     0,     0,     0,     0,  1129,     0,     0,  1191,
       0,     0,     0,     0,     0,  1202,     0,  1079,     0,  1223,
       0,     0,     0,     0,   891,  1159,  1161,  1163,  1165,  1167,
    1169,  1171,  1173,  1175,  1177,  1179,  1181,  1183,  1185,  1158,
       0,  1234,     0,     0,   454,   291,   403,   427,   427,   427,
     427,   422,     0,   343,   369,   371,   373,   375,  1288,  1288,
    1288,   106,   252,   247,   249,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1187,  1187,     0,     0,     0,   402,   411,
     414,   417,   420,   427,     0,   342,  1283,  1285,  1287,   253,
     253,   602,   604,   606,   608,   616,   610,   612,   614,   618,
     620,   622,   624,   626,   628,   641,   650,   652,   654,   659,
     661,   663,   665,   667,   669,   675,   671,   673,   677,   679,
     681,   687,   683,   685,   691,   693,   695,   689,   697,   720,
     722,   724,   726,   728,   733,   735,   737,   739,   746,   748,
     750,   755,   757,   759,   766,   768,   773,   778,   780,   782,
     784,   786,   788,   813,   801,   809,   803,   805,   807,   811,
     817,   815,   819,   824,   826,   828,   830,   835,   837,   839,
     841,   846,   848,   853,   857,   855,   862,   864,   866,   887,
     875,   877,   871,   873,   881,   879,   883,   885,   903,   908,
     910,   918,   926,   920,   914,   912,   916,   922,   924,   934,
     928,   930,   932,   939,   941,   943,   945,   947,   949,   951,
     953,   955,   957,   961,   959,   963,   965,   967,   978,   980,
     974,   976,   985,   987,   989,   991,   993,   995,   997,   999,
    1001,  1003,  1015,  1005,  1007,  1009,  1011,  1013,  1017,  1019,
    1021,  1023,  1025,  1027,  1029,  1031,  1033,  1035,  1037,  1039,
    1041,  1052,  1054,  1056,  1058,  1060,  1062,  1064,  1069,  1071,
    1073,  1075,  1085,  1087,  1094,  1099,  1108,  1106,  1113,  1115,
    1117,  1119,  1121,  1123,  1125,  1131,  1133,  1135,  1137,  1139,
    1141,  1143,  1145,  1147,  1148,  1150,  1152,  1154,  1192,  1194,
    1196,  1198,  1203,  1205,  1207,  1209,  1211,  1213,  1215,  1217,
    1219,  1080,  1224,   896,   898,   892,   894,  1160,  1162,  1164,
    1166,  1168,  1170,  1172,  1174,  1176,  1178,  1180,  1182,  1184,
    1186,  1235,   299,   304,   423,     0,   248,   250,   630,   630,
     630,   630,   630,   630,   630,   630,   630,   630,   630,   630,
     630,   630,   643,   656,   656,   656,   699,   699,   699,   699,
     699,   699,   699,   699,   699,   699,   699,   699,   699,   699,
     699,   699,   699,   699,   699,   699,   730,   730,   730,   730,
     730,   741,   741,   741,   741,   752,   752,   752,   761,   761,
     761,   770,   770,   775,   790,   790,   790,   790,   790,   790,
     821,   821,   821,   821,   821,   821,   821,   821,   821,   821,
     832,   832,   832,   832,   843,   843,   843,   843,   850,   850,
     859,   859,   859,   868,   868,   868,   889,   889,   889,   889,
     889,   889,   889,   889,   889,   905,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   982,   982,   982,   982,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1077,  1077,  1077,  1077,  1089,
    1089,  1096,  1101,  1110,  1110,  1127,  1127,  1127,  1127,  1127,
    1127,  1127,  1156,  1156,  1156,  1156,  1200,  1200,  1200,  1200,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1082,
    1226,   900,   900,   900,   900,  1237,   327,   327,   430,   603,
     605,   607,   609,   617,   611,   613,   615,   619,   621,   623,
     625,   627,   629,   642,   651,   653,   655,   660,   662,   664,
     666,   668,   670,   676,   672,   674,   678,   680,   682,   688,
     684,   686,   692,   694,   696,   690,   698,   721,   723,   725,
     727,   729,   734,   736,   738,   740,   747,   749,   751,   756,
     758,   760,   767,   769,   774,   779,   781,   783,   785,   787,
     789,   814,   802,   810,   804,   806,   808,   812,   818,   816,
     820,   825,   827,   829,   831,   836,   838,   840,   842,   847,
     849,   854,   858,   856,   863,   865,   867,   888,   876,   878,
     872,   874,   882,   880,   884,   886,   904,   909,   911,   919,
     927,   921,   915,   913,   917,   923,   925,   935,   929,   931,
     933,   940,   942,   944,   946,   948,   950,   952,   954,   956,
     958,   962,   960,   964,   966,   968,   979,   981,   975,   977,
     986,   988,   990,   992,   994,   996,   998,  1000,  1002,  1004,
    1016,  1006,  1008,  1010,  1012,  1014,  1018,  1020,  1022,  1024,
    1026,  1028,  1030,  1032,  1034,  1036,  1038,  1040,  1042,  1053,
    1055,  1057,  1059,  1061,  1063,  1065,  1070,  1072,  1074,  1076,
    1086,  1088,  1095,  1100,  1109,  1107,  1114,  1116,  1118,  1120,
    1122,  1124,  1126,  1149,  1151,  1153,  1155,  1193,  1195,  1197,
    1199,  1204,  1206,  1208,  1210,  1212,  1214,  1216,  1218,  1220,
    1081,  1225,   897,   899,   893,   895,  1236,   300,   305,     0,
       0,     0,     0,   301,     0,   425,   310,     0,   427,   302,
       0,   426,   306,   327,   307,     0,   308,   310,   309
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2305, -2305, -2305, -2305,   233, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,  1701,
   -2305,  1462, -2305,   405, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305,  -484, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305,   143, -2305,  -267, -2305, -2305,
    -426, -2305, -2305, -2305, -2305, -2305, -2305, -2305,  -704, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305,   193, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305,  -439, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,  -497, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,   578,
   -2305, -2305, -1906, -2305, -2305, -2305,   776, -2305, -2305, -1130,
   -2305, -2305,   355, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305,  1190, -2305, -2305, -1361, -2305, -2305, -2305, -2305,
   -2305, -2305,  -862, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305,  -472, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305,  -574, -2305, -2305, -2305, -2305, -2305,  1146, -2305,
     -75, -2305, -2305, -1168, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305,   -66, -2305, -2305, -2117, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305,  -906, -2305,  1145,
   -2305, -2305, -1323, -2305, -2305, -2305, -2305, -2305,  1202, -2305,
   -2305, -1284, -2305, -2305, -2305, -2305, -2305, -2305, -2305,   522,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305,   515, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305,   216, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305,   529, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305,  -104, -2305, -2305, -2305, -1659, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305,  -580, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -1846, -2305, -2305, -2305, -2305, -2305, -1697, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -1919, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -1729, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -1841, -2305, -2305, -2305, -2305, -2305,
   -1832, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2088, -2305,
   -2305, -2305, -2305,  -619, -2305, -2305, -2305, -1875, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -1809, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -1569, -2305, -2305,
   -2305, -2305, -2305, -2305, -1568, -2305, -2305, -2305, -2305, -2305,
   -2305, -2080, -2305, -2305, -2305, -2305, -1694, -2305, -2305, -2305,
   -2305, -2305, -1557, -2305, -2305, -2305, -2305, -2305, -1667, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -1691, -2305, -2305, -2305, -2305, -2305, -2305,  -660, -2305, -2305,
   -2305, -1724, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -1958, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -1611, -2305,
   -2305, -2305, -2305, -2305, -2305, -1862, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -1671, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -1647, -2305, -2305, -2305, -2305, -2305, -2305,
    -763, -2305, -2305, -2305, -2159, -2305, -2305, -2305, -2305, -2305,
   -2305,  -734, -2305, -2305, -2305,  -732, -2305, -2305, -2305, -2305,
   -2305, -2144, -2305, -2305, -2305, -2305, -1681, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2304, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -1338, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -1664, -2305, -2305, -2305, -2305, -2305, -2305, -1762, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
    -762, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
    -764, -2305, -2305, -2305,  1144, -2305, -2305,  -662, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305, -2305, -2305,  -979, -2305, -2305,
   -2305, -2305, -2305, -2305, -2305
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,     2,    11,    25,    60,   248,    67,   393,    68,
     397,    69,   399,    66,   391,    91,   422,    94,   425,   174,
     421,    93,   597,    59,   426,   432,   433,   434,   435,   436,
     437,   490,   438,   180,   200,   475,   486,   489,   487,   488,
     491,   332,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   957,   958,   959,   960,   301,  1911,   183,   302,   303,
     615,  1445,  1446,  1447,  1448,   941,  1464,  1465,  1256,  1630,
    1631,  1632,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,  1642,  1643,   199,   790,   791,   792,   793,   799,   797,
     794,   795,   796,   800,   798,   209,   814,   815,   816,   817,
     818,   819,   471,   975,   472,   976,   473,   977,   136,   987,
     988,   989,   993,   992,   995,   994,   990,   991,   997,   996,
     999,   998,  1000,   688,  1001,  1002,  1003,   377,   852,   511,
     851,  1477,  1007,  2389,  2390,  1926,   379,   695,  1297,   855,
    1660,  1659,    65,   515,   516,   518,   517,   519,   521,   520,
     523,   522,   145,   392,   867,   536,  1379,  1380,  1892,  1382,
     864,  1563,  1163,  1557,  2836,  3050,  3056,  1558,  2837,  3051,
    3063,  3065,  3067,   656,  1466,  1467,  1468,  1469,  1470,  1471,
    1472,  1473,   149,   394,   909,   395,   911,   747,   566,   910,
     892,  1403,  2133,   564,  1384,  1385,  1388,  1386,   878,  1387,
    1398,  1399,  1400,  1401,  1402,  1901,  1902,  1903,  1904,  1413,
    1406,  1407,  1405,  1408,  1415,  1414,  1416,  1417,  1418,  1419,
    1420,  1178,  2126,   873,   885,  1391,  2127,  1392,  2128,  1393,
    2129,  1394,  2130,  1577,  2383,  1396,  3058,  1087,  1484,   151,
     398,   916,   572,  1421,   914,  1602,   915,  1603,   143,   390,
     861,   529,  1298,  1299,  1890,   858,  1556,   859,  1559,    77,
     574,   575,   576,   577,   578,   579,   580,    90,   588,   589,
     590,   591,   592,   593,   594,   220,   824,   825,   830,   831,
     826,   827,   828,   829,   832,    82,   582,   581,   583,   584,
     585,   586,   587,   192,  1088,  1089,  1483,  1671,  2628,  2629,
    2630,  2631,  2633,  2634,  2635,  2632,  2636,  2637,  2638,  2639,
    2640,  2641,  1090,  1485,  1091,  1486,  1092,  1487,  1093,  1488,
    1094,  1489,  1678,  2642,  1095,  1490,  1096,  1491,  1097,  1492,
    1682,  2643,  2644,  2645,  1098,  1493,  1695,  2646,  2647,  2648,
    2649,  2650,  2651,  2653,  2654,  2652,  2655,  2656,  2657,  2659,
    2660,  2658,  2664,  2661,  2662,  2663,  2665,  1099,  1494,  1100,
    1495,  1101,  1496,  1102,  1497,  1103,  1498,  1104,  1499,  1105,
    1500,  1106,  1501,  1107,  1502,  1108,  1503,  1707,  2666,  2667,
    2668,  2669,  2670,  1109,  1504,  1709,  2671,  2672,  2673,  2674,
    1110,  1505,  1111,  1506,  1714,  2675,  2676,  2677,  1112,  1507,
    1718,  2678,  2679,  2680,  1113,  1508,  1114,  1509,  1721,  2681,
    2682,  1115,  1510,  1723,  2683,  1116,  1511,  1727,  2684,  2685,
    2686,  2687,  2688,  2689,  1117,  1512,  1118,  1513,  1119,  1514,
    1120,  1515,  1121,  1516,  1738,  2691,  2693,  2694,  2695,  2692,
    2696,  2690,  2698,  2697,  2699,  1122,  1517,  1743,  2700,  2701,
    2702,  2703,  1123,  1518,  1745,  2704,  2705,  2706,  2707,  1124,
    1519,  1747,  2708,  2709,  1125,  1520,  1751,  2710,  2712,  2711,
    1126,  1521,  1753,  2713,  2714,  2715,  1127,  1522,  1760,  2719,
    2720,  2717,  2718,  2722,  2721,  2723,  2724,  2716,  1128,  1547,
    1862,  2833,  2834,  2831,  2832,  1129,  1523,  1762,  2725,  1130,
    1524,  1765,  2726,  2727,  2732,  2731,  2733,  2728,  2730,  2734,
    2735,  2729,  2737,  2738,  2739,  2736,  1131,  1525,  1775,  2740,
    2741,  2742,  2743,  2744,  2745,  2746,  2747,  2748,  2749,  2751,
    2750,  2752,  2753,  2754,  1132,  1526,  1133,  1527,  1781,  2757,
    2758,  2755,  2756,  1134,  1528,  1800,  2759,  2760,  2761,  2762,
    2763,  2764,  2765,  2766,  2767,  2768,  2770,  2771,  2772,  2773,
    2774,  2769,  2775,  2776,  2777,  2778,  2779,  2780,  2781,  2782,
    2783,  2784,  2785,  2786,  2787,  1135,  1529,  1136,  1530,  1137,
    1531,  1138,  1532,  1811,  2788,  2789,  2790,  2791,  2792,  2793,
    2794,  1139,  1533,  1815,  2795,  2796,  2797,  2798,  1140,  1545,
    1855,  2829,  1141,  1534,  1818,  2799,  2800,  1142,  1535,  1143,
    1536,  1821,  2801,  1144,  1537,  1823,  2802,  1145,  1538,  1146,
    1539,  1827,  2804,  2803,  1147,  1540,  1829,  2805,  2806,  2807,
    2808,  2809,  2810,  2811,  1148,  1541,  1843,  2329,  2330,  2331,
    2332,  2333,  2334,  2335,  2336,  2337,  2812,  2813,  2814,  2815,
    1149,  1548,  1877,  2361,  2362,  2363,  2364,  2365,  2366,  2367,
    2368,  2369,  2370,  2371,  2372,  2373,  2374,  1150,  1542,  1151,
    1543,  1847,  2816,  2817,  2818,  2819,  1152,  1544,  1853,  2820,
    2821,  2822,  2823,  2824,  2825,  2826,  2827,  2828,  1153,  1546,
    1857,  2830,  1154,  1549,  1155,  1550,  1156,  1551,  1157,  1552,
    1882,  2835,  1158,  1553,   178,   424,   935,   603,  1424,  1430,
    1431,  1436,  1435,  1437,  1432,  1434,  1438,  1439,  1433,  1441,
    1442,  1443,  1440,  1425,  1426,   920,  1610,  1221,  2138,  2139,
    2140,  1159,  1554,  1160,  1555
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     657,   658,  1168,   210,   616,   221,   222,   223,  1213,   225,
    2379,  2380,  2381,  2382,  1481,  1482,   696,  1397,  1561,  1562,
    2142,  1564,    12,    13,  1404,  2575,  2576,  2577,  2578,  2579,
    2580,  2581,  2582,  2583,   468,    61,    62,   893,    39,    40,
     853,    41,  1754,  1242,  1243,  1244,  1245,  1246,  1247,  1248,
    1249,  1250,     3,  1214,   608,   609,   610,   611,   612,   283,
      42,    43,    44,    45,    46,    47,    48,  2172,  1705,   254,
     255,   295,  1711,  1845,    14,   918,    15,  2198,     4,  1715,
    1825,    16,     5,    17,  2314,  1782,  1863,  1864,  1865,  1866,
    1867,  1868,  1869,  1870,  1871,  1732,  2175,  2176,  1601,  1004,
    2188,  2189,    18,  2349,    19,   879,   880,   881,   882,   883,
     181,   182,    20,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,     6,   921,   922,
     923,   924,   925,     7,   926,   927,   928,  2243,  2244,  2245,
    2246,  2247,     8,  2248,  2249,  2250,  2169,  1005,     9,  2201,
    2202,   801,   802,   803,   804,   805,   806,   807,   808,   809,
    2315,   396,   146,  2221,  2222,  1683,  1684,  1685,  1686,  1687,
    1688,  1689,   919,   912,  1690,  1826,  1691,   443,   444,   147,
      10,   854,  1374,   251,   252,    26,  1755,  1706,  2173,    27,
    1219,   846,    28,  2276,  2277,  2278,  2279,  2280,  2281,  2282,
    2283,  2284,  1891,  1756,  1724,   894,   895,    29,  2199,    30,
     446,   447,   896,    31,  1725,  1726,  1566,  1567,  1568,  1569,
    1570,  1161,  1572,  1757,  1758,   256,  2350,  2351,  1804,    32,
    1579,  1580,  1581,  1582,  1583,  1584,    92,  1585,  1586,  1587,
    1588,   439,   440,   441,   481,  1593,  1594,  1595,  1596,  1597,
    1598,  1599,  1600,  2160,   187,   188,  1846,  1162,  1733,   469,
      33,  1734,  2148,  1735,  2170,  2171,  2624,  1251,  1252,  1253,
      95,  1006,  1886,    34,  1736,  1889,   538,    35,  2238,  1905,
    1906,  1783,   257,  2190,  2191,  1812,   613,    49,  1784,  1785,
    1786,  1787,  1788,  1789,  1790,  1791,  1792,  2149,  2239,   445,
    1793,  1794,  1795,  1796,  1797,  1798,  1220,    36,  2208,  1712,
    1872,  1873,  1874,  1713,  2177,   539,  1716,   598,   130,    50,
    1717,    37,  1805,  1806,  1807,  1808,  1809,   540,   541,   542,
     543,   544,  2203,  2204,  1739,  1209,   884,  1211,    38,   253,
      96,    51,    97,  2209,  1608,  1609,  2223,  2224,   227,    98,
    2161,  2162,   929,   930,    99,  1008,   644,   645,  2285,   647,
     100,  2251,  2252,   442,    21,  1737,   101,   131,   132,   133,
     102,   148,  1740,   103,   258,   961,   962,   963,   964,   965,
     966,   104,  1254,    52,   134,  1813,  1814,  1255,   105,  1692,
     106,  1748,   276,  1749,    22,  1693,   107,   284,  2150,  2151,
      53,  2152,  2240,  2241,   108,   292,    23,   109,   277,   296,
    1694,  1810,  1750,   110,    54,   111,   545,   546,   547,    63,
      64,  1741,   569,   570,   571,  1875,   614,   112,   599,   113,
    1876,    55,  1661,  1662,  1663,  1664,   190,   191,  1665,  1014,
    1666,  1667,   114,  1799,  2210,  2211,   115,  2212,    24,    56,
     600,  1763,  1764,  1742,  1816,  1817,  1766,   137,   601,   602,
     138,    57,   135,  1767,  1759,   278,   279,   280,  2225,  2226,
    1768,    58,   931,  1259,  1260,  1261,  1262,  2178,  2179,  2180,
    2181,  2253,   141,  2626,  2627,  1573,  1574,  1575,  1576,   139,
    1274,  1275,  1276,  1277,  1278,  1279,  1280,  1281,  1282,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   142,  3023,  3024,
    3025,  3026,   140,  1015,   150,   548,   549,   550,  2267,  2268,
     551,   944,   945,   552,   553,   554,   555,   556,    78,  1929,
    1930,  2125,    79,    80,    81,   144,  1271,  1272,  1273,   932,
     933,   934,  1668,   152,  1016,  1017,  1018,  1019,  1020,  1021,
    1022,  1023,  1024,  1025,  1026,  1027,  1028,  1029,  1030,  1031,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,  1040,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,  1050,  1051,
    1052,  1053,  1054,  1055,  1056,  1057,  1058,  1769,  1770,  2230,
    2231,  2232,  1771,  2892,  2893,  1772,  1773,  1774,   193,   194,
     195,   196,   557,   558,   559,   560,  2124,   524,   525,   526,
     527,   319,   153,   514,   320,   154,   875,   876,  2254,  2255,
    2256,   886,   887,   888,   530,   890,   537,   321,  2919,  2920,
     568,   155,   573,   902,   156,   904,   905,   906,   907,  1848,
    3010,  3011,  1669,   531,   532,  1059,   533,  1777,   534,   157,
    1830,  1670,  1858,  1831,  1849,   596,   158,  1850,   604,  3014,
    3015,  1851,   561,  1852,  1778,   159,  1832,   160,   164,  1859,
     562,  1898,   161,  1060,  2264,  2265,  2266,   937,   162,   939,
     163,   172,   942,   943,  1779,  1780,   165,   166,   563,  1860,
    1861,  2295,  2296,  2297,  1061,  1062,   167,   168,   211,   212,
     213,   214,   215,   216,  2342,  2343,  2344,  1063,   528,   431,
     217,   218,   173,  1064,  2258,  2259,  2260,  2261,   197,   198,
    2346,  2347,  2348,   450,  1065,   868,   869,   870,   871,   872,
    1066,  1067,  1068,  2134,  2135,  2136,  2137,   201,   202,   203,
     204,  1069,  1070,   169,   535,   170,   474,  2877,  2878,  2879,
    2880,  2881,   205,   206,   207,   208,  1071,   485,   171,   219,
     175,   176,  1604,  1605,  1606,  1072,  1942,  1073,  1611,  1612,
    1613,  1614,  1615,  1616,  1617,  1618,  1619,  1620,  1621,  1622,
    1623,  1624,  2951,  2952,  2953,  2954,  2955,  2956,  2957,  2958,
    2959,  2960,  2961,  2962,  2963,  2964,  2965,  2854,  2855,  2856,
    1074,  2184,  2185,  2186,  2187,   177,  1075,   179,  1076,  2895,
    2896,  2897,  2898,  2899,  2900,  1077,   184,   185,   322,   323,
     324,   325,   326,   327,   186,   328,   329,   330,   331,   224,
     189,   605,  1078,   607,  2886,  2887,  2888,   617,   618,   619,
     620,   621,   622,   623,   226,  1079,  2889,  2890,  2891,  1080,
     228,  1081,  1082,  1083,   229,  1084,   246,  1833,  1834,  1835,
    1836,  1837,  1838,  1085,  1839,  1840,  1841,  1842,   230,   648,
     697,   698,   699,   700,   701,   702,   703,   704,   705,  1086,
     659,  2901,  2902,  2903,  2904,  2905,  2906,  2907,  2908,  2909,
    2910,   669,   670,   671,   672,   673,   674,  2970,  2971,  2972,
    2973,  2974,  2975,  2976,  2977,  2978,  2979,  2980,  2981,  2982,
    2983,  2984,  2985,  2986,  2987,  2988,  2989,  2990,  2991,  2992,
    2993,  2994,  2995,  2996,  2997,  2998,  1912,  1913,  1914,  1915,
    1916,  1917,  1918,  1919,  1920,  1921,  1922,  1923,  1924,  1925,
     247,  3061,  2882,  2883,  2884,  2885,   231,   232,  1910,  2857,
    2858,  2859,  2860,  2861,  2862,  2863,  2864,  2865,  2866,  2867,
    2868,  2869,  2870,  2871,  2872,  2873,  2874,  2875,  2876,  2839,
    2840,  2841,  2842,  2843,  2844,  2845,  2846,  2847,  2848,  2849,
    2850,  2851,  2852,   946,   947,   948,   949,   950,   951,   952,
     953,   954,   955,   956,  1647,  1648,  1649,  1650,  1651,  1652,
    1653,  1654,  2937,  2938,  2939,  2940,  2941,  2942,  2943,  2944,
    2945,  2946,  2947,  2948,  2949,  2950,  2921,  2922,  2923,  1626,
    1627,  1628,  1629,  2607,  2608,  2609,  2610,  2611,  2612,  2613,
    2614,  2615,  2616,  2617,  2618,  2619,  2620,  1644,  1645,  1646,
     978,   979,   980,   981,   982,   983,   984,   985,   986,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,  3031,  3032,
    3033,  3034,  3035,  3036,  3037,  3038,  3039,   967,   968,   969,
     970,   971,   972,   973,   974,    70,    71,    72,    73,    74,
      75,    76,    83,    84,    85,    86,    87,    88,    89,  2322,
    2323,  2324,  2325,  2326,  2327,  2328,   752,   753,   754,   755,
     756,   757,   758,   766,   767,   768,   769,   770,   771,   772,
     759,   760,   761,   762,   763,   764,   765,  2999,  3000,  3001,
    3002,  3003,  3004,  3005,  3016,  3017,  3018,  3019,  3020,  3021,
    3022,  2911,  2912,  2913,  2914,   233,  2915,  2916,  2917,  2918,
    3042,  3043,  3044,  3045,  2966,  2967,  2968,  2969,  3006,  3007,
    3008,  3009,  3027,  3028,  3029,  3030,  2924,  2925,  2926,  2386,
    2387,  2388,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   249,   250,   259,   265,   260,   261,
     269,   262,   263,   264,   270,   266,   267,   271,   268,   272,
     273,   274,   275,   294,   281,   282,   285,   286,   287,   288,
     289,   290,   291,   297,   510,   298,   293,   299,   300,   304,
     312,   318,   305,   306,   307,   338,   308,   309,   310,   311,
     339,   313,   314,   315,   316,   317,   333,   334,   335,   336,
     337,   340,   342,   341,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   378,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     423,   428,   427,   429,   430,   448,   449,   460,   464,   512,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   476,
     461,   462,   463,   465,   466,   467,   470,   477,   478,   479,
     480,   482,   483,   513,   484,   655,   693,   891,   694,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   565,   507,   508,   509,   567,   606,
     624,   708,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   646,   649,   709,   650,   651,   652,   653,   654,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   711,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   689,   690,   691,   692,   714,  1578,   717,
     706,   707,   710,   712,   713,   715,   723,   716,   718,   719,
     720,   721,   722,   724,   725,   726,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   744,   743,   745,   746,   748,   749,   750,   780,
     751,   774,   775,   776,   777,   778,   779,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   810,   811,   812,   813,
     821,   820,   822,   823,   833,   834,   835,   836,   837,   838,
     839,   840,   841,   842,   843,   844,   845,   847,   848,   849,
     850,   856,   857,  1009,   860,  1010,   862,   863,   865,  1011,
     866,   874,   877,   889,  1179,   897,   898,   899,   900,   901,
     903,  1012,   908,   913,   917,  1013,   936,   938,   940,  1180,
    1181,  1177,  1166,  1164,  1167,  1169,  1182,  1172,  1170,  1173,
    1174,  1175,  1176,  1183,  1184,  1197,  1185,  1186,  1187,  1188,
    1189,  1190,  1191,  1193,  1192,  1194,  1195,  1196,  1294,  1295,
    1198,  1199,  1200,  1201,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1212,  1216,  1217,  1218,  1222,  1223,  1224,  1225,  1226,
    1227,  1228,  1229,  1230,  1231,  1232,  1233,  1234,  1235,  1296,
    1238,  1237,  1239,  1240,  1241,  1257,  1258,  1263,  1264,  1265,
    1266,  1267,  1268,  1269,  1270,  1300,  1291,  1292,  1293,  1301,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,  1311,
    1312,  1313,  1314,  1315,  1316,  1317,  1318,  1319,  1320,  1321,
    1322,  1323,  1324,  1325,  1326,  1327,  1328,  1329,  1330,  1331,
    1332,  1333,  1334,  1335,  1336,  1337,  1338,  1339,  1340,  1341,
    1342,  1343,  1344,  1345,  1346,  1347,  1348,  1349,  1350,  1351,
    1352,  1353,  1354,  1355,  1356,  1357,  1358,  1359,  1360,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,  1368,  1369,  1370,  1371,
    1372,  1378,  1373,  1375,  1376,  1383,  1377,  1381,  1390,  1389,
    1395,  1427,  1422,  1409,  1410,  1411,  1412,  1423,  1429,  1444,
    1428,  1463,  1449,  1672,  1450,  1451,  1452,  1453,  1454,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,  1462,  1474,  1478,  1475,
    1476,  1656,  1673,  1479,  1560,  1565,  1571,  1589,  1657,  1674,
    1590,  1591,  1592,  1607,  1675,  1625,  1676,  1655,  1677,  1679,
    1680,  1681,  1696,  1697,  1698,  1699,  1700,  1701,  1702,  1703,
    1704,  1708,  1710,  1719,  1728,  1720,  1722,  1729,  1730,  1731,
    1744,  1746,  1752,  1761,  1776,  1801,  1802,  1803,  1819,  1822,
    1820,  1824,  1828,  1844,  1856,  1854,  1878,  1879,  1880,  1881,
    1883,  1884,  1885,  1893,  1894,  1895,  1896,  1897,  1887,  1888,
    1899,  1900,  1907,  1941,  1908,  1909,  1944,  1927,  1928,  1946,
    1959,  1962,  1931,  1932,  1933,  1934,  1935,  1936,  1937,  1964,
    1938,  1939,  1940,  1943,  1945,  1947,  1948,  1949,  1950,  1951,
    1952,  1953,  1954,  1968,  1972,  1955,  1956,  1957,  1958,  1960,
    1961,  1963,  1965,  1966,  1967,  1969,  1974,  1970,  2146,  2147,
    1971,  1973,  2154,  2155,  2156,  2157,  2158,  1975,  1976,  1977,
    1980,  1987,  1978,  2163,  2164,  2165,  2166,  2167,  2168,  1979,
    1981,  2174,  1982,  1983,  2182,  1984,  1985,  1986,  1988,  1992,
    1994,  1989,  2193,  2194,  1990,  1991,  2196,  2197,  1996,  1993,
    1995,  2200,  1997,  1998,  2205,  2206,  1999,  2207,  2000,  2001,
    2214,  2215,  2216,  2002,  2217,  2218,  2219,  2220,  2003,  2004,
    2009,  2005,  2006,  2227,  2228,  2229,  2011,  2007,  2008,  2014,
    2234,  2235,  2236,  2237,  2010,  2024,  2012,  2029,  2013,  2015,
    2016,  2257,  2017,  2048,  2018,  2056,  2060,  2269,  2270,  2271,
    2019,  2272,  2273,  2274,  2275,  2020,  2021,  2022,  2287,  2288,
    2289,  2290,  3049,  2023,  2025,  2026,  2027,  2298,  2299,  2300,
    2301,  2028,  2030,  2031,  2032,  2305,  2033,  2034,  2035,  2309,
    2310,  2036,  2037,  2312,  2038,  2039,  2063,  2040,  2317,  2041,
    2318,  2042,  2043,  2044,  2045,  2321,  2046,  2047,  2049,  2050,
    2051,  2065,  2067,  2052,  2053,  2054,  2055,  2057,  2338,  2339,
    2058,  2341,  2059,  2061,  2062,  2064,  2070,  2072,  2352,  2353,
    2354,  2066,  2068,  2069,  2356,  2073,  2357,  2358,  2359,  2360,
    2071,  2074,  2075,  2076,  2086,  2077,  2078,  2089,  2095,  2097,
    2079,  2080,  2081,  2099,  2104,  2119,  2121,  2131,  2082,  2083,
    2084,  2085,  2087,  2088,  2090,  2091,  2092,  2093,  2094,  2096,
    2098,  2100,  2101,  2102,  2103,  2105,  2106,  2107,  2108,  2109,
    2110,  2111,  2112,  2113,  2114,  2115,  2838,  2116,  2117,  2118,
    3052,  3053,  3055,  3066,  2141,  1658,  1210,  1171,  2385,   773,
    2378,  1215,  2853,  1165,  2894,  2936,  3040,  3012,  3041,  2625,
    3013,  3046,     0,  1480,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3054,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   595,     0,  2120,     0,     0,     0,     0,     0,
       0,     0,  2132,     0,  2122,  2123,  2143,  2145,     0,  2144,
    2159,  2153,  2183,  2192,  2195,  2213,  2233,  2242,  2262,  2263,
    2286,     0,  2291,  2292,  2293,  2294,  2302,  2303,  2304,     0,
    2306,  2307,  2308,  2311,  2313,  2316,     0,  2319,  2320,     0,
    2340,  2345,  2355,     0,  2375,  2376,     0,     0,  2377,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2384,     0,     0,  3059,  2391,  2392,     0,     0,     0,
    2393,  2394,  2395,  2396,     0,  3068,     0,     0,     0,  2397,
    2398,     0,  2399,     0,  2400,  2401,     0,     0,     0,  2402,
       0,     0,     0,  2403,     0,     0,     0,     0,  2404,  2405,
    2406,     0,  2407,     0,  2408,  2409,     0,  2410,  2411,     0,
       0,     0,  2412,  2413,  2414,  2415,  2416,  2417,  2418,     0,
    2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,
    2429,  2430,  2431,     0,     0,  2432,  2433,  2434,  2435,  2436,
    2437,  2438,  2439,  2440,  2441,  2442,     0,  2443,  2444,  2445,
    2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,     0,  2454,
       0,     0,  2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,
    2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,     0,
       0,  2472,  2473,  2474,  2475,  2476,  2477,  2478,     0,  2479,
    2480,  2481,  2482,  2483,  2484,  2485,  2486,  2487,     0,  2488,
    2489,  2490,  2491,     0,  2492,  2493,  2494,  2495,  2496,  2497,
       0,  2498,  2499,  2500,  2501,  2502,     0,  2503,  2504,     0,
    2505,  2506,  2507,  2508,  2509,     0,  2510,     0,  2511,  2512,
    2513,  2514,  2515,     0,  3047,  3048,     0,  2516,  2517,  2518,
    2519,  2520,  2521,  2522,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,  2532,  2533,  2534,  2535,  2536,  2537,  2538,
    2539,  2540,  2541,  2542,  2543,  2544,  2545,  2546,  2547,  2548,
    2549,  2550,  2551,  2552,  2553,  2554,     0,  2555,  2556,  2557,
    2558,  2559,  2560,  2561,  2562,  2563,  2564,  2565,  2566,  2567,
    2568,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2584,
    2585,  2586,  2587,  2588,  2589,  2590,     0,     0,  2591,  2592,
    2593,  2594,  2595,  2596,  2597,  2598,  2599,  2600,  2601,  2602,
    2603,  2604,  2605,  2606,     0,  2621,  2622,     0,     0,     0,
    2623,     0,     0,     0,     0,     0,  3060,     0,     0,  3057,
    3062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3064
};

static const yytype_int16 yycheck[] =
{
     472,   473,   864,   107,   430,   109,   110,   111,   914,   113,
    2127,  2128,  2129,  2130,  1298,  1299,   513,  1185,  1379,  1380,
    1926,  1382,     5,     6,  1192,  2329,  2330,  2331,  2332,  2333,
    2334,  2335,  2336,  2337,    68,    13,    14,    99,     7,     8,
      20,    10,    23,    20,    21,    22,    23,    24,    25,    26,
      27,    28,     0,   915,    15,    16,    17,    18,    19,   163,
      29,    30,    31,    32,    33,    34,    35,    68,    72,   186,
     187,   175,   198,   191,    57,    80,    59,    68,   157,   198,
     218,    64,   452,    66,   192,    22,    20,    21,    22,    23,
      24,    25,    26,    27,    28,     5,   186,   187,  1421,    20,
      13,    14,    85,   319,    87,    78,    79,    80,    81,    82,
      13,    14,    95,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,   453,    20,    21,
      22,    23,    24,   452,    26,    27,    28,    20,    21,    22,
      23,    24,   453,    26,    27,    28,    68,    68,   452,    13,
      14,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     268,   265,    67,    13,    14,   179,   180,   181,   182,   183,
     184,   185,   177,   747,   188,   313,   190,    36,    37,    84,
     454,   161,  1088,   186,   187,     3,   167,   191,   189,     3,
      75,   688,     3,   216,   217,   218,   219,   220,   221,   222,
     223,   224,  1563,   184,   191,   267,   268,     3,   199,     3,
     314,   315,   274,     3,   201,   202,  1384,  1385,  1386,  1387,
    1388,    68,  1390,   204,   205,   342,   442,   443,   184,     3,
    1398,  1399,  1400,  1401,  1402,  1403,   388,  1405,  1406,  1407,
    1408,    36,    37,    38,   348,  1413,  1414,  1415,  1416,  1417,
    1418,  1419,  1420,    80,    36,    37,   374,   104,   168,   293,
       3,   171,    33,   173,   186,   187,  2383,   244,   245,   246,
     455,   192,  1556,     3,   184,  1559,    22,     3,   322,  1602,
    1603,   218,   399,   196,   197,   184,   247,   256,   225,   226,
     227,   228,   229,   230,   231,   232,   233,    68,   342,   158,
     237,   238,   239,   240,   241,   242,   191,     3,    33,   435,
     244,   245,   246,   439,   404,    61,   435,    65,   248,   288,
     439,     3,   278,   279,   280,   281,   282,    73,    74,    75,
      76,    77,   196,   197,   249,   909,   309,   911,     3,   342,
       3,   310,     3,    68,   211,   212,   196,   197,   115,   455,
     177,   178,   244,   245,   455,   852,   460,   461,   381,   463,
     455,   244,   245,   158,   347,   275,   455,   297,   298,   299,
     455,   276,   287,   455,   141,   814,   815,   816,   817,   818,
     819,     3,   359,   352,   314,   284,   285,   364,     3,   403,
       3,   182,   159,   184,   377,   409,   455,   164,   169,   170,
     369,   172,   446,   447,     3,   172,   389,   455,    40,   176,
     424,   367,   203,   455,   383,   455,   162,   163,   164,   397,
     398,   336,    61,    62,    63,   359,   387,   455,   176,   455,
     364,   400,   165,   166,   167,   168,    11,    12,   171,     9,
     173,   174,   455,   380,   169,   170,     4,   172,   431,   418,
     198,   206,   207,   368,   295,   296,   184,   455,   206,   207,
     455,   430,   392,   191,   445,    97,    98,    99,    13,    14,
     198,   440,   364,   957,   958,   959,   960,   410,   411,   412,
     413,   364,     4,  2389,  2390,  1391,  1392,  1393,  1394,   455,
     987,   988,   989,   990,   991,   992,   993,   994,   995,   996,
     997,   998,   999,  1000,  1001,  1002,  1003,    58,  2812,  2813,
    2814,  2815,   455,    83,    86,   261,   262,   263,   321,   322,
     266,   788,   789,   269,   270,   271,   272,   273,    96,  1659,
    1660,  1892,   100,   101,   102,    65,   975,   976,   977,   208,
     209,   210,   275,   455,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   315,   316,   405,
     406,   407,   320,  2681,  2682,   323,   324,   325,    39,    40,
      41,    42,   348,   349,   350,   351,  1890,    60,    61,    62,
      63,    43,   455,   380,    46,   455,   720,   721,   208,   209,
     210,   725,   726,   727,   391,   729,   393,    59,  2708,  2709,
     397,   455,   399,   737,   455,   739,   740,   741,   742,   426,
    2799,  2800,   375,    60,    61,   215,    63,   167,    65,   455,
      43,   384,   167,    46,   441,   422,   455,   444,   425,  2803,
    2804,   448,   408,   450,   184,     4,    59,   455,     4,   184,
     416,  1577,   455,   243,   317,   318,   319,   781,   455,   783,
     455,     4,   786,   787,   204,   205,   455,   455,   434,   204,
     205,   234,   235,   236,   264,   265,   455,   455,   353,   354,
     355,   356,   357,   358,   371,   372,   373,   277,   161,   304,
     365,   366,   451,   283,   211,   212,   213,   214,   159,   160,
     427,   428,   429,   318,   294,    68,    69,    70,    71,    72,
     300,   301,   302,  1901,  1902,  1903,  1904,   289,   290,   291,
     292,   311,   312,   455,   161,   455,   341,  2666,  2667,  2668,
    2669,  2670,   304,   305,   306,   307,   326,   352,   455,   414,
     455,     4,  1424,  1425,  1426,   335,  1672,   337,  1430,  1431,
    1432,  1433,  1434,  1435,  1436,  1437,  1438,  1439,  1440,  1441,
    1442,  1443,  2740,  2741,  2742,  2743,  2744,  2745,  2746,  2747,
    2748,  2749,  2750,  2751,  2752,  2753,  2754,  2643,  2644,  2645,
     370,   192,   193,   194,   195,   432,   376,   451,   378,  2684,
    2685,  2686,  2687,  2688,  2689,   385,   452,   452,   250,   251,
     252,   253,   254,   255,   452,   257,   258,   259,   260,   417,
     451,   426,   402,   428,  2675,  2676,  2677,   432,   433,   434,
     435,   436,   437,   438,   451,   415,  2678,  2679,  2680,   419,
     455,   421,   422,   423,   455,   425,     3,   250,   251,   252,
     253,   254,   255,   433,   257,   258,   259,   260,   455,   464,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   449,
     475,  2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,
    2699,   486,   487,   488,   489,   490,   491,  2759,  2760,  2761,
    2762,  2763,  2764,  2765,  2766,  2767,  2768,  2769,  2770,  2771,
    2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,  2781,
    2782,  2783,  2784,  2785,  2786,  2787,  1630,  1631,  1632,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,  1642,  1643,
       3,  3058,  2671,  2672,  2673,  2674,   455,   455,  1610,  2646,
    2647,  2648,  2649,  2650,  2651,  2652,  2653,  2654,  2655,  2656,
    2657,  2658,  2659,  2660,  2661,  2662,  2663,  2664,  2665,  2628,
    2629,  2630,  2631,  2632,  2633,  2634,  2635,  2636,  2637,  2638,
    2639,  2640,  2641,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,  1466,  1467,  1468,  1469,  1470,  1471,
    1472,  1473,  2726,  2727,  2728,  2729,  2730,  2731,  2732,  2733,
    2734,  2735,  2736,  2737,  2738,  2739,  2710,  2711,  2712,  1445,
    1446,  1447,  1448,  2361,  2362,  2363,  2364,  2365,  2366,  2367,
    2368,  2369,  2370,  2371,  2372,  2373,  2374,  1463,  1464,  1465,
     824,   825,   826,   827,   828,   829,   830,   831,   832,  2716,
    2717,  2718,  2719,  2720,  2721,  2722,  2723,  2724,  2820,  2821,
    2822,  2823,  2824,  2825,  2826,  2827,  2828,   106,   107,   108,
     109,   110,   111,   112,   113,    88,    89,    90,    91,    92,
      93,    94,    88,    89,    90,    91,    92,    93,    94,   328,
     329,   330,   331,   332,   333,   334,   574,   575,   576,   577,
     578,   579,   580,   588,   589,   590,   591,   592,   593,   594,
     581,   582,   583,   584,   585,   586,   587,  2788,  2789,  2790,
    2791,  2792,  2793,  2794,  2805,  2806,  2807,  2808,  2809,  2810,
    2811,  2700,  2701,  2702,  2703,   455,  2704,  2705,  2706,  2707,
    2831,  2832,  2833,  2834,  2755,  2756,  2757,  2758,  2795,  2796,
    2797,  2798,  2816,  2817,  2818,  2819,  2713,  2714,  2715,  2138,
    2139,  2140,   455,   455,   455,   455,   455,   455,   455,   455,
     455,   455,   455,   455,   451,   451,     3,   455,     4,     3,
     451,     4,     3,     3,   451,     4,     3,   451,     4,   451,
     451,   451,   451,     4,   452,   451,   451,   451,   451,   451,
     451,   451,   451,     3,   161,     4,   454,   454,   452,     4,
     455,     4,   454,   454,   454,     3,   454,   454,   454,   454,
       3,   455,   455,   455,   455,   455,   455,   455,   455,   455,
     455,     3,   454,     4,   455,   455,   455,   455,   455,   455,
     455,   455,   455,     4,   454,   454,   454,   454,   454,   454,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   393,     4,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,     4,   455,     3,     3,   451,   451,   455,     4,     3,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   451,
     455,   455,   455,   452,   452,   452,   452,   451,   451,   451,
     451,   451,   451,     4,   452,   105,     3,    67,     4,   456,
     456,   456,   456,   456,   456,   456,   456,   456,   456,   456,
     456,   456,   454,   456,   451,   456,   456,   456,   454,   452,
     454,     3,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   452,   454,     3,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,     4,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,     3,    20,     4,
     455,   455,   455,   455,   455,   455,     3,   455,   455,   455,
     455,   455,   455,     3,   455,   455,   455,   455,   455,     3,
     455,   455,   455,   455,   455,   455,   455,   455,   455,   455,
     455,   455,     4,   455,   454,     4,   455,     3,     3,   456,
       4,   455,   455,     3,   455,   455,     4,   455,   455,   455,
     455,     3,   455,   455,     4,     4,   454,   454,   454,   454,
       4,   455,     4,     4,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   452,   451,   455,   452,   455,   452,   451,   451,     4,
     452,   451,   451,   451,     3,   452,   452,   452,   452,   451,
     451,   454,   452,   451,   451,   454,   452,   452,   452,     3,
       3,   452,   454,   456,   454,   454,     3,   454,   456,   454,
     454,   454,   454,   452,     3,   456,     4,   454,   454,   454,
     454,   454,     3,   454,     4,   454,   454,   454,     4,   451,
     456,   456,   456,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   452,
     454,   456,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,     3,   455,   455,   455,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,   452,     4,     3,     3,   452,     4,     4,     4,   455,
       3,   455,     4,   452,   452,   452,   452,     4,     4,   452,
     455,     4,   454,     4,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   451,   454,   452,
     452,   456,     4,   454,   454,   454,   452,   454,   456,     4,
     454,   454,   454,   451,     4,   454,     4,   454,   175,     4,
       4,   176,     4,     4,     4,     4,     4,     4,     4,     4,
       4,   191,     4,     4,     4,   191,   200,     4,     4,     4,
     191,   191,   191,   191,     4,     4,     4,     4,     4,   303,
     401,     4,   327,     4,   420,   379,     4,     4,     4,   380,
       4,     4,     4,   454,     4,     4,     4,     4,   103,   103,
     455,     4,   454,     4,   454,   454,     4,   452,   452,     4,
       4,     4,   455,   455,   455,   455,   455,   455,   455,     4,
     455,   455,   455,   455,   455,   455,   455,   455,   455,   455,
     455,   455,   455,     4,     4,   455,   455,   455,   455,   455,
     455,   455,   455,   455,   455,   455,     4,   455,  1932,  1933,
     455,   455,  1936,  1937,  1938,  1939,  1940,   455,     4,   455,
       4,     4,   455,  1947,  1948,  1949,  1950,  1951,  1952,   455,
     455,  1955,   455,   455,  1958,   455,   455,   455,   455,     4,
       4,   455,  1966,  1967,   455,   455,  1970,  1971,     4,   455,
     455,  1975,   455,   455,  1978,  1979,   455,  1981,     4,   455,
    1984,  1985,  1986,     4,  1988,  1989,  1990,  1991,   455,   455,
       4,   455,   455,  1997,  1998,  1999,     4,   455,   455,     4,
    2004,  2005,  2006,  2007,   455,     4,   455,     4,   455,   455,
     455,  2015,   455,     4,   455,     4,     4,  2021,  2022,  2023,
     455,  2025,  2026,  2027,  2028,   455,   455,   455,  2032,  2033,
    2034,  2035,  2838,   455,   455,   455,   455,  2041,  2042,  2043,
    2044,   455,   455,   455,   455,  2049,   455,   455,   455,  2053,
    2054,   455,   455,  2057,   455,   455,     4,   455,  2062,   455,
    2064,   455,   455,   455,   455,  2069,   455,   455,   455,   455,
     455,     4,     4,   455,   455,   455,   455,   455,  2082,  2083,
     455,  2085,   455,   455,   455,   455,     4,     4,  2092,  2093,
    2094,   455,   455,   455,  2098,   454,  2100,  2101,  2102,  2103,
     455,   454,   454,   454,     4,   454,   454,     4,     4,     4,
     454,   454,   454,     4,     4,     4,     4,     4,   455,   455,
     455,   455,   455,   455,   455,   455,   455,   455,   455,   455,
     455,   455,   455,   455,   455,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,     3,   454,   454,   454,
       4,     4,     4,     4,  1911,  1477,   910,   867,  2133,   597,
    2126,   916,  2642,   861,  2683,  2725,  2829,  2801,  2830,    62,
    2802,  2835,    -1,  1297,    -1,    -1,    -1,    -1,    -1,   935,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   421,    -1,   455,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   451,    -1,   455,   455,   454,   451,    -1,   454,
     452,   451,   451,   451,   451,   451,   451,   451,   451,   451,
     451,    -1,   452,   451,   451,   451,   451,   451,   451,    -1,
     451,   451,   451,   451,   451,   451,    -1,   451,   451,    -1,
     452,   452,   451,    -1,   451,   451,    -1,    -1,   451,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   454,    -1,    -1,  3056,   454,   454,    -1,    -1,    -1,
     454,   454,   454,   454,    -1,  3067,    -1,    -1,    -1,   454,
     454,    -1,   454,    -1,   454,   454,    -1,    -1,    -1,   454,
      -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,   454,   454,
     454,    -1,   454,    -1,   454,   454,    -1,   454,   454,    -1,
      -1,    -1,   454,   454,   454,   454,   454,   454,   454,    -1,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,    -1,    -1,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,    -1,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,    -1,   454,
      -1,    -1,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,    -1,
      -1,   454,   454,   454,   454,   454,   454,   454,    -1,   454,
     454,   454,   454,   454,   454,   454,   454,   454,    -1,   454,
     454,   454,   454,    -1,   454,   454,   454,   454,   454,   454,
      -1,   454,   454,   454,   454,   454,    -1,   454,   454,    -1,
     454,   454,   454,   454,   454,    -1,   454,    -1,   454,   454,
     454,   454,   454,    -1,  2836,  2837,    -1,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,    -1,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,    -1,    -1,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,    -1,    -1,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,    -1,   454,   454,    -1,    -1,    -1,
     454,    -1,    -1,    -1,    -1,    -1,   451,    -1,    -1,   455,
     454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3063
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   458,   459,     0,   157,   452,   453,   452,   453,   452,
     454,   460,     5,     6,    57,    59,    64,    66,    85,    87,
      95,   347,   377,   389,   431,   461,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     7,
       8,    10,    29,    30,    31,    32,    33,    34,    35,   256,
     288,   310,   352,   369,   383,   400,   418,   430,   440,   480,
     462,    13,    14,   397,   398,   599,   470,   464,   466,   468,
      88,    89,    90,    91,    92,    93,    94,   716,    96,   100,
     101,   102,   742,    88,    89,    90,    91,    92,    93,    94,
     724,   472,   388,   478,   474,   455,     3,     3,   455,   455,
     455,   455,   455,   455,     3,     3,     3,   455,     3,   455,
     455,   455,   455,   455,   455,     4,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
     248,   297,   298,   299,   314,   392,   565,   455,   455,   455,
     455,     4,    58,   705,    65,   609,    67,    84,   276,   639,
      86,   696,   455,   455,   455,   455,   455,   455,   455,     4,
     455,   455,   455,   455,     4,   455,   455,   455,   455,   455,
     455,   455,     4,   451,   476,   455,     4,   432,  1161,   451,
     490,    13,    14,   514,   452,   452,   452,    36,    37,   451,
      11,    12,   750,    39,    40,    41,    42,   159,   160,   540,
     491,   289,   290,   291,   292,   304,   305,   306,   307,   552,
     750,   353,   354,   355,   356,   357,   358,   365,   366,   414,
     732,   750,   750,   750,   417,   750,   451,   461,   455,   455,
     455,   455,   455,   455,   455,   455,   455,   455,   455,   455,
     455,   455,   455,   455,   455,   455,     3,     3,   463,   451,
     451,   186,   187,   342,   186,   187,   342,   399,   461,     3,
       4,     3,     4,     3,     3,   455,     4,     3,     4,   451,
     451,   451,   451,   451,   451,   451,   461,    40,    97,    98,
      99,   452,   451,   750,   461,   451,   451,   451,   451,   451,
     451,   451,   461,   454,     4,   750,   461,     3,     4,   454,
     452,   512,   515,   516,     4,   454,   454,   454,   454,   454,
     454,   454,   455,   455,   455,   455,   455,   455,     4,    43,
      46,    59,   250,   251,   252,   253,   254,   255,   257,   258,
     259,   260,   498,   455,   455,   455,   455,   455,     3,     3,
       3,     4,   454,   455,   455,   455,   455,   455,   455,   455,
     455,   455,     4,   454,   454,   454,   454,   454,   454,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   584,   393,   593,
       4,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     706,   471,   610,   465,   640,   642,   750,   467,   697,   469,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   477,   473,   454,  1162,   475,   481,   455,     4,     3,
       3,   480,   482,   483,   484,   485,   486,   487,   489,    36,
      37,    38,   158,    36,    37,   158,   750,   750,   451,   451,
     480,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     455,   455,   455,   455,     4,   452,   452,   452,    68,   293,
     452,   559,   561,   563,   480,   492,   451,   451,   451,   451,
     451,   750,   451,   451,   452,   480,   493,   495,   496,   494,
     488,   497,   456,   456,   456,   456,   456,   456,   456,   456,
     456,   456,   456,   456,   456,   454,   456,   456,   456,   456,
     161,   586,     3,     4,   461,   600,   601,   603,   602,   604,
     606,   605,   608,   607,    60,    61,    62,    63,   161,   708,
     461,    60,    61,    63,    65,   161,   612,   461,    22,    61,
      73,    74,    75,    76,    77,   162,   163,   164,   261,   262,
     263,   266,   269,   270,   271,   272,   273,   348,   349,   350,
     351,   408,   416,   434,   650,   451,   645,   454,   461,    61,
      62,    63,   699,   461,   717,   718,   719,   720,   721,   722,
     723,   744,   743,   745,   746,   747,   748,   749,   725,   726,
     727,   728,   729,   730,   731,   476,   461,   479,    65,   176,
     198,   206,   207,  1164,   461,   480,   452,   480,    15,    16,
      17,    18,    19,   247,   387,   517,   517,   480,   480,   480,
     480,   480,   480,   480,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   750,   750,   452,   750,   480,   454,
     454,   454,   454,   454,   454,   105,   630,   630,   630,   480,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   480,
     480,   480,   480,   480,   480,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   580,   452,
     452,   452,   452,     3,     4,   594,   565,   599,   599,   599,
     599,   599,   599,   599,   599,   599,   455,   455,     3,     3,
     455,     4,   455,   455,     3,   455,   455,     4,   455,   455,
     455,   455,   455,     3,     3,   455,   455,   455,   455,   455,
       3,   455,   455,   455,   455,   455,   455,   455,   455,   455,
     455,   455,   455,   455,     4,   454,     4,   644,   455,     3,
       3,     4,   716,   716,   716,   716,   716,   716,   716,   742,
     742,   742,   742,   742,   742,   742,   724,   724,   724,   724,
     724,   724,   724,   478,   455,   455,     3,   455,   455,     4,
     456,   455,   455,   455,   455,     3,   455,   455,     4,     4,
     541,   542,   543,   544,   547,   548,   549,   546,   551,   545,
     550,   498,   498,   498,   498,   498,   498,   498,   498,   498,
     454,   454,   454,   454,   553,   554,   555,   556,   557,   558,
     455,     4,     4,     4,   733,   734,   737,   738,   739,   740,
     735,   736,   741,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   565,   454,   454,   454,
     454,   587,   585,    20,   161,   596,   452,   451,   712,   714,
     452,   707,   452,   451,   617,   451,   452,   611,    68,    69,
      70,    71,    72,   680,   451,   750,   750,   451,   655,    78,
      79,    80,    81,    82,   309,   681,   750,   750,   750,   451,
     750,    67,   647,    99,   267,   268,   274,   452,   452,   452,
     452,   451,   750,   451,   750,   750,   750,   750,   452,   641,
     646,   643,   639,   451,   701,   703,   698,   451,    80,   177,
    1182,    20,    21,    22,    23,    24,    26,    27,    28,   244,
     245,   364,   208,   209,   210,  1163,   452,   750,   452,   750,
     452,   522,   750,   750,   514,   514,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   508,   509,   510,
     511,   552,   552,   552,   552,   552,   552,   106,   107,   108,
     109,   110,   111,   112,   113,   560,   562,   564,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   566,   567,   568,
     573,   574,   570,   569,   572,   571,   576,   575,   578,   577,
     579,   581,   582,   583,    20,    68,   192,   589,   565,   455,
     455,     4,   454,   454,     9,    83,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   215,
     243,   264,   265,   277,   283,   294,   300,   301,   302,   311,
     312,   326,   335,   337,   370,   376,   378,   385,   402,   415,
     419,   421,   422,   423,   425,   433,   449,   694,   751,   752,
     769,   771,   773,   775,   777,   781,   783,   785,   791,   814,
     816,   818,   820,   822,   824,   826,   828,   830,   832,   840,
     847,   849,   855,   861,   863,   868,   872,   881,   883,   885,
     887,   889,   902,   909,   916,   921,   927,   933,   945,   952,
     956,   973,   991,   993,  1000,  1032,  1034,  1036,  1038,  1048,
    1055,  1059,  1064,  1066,  1070,  1074,  1076,  1081,  1091,  1107,
    1124,  1126,  1133,  1145,  1149,  1151,  1153,  1155,  1159,  1188,
    1190,    68,   104,   619,   456,   705,   454,   454,   619,   454,
     456,   609,   454,   454,   454,   454,   454,   452,   678,     3,
       3,     3,     3,   452,     3,     4,   454,   454,   454,   454,
     454,     3,     4,   454,   454,   454,   454,   456,   456,   456,
     456,   454,   454,   454,   454,   454,   454,   454,   454,   639,
     645,   639,   454,   694,   619,   696,   454,   454,   454,    75,
     191,  1184,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,  1161,   456,   454,   454,
     454,   454,    20,    21,    22,    23,    24,    25,    26,    27,
      28,   244,   245,   246,   359,   364,   525,   454,   454,   498,
     498,   498,   498,   454,   454,   454,   454,   454,   454,   454,
     454,   552,   552,   552,   565,   565,   565,   565,   565,   565,
     565,   565,   565,   565,   565,   565,   565,   565,   565,   565,
     565,   455,   455,   455,     4,   451,   452,   595,   709,   710,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     4,   694,     3,     3,     4,   452,   613,
     614,     4,   616,   452,   651,   652,   654,   656,   653,   455,
       4,   682,   684,   686,   688,     3,   692,   650,   657,   658,
     659,   660,   661,   648,   650,   669,   667,   668,   670,   452,
     452,   452,   452,   666,   672,   671,   673,   674,   675,   676,
     677,   700,     4,     4,  1165,  1180,  1181,   455,   455,     4,
    1166,  1167,  1171,  1175,  1172,  1169,  1168,  1170,  1173,  1174,
    1179,  1176,  1177,  1178,   452,   518,   519,   520,   521,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,     4,   523,   524,   631,   632,   633,   634,
     635,   636,   637,   638,   451,   452,   452,   588,   454,   454,
     593,   708,   708,   753,   695,   770,   772,   774,   776,   778,
     782,   784,   786,   792,   815,   817,   819,   821,   823,   825,
     827,   829,   831,   833,   841,   848,   850,   856,   862,   864,
     869,   873,   882,   884,   886,   888,   890,   903,   910,   917,
     922,   928,   934,   953,   957,   974,   992,   994,  1001,  1033,
    1035,  1037,  1039,  1049,  1060,  1065,  1067,  1071,  1075,  1077,
    1082,  1092,  1125,  1127,  1134,  1056,  1146,   946,  1108,  1150,
    1152,  1154,  1156,  1160,  1189,  1191,   713,   620,   624,   715,
     454,   612,   612,   618,   612,   454,   650,   650,   650,   650,
     650,   452,   650,   694,   694,   694,   694,   690,    20,   650,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   454,
     454,   454,   454,   650,   650,   650,   650,   650,   650,   650,
     650,   699,   702,   704,  1164,  1164,  1164,   451,   211,   212,
    1183,  1164,  1164,  1164,  1164,  1164,  1164,  1164,  1164,  1164,
    1164,  1164,  1164,  1164,  1164,   454,   517,   517,   517,   517,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   517,   517,   517,   630,   630,   630,
     630,   630,   630,   630,   630,   454,   456,   456,   586,   598,
     597,   165,   166,   167,   168,   171,   173,   174,   275,   375,
     384,   754,     4,     4,     4,     4,     4,   175,   779,     4,
       4,   176,   787,   179,   180,   181,   182,   183,   184,   185,
     188,   190,   403,   409,   424,   793,     4,     4,     4,     4,
       4,     4,     4,     4,     4,    72,   191,   834,   191,   842,
       4,   198,   435,   439,   851,   198,   435,   439,   857,     4,
     191,   865,   200,   870,   191,   201,   202,   874,     4,     4,
       4,     4,     5,   168,   171,   173,   184,   275,   891,   249,
     287,   336,   368,   904,   191,   911,   191,   918,   182,   184,
     203,   923,   191,   929,    23,   167,   184,   204,   205,   445,
     935,   191,   954,   206,   207,   958,   184,   191,   198,   315,
     316,   320,   323,   324,   325,   975,     4,   167,   184,   204,
     205,   995,    22,   218,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   237,   238,   239,   240,   241,   242,   380,
    1002,     4,     4,     4,   184,   278,   279,   280,   281,   282,
     367,  1040,   184,   284,   285,  1050,   295,   296,  1061,     4,
     401,  1068,   303,  1072,     4,   218,   313,  1078,   327,  1083,
      43,    46,    59,   250,   251,   252,   253,   254,   255,   257,
     258,   259,   260,  1093,     4,   191,   374,  1128,   426,   441,
     444,   448,   450,  1135,   379,  1057,   420,  1147,   167,   184,
     204,   205,   947,    20,    21,    22,    23,    24,    25,    26,
      27,    28,   244,   245,   246,   359,   364,  1109,     4,     4,
       4,   380,  1157,     4,     4,     4,   708,   103,   103,   708,
     711,   612,   615,   454,     4,     4,     4,     4,   694,   455,
       4,   662,   663,   664,   665,   699,   699,   454,   454,   454,
    1164,   513,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   592,   452,   452,   596,
     596,   455,   455,   455,   455,   455,   455,   455,   455,   455,
     455,     4,   694,   455,     4,   455,     4,   455,   455,   455,
     455,   455,   455,   455,   455,   455,   455,   455,   455,     4,
     455,   455,     4,   455,     4,   455,   455,   455,     4,   455,
     455,   455,     4,   455,     4,   455,     4,   455,   455,   455,
       4,   455,   455,   455,   455,   455,   455,     4,   455,   455,
     455,   455,     4,   455,     4,   455,     4,   455,   455,   455,
       4,   455,     4,   455,   455,   455,   455,   455,   455,     4,
     455,     4,   455,   455,     4,   455,   455,   455,   455,   455,
     455,   455,   455,   455,     4,   455,   455,   455,   455,     4,
     455,   455,   455,   455,   455,   455,   455,   455,   455,   455,
     455,   455,   455,   455,   455,   455,   455,   455,     4,   455,
     455,   455,   455,   455,   455,   455,     4,   455,   455,   455,
       4,   455,   455,     4,   455,     4,   455,     4,   455,   455,
       4,   455,     4,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   455,   455,   455,   455,     4,   455,   455,     4,
     455,   455,   455,   455,   455,     4,   455,     4,   455,     4,
     455,   455,   455,   455,     4,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,     4,
     455,     4,   455,   455,   708,   612,   679,   683,   685,   687,
     689,     4,   451,   649,   650,   650,   650,   650,  1185,  1186,
    1187,   512,   589,   454,   454,   451,   750,   750,    33,    68,
     169,   170,   172,   451,   750,   750,   750,   750,   750,   452,
      80,   177,   178,   750,   750,   750,   750,   750,   750,    68,
     186,   187,    68,   189,   750,   186,   187,   404,   410,   411,
     412,   413,   750,   451,   192,   193,   194,   195,    13,    14,
     196,   197,   451,   750,   750,   451,   750,   750,    68,   199,
     750,    13,    14,   196,   197,   750,   750,   750,    33,    68,
     169,   170,   172,   451,   750,   750,   750,   750,   750,   750,
     750,    13,    14,   196,   197,    13,    14,   750,   750,   750,
     405,   406,   407,   451,   750,   750,   750,   750,   322,   342,
     446,   447,   451,    20,    21,    22,    23,    24,    26,    27,
      28,   244,   245,   364,   208,   209,   210,   750,   211,   212,
     213,   214,   451,   451,   317,   318,   319,   321,   322,   750,
     750,   750,   750,   750,   750,   750,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   381,   451,   750,   750,   750,
     750,   452,   451,   451,   451,   234,   235,   236,   750,   750,
     750,   750,   451,   451,   451,   750,   451,   451,   451,   750,
     750,   451,   750,   451,   192,   268,   451,   750,   750,   451,
     451,   750,   328,   329,   330,   331,   332,   333,   334,  1094,
    1095,  1096,  1097,  1098,  1099,  1100,  1101,  1102,   750,   750,
     452,   750,   371,   372,   373,   452,   427,   428,   429,   319,
     442,   443,   750,   750,   750,   451,   750,   750,   750,   750,
     750,  1110,  1111,  1112,  1113,  1114,  1115,  1116,  1117,  1118,
    1119,  1120,  1121,  1122,  1123,   451,   451,   451,   678,   681,
     681,   681,   681,   691,   454,   647,  1184,  1184,  1184,   590,
     591,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,  1093,  1093,  1093,  1093,  1093,
    1093,  1093,  1093,  1093,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,   454,   454,   454,   681,    62,   589,   589,   755,   756,
     757,   758,   762,   759,   760,   761,   763,   764,   765,   766,
     767,   768,   780,   788,   789,   790,   794,   795,   796,   797,
     798,   799,   802,   800,   801,   803,   804,   805,   808,   806,
     807,   810,   811,   812,   809,   813,   835,   836,   837,   838,
     839,   843,   844,   845,   846,   852,   853,   854,   858,   859,
     860,   866,   867,   871,   875,   876,   877,   878,   879,   880,
     898,   892,   896,   893,   894,   895,   897,   900,   899,   901,
     905,   906,   907,   908,   912,   913,   914,   915,   919,   920,
     924,   926,   925,   930,   931,   932,   944,   938,   939,   936,
     937,   941,   940,   942,   943,   955,   959,   960,   964,   968,
     965,   962,   961,   963,   966,   967,   972,   969,   970,   971,
     976,   977,   978,   979,   980,   981,   982,   983,   984,   985,
     987,   986,   988,   989,   990,   998,   999,   996,   997,  1003,
    1004,  1005,  1006,  1007,  1008,  1009,  1010,  1011,  1012,  1018,
    1013,  1014,  1015,  1016,  1017,  1019,  1020,  1021,  1022,  1023,
    1024,  1025,  1026,  1027,  1028,  1029,  1030,  1031,  1041,  1042,
    1043,  1044,  1045,  1046,  1047,  1051,  1052,  1053,  1054,  1062,
    1063,  1069,  1073,  1080,  1079,  1084,  1085,  1086,  1087,  1088,
    1089,  1090,  1103,  1104,  1105,  1106,  1129,  1130,  1131,  1132,
    1136,  1137,  1138,  1139,  1140,  1141,  1142,  1143,  1144,  1058,
    1148,   950,   951,   948,   949,  1158,   621,   625,     3,   754,
     754,   754,   754,   754,   754,   754,   754,   754,   754,   754,
     754,   754,   754,   779,   787,   787,   787,   793,   793,   793,
     793,   793,   793,   793,   793,   793,   793,   793,   793,   793,
     793,   793,   793,   793,   793,   793,   793,   834,   834,   834,
     834,   834,   842,   842,   842,   842,   851,   851,   851,   857,
     857,   857,   865,   865,   870,   874,   874,   874,   874,   874,
     874,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   904,   904,   904,   904,   911,   911,   911,   911,   918,
     918,   923,   923,   923,   929,   929,   929,   935,   935,   935,
     935,   935,   935,   935,   935,   935,   954,   958,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   958,   958,   958,
     958,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   995,   995,   995,   995,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1050,  1050,  1050,  1050,
    1061,  1061,  1068,  1072,  1078,  1078,  1083,  1083,  1083,  1083,
    1083,  1083,  1083,  1093,  1093,  1093,  1093,  1128,  1128,  1128,
    1128,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1057,  1147,   947,   947,   947,   947,  1157,   630,   630,   694,
     622,   626,     4,     4,   103,     4,   623,   455,   693,   619,
     451,   681,   454,   627,   630,   628,     4,   629,   619
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   457,   459,   460,   458,   461,   462,   463,   461,   461,
     464,   465,   461,   466,   467,   461,   468,   469,   461,   470,
     471,   461,   461,   461,   461,   461,   472,   473,   461,   474,
     475,   461,   461,   477,   476,   476,   479,   478,   478,   481,
     480,   482,   480,   483,   480,   484,   480,   480,   485,   480,
     486,   480,   487,   480,   488,   480,   489,   480,   480,   490,
     480,   491,   480,   480,   492,   480,   493,   480,   494,   480,
     495,   480,   496,   480,   480,   497,   480,   480,   499,   498,
     500,   498,   501,   498,   502,   498,   503,   498,   504,   498,
     505,   498,   506,   498,   507,   498,   508,   498,   509,   498,
     510,   498,   511,   498,   498,   513,   512,   512,   515,   514,
     516,   514,   514,   518,   517,   519,   517,   520,   517,   521,
     517,   522,   517,   523,   517,   524,   517,   517,   526,   525,
     527,   525,   528,   525,   529,   525,   530,   525,   531,   525,
     532,   525,   533,   525,   534,   525,   535,   525,   536,   525,
     537,   525,   538,   525,   539,   525,   525,   541,   540,   542,
     540,   543,   540,   544,   540,   545,   540,   546,   540,   547,
     540,   548,   540,   549,   540,   550,   540,   551,   540,   540,
     553,   552,   554,   552,   555,   552,   556,   552,   557,   552,
     558,   552,   559,   560,   552,   561,   562,   552,   563,   564,
     552,   552,   566,   565,   567,   565,   568,   565,   569,   565,
     570,   565,   571,   565,   572,   565,   573,   565,   574,   565,
     575,   565,   576,   565,   577,   565,   578,   565,   579,   565,
     580,   565,   581,   565,   582,   565,   583,   565,   584,   585,
     565,   565,   565,   587,   588,   586,   586,   590,   589,   591,
     589,   592,   589,   589,   594,   595,   593,   593,   597,   596,
     598,   596,   596,   600,   599,   601,   599,   602,   599,   603,
     599,   604,   599,   605,   599,   606,   599,   607,   599,   608,
     599,   599,   610,   611,   609,   609,   613,   612,   614,   612,
     615,   612,   616,   612,   617,   618,   612,   612,   620,   621,
     622,   623,   619,   624,   625,   626,   627,   628,   629,   619,
     619,   631,   630,   632,   630,   633,   630,   634,   630,   635,
     630,   636,   630,   637,   630,   638,   630,   630,   640,   641,
     639,   642,   643,   639,   644,   639,   639,   646,   645,   645,
     648,   649,   647,   647,   651,   650,   652,   650,   653,   650,
     654,   650,   655,   650,   656,   650,   657,   650,   658,   650,
     659,   650,   650,   660,   650,   661,   650,   650,   662,   650,
     663,   650,   664,   650,   665,   650,   666,   650,   667,   650,
     668,   650,   669,   650,   670,   650,   671,   650,   672,   650,
     673,   650,   674,   650,   675,   650,   676,   650,   677,   650,
     650,   679,   678,   678,   680,   680,   680,   680,   680,   682,
     683,   681,   684,   685,   681,   686,   687,   681,   688,   689,
     681,   690,   691,   681,   692,   693,   681,   681,   694,   694,
     694,   695,   697,   698,   696,   696,   700,   699,   701,   702,
     699,   703,   704,   699,   699,   706,   707,   705,   705,   709,
     708,   710,   708,   711,   708,   712,   713,   708,   714,   715,
     708,   708,   717,   716,   718,   716,   719,   716,   720,   716,
     721,   716,   722,   716,   723,   716,   716,   725,   724,   726,
     724,   727,   724,   728,   724,   729,   724,   730,   724,   731,
     724,   724,   733,   732,   734,   732,   735,   732,   736,   732,
     737,   732,   738,   732,   739,   732,   740,   732,   741,   732,
     732,   743,   742,   744,   742,   745,   742,   746,   742,   747,
     742,   748,   742,   749,   742,   742,   750,   750,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     753,   752,   755,   754,   756,   754,   757,   754,   758,   754,
     759,   754,   760,   754,   761,   754,   762,   754,   763,   754,
     764,   754,   765,   754,   766,   754,   767,   754,   768,   754,
     754,   770,   769,   772,   771,   774,   773,   776,   775,   778,
     777,   780,   779,   779,   782,   781,   784,   783,   786,   785,
     788,   787,   789,   787,   790,   787,   787,   792,   791,   794,
     793,   795,   793,   796,   793,   797,   793,   798,   793,   799,
     793,   800,   793,   801,   793,   802,   793,   803,   793,   804,
     793,   805,   793,   806,   793,   807,   793,   808,   793,   809,
     793,   810,   793,   811,   793,   812,   793,   813,   793,   793,
     815,   814,   817,   816,   819,   818,   821,   820,   823,   822,
     825,   824,   827,   826,   829,   828,   831,   830,   833,   832,
     835,   834,   836,   834,   837,   834,   838,   834,   839,   834,
     834,   841,   840,   843,   842,   844,   842,   845,   842,   846,
     842,   842,   848,   847,   850,   849,   852,   851,   853,   851,
     854,   851,   851,   856,   855,   858,   857,   859,   857,   860,
     857,   857,   862,   861,   864,   863,   866,   865,   867,   865,
     865,   869,   868,   871,   870,   870,   873,   872,   875,   874,
     876,   874,   877,   874,   878,   874,   879,   874,   880,   874,
     874,   882,   881,   884,   883,   886,   885,   888,   887,   890,
     889,   892,   891,   893,   891,   894,   891,   895,   891,   896,
     891,   897,   891,   898,   891,   899,   891,   900,   891,   901,
     891,   891,   903,   902,   905,   904,   906,   904,   907,   904,
     908,   904,   904,   910,   909,   912,   911,   913,   911,   914,
     911,   915,   911,   911,   917,   916,   919,   918,   920,   918,
     918,   922,   921,   924,   923,   925,   923,   926,   923,   923,
     928,   927,   930,   929,   931,   929,   932,   929,   929,   934,
     933,   936,   935,   937,   935,   938,   935,   939,   935,   940,
     935,   941,   935,   942,   935,   943,   935,   944,   935,   935,
     946,   945,   948,   947,   949,   947,   950,   947,   951,   947,
     947,   953,   952,   955,   954,   954,   957,   956,   959,   958,
     960,   958,   961,   958,   962,   958,   963,   958,   964,   958,
     965,   958,   966,   958,   967,   958,   968,   958,   969,   958,
     970,   958,   971,   958,   972,   958,   958,   974,   973,   976,
     975,   977,   975,   978,   975,   979,   975,   980,   975,   981,
     975,   982,   975,   983,   975,   984,   975,   985,   975,   986,
     975,   987,   975,   988,   975,   989,   975,   990,   975,   975,
     992,   991,   994,   993,   996,   995,   997,   995,   998,   995,
     999,   995,   995,  1001,  1000,  1003,  1002,  1004,  1002,  1005,
    1002,  1006,  1002,  1007,  1002,  1008,  1002,  1009,  1002,  1010,
    1002,  1011,  1002,  1012,  1002,  1013,  1002,  1014,  1002,  1015,
    1002,  1016,  1002,  1017,  1002,  1018,  1002,  1019,  1002,  1020,
    1002,  1021,  1002,  1022,  1002,  1023,  1002,  1024,  1002,  1025,
    1002,  1026,  1002,  1027,  1002,  1028,  1002,  1029,  1002,  1030,
    1002,  1031,  1002,  1002,  1033,  1032,  1035,  1034,  1037,  1036,
    1039,  1038,  1041,  1040,  1042,  1040,  1043,  1040,  1044,  1040,
    1045,  1040,  1046,  1040,  1047,  1040,  1040,  1049,  1048,  1051,
    1050,  1052,  1050,  1053,  1050,  1054,  1050,  1050,  1056,  1055,
    1058,  1057,  1057,  1060,  1059,  1062,  1061,  1063,  1061,  1061,
    1065,  1064,  1067,  1066,  1069,  1068,  1068,  1071,  1070,  1073,
    1072,  1072,  1075,  1074,  1077,  1076,  1079,  1078,  1080,  1078,
    1078,  1082,  1081,  1084,  1083,  1085,  1083,  1086,  1083,  1087,
    1083,  1088,  1083,  1089,  1083,  1090,  1083,  1083,  1092,  1091,
    1094,  1093,  1095,  1093,  1096,  1093,  1097,  1093,  1098,  1093,
    1099,  1093,  1100,  1093,  1101,  1093,  1102,  1093,  1103,  1093,
    1104,  1093,  1105,  1093,  1106,  1093,  1093,  1108,  1107,  1110,
    1109,  1111,  1109,  1112,  1109,  1113,  1109,  1114,  1109,  1115,
    1109,  1116,  1109,  1117,  1109,  1118,  1109,  1119,  1109,  1120,
    1109,  1121,  1109,  1122,  1109,  1123,  1109,  1109,  1125,  1124,
    1127,  1126,  1129,  1128,  1130,  1128,  1131,  1128,  1132,  1128,
    1128,  1134,  1133,  1136,  1135,  1137,  1135,  1138,  1135,  1139,
    1135,  1140,  1135,  1141,  1135,  1142,  1135,  1143,  1135,  1144,
    1135,  1135,  1146,  1145,  1148,  1147,  1147,  1150,  1149,  1152,
    1151,  1154,  1153,  1156,  1155,  1158,  1157,  1157,  1160,  1159,
    1162,  1163,  1161,  1161,  1165,  1164,  1166,  1164,  1167,  1164,
    1168,  1164,  1169,  1164,  1170,  1164,  1171,  1164,  1172,  1164,
    1173,  1164,  1174,  1164,  1175,  1164,  1176,  1164,  1177,  1164,
    1178,  1164,  1179,  1164,  1180,  1164,  1181,  1164,  1182,  1183,
    1164,  1164,  1185,  1184,  1186,  1184,  1187,  1184,  1184,  1189,
    1188,  1191,  1190
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     0,    10,     5,     0,     0,     7,     5,
       0,     0,     7,     0,     0,     7,     0,     0,     7,     0,
       0,     7,     5,     5,     5,     5,     0,     0,     7,     0,
       0,     7,     0,     0,     4,     0,     0,     6,     0,     0,
       6,     0,     6,     0,     6,     0,     6,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     5,     0,
       6,     0,     6,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     5,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,    10,     0,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     7,     0,     0,     7,     0,     0,
       7,     0,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     6,     0,     8,     0,     8,     0,     8,     0,     0,
       7,     5,     0,     0,     0,     7,     0,     0,     8,     0,
       8,     0,     6,     0,     0,     0,     7,     0,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     0,     7,     0,     0,     6,     0,     6,
       0,     8,     0,     6,     0,     0,     7,     0,     0,     0,
       0,     0,    13,     0,     0,     0,     0,     0,     0,    20,
       0,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     0,
       7,     0,     0,     7,     0,     6,     0,     0,     4,     0,
       0,     0,     7,     0,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     5,     0,     6,     0,     6,     5,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     6,     0,     1,     1,     1,     1,     1,     0,
       0,     7,     0,     0,     7,     0,     0,     7,     0,     0,
       7,     0,     0,     8,     0,     0,    14,     0,     2,     5,
       0,     0,     0,     0,     7,     0,     0,     6,     0,     0,
       7,     0,     0,     7,     0,     0,     0,     7,     0,     0,
       6,     0,     6,     0,     8,     0,     0,     7,     0,     0,
       7,     0,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       5,     0,     6,     0,     0,     4,     0,     4,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     4,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     0,     4,     0,     5,     0,     6,     0,     6,
       0,     0,     5,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     5,     0,     6,     0,     6,
       0,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     5,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     4,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     4,     0,     4,     0,     4,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       0,     4,     0,     5,     0,     6,     0,     0,     5,     0,
       6,     0,     0,     4,     0,     5,     0,     6,     0,     6,
       0,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     0,     4,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     0,     4,     0,
       4,     0,     4,     0,     5,     0,     6,     0,     0,     4,
       0,     0,     7,     0,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       7,     0,     0,     6,     0,     6,     0,     6,     0,     0,
       4,     0,     4
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* $@1: %empty  */
#line 332 "configparser.yy"
  { lconfig_parseinit();}
#line 5649 "configparser.cc"
    break;

  case 3: /* $@2: %empty  */
#line 332 "configparser.yy"
                                                                        { lconfig->setLoadedVersion( (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5655 "configparser.cc"
    break;

  case 6: /* $@3: %empty  */
#line 336 "configparser.yy"
                               { lconfig_faces_list.clear(); }
#line 5661 "configparser.cc"
    break;

  case 7: /* $@4: %empty  */
#line 337 "configparser.yy"
      {
        lconfig->applyNewFacesFromList( lconfig_faces_list );
      }
#line 5669 "configparser.cc"
    break;

  case 10: /* $@5: %empty  */
#line 341 "configparser.yy"
                              { lconfig_listp = new List(); }
#line 5675 "configparser.cc"
    break;

  case 11: /* $@6: %empty  */
#line 342 "configparser.yy"
                           { lconfig->setPaths( lconfig_listp );
                             lconfig_id = lconfig_listp->initEnum();
                             lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
                             while ( lconfig_p1 != NULL ) {
                               delete lconfig_p1;
                               lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
                             }
                             lconfig_listp->closeEnum( lconfig_id );
                             delete lconfig_listp;
                             lconfig_listp = NULL;
                           }
#line 5691 "configparser.cc"
    break;

  case 13: /* $@7: %empty  */
#line 353 "configparser.yy"
                                  { lconfig_listft = new List(); }
#line 5697 "configparser.cc"
    break;

  case 14: /* $@8: %empty  */
#line 354 "configparser.yy"
                               { lconfig->setFiletypes( lconfig_listft );
                                 lconfig_id = lconfig_listft->initEnum();
                                 lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
                                 while ( lconfig_ft1 != NULL ) {
                                   delete lconfig_ft1;
                                   lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
                                 }
                                 lconfig_listft->closeEnum( lconfig_id );
                                 delete lconfig_listft;
                                 lconfig_listft = NULL;
                               }
#line 5713 "configparser.cc"
    break;

  case 16: /* $@9: %empty  */
#line 365 "configparser.yy"
                                { lconfig_listh = new List(); }
#line 5719 "configparser.cc"
    break;

  case 17: /* $@10: %empty  */
#line 366 "configparser.yy"
                             { lconfig->setHotkeys( lconfig_listh );
                               lconfig_id = lconfig_listh->initEnum();
                               lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
                               while ( lconfig_hk1 != NULL ) {
                                 delete lconfig_hk1;
                                 lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
                               }
                               lconfig_listh->closeEnum( lconfig_id );
                               delete lconfig_listh;
                               lconfig_listh = NULL;
                             }
#line 5735 "configparser.cc"
    break;

  case 19: /* $@11: %empty  */
#line 377 "configparser.yy"
                                { lconfig_listb = new List(); }
#line 5741 "configparser.cc"
    break;

  case 20: /* $@12: %empty  */
#line 378 "configparser.yy"
                             { lconfig->setButtons( lconfig_listb );
                               lconfig_id = lconfig_listb->initEnum();
                               lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
                               while ( lconfig_bt1 != NULL ) {
                                 delete lconfig_bt1;
                                 lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
                               }
                               lconfig_listb->closeEnum( lconfig_id );
                               delete lconfig_listb;
                               lconfig_listb = NULL;
                             }
#line 5757 "configparser.cc"
    break;

  case 26: /* $@13: %empty  */
#line 393 "configparser.yy"
                                          { lconfig_pathjump_allow.clear(); }
#line 5763 "configparser.cc"
    break;

  case 27: /* $@14: %empty  */
#line 394 "configparser.yy"
                                 { lconfig->setPathJumpAllowDirs( lconfig_pathjump_allow );
                                   lconfig_pathjump_allow.clear();
                                 }
#line 5771 "configparser.cc"
    break;

  case 29: /* $@15: %empty  */
#line 397 "configparser.yy"
                                         { dir_presets.clear(); }
#line 5777 "configparser.cc"
    break;

  case 30: /* $@16: %empty  */
#line 398 "configparser.yy"
                                      { lconfig->setDirectoryPresets( dir_presets );
                                 }
#line 5784 "configparser.cc"
    break;

  case 33: /* $@17: %empty  */
#line 402 "configparser.yy"
                          { lconfig_pathjump_allow.push_back( (yyvsp[-1].strptr) ); }
#line 5790 "configparser.cc"
    break;

  case 36: /* $@18: %empty  */
#line 405 "configparser.yy"
                                             { lconfig->setPathJumpStoreFilesAlways( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5796 "configparser.cc"
    break;

  case 39: /* $@19: %empty  */
#line 408 "configparser.yy"
                             { lconfig->setLang( (yyvsp[-1].strptr) ); }
#line 5802 "configparser.cc"
    break;

  case 41: /* $@20: %empty  */
#line 409 "configparser.yy"
                         { lconfig->setRows( (yyvsp[-1].num) ); }
#line 5808 "configparser.cc"
    break;

  case 43: /* $@21: %empty  */
#line 410 "configparser.yy"
                            { lconfig->setColumns( (yyvsp[-1].num) ); }
#line 5814 "configparser.cc"
    break;

  case 45: /* $@22: %empty  */
#line 411 "configparser.yy"
                              { lconfig->setCacheSize( (yyvsp[-1].num) ); }
#line 5820 "configparser.cc"
    break;

  case 48: /* $@23: %empty  */
#line 413 "configparser.yy"
                                   { lconfig->setOwnerstringtype( 0 ); }
#line 5826 "configparser.cc"
    break;

  case 50: /* $@24: %empty  */
#line 414 "configparser.yy"
                                  { lconfig->setOwnerstringtype( 1 ); }
#line 5832 "configparser.cc"
    break;

  case 52: /* $@25: %empty  */
#line 415 "configparser.yy"
                                { lconfig->setTerminalBin( (yyvsp[-1].strptr) ); }
#line 5838 "configparser.cc"
    break;

  case 54: /* $@26: %empty  */
#line 416 "configparser.yy"
                                         { lconfig->setTerminalReturnsEarly( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5844 "configparser.cc"
    break;

  case 56: /* $@27: %empty  */
#line 417 "configparser.yy"
                                     { lconfig->setShowStringForDirSize( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5850 "configparser.cc"
    break;

  case 59: /* $@28: %empty  */
#line 420 "configparser.yy"
                               { lconfig->resetColors(); }
#line 5856 "configparser.cc"
    break;

  case 61: /* $@29: %empty  */
#line 421 "configparser.yy"
                              { lconfig->clearLayoutOrders(); }
#line 5862 "configparser.cc"
    break;

  case 64: /* $@30: %empty  */
#line 423 "configparser.yy"
                                            { lconfig->setSaveWorkerStateOnExit( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5868 "configparser.cc"
    break;

  case 66: /* $@31: %empty  */
#line 424 "configparser.yy"
                                             { lconfig->setUseStringCompareMode( ( ( (yyvsp[-1].num) ) == 1 ) ? StringComparator::STRING_COMPARE_VERSION : StringComparator::STRING_COMPARE_REGULAR ); }
#line 5874 "configparser.cc"
    break;

  case 68: /* $@32: %empty  */
#line 425 "configparser.yy"
                                                    { lconfig->setUseStringCompareMode( StringComparator::STRING_COMPARE_NOCASE ); }
#line 5880 "configparser.cc"
    break;

  case 70: /* $@33: %empty  */
#line 426 "configparser.yy"
                                           { lconfig->setApplyWindowDialogType( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5886 "configparser.cc"
    break;

  case 72: /* $@34: %empty  */
#line 427 "configparser.yy"
                                     { lconfig->setUseExtendedRegEx( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5892 "configparser.cc"
    break;

  case 75: /* $@35: %empty  */
#line 429 "configparser.yy"
                                             { lconfig->setDisableBGCheckPrefix( (yyvsp[-1].strptr) ); }
#line 5898 "configparser.cc"
    break;

  case 78: /* $@36: %empty  */
#line 432 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_STATEBAR ); }
#line 5904 "configparser.cc"
    break;

  case 80: /* $@37: %empty  */
#line 433 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_CLOCKBAR ); }
#line 5910 "configparser.cc"
    break;

  case 82: /* $@38: %empty  */
#line 434 "configparser.yy"
                      { lconfig->layoutAddEntry( LayoutSettings::LO_BUTTONS ); }
#line 5916 "configparser.cc"
    break;

  case 84: /* $@39: %empty  */
#line 435 "configparser.yy"
                        { lconfig->layoutAddEntry( LayoutSettings::LO_LISTVIEWS ); }
#line 5922 "configparser.cc"
    break;

  case 86: /* $@40: %empty  */
#line 436 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_BLL ); }
#line 5928 "configparser.cc"
    break;

  case 88: /* $@41: %empty  */
#line 437 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LBL ); }
#line 5934 "configparser.cc"
    break;

  case 90: /* $@42: %empty  */
#line 438 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LLB ); }
#line 5940 "configparser.cc"
    break;

  case 92: /* $@43: %empty  */
#line 439 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_BL ); }
#line 5946 "configparser.cc"
    break;

  case 94: /* $@44: %empty  */
#line 440 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_LB ); }
#line 5952 "configparser.cc"
    break;

  case 96: /* $@45: %empty  */
#line 441 "configparser.yy"
                                { lconfig->setLayoutButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5958 "configparser.cc"
    break;

  case 98: /* $@46: %empty  */
#line 442 "configparser.yy"
                                  { lconfig->setLayoutListviewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5964 "configparser.cc"
    break;

  case 100: /* $@47: %empty  */
#line 443 "configparser.yy"
                                      { lconfig->setLayoutListViewWeight( (yyvsp[-1].num) ); }
#line 5970 "configparser.cc"
    break;

  case 102: /* $@48: %empty  */
#line 444 "configparser.yy"
                                   { lconfig->setLayoutWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5976 "configparser.cc"
    break;

  case 105: /* $@49: %empty  */
#line 447 "configparser.yy"
                                            { lconfig->setColor( (yyvsp[-7].num), (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5982 "configparser.cc"
    break;

  case 108: /* $@50: %empty  */
#line 450 "configparser.yy"
                   { lconfig_side = 0; }
#line 5988 "configparser.cc"
    break;

  case 110: /* $@51: %empty  */
#line 451 "configparser.yy"
                    { lconfig_side = 1; }
#line 5994 "configparser.cc"
    break;

  case 113: /* $@52: %empty  */
#line 454 "configparser.yy"
                                 { lconfig->setHBarTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6000 "configparser.cc"
    break;

  case 115: /* $@53: %empty  */
#line 455 "configparser.yy"
                                       { lconfig->setHBarHeight( lconfig_side, (yyvsp[-1].num) ); }
#line 6006 "configparser.cc"
    break;

  case 117: /* $@54: %empty  */
#line 456 "configparser.yy"
                                  { lconfig->setVBarLeft( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6012 "configparser.cc"
    break;

  case 119: /* $@55: %empty  */
#line 457 "configparser.yy"
                                      { lconfig->setVBarWidth( lconfig_side, (yyvsp[-1].num) ); }
#line 6018 "configparser.cc"
    break;

  case 121: /* $@56: %empty  */
#line 458 "configparser.yy"
                                          { lconfig->clearVisCols( lconfig_side ); }
#line 6024 "configparser.cc"
    break;

  case 123: /* $@57: %empty  */
#line 459 "configparser.yy"
                                    { lconfig->setShowHeader( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6030 "configparser.cc"
    break;

  case 125: /* $@58: %empty  */
#line 460 "configparser.yy"
                                        { lconfig->setPathEntryOnTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6036 "configparser.cc"
    break;

  case 128: /* $@59: %empty  */
#line 463 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NAME ); }
#line 6042 "configparser.cc"
    break;

  case 130: /* $@60: %empty  */
#line 464 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZE ); }
#line 6048 "configparser.cc"
    break;

  case 132: /* $@61: %empty  */
#line 465 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_TYPE ); }
#line 6054 "configparser.cc"
    break;

  case 134: /* $@62: %empty  */
#line 466 "configparser.yy"
                             { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_PERM ); }
#line 6060 "configparser.cc"
    break;

  case 136: /* $@63: %empty  */
#line 467 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_OWNER ); }
#line 6066 "configparser.cc"
    break;

  case 138: /* $@64: %empty  */
#line 468 "configparser.yy"
                              { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_DEST ); }
#line 6072 "configparser.cc"
    break;

  case 140: /* $@65: %empty  */
#line 469 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_MOD ); }
#line 6078 "configparser.cc"
    break;

  case 142: /* $@66: %empty  */
#line 470 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_ACC ); }
#line 6084 "configparser.cc"
    break;

  case 144: /* $@67: %empty  */
#line 471 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_CHANGE ); }
#line 6090 "configparser.cc"
    break;

  case 146: /* $@68: %empty  */
#line 472 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_INODE ); }
#line 6096 "configparser.cc"
    break;

  case 148: /* $@69: %empty  */
#line 473 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NLINK ); }
#line 6102 "configparser.cc"
    break;

  case 150: /* $@70: %empty  */
#line 474 "configparser.yy"
                         { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_BLOCKS ); }
#line 6108 "configparser.cc"
    break;

  case 152: /* $@71: %empty  */
#line 475 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZEH ); }
#line 6114 "configparser.cc"
    break;

  case 154: /* $@72: %empty  */
#line 476 "configparser.yy"
                            { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_EXTENSION ); }
#line 6120 "configparser.cc"
    break;

  case 157: /* $@73: %empty  */
#line 479 "configparser.yy"
                                  { lconfig->setDateFormat( 0 ); }
#line 6126 "configparser.cc"
    break;

  case 159: /* $@74: %empty  */
#line 480 "configparser.yy"
                                  { lconfig->setDateFormat( 1 ); }
#line 6132 "configparser.cc"
    break;

  case 161: /* $@75: %empty  */
#line 481 "configparser.yy"
                                  { lconfig->setDateFormat( 2 ); }
#line 6138 "configparser.cc"
    break;

  case 163: /* $@76: %empty  */
#line 482 "configparser.yy"
                                     { lconfig->setDateFormat( -1 ); }
#line 6144 "configparser.cc"
    break;

  case 165: /* $@77: %empty  */
#line 483 "configparser.yy"
                                        { lconfig->setDateFormatString( (yyvsp[-1].strptr) ); }
#line 6150 "configparser.cc"
    break;

  case 167: /* $@78: %empty  */
#line 484 "configparser.yy"
                                        { lconfig->setDateSubst( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6156 "configparser.cc"
    break;

  case 169: /* $@79: %empty  */
#line 485 "configparser.yy"
                                  { lconfig->setTimeFormat( 0 ); }
#line 6162 "configparser.cc"
    break;

  case 171: /* $@80: %empty  */
#line 486 "configparser.yy"
                                  { lconfig->setTimeFormat( 1 ); }
#line 6168 "configparser.cc"
    break;

  case 173: /* $@81: %empty  */
#line 487 "configparser.yy"
                                     { lconfig->setTimeFormat( -1 ); }
#line 6174 "configparser.cc"
    break;

  case 175: /* $@82: %empty  */
#line 488 "configparser.yy"
                                        { lconfig->setTimeFormatString( (yyvsp[-1].strptr) ); }
#line 6180 "configparser.cc"
    break;

  case 177: /* $@83: %empty  */
#line 489 "configparser.yy"
                                      { lconfig->setDateBeforeTime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6186 "configparser.cc"
    break;

  case 180: /* $@84: %empty  */
#line 492 "configparser.yy"
                                        { lconfig->setMouseSelectButton( (yyvsp[-1].num) ); }
#line 6192 "configparser.cc"
    break;

  case 182: /* $@85: %empty  */
#line 493 "configparser.yy"
                                          { lconfig->setMouseActivateButton( (yyvsp[-1].num) ); }
#line 6198 "configparser.cc"
    break;

  case 184: /* $@86: %empty  */
#line 494 "configparser.yy"
                                        { lconfig->setMouseScrollButton( (yyvsp[-1].num) ); }
#line 6204 "configparser.cc"
    break;

  case 186: /* $@87: %empty  */
#line 495 "configparser.yy"
                                           { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_NORMAL_MODE ); }
#line 6210 "configparser.cc"
    break;

  case 188: /* $@88: %empty  */
#line 496 "configparser.yy"
                                                { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_ALT_MODE ); }
#line 6216 "configparser.cc"
    break;

  case 190: /* $@89: %empty  */
#line 497 "configparser.yy"
                                         { lconfig->setMouseContextButton( (yyvsp[-1].num) ); }
#line 6222 "configparser.cc"
    break;

  case 192: /* $@90: %empty  */
#line 498 "configparser.yy"
                                        { lconfig_keymod = 0; }
#line 6228 "configparser.cc"
    break;

  case 193: /* $@91: %empty  */
#line 499 "configparser.yy"
                              { lconfig->setMouseActivateMod( lconfig_keymod ); }
#line 6234 "configparser.cc"
    break;

  case 195: /* $@92: %empty  */
#line 500 "configparser.yy"
                                      { lconfig_keymod = 0; }
#line 6240 "configparser.cc"
    break;

  case 196: /* $@93: %empty  */
#line 501 "configparser.yy"
                              { lconfig->setMouseScrollMod( lconfig_keymod ); }
#line 6246 "configparser.cc"
    break;

  case 198: /* $@94: %empty  */
#line 502 "configparser.yy"
                                       { lconfig_keymod = 0; }
#line 6252 "configparser.cc"
    break;

  case 199: /* $@95: %empty  */
#line 503 "configparser.yy"
                              { lconfig->setMouseContextMod( lconfig_keymod ); }
#line 6258 "configparser.cc"
    break;

  case 202: /* $@96: %empty  */
#line 506 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "statusbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "statusbar-bg", (yyvsp[-1].num) ) );
        }
#line 6267 "configparser.cc"
    break;

  case 204: /* $@97: %empty  */
#line 510 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-bg", (yyvsp[-1].num) ) );
        }
#line 6276 "configparser.cc"
    break;

  case 206: /* $@98: %empty  */
#line 514 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-bg", (yyvsp[-1].num) ) );
        }
#line 6285 "configparser.cc"
    break;

  case 208: /* $@99: %empty  */
#line 518 "configparser.yy"
                                       {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-bg", (yyvsp[-1].num) ) );
        }
#line 6294 "configparser.cc"
    break;

  case 210: /* $@100: %empty  */
#line 522 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6303 "configparser.cc"
    break;

  case 212: /* $@101: %empty  */
#line 526 "configparser.yy"
                                        {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-bg", (yyvsp[-1].num) ) );
        }
#line 6312 "configparser.cc"
    break;

  case 214: /* $@102: %empty  */
#line 530 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6321 "configparser.cc"
    break;

  case 216: /* $@103: %empty  */
#line 534 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "clockbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "clockbar-bg", (yyvsp[-1].num) ) );
        }
#line 6330 "configparser.cc"
    break;

  case 218: /* $@104: %empty  */
#line 538 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "request-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "request-bg", (yyvsp[-1].num) ) );
        }
#line 6339 "configparser.cc"
    break;

  case 220: /* $@105: %empty  */
#line 542 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6348 "configparser.cc"
    break;

  case 222: /* $@106: %empty  */
#line 546 "configparser.yy"
                                            {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-bg", (yyvsp[-1].num) ) );
        }
#line 6357 "configparser.cc"
    break;

  case 224: /* $@107: %empty  */
#line 550 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6366 "configparser.cc"
    break;

  case 226: /* $@108: %empty  */
#line 554 "configparser.yy"
                                             {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-bg", (yyvsp[-1].num) ) );
        }
#line 6375 "configparser.cc"
    break;

  case 228: /* $@109: %empty  */
#line 558 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-bg", (yyvsp[-1].num) ) );
        }
#line 6384 "configparser.cc"
    break;

  case 230: /* $@110: %empty  */
#line 562 "configparser.yy"
                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-bg", (yyvsp[-1].num) ) );
        }
#line 6392 "configparser.cc"
    break;

  case 232: /* $@111: %empty  */
#line 565 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "textview-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-bg", (yyvsp[-1].num) ) );
        }
#line 6401 "configparser.cc"
    break;

  case 234: /* $@112: %empty  */
#line 569 "configparser.yy"
                                                    {
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-bg", (yyvsp[-1].num) ) );
        }
#line 6410 "configparser.cc"
    break;

  case 236: /* $@113: %empty  */
#line 573 "configparser.yy"
                                                  {
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-bg", (yyvsp[-1].num) ) );
        }
#line 6419 "configparser.cc"
    break;

  case 238: /* $@114: %empty  */
#line 577 "configparser.yy"
                                   { lconfig_labelcolors.clear(); }
#line 6425 "configparser.cc"
    break;

  case 239: /* $@115: %empty  */
#line 578 "configparser.yy"
                                   {
          WConfig::ColorDef c = lconfig->getColorDefs();
          c.setLabelColors( lconfig_labelcolors );
          lconfig->setColorDefs( c );
        }
#line 6435 "configparser.cc"
    break;

  case 243: /* $@116: %empty  */
#line 587 "configparser.yy"
                                    {
              lconfig_labelcolor.normal_fg = -1;
              lconfig_labelcolor.normal_bg = -1;
              lconfig_labelcolor.active_fg = -1;
              lconfig_labelcolor.active_bg = -1;
              lconfig_labelcolor_name = "";
            }
#line 6447 "configparser.cc"
    break;

  case 244: /* $@117: %empty  */
#line 594 "configparser.yy"
                                      {
              lconfig_labelcolors[lconfig_labelcolor_name] = lconfig_labelcolor;
            }
#line 6455 "configparser.cc"
    break;

  case 247: /* $@118: %empty  */
#line 599 "configparser.yy"
                                             {
             lconfig_labelcolor.normal_fg = (yyvsp[-3].num);
             lconfig_labelcolor.normal_bg = (yyvsp[-1].num);
            }
#line 6464 "configparser.cc"
    break;

  case 249: /* $@119: %empty  */
#line 603 "configparser.yy"
                                             {
             lconfig_labelcolor.active_fg = (yyvsp[-3].num);
             lconfig_labelcolor.active_bg = (yyvsp[-1].num);
            }
#line 6473 "configparser.cc"
    break;

  case 251: /* $@120: %empty  */
#line 607 "configparser.yy"
                                      { lconfig_labelcolor_name = (yyvsp[-1].strptr); }
#line 6479 "configparser.cc"
    break;

  case 254: /* $@121: %empty  */
#line 610 "configparser.yy"
                             {
              lconfig_face_name.clear();
              lconfig_face_color = -1;
            }
#line 6488 "configparser.cc"
    break;

  case 255: /* $@122: %empty  */
#line 614 "configparser.yy"
                                {
              lconfig_faces_list.push_back( std::make_pair( lconfig_face_name, lconfig_face_color ) );
            }
#line 6496 "configparser.cc"
    break;

  case 258: /* $@123: %empty  */
#line 619 "configparser.yy"
                            {
             lconfig_face_color = (yyvsp[-1].num);
            }
#line 6504 "configparser.cc"
    break;

  case 260: /* $@124: %empty  */
#line 622 "configparser.yy"
                                      { lconfig_face_name = (yyvsp[-1].strptr); }
#line 6510 "configparser.cc"
    break;

  case 263: /* $@125: %empty  */
#line 625 "configparser.yy"
                                 { lconfig->setStartDir( 0, (yyvsp[-1].strptr) ); }
#line 6516 "configparser.cc"
    break;

  case 265: /* $@126: %empty  */
#line 626 "configparser.yy"
                                  { lconfig->setStartDir( 1, (yyvsp[-1].strptr) ); }
#line 6522 "configparser.cc"
    break;

  case 267: /* $@127: %empty  */
#line 627 "configparser.yy"
                                             { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_NEVER ); }
#line 6528 "configparser.cc"
    break;

  case 269: /* $@128: %empty  */
#line 628 "configparser.yy"
                                              { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ALWAYS ); }
#line 6534 "configparser.cc"
    break;

  case 271: /* $@129: %empty  */
#line 629 "configparser.yy"
                                           { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ASK ); }
#line 6540 "configparser.cc"
    break;

  case 273: /* $@130: %empty  */
#line 630 "configparser.yy"
                                           { lconfig->setStoreTabsMode( WConfig::STORE_TABS_NEVER ); }
#line 6546 "configparser.cc"
    break;

  case 275: /* $@131: %empty  */
#line 631 "configparser.yy"
                                            { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ALWAYS ); }
#line 6552 "configparser.cc"
    break;

  case 277: /* $@132: %empty  */
#line 632 "configparser.yy"
                                                   { lconfig->setStoreTabsMode( WConfig::STORE_TABS_AS_EXIT_STATE ); }
#line 6558 "configparser.cc"
    break;

  case 279: /* $@133: %empty  */
#line 633 "configparser.yy"
                                         { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ASK ); }
#line 6564 "configparser.cc"
    break;

  case 282: /* $@134: %empty  */
#line 636 "configparser.yy"
                             { lconfig_p1 = new WCPath(); }
#line 6570 "configparser.cc"
    break;

  case 283: /* $@135: %empty  */
#line 637 "configparser.yy"
                          { lconfig_p1->setCheck( true );
                        while ( lconfig_listp->size() < ( lconfig_pos + 1 ) ) lconfig_listp->addElement( new WCPath() );
                        lconfig_p1 = (WCPath*)lconfig_listp->exchangeElement( lconfig_pos, lconfig_p1 );
                        delete lconfig_p1;
                        lconfig_p1 = NULL;
                      }
#line 6581 "configparser.cc"
    break;

  case 286: /* $@136: %empty  */
#line 645 "configparser.yy"
                               { lconfig_pos = (yyvsp[-1].num);
                         if ( lconfig_pos < 0 ) lconfig_pos = 0;
                         if ( lconfig_pos > 10240 ) lconfig_pos = 10240;
                       }
#line 6590 "configparser.cc"
    break;

  case 288: /* $@137: %empty  */
#line 649 "configparser.yy"
                               { lconfig_p1->setName( (yyvsp[-1].strptr) ); }
#line 6596 "configparser.cc"
    break;

  case 290: /* $@138: %empty  */
#line 650 "configparser.yy"
                                      { lconfig_p1->setFG( (yyvsp[-3].num) );
                            lconfig_p1->setBG( (yyvsp[-1].num) );
                          }
#line 6604 "configparser.cc"
    break;

  case 292: /* $@139: %empty  */
#line 653 "configparser.yy"
                              { lconfig_p1->setPath( (yyvsp[-1].strptr) ); }
#line 6610 "configparser.cc"
    break;

  case 294: /* $@140: %empty  */
#line 654 "configparser.yy"
                                 { lconfig_listsk = new List(); }
#line 6616 "configparser.cc"
    break;

  case 295: /* $@141: %empty  */
#line 655 "configparser.yy"
                            { lconfig_p1->setDoubleKeys( lconfig_listsk );
                              lconfig_id = lconfig_listsk->initEnum();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              while ( lconfig_dk != NULL ) {
                                delete lconfig_dk;
                                lconfig_listsk->removeFirstElement();
                                lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              }
                              lconfig_listsk->closeEnum( lconfig_id );
                              delete lconfig_listsk;
                              lconfig_listsk = NULL;
                            }
#line 6633 "configparser.cc"
    break;

  case 298: /* $@142: %empty  */
#line 669 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_NORMAL );
                                 }
#line 6641 "configparser.cc"
    break;

  case 299: /* $@143: %empty  */
#line 672 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6651 "configparser.cc"
    break;

  case 300: /* $@144: %empty  */
#line 677 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); }
#line 6657 "configparser.cc"
    break;

  case 301: /* $@145: %empty  */
#line 678 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6663 "configparser.cc"
    break;

  case 303: /* $@146: %empty  */
#line 680 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_DOUBLE );
                                  }
#line 6671 "configparser.cc"
    break;

  case 304: /* $@147: %empty  */
#line 683 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6681 "configparser.cc"
    break;

  case 305: /* $@148: %empty  */
#line 688 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); /*TODO:finzt das so mit dem lconfig_keymod?*/}
#line 6687 "configparser.cc"
    break;

  case 306: /* $@149: %empty  */
#line 689 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 1 );
                          else lconfig_dk->setKeySym( 0, 1 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6697 "configparser.cc"
    break;

  case 307: /* $@150: %empty  */
#line 694 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 1 ); }
#line 6703 "configparser.cc"
    break;

  case 308: /* $@151: %empty  */
#line 695 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6709 "configparser.cc"
    break;

  case 311: /* $@152: %empty  */
#line 699 "configparser.yy"
                              { lconfig_keymod |= ControlMask; }
#line 6715 "configparser.cc"
    break;

  case 313: /* $@153: %empty  */
#line 700 "configparser.yy"
                            { lconfig_keymod |= ShiftMask; }
#line 6721 "configparser.cc"
    break;

  case 315: /* $@154: %empty  */
#line 701 "configparser.yy"
                           { lconfig_keymod |= LockMask; }
#line 6727 "configparser.cc"
    break;

  case 317: /* $@155: %empty  */
#line 702 "configparser.yy"
                           { lconfig_keymod |= Mod1Mask; }
#line 6733 "configparser.cc"
    break;

  case 319: /* $@156: %empty  */
#line 703 "configparser.yy"
                           { lconfig_keymod |= Mod2Mask; }
#line 6739 "configparser.cc"
    break;

  case 321: /* $@157: %empty  */
#line 704 "configparser.yy"
                           { lconfig_keymod |= Mod3Mask; }
#line 6745 "configparser.cc"
    break;

  case 323: /* $@158: %empty  */
#line 705 "configparser.yy"
                           { lconfig_keymod |= Mod4Mask; }
#line 6751 "configparser.cc"
    break;

  case 325: /* $@159: %empty  */
#line 706 "configparser.yy"
                           { lconfig_keymod |= Mod5Mask; }
#line 6757 "configparser.cc"
    break;

  case 328: /* $@160: %empty  */
#line 709 "configparser.yy"
                                     { lconfig_ft1 = new WCFiletype(); }
#line 6763 "configparser.cc"
    break;

  case 329: /* $@161: %empty  */
#line 710 "configparser.yy"
                                  { lconfig_listft->addElement( lconfig_ft1 );
                                lconfig_ft1 = NULL;
                              }
#line 6771 "configparser.cc"
    break;

  case 331: /* $@162: %empty  */
#line 713 "configparser.yy"
                                       { lconfig_ignorelist = new List(); }
#line 6777 "configparser.cc"
    break;

  case 332: /* $@163: %empty  */
#line 714 "configparser.yy"
                                    { lconfig->setDontCheckDirs( lconfig_ignorelist );
                                  lconfig_id = lconfig_ignorelist->initEnum();
                                  lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
                                  while ( lconfig_tstr != NULL ) {
                                    _freesafe( lconfig_tstr );
                                    lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
                                  }
                                  lconfig_ignorelist->closeEnum( lconfig_id );
                                  delete lconfig_ignorelist;
                                  lconfig_ignorelist = NULL;
                                 }
#line 6793 "configparser.cc"
    break;

  case 334: /* $@164: %empty  */
#line 725 "configparser.yy"
                                         { lconfig->setDontCheckVirtual( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6799 "configparser.cc"
    break;

  case 337: /* $@165: %empty  */
#line 728 "configparser.yy"
                         { lconfig_ignorelist->addElement( dupstring( (yyvsp[-1].strptr) ) ); }
#line 6805 "configparser.cc"
    break;

  case 340: /* $@166: %empty  */
#line 731 "configparser.yy"
                                        { filetypehier.push_back( lconfig_ft1 );
                                          lconfig_ft1 = new WCFiletype();
                                        }
#line 6813 "configparser.cc"
    break;

  case 341: /* $@167: %empty  */
#line 734 "configparser.yy"
                                     { old_lconfig_ft1 = filetypehier.back();
	                               filetypehier.pop_back();
				       if ( old_lconfig_ft1 != NULL ) {
					 old_lconfig_ft1->addSubType( lconfig_ft1 );
				       } else {
					 delete lconfig_ft1;
				       }
				       lconfig_ft1 = old_lconfig_ft1;
	                             }
#line 6827 "configparser.cc"
    break;

  case 344: /* $@168: %empty  */
#line 745 "configparser.yy"
                               { lconfig_ft1->setinternID( (yyvsp[-1].num) ); }
#line 6833 "configparser.cc"
    break;

  case 346: /* $@169: %empty  */
#line 746 "configparser.yy"
                                   { lconfig_ft1->setName( (yyvsp[-1].strptr) ); }
#line 6839 "configparser.cc"
    break;

  case 348: /* $@170: %empty  */
#line 747 "configparser.yy"
                                     { lconfig_ft1->setPattern( (yyvsp[-1].strptr) ); }
#line 6845 "configparser.cc"
    break;

  case 350: /* $@171: %empty  */
#line 748 "configparser.yy"
                                  { lconfig_ft1->setUsePattern( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6851 "configparser.cc"
    break;

  case 352: /* $@172: %empty  */
#line 749 "configparser.yy"
                                   { lconfig_ft1->clearFiledesc(); }
#line 6857 "configparser.cc"
    break;

  case 354: /* $@173: %empty  */
#line 751 "configparser.yy"
                                  { lconfig_ft1->setUseFiledesc( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6863 "configparser.cc"
    break;

  case 356: /* $@174: %empty  */
#line 752 "configparser.yy"
                                         { lconfig_ft1->setPatternIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6869 "configparser.cc"
    break;

  case 358: /* $@175: %empty  */
#line 753 "configparser.yy"
                                        { lconfig_ft1->setPatternUseRegExp( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6875 "configparser.cc"
    break;

  case 360: /* $@176: %empty  */
#line 754 "configparser.yy"
                                          { lconfig_ft1->setPatternUseFullname( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6881 "configparser.cc"
    break;

  case 363: /* $@177: %empty  */
#line 756 "configparser.yy"
                                     { lconfig_ft1->setExtCond( (yyvsp[-1].strptr) ); }
#line 6887 "configparser.cc"
    break;

  case 365: /* $@178: %empty  */
#line 757 "configparser.yy"
                                  { lconfig_ft1->setUseExtCond( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6893 "configparser.cc"
    break;

  case 368: /* $@179: %empty  */
#line 759 "configparser.yy"
                                                  { lconfig_ft1->setCustomColor( 0, 0, (yyvsp[-3].num) );
	                                            lconfig_ft1->setCustomColor( 1, 0, (yyvsp[-1].num) );
                                                  }
#line 6901 "configparser.cc"
    break;

  case 370: /* $@180: %empty  */
#line 762 "configparser.yy"
                                                { lconfig_ft1->setCustomColor( 0, 1, (yyvsp[-3].num) );
	                                          lconfig_ft1->setCustomColor( 1, 1, (yyvsp[-1].num) );
                                                }
#line 6909 "configparser.cc"
    break;

  case 372: /* $@181: %empty  */
#line 765 "configparser.yy"
                                                        { lconfig_ft1->setCustomColor( 0, 2, (yyvsp[-3].num) );
	                                                  lconfig_ft1->setCustomColor( 1, 2, (yyvsp[-1].num) );
                                                        }
#line 6917 "configparser.cc"
    break;

  case 374: /* $@182: %empty  */
#line 768 "configparser.yy"
                                                      { lconfig_ft1->setCustomColor( 0, 3, (yyvsp[-3].num) );
	                                                lconfig_ft1->setCustomColor( 1, 3, (yyvsp[-1].num) );
                                                      }
#line 6925 "configparser.cc"
    break;

  case 376: /* $@183: %empty  */
#line 771 "configparser.yy"
                                             { lconfig_ft1->setColorExt( (yyvsp[-1].strptr) ); }
#line 6931 "configparser.cc"
    break;

  case 378: /* $@184: %empty  */
#line 772 "configparser.yy"
                                        { lconfig_ft1->setColorMode( WCFiletype::DEFAULTCOL ); }
#line 6937 "configparser.cc"
    break;

  case 380: /* $@185: %empty  */
#line 773 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::CUSTOMCOL ); }
#line 6943 "configparser.cc"
    break;

  case 382: /* $@186: %empty  */
#line 774 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::EXTERNALCOL ); }
#line 6949 "configparser.cc"
    break;

  case 384: /* $@187: %empty  */
#line 775 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::PARENTCOL ); }
#line 6955 "configparser.cc"
    break;

  case 386: /* $@188: %empty  */
#line 776 "configparser.yy"
                                          { lconfig_ft1->setMagicPattern( (yyvsp[-1].strptr) ); }
#line 6961 "configparser.cc"
    break;

  case 388: /* $@189: %empty  */
#line 777 "configparser.yy"
                                { lconfig_ft1->setUseMagic( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6967 "configparser.cc"
    break;

  case 390: /* $@190: %empty  */
#line 778 "configparser.yy"
                                       { lconfig_ft1->setMagicCompressed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6973 "configparser.cc"
    break;

  case 392: /* $@191: %empty  */
#line 779 "configparser.yy"
                                 { lconfig_ft1->setMagicMime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6979 "configparser.cc"
    break;

  case 394: /* $@192: %empty  */
#line 780 "configparser.yy"
                                       { lconfig_ft1->setMagicIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6985 "configparser.cc"
    break;

  case 396: /* $@193: %empty  */
#line 781 "configparser.yy"
                                               { lconfig_ft1->setPatternIsCommaSeparated( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6991 "configparser.cc"
    break;

  case 398: /* $@194: %empty  */
#line 782 "configparser.yy"
                                   { lconfig_ft1->setPriority( (yyvsp[-1].num) ); }
#line 6997 "configparser.cc"
    break;

  case 401: /* $@195: %empty  */
#line 785 "configparser.yy"
                                 { lconfig_ft1->setFiledesc( (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 7003 "configparser.cc"
    break;

  case 404: /* ft_type: NORMAL_WCP  */
#line 788 "configparser.yy"
                   { (yyval.num) = NORMALTYPE; }
#line 7009 "configparser.cc"
    break;

  case 405: /* ft_type: NOTYETCHECKED_WCP  */
#line 789 "configparser.yy"
                          { (yyval.num) = NOTYETTYPE; }
#line 7015 "configparser.cc"
    break;

  case 406: /* ft_type: UNKNOWN_WCP  */
#line 790 "configparser.yy"
                    { (yyval.num) = UNKNOWNTYPE; }
#line 7021 "configparser.cc"
    break;

  case 407: /* ft_type: NOSELECT_WCP  */
#line 791 "configparser.yy"
                     { (yyval.num) = VOIDTYPE; }
#line 7027 "configparser.cc"
    break;

  case 408: /* ft_type: DIR_WCP  */
#line 792 "configparser.yy"
                { (yyval.num) = DIRTYPE; }
#line 7033 "configparser.cc"
    break;

  case 409: /* $@196: %empty  */
#line 795 "configparser.yy"
                                 { lconfig_listcom.clear(); }
#line 7039 "configparser.cc"
    break;

  case 410: /* $@197: %empty  */
#line 796 "configparser.yy"
                                   { lconfig_ft1->setDNDActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7047 "configparser.cc"
    break;

  case 412: /* $@198: %empty  */
#line 799 "configparser.yy"
                                { lconfig_listcom.clear(); }
#line 7053 "configparser.cc"
    break;

  case 413: /* $@199: %empty  */
#line 800 "configparser.yy"
                                   { lconfig_ft1->setDoubleClickActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7061 "configparser.cc"
    break;

  case 415: /* $@200: %empty  */
#line 803 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7067 "configparser.cc"
    break;

  case 416: /* $@201: %empty  */
#line 804 "configparser.yy"
                                   { lconfig_ft1->setShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7075 "configparser.cc"
    break;

  case 418: /* $@202: %empty  */
#line 807 "configparser.yy"
                                     { lconfig_listcom.clear(); }
#line 7081 "configparser.cc"
    break;

  case 419: /* $@203: %empty  */
#line 808 "configparser.yy"
                                   { lconfig_ft1->setRawShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7089 "configparser.cc"
    break;

  case 421: /* $@204: %empty  */
#line 811 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7095 "configparser.cc"
    break;

  case 422: /* $@205: %empty  */
#line 812 "configparser.yy"
                                   { lconfig_ft1->setUserActions( (yyvsp[-4].num), lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7103 "configparser.cc"
    break;

  case 424: /* $@206: %empty  */
#line 815 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7109 "configparser.cc"
    break;

  case 425: /* $@207: %empty  */
#line 818 "configparser.yy"
                                                  { lconfig_ft1->setCustomActions( (yyvsp[-6].strptr), lconfig_listcom );
                                                    lconfig_listcom.clear();
                               }
#line 7117 "configparser.cc"
    break;

  case 432: /* $@208: %empty  */
#line 829 "configparser.yy"
                                 { lconfig_hk1 = new WCHotkey(); }
#line 7123 "configparser.cc"
    break;

  case 433: /* $@209: %empty  */
#line 830 "configparser.yy"
                              { lconfig_listh->addElement( lconfig_hk1 );
                            lconfig_hk1 = NULL;
                          }
#line 7131 "configparser.cc"
    break;

  case 436: /* $@210: %empty  */
#line 835 "configparser.yy"
                                 { lconfig_hk1->setName( (yyvsp[-1].strptr) ); }
#line 7137 "configparser.cc"
    break;

  case 438: /* $@211: %empty  */
#line 836 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7143 "configparser.cc"
    break;

  case 439: /* $@212: %empty  */
#line 837 "configparser.yy"
                               { lconfig_hk1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7151 "configparser.cc"
    break;

  case 441: /* $@213: %empty  */
#line 840 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7157 "configparser.cc"
    break;

  case 442: /* $@214: %empty  */
#line 841 "configparser.yy"
                              { lconfig_hk1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7174 "configparser.cc"
    break;

  case 445: /* $@215: %empty  */
#line 855 "configparser.yy"
                                 { lconfig_bt1 = new WCButton(); }
#line 7180 "configparser.cc"
    break;

  case 446: /* $@216: %empty  */
#line 856 "configparser.yy"
                              { lconfig_bt1->setCheck( true );
                            while ( lconfig_listb->size() < ( lconfig_pos + 1 ) ) lconfig_listb->addElement( new WCButton() );
                            lconfig_bt1 = (WCButton*)lconfig_listb->exchangeElement( lconfig_pos, lconfig_bt1 );
                            delete lconfig_bt1;
                            lconfig_bt1 = NULL;
                          }
#line 7191 "configparser.cc"
    break;

  case 449: /* $@217: %empty  */
#line 864 "configparser.yy"
                                 { lconfig_pos = (yyvsp[-1].num);
                           if ( lconfig_pos < 0 ) lconfig_pos = 0;
                           if ( lconfig_pos > 100000 ) lconfig_pos = 100000;
                         }
#line 7200 "configparser.cc"
    break;

  case 451: /* $@218: %empty  */
#line 868 "configparser.yy"
                                { lconfig_bt1->setText( (yyvsp[-1].strptr) ); }
#line 7206 "configparser.cc"
    break;

  case 453: /* $@219: %empty  */
#line 869 "configparser.yy"
                                        { lconfig_bt1->setFG( (yyvsp[-3].num) );
                              lconfig_bt1->setBG( (yyvsp[-1].num) );
                            }
#line 7214 "configparser.cc"
    break;

  case 455: /* $@220: %empty  */
#line 872 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7220 "configparser.cc"
    break;

  case 456: /* $@221: %empty  */
#line 873 "configparser.yy"
                               { lconfig_bt1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7228 "configparser.cc"
    break;

  case 458: /* $@222: %empty  */
#line 876 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7234 "configparser.cc"
    break;

  case 459: /* $@223: %empty  */
#line 877 "configparser.yy"
                              { lconfig_bt1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                             lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7251 "configparser.cc"
    break;

  case 462: /* $@224: %empty  */
#line 892 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_GLOBAL, (yyvsp[-1].strptr) );
      }
#line 7262 "configparser.cc"
    break;

  case 464: /* $@225: %empty  */
#line 899 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_BUTTONS, (yyvsp[-1].strptr) );
      }
#line 7273 "configparser.cc"
    break;

  case 466: /* $@226: %empty  */
#line 906 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_LEFT, (yyvsp[-1].strptr) );
      }
#line 7284 "configparser.cc"
    break;

  case 468: /* $@227: %empty  */
#line 913 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_RIGHT, (yyvsp[-1].strptr) );
      }
#line 7295 "configparser.cc"
    break;

  case 470: /* $@228: %empty  */
#line 920 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_TEXTVIEW, (yyvsp[-1].strptr) );
      }
#line 7306 "configparser.cc"
    break;

  case 472: /* $@229: %empty  */
#line 927 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_STATEBAR, (yyvsp[-1].strptr) );
      }
#line 7317 "configparser.cc"
    break;

  case 474: /* $@230: %empty  */
#line 934 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 6, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_TEXTVIEW_ALT, (yyvsp[-1].strptr) );
      }
#line 7328 "configparser.cc"
    break;

  case 477: /* $@231: %empty  */
#line 943 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_GLOBAL, (yyvsp[-1].strptr) );
         }
#line 7339 "configparser.cc"
    break;

  case 479: /* $@232: %empty  */
#line 950 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_BUTTONS, (yyvsp[-1].strptr) );
         }
#line 7350 "configparser.cc"
    break;

  case 481: /* $@233: %empty  */
#line 957 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_LEFT, (yyvsp[-1].strptr) );
         }
#line 7361 "configparser.cc"
    break;

  case 483: /* $@234: %empty  */
#line 964 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_RIGHT, (yyvsp[-1].strptr) );
         }
#line 7372 "configparser.cc"
    break;

  case 485: /* $@235: %empty  */
#line 971 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_TEXTVIEW, (yyvsp[-1].strptr) );
         }
#line 7383 "configparser.cc"
    break;

  case 487: /* $@236: %empty  */
#line 978 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_STATEBAR, (yyvsp[-1].strptr) );
         }
#line 7394 "configparser.cc"
    break;

  case 489: /* $@237: %empty  */
#line 985 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 6, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_TEXTVIEW_ALT, (yyvsp[-1].strptr) );
         }
#line 7405 "configparser.cc"
    break;

  case 492: /* $@238: %empty  */
#line 994 "configparser.yy"
              {
                  lconfig->setVMMountCommand( (yyvsp[-1].strptr) );
              }
#line 7413 "configparser.cc"
    break;

  case 494: /* $@239: %empty  */
#line 998 "configparser.yy"
              {
                  lconfig->setVMUnmountCommand( (yyvsp[-1].strptr) );
              }
#line 7421 "configparser.cc"
    break;

  case 496: /* $@240: %empty  */
#line 1002 "configparser.yy"
              {
                  lconfig->setVMEjectCommand( (yyvsp[-1].strptr) );
              }
#line 7429 "configparser.cc"
    break;

  case 498: /* $@241: %empty  */
#line 1006 "configparser.yy"
              {
                  lconfig->setVMCloseTrayCommand( (yyvsp[-1].strptr) );
              }
#line 7437 "configparser.cc"
    break;

  case 500: /* $@242: %empty  */
#line 1010 "configparser.yy"
              {
                  lconfig->setVMFStabFile( (yyvsp[-1].strptr) );
              }
#line 7445 "configparser.cc"
    break;

  case 502: /* $@243: %empty  */
#line 1014 "configparser.yy"
              {
                  lconfig->setVMMtabFile( (yyvsp[-1].strptr) );
              }
#line 7453 "configparser.cc"
    break;

  case 504: /* $@244: %empty  */
#line 1018 "configparser.yy"
              {
                  lconfig->setVMPartitionFile( (yyvsp[-1].strptr) );
              }
#line 7461 "configparser.cc"
    break;

  case 506: /* $@245: %empty  */
#line 1022 "configparser.yy"
              {
                  lconfig->setVMRequestAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false );
              }
#line 7469 "configparser.cc"
    break;

  case 508: /* $@246: %empty  */
#line 1026 "configparser.yy"
              {
                  lconfig->setVMPreferredUdisksVersion( (yyvsp[-1].num) );
              }
#line 7477 "configparser.cc"
    break;

  case 511: /* $@247: %empty  */
#line 1031 "configparser.yy"
                                          { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIMERAM ); }
#line 7483 "configparser.cc"
    break;

  case 513: /* $@248: %empty  */
#line 1032 "configparser.yy"
                                     { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIME ); }
#line 7489 "configparser.cc"
    break;

  case 515: /* $@249: %empty  */
#line 1033 "configparser.yy"
                                        { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_VERSION ); }
#line 7495 "configparser.cc"
    break;

  case 517: /* $@250: %empty  */
#line 1034 "configparser.yy"
                                       { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_EXTERN ); }
#line 7501 "configparser.cc"
    break;

  case 519: /* $@251: %empty  */
#line 1035 "configparser.yy"
                                         { lconfig->setClockbarUpdatetime( (yyvsp[-1].num) ); }
#line 7507 "configparser.cc"
    break;

  case 521: /* $@252: %empty  */
#line 1036 "configparser.yy"
                                         { lconfig->setClockbarCommand( (yyvsp[-1].strptr) ); }
#line 7513 "configparser.cc"
    break;

  case 523: /* $@253: %empty  */
#line 1037 "configparser.yy"
                                     { lconfig->setClockbarHints( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7519 "configparser.cc"
    break;

  case 526: /* bool: YES_WCP  */
#line 1040 "configparser.yy"
             { (yyval.num) = 1; }
#line 7525 "configparser.cc"
    break;

  case 527: /* bool: NO_WCP  */
#line 1041 "configparser.yy"
            { (yyval.num) = 0; }
#line 7531 "configparser.cc"
    break;

  case 600: /* $@254: %empty  */
#line 1116 "configparser.yy"
                              { lconfig_fp1 = std::make_shared< OwnOp >(); }
#line 7537 "configparser.cc"
    break;

  case 601: /* ownop: OWNOP_WCP LEFTBRACE_WCP $@254 ownopbody RIGHTBRACE_WCP  */
#line 1117 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7543 "configparser.cc"
    break;

  case 602: /* $@255: %empty  */
#line 1119 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setComStr( (yyvsp[-1].strptr) ); }
#line 7549 "configparser.cc"
    break;

  case 604: /* $@256: %empty  */
#line 1120 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setSeparateEachEntry( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7555 "configparser.cc"
    break;

  case 606: /* $@257: %empty  */
#line 1121 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7561 "configparser.cc"
    break;

  case 608: /* $@258: %empty  */
#line 1122 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL ); }
#line 7567 "configparser.cc"
    break;

  case 610: /* $@259: %empty  */
#line 1123 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 7573 "configparser.cc"
    break;

  case 612: /* $@260: %empty  */
#line 1124 "configparser.yy"
                                        { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT ); }
#line 7579 "configparser.cc"
    break;

  case 614: /* $@261: %empty  */
#line 1125 "configparser.yy"
                                           { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT_INT ); }
#line 7585 "configparser.cc"
    break;

  case 616: /* $@262: %empty  */
#line 1126 "configparser.yy"
                                    { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_NORMAL ); }
#line 7591 "configparser.cc"
    break;

  case 618: /* $@263: %empty  */
#line 1127 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 7597 "configparser.cc"
    break;

  case 620: /* $@264: %empty  */
#line 1128 "configparser.yy"
                                     { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7603 "configparser.cc"
    break;

  case 622: /* $@265: %empty  */
#line 1129 "configparser.yy"
                                 { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7609 "configparser.cc"
    break;

  case 624: /* $@266: %empty  */
#line 1130 "configparser.yy"
                               { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7615 "configparser.cc"
    break;

  case 626: /* $@267: %empty  */
#line 1131 "configparser.yy"
                                                { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setUseVirtualTempCopies( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7621 "configparser.cc"
    break;

  case 628: /* $@268: %empty  */
#line 1132 "configparser.yy"
                                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setFlagsAreRelativeToBaseDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7627 "configparser.cc"
    break;

  case 631: /* $@269: %empty  */
#line 1135 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DNDAction>(); }
#line 7633 "configparser.cc"
    break;

  case 632: /* dndaction: DNDACTION_WCP LEFTBRACE_WCP $@269 RIGHTBRACE_WCP  */
#line 1136 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7639 "configparser.cc"
    break;

  case 633: /* $@270: %empty  */
#line 1138 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DoubleClickAction>(); }
#line 7645 "configparser.cc"
    break;

  case 634: /* dcaction: DCACTION_WCP LEFTBRACE_WCP $@270 RIGHTBRACE_WCP  */
#line 1139 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7651 "configparser.cc"
    break;

  case 635: /* $@271: %empty  */
#line 1141 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<ShowAction>(); }
#line 7657 "configparser.cc"
    break;

  case 636: /* showaction: SHOWACTION_WCP LEFTBRACE_WCP $@271 RIGHTBRACE_WCP  */
#line 1142 "configparser.yy"
                          { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7663 "configparser.cc"
    break;

  case 637: /* $@272: %empty  */
#line 1144 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<RawShowAction>(); }
#line 7669 "configparser.cc"
    break;

  case 638: /* rshowaction: RSHOWACTION_WCP LEFTBRACE_WCP $@272 RIGHTBRACE_WCP  */
#line 1145 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7675 "configparser.cc"
    break;

  case 639: /* $@273: %empty  */
#line 1147 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<UserAction>(); }
#line 7681 "configparser.cc"
    break;

  case 640: /* useraction: USERACTION_WCP LEFTBRACE_WCP $@273 useractionbody RIGHTBRACE_WCP  */
#line 1148 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7687 "configparser.cc"
    break;

  case 641: /* $@274: %empty  */
#line 1150 "configparser.yy"
                                             { std::dynamic_pointer_cast<UserAction>(lconfig_fp1)->setNr( (yyvsp[-1].num) ); }
#line 7693 "configparser.cc"
    break;

  case 644: /* $@275: %empty  */
#line 1153 "configparser.yy"
                              { auto tfp = std::make_shared< ScriptOp >();
                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                tfp->setCommandStr( "up" );
                                lconfig_fp1 = tfp;
                              }
#line 7703 "configparser.cc"
    break;

  case 645: /* rowup: ROWUP_WCP LEFTBRACE_WCP $@275 RIGHTBRACE_WCP  */
#line 1158 "configparser.yy"
                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7709 "configparser.cc"
    break;

  case 646: /* $@276: %empty  */
#line 1160 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "down" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7719 "configparser.cc"
    break;

  case 647: /* rowdown: ROWDOWN_WCP LEFTBRACE_WCP $@276 RIGHTBRACE_WCP  */
#line 1165 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7725 "configparser.cc"
    break;

  case 648: /* $@277: %empty  */
#line 1167 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<ChangeHiddenFlag>(); }
#line 7731 "configparser.cc"
    break;

  case 649: /* changehiddenflag: CHANGEHIDDENFLAG_WCP LEFTBRACE_WCP $@277 changehiddenflagbody RIGHTBRACE_WCP  */
#line 1168 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7737 "configparser.cc"
    break;

  case 650: /* $@278: %empty  */
#line 1170 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 2 ); }
#line 7743 "configparser.cc"
    break;

  case 652: /* $@279: %empty  */
#line 1171 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 1 ); }
#line 7749 "configparser.cc"
    break;

  case 654: /* $@280: %empty  */
#line 1172 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 0 ); }
#line 7755 "configparser.cc"
    break;

  case 657: /* $@281: %empty  */
#line 1175 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<CopyOp>(); }
#line 7761 "configparser.cc"
    break;

  case 658: /* copyop: COPYOP_WCP LEFTBRACE_WCP $@281 copyopbody RIGHTBRACE_WCP  */
#line 1176 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7767 "configparser.cc"
    break;

  case 659: /* $@282: %empty  */
#line 1178 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setFollowSymlinks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7773 "configparser.cc"
    break;

  case 661: /* $@283: %empty  */
#line 1179 "configparser.yy"
                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setMove( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7779 "configparser.cc"
    break;

  case 663: /* $@284: %empty  */
#line 1180 "configparser.yy"
                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRename( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7785 "configparser.cc"
    break;

  case 665: /* $@285: %empty  */
#line 1181 "configparser.yy"
                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7791 "configparser.cc"
    break;

  case 667: /* $@286: %empty  */
#line 1182 "configparser.yy"
                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestDest( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7797 "configparser.cc"
    break;

  case 669: /* $@287: %empty  */
#line 1183 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7803 "configparser.cc"
    break;

  case 671: /* $@288: %empty  */
#line 1184 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_ALWAYS ); }
#line 7809 "configparser.cc"
    break;

  case 673: /* $@289: %empty  */
#line 1185 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NEVER ); }
#line 7815 "configparser.cc"
    break;

  case 675: /* $@290: %empty  */
#line 1186 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NORMAL ); }
#line 7821 "configparser.cc"
    break;

  case 677: /* $@291: %empty  */
#line 1187 "configparser.yy"
                                        {}
#line 7827 "configparser.cc"
    break;

  case 679: /* $@292: %empty  */
#line 1188 "configparser.yy"
                                      {}
#line 7833 "configparser.cc"
    break;

  case 681: /* $@293: %empty  */
#line 1189 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setPreserveAttr( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7839 "configparser.cc"
    break;

  case 683: /* $@294: %empty  */
#line 1190 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_NEVER ); }
#line 7845 "configparser.cc"
    break;

  case 685: /* $@295: %empty  */
#line 1191 "configparser.yy"
                                                       { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_OUTSIDE ); }
#line 7851 "configparser.cc"
    break;

  case 687: /* $@296: %empty  */
#line 1192 "configparser.yy"
                                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_ALWAYS ); }
#line 7857 "configparser.cc"
    break;

  case 689: /* $@297: %empty  */
#line 1193 "configparser.yy"
                                                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( LEAVE_PERMISSIONS_UNMODIFIED ); }
#line 7863 "configparser.cc"
    break;

  case 691: /* $@298: %empty  */
#line 1194 "configparser.yy"
                                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_PERMISSION ); }
#line 7869 "configparser.cc"
    break;

  case 693: /* $@299: %empty  */
#line 1195 "configparser.yy"
                                                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_GROUP_R_PERMISSION ); }
#line 7875 "configparser.cc"
    break;

  case 695: /* $@300: %empty  */
#line 1196 "configparser.yy"
                                                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_ALL_R_PERMISSION ); }
#line 7881 "configparser.cc"
    break;

  case 697: /* $@301: %empty  */
#line 1197 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setVdirPreserveDirStructure( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7887 "configparser.cc"
    break;

  case 700: /* $@302: %empty  */
#line 1200 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "first" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7897 "configparser.cc"
    break;

  case 701: /* firstrow: FIRSTROW_WCP LEFTBRACE_WCP $@302 RIGHTBRACE_WCP  */
#line 1205 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7903 "configparser.cc"
    break;

  case 702: /* $@303: %empty  */
#line 1207 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "last" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7913 "configparser.cc"
    break;

  case 703: /* lastrow: LASTROW_WCP LEFTBRACE_WCP $@303 RIGHTBRACE_WCP  */
#line 1212 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7919 "configparser.cc"
    break;

  case 704: /* $@304: %empty  */
#line 1214 "configparser.yy"
                                { auto tfp = std::make_shared< ScriptOp >();
                                  tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                  tfp->setCommandStr( "pageup" );
                                  lconfig_fp1 = tfp;
                                }
#line 7929 "configparser.cc"
    break;

  case 705: /* pageup: PAGEUP_WCP LEFTBRACE_WCP $@304 RIGHTBRACE_WCP  */
#line 1219 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7935 "configparser.cc"
    break;

  case 706: /* $@305: %empty  */
#line 1221 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "pagedown" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7945 "configparser.cc"
    break;

  case 707: /* pagedown: PAGEDOWN_WCP LEFTBRACE_WCP $@305 RIGHTBRACE_WCP  */
#line 1226 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7951 "configparser.cc"
    break;

  case 708: /* $@306: %empty  */
#line 1228 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "selectentry" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7961 "configparser.cc"
    break;

  case 709: /* selectop: SELECTOP_WCP LEFTBRACE_WCP $@306 RIGHTBRACE_WCP  */
#line 1233 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7967 "configparser.cc"
    break;

  case 710: /* $@307: %empty  */
#line 1235 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "selectall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7977 "configparser.cc"
    break;

  case 711: /* selectallop: SELECTALLOP_WCP LEFTBRACE_WCP $@307 RIGHTBRACE_WCP  */
#line 1240 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7983 "configparser.cc"
    break;

  case 712: /* $@308: %empty  */
#line 1242 "configparser.yy"
                                            { auto tfp = std::make_shared< ScriptOp >();
                                              tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                              tfp->setCommandStr( "selectnone" );
                                              lconfig_fp1 = tfp;
                                            }
#line 7993 "configparser.cc"
    break;

  case 713: /* selectnoneop: SELECTNONEOP_WCP LEFTBRACE_WCP $@308 RIGHTBRACE_WCP  */
#line 1247 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7999 "configparser.cc"
    break;

  case 714: /* $@309: %empty  */
#line 1249 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "invertall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 8009 "configparser.cc"
    break;

  case 715: /* invertallop: INVERTALLOP_WCP LEFTBRACE_WCP $@309 RIGHTBRACE_WCP  */
#line 1254 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8015 "configparser.cc"
    break;

  case 716: /* $@310: %empty  */
#line 1256 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "parentdir" );
                                            lconfig_fp1 = tfp;
                                          }
#line 8025 "configparser.cc"
    break;

  case 717: /* parentdirop: PARENTDIROP_WCP LEFTBRACE_WCP $@310 RIGHTBRACE_WCP  */
#line 1261 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8031 "configparser.cc"
    break;

  case 718: /* $@311: %empty  */
#line 1263 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<EnterDirOp>(); }
#line 8037 "configparser.cc"
    break;

  case 719: /* enterdirop: ENTERDIROP_WCP LEFTBRACE_WCP $@311 enterdiropbody RIGHTBRACE_WCP  */
#line 1264 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8043 "configparser.cc"
    break;

  case 720: /* $@312: %empty  */
#line 1266 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setDir( (yyvsp[-1].strptr) ); }
#line 8049 "configparser.cc"
    break;

  case 722: /* $@313: %empty  */
#line 1267 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE ); }
#line 8055 "configparser.cc"
    break;

  case 724: /* $@314: %empty  */
#line 1268 "configparser.yy"
                                              { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE2OTHER ); }
#line 8061 "configparser.cc"
    break;

  case 726: /* $@315: %empty  */
#line 1269 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_SPECIAL ); }
#line 8067 "configparser.cc"
    break;

  case 728: /* $@316: %empty  */
#line 1270 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_REQUEST ); }
#line 8073 "configparser.cc"
    break;

  case 731: /* $@317: %empty  */
#line 1273 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ChangeListerSetOp>(); }
#line 8079 "configparser.cc"
    break;

  case 732: /* changelistersetop: CHANGELISTERSETOP_WCP LEFTBRACE_WCP $@317 changelistersetopbody RIGHTBRACE_WCP  */
#line 1274 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8085 "configparser.cc"
    break;

  case 733: /* $@318: %empty  */
#line 1276 "configparser.yy"
                                             { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_LEFT_LISTER ); }
#line 8091 "configparser.cc"
    break;

  case 735: /* $@319: %empty  */
#line 1277 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_RIGHT_LISTER ); }
#line 8097 "configparser.cc"
    break;

  case 737: /* $@320: %empty  */
#line 1278 "configparser.yy"
                                                { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_CURRENT_LISTER ); }
#line 8103 "configparser.cc"
    break;

  case 739: /* $@321: %empty  */
#line 1279 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_OTHER_LISTER ); }
#line 8109 "configparser.cc"
    break;

  case 742: /* $@322: %empty  */
#line 1282 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<SwitchListerOp>(); }
#line 8115 "configparser.cc"
    break;

  case 743: /* switchlisterop: SWITCHLISTEROP_WCP LEFTBRACE_WCP $@322 RIGHTBRACE_WCP  */
#line 1283 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8121 "configparser.cc"
    break;

  case 744: /* $@323: %empty  */
#line 1285 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<FilterSelectOp>(); }
#line 8127 "configparser.cc"
    break;

  case 745: /* filterselectop: FILTERSELECTOP_WCP LEFTBRACE_WCP $@323 filterselectopbody RIGHTBRACE_WCP  */
#line 1286 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8133 "configparser.cc"
    break;

  case 746: /* $@324: %empty  */
#line 1288 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8139 "configparser.cc"
    break;

  case 748: /* $@325: %empty  */
#line 1289 "configparser.yy"
                                            { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8145 "configparser.cc"
    break;

  case 750: /* $@326: %empty  */
#line 1290 "configparser.yy"
                                                        { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8151 "configparser.cc"
    break;

  case 753: /* $@327: %empty  */
#line 1293 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<FilterUnSelectOp>(); }
#line 8157 "configparser.cc"
    break;

  case 754: /* filterunselectop: FILTERUNSELECTOP_WCP LEFTBRACE_WCP $@327 filterunselectopbody RIGHTBRACE_WCP  */
#line 1294 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8163 "configparser.cc"
    break;

  case 755: /* $@328: %empty  */
#line 1296 "configparser.yy"
                                                { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8169 "configparser.cc"
    break;

  case 757: /* $@329: %empty  */
#line 1297 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8175 "configparser.cc"
    break;

  case 759: /* $@330: %empty  */
#line 1298 "configparser.yy"
                                                          { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8181 "configparser.cc"
    break;

  case 762: /* $@331: %empty  */
#line 1301 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<Path2OSideOp>(); }
#line 8187 "configparser.cc"
    break;

  case 763: /* pathtoothersideop: PATHTOOTHERSIDEOP_WCP LEFTBRACE_WCP $@331 RIGHTBRACE_WCP  */
#line 1302 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8193 "configparser.cc"
    break;

  case 764: /* $@332: %empty  */
#line 1304 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<QuitOp>(); }
#line 8199 "configparser.cc"
    break;

  case 765: /* quitop: QUITOP_WCP LEFTBRACE_WCP $@332 quitopbody RIGHTBRACE_WCP  */
#line 1305 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8205 "configparser.cc"
    break;

  case 766: /* $@333: %empty  */
#line 1307 "configparser.yy"
                                    { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_NORMAL_QUIT ); }
#line 8211 "configparser.cc"
    break;

  case 768: /* $@334: %empty  */
#line 1308 "configparser.yy"
                                   { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_QUICK_QUIT ); }
#line 8217 "configparser.cc"
    break;

  case 771: /* $@335: %empty  */
#line 1311 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DeleteOp>(); }
#line 8223 "configparser.cc"
    break;

  case 772: /* deleteop: DELETEOP_WCP LEFTBRACE_WCP $@335 deleteopbody RIGHTBRACE_WCP  */
#line 1312 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8229 "configparser.cc"
    break;

  case 773: /* $@336: %empty  */
#line 1314 "configparser.yy"
                                      { std::dynamic_pointer_cast<DeleteOp>(lconfig_fp1)->setAlsoActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8235 "configparser.cc"
    break;

  case 776: /* $@337: %empty  */
#line 1317 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ReloadOp>(); }
#line 8241 "configparser.cc"
    break;

  case 777: /* reloadop: RELOADOP_WCP LEFTBRACE_WCP $@337 reloadopbody RIGHTBRACE_WCP  */
#line 1318 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8247 "configparser.cc"
    break;

  case 778: /* $@338: %empty  */
#line 1320 "configparser.yy"
                                    { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_LEFTSIDE ); }
#line 8253 "configparser.cc"
    break;

  case 780: /* $@339: %empty  */
#line 1321 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_RIGHTSIDE ); }
#line 8259 "configparser.cc"
    break;

  case 782: /* $@340: %empty  */
#line 1322 "configparser.yy"
                                       { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_THISSIDE ); }
#line 8265 "configparser.cc"
    break;

  case 784: /* $@341: %empty  */
#line 1323 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_OTHERSIDE ); }
#line 8271 "configparser.cc"
    break;

  case 786: /* $@342: %empty  */
#line 1324 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setResetDirSizes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8277 "configparser.cc"
    break;

  case 788: /* $@343: %empty  */
#line 1325 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setKeepFiletypes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8283 "configparser.cc"
    break;

  case 791: /* $@344: %empty  */
#line 1328 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<MakeDirOp>(); }
#line 8289 "configparser.cc"
    break;

  case 792: /* makedirop: MAKEDIROP_WCP LEFTBRACE_WCP $@344 RIGHTBRACE_WCP  */
#line 1329 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8295 "configparser.cc"
    break;

  case 793: /* $@345: %empty  */
#line 1331 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<RenameOp>(); }
#line 8301 "configparser.cc"
    break;

  case 794: /* renameop: RENAMEOP_WCP LEFTBRACE_WCP $@345 RIGHTBRACE_WCP  */
#line 1332 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8307 "configparser.cc"
    break;

  case 795: /* $@346: %empty  */
#line 1334 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DirSizeOp>(); }
#line 8313 "configparser.cc"
    break;

  case 796: /* dirsizeop: DIRSIZEOP_WCP LEFTBRACE_WCP $@346 RIGHTBRACE_WCP  */
#line 1335 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8319 "configparser.cc"
    break;

  case 797: /* $@347: %empty  */
#line 1337 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "simulate_doubleclick" );
                                    lconfig_fp1 = tfp;
                                  }
#line 8329 "configparser.cc"
    break;

  case 798: /* simddop: SIMDDOP_WCP LEFTBRACE_WCP $@347 RIGHTBRACE_WCP  */
#line 1342 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8335 "configparser.cc"
    break;

  case 799: /* $@348: %empty  */
#line 1344 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<StartProgOp>(); }
#line 8341 "configparser.cc"
    break;

  case 800: /* startprogop: STARTPROGOP_WCP LEFTBRACE_WCP $@348 startprogopbody RIGHTBRACE_WCP  */
#line 1345 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8347 "configparser.cc"
    break;

  case 801: /* $@349: %empty  */
#line 1347 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL ); }
#line 8353 "configparser.cc"
    break;

  case 803: /* $@350: %empty  */
#line 1348 "configparser.yy"
                                                { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 8359 "configparser.cc"
    break;

  case 805: /* $@351: %empty  */
#line 1349 "configparser.yy"
                                              { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT ); }
#line 8365 "configparser.cc"
    break;

  case 807: /* $@352: %empty  */
#line 1350 "configparser.yy"
                                                 { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT_INT ); }
#line 8371 "configparser.cc"
    break;

  case 809: /* $@353: %empty  */
#line 1351 "configparser.yy"
                                          { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_NORMAL ); }
#line 8377 "configparser.cc"
    break;

  case 811: /* $@354: %empty  */
#line 1352 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 8383 "configparser.cc"
    break;

  case 813: /* $@355: %empty  */
#line 1353 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setGlobal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8389 "configparser.cc"
    break;

  case 815: /* $@356: %empty  */
#line 1354 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8395 "configparser.cc"
    break;

  case 817: /* $@357: %empty  */
#line 1355 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8401 "configparser.cc"
    break;

  case 819: /* $@358: %empty  */
#line 1356 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8407 "configparser.cc"
    break;

  case 822: /* $@359: %empty  */
#line 1359 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SearchEntryOp>(); }
#line 8413 "configparser.cc"
    break;

  case 823: /* searchentryop: SEARCHENTRYOP_WCP LEFTBRACE_WCP $@359 searchentryopbody RIGHTBRACE_WCP  */
#line 1360 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8419 "configparser.cc"
    break;

  case 824: /* $@360: %empty  */
#line 1362 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8425 "configparser.cc"
    break;

  case 826: /* $@361: %empty  */
#line 1363 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setReverseSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8431 "configparser.cc"
    break;

  case 828: /* $@362: %empty  */
#line 1364 "configparser.yy"
                                            { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setInfixSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8437 "configparser.cc"
    break;

  case 830: /* $@363: %empty  */
#line 1365 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setFlexibleMatch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8443 "configparser.cc"
    break;

  case 833: /* $@364: %empty  */
#line 1368 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<EnterPathOp>(); }
#line 8449 "configparser.cc"
    break;

  case 834: /* enterpathop: ENTERPATHOP_WCP LEFTBRACE_WCP $@364 enterpathopbody RIGHTBRACE_WCP  */
#line 1369 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8455 "configparser.cc"
    break;

  case 835: /* $@365: %empty  */
#line 1371 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_LEFTSIDE ); }
#line 8461 "configparser.cc"
    break;

  case 837: /* $@366: %empty  */
#line 1372 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_RIGHTSIDE ); }
#line 8467 "configparser.cc"
    break;

  case 839: /* $@367: %empty  */
#line 1373 "configparser.yy"
                                          { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_THISSIDE ); }
#line 8473 "configparser.cc"
    break;

  case 841: /* $@368: %empty  */
#line 1374 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_OTHERSIDE ); }
#line 8479 "configparser.cc"
    break;

  case 844: /* $@369: %empty  */
#line 1377 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ScrollListerOp>(); }
#line 8485 "configparser.cc"
    break;

  case 845: /* scrolllisterop: SCROLLLISTEROP_WCP LEFTBRACE_WCP $@369 scrolllisteropbody RIGHTBRACE_WCP  */
#line 1378 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8491 "configparser.cc"
    break;

  case 846: /* $@370: %empty  */
#line 1380 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_LEFT ); }
#line 8497 "configparser.cc"
    break;

  case 848: /* $@371: %empty  */
#line 1381 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_RIGHT ); }
#line 8503 "configparser.cc"
    break;

  case 851: /* $@372: %empty  */
#line 1384 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<CreateSymlinkOp>(); }
#line 8509 "configparser.cc"
    break;

  case 852: /* createsymlinkop: CREATESYMLINKOP_WCP LEFTBRACE_WCP $@372 createsymlinkopbody RIGHTBRACE_WCP  */
#line 1385 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8515 "configparser.cc"
    break;

  case 853: /* $@373: %empty  */
#line 1387 "configparser.yy"
                                          { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8521 "configparser.cc"
    break;

  case 855: /* $@374: %empty  */
#line 1388 "configparser.yy"
                                           { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setLocal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8527 "configparser.cc"
    break;

  case 857: /* $@375: %empty  */
#line 1389 "configparser.yy"
                                               { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8533 "configparser.cc"
    break;

  case 860: /* $@376: %empty  */
#line 1392 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<ChangeSymlinkOp>(); }
#line 8539 "configparser.cc"
    break;

  case 861: /* changesymlinkop: CHANGESYMLINKOP_WCP LEFTBRACE_WCP $@376 changesymlinkopbody RIGHTBRACE_WCP  */
#line 1393 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8545 "configparser.cc"
    break;

  case 862: /* $@377: %empty  */
#line 1395 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_EDIT ); }
#line 8551 "configparser.cc"
    break;

  case 864: /* $@378: %empty  */
#line 1396 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_ABSOLUTE ); }
#line 8557 "configparser.cc"
    break;

  case 866: /* $@379: %empty  */
#line 1397 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_RELATIVE ); }
#line 8563 "configparser.cc"
    break;

  case 869: /* $@380: %empty  */
#line 1400 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChModOp>(); }
#line 8569 "configparser.cc"
    break;

  case 870: /* chmodop: CHMODOP_WCP LEFTBRACE_WCP $@380 chmodopbody RIGHTBRACE_WCP  */
#line 1401 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8575 "configparser.cc"
    break;

  case 871: /* $@381: %empty  */
#line 1403 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8581 "configparser.cc"
    break;

  case 873: /* $@382: %empty  */
#line 1404 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8587 "configparser.cc"
    break;

  case 875: /* $@383: %empty  */
#line 1405 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8593 "configparser.cc"
    break;

  case 877: /* $@384: %empty  */
#line 1406 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8599 "configparser.cc"
    break;

  case 879: /* $@385: %empty  */
#line 1407 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_ASK_PERMISSIONS ); }
#line 8605 "configparser.cc"
    break;

  case 881: /* $@386: %empty  */
#line 1408 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_SET_PERMISSIONS ); }
#line 8611 "configparser.cc"
    break;

  case 883: /* $@387: %empty  */
#line 1409 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_ADD_PERMISSIONS ); }
#line 8617 "configparser.cc"
    break;

  case 885: /* $@388: %empty  */
#line 1410 "configparser.yy"
                                          { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_REMOVE_PERMISSIONS ); }
#line 8623 "configparser.cc"
    break;

  case 887: /* $@389: %empty  */
#line 1411 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setPermissions( (yyvsp[-1].strptr) ); }
#line 8629 "configparser.cc"
    break;

  case 890: /* $@390: %empty  */
#line 1414 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ChTimeOp>(); }
#line 8635 "configparser.cc"
    break;

  case 891: /* chtimeop: CHTIMEOP_WCP LEFTBRACE_WCP $@390 chtimeopbody RIGHTBRACE_WCP  */
#line 1415 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8641 "configparser.cc"
    break;

  case 892: /* $@391: %empty  */
#line 1417 "configparser.yy"
                                   { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8647 "configparser.cc"
    break;

  case 894: /* $@392: %empty  */
#line 1418 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8653 "configparser.cc"
    break;

  case 896: /* $@393: %empty  */
#line 1419 "configparser.yy"
                                     { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8659 "configparser.cc"
    break;

  case 898: /* $@394: %empty  */
#line 1420 "configparser.yy"
                                        { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8665 "configparser.cc"
    break;

  case 901: /* $@395: %empty  */
#line 1423 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ToggleListermodeOp>(); }
#line 8671 "configparser.cc"
    break;

  case 902: /* togglelistermodeop: TOGGLELISTERMODEOP_WCP LEFTBRACE_WCP $@395 togglelistermodeopbody RIGHTBRACE_WCP  */
#line 1424 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8677 "configparser.cc"
    break;

  case 903: /* $@396: %empty  */
#line 1426 "configparser.yy"
                                                { std::dynamic_pointer_cast<ToggleListermodeOp>(lconfig_fp1)->setMode( Worker::getID4Name( (yyvsp[-1].strptr) ) ); }
#line 8683 "configparser.cc"
    break;

  case 906: /* $@397: %empty  */
#line 1429 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SetSortmodeOp>();
                                        std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setMode( 0 );
                                      }
#line 8691 "configparser.cc"
    break;

  case 907: /* setsortmodeop: SETSORTMODEOP_WCP LEFTBRACE_WCP $@397 setsortmodeopbody RIGHTBRACE_WCP  */
#line 1432 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8697 "configparser.cc"
    break;

  case 908: /* $@398: %empty  */
#line 1434 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NAME ); }
#line 8703 "configparser.cc"
    break;

  case 910: /* $@399: %empty  */
#line 1435 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_SIZE ); }
#line 8709 "configparser.cc"
    break;

  case 912: /* $@400: %empty  */
#line 1436 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_ACCTIME ); }
#line 8715 "configparser.cc"
    break;

  case 914: /* $@401: %empty  */
#line 1437 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_MODTIME ); }
#line 8721 "configparser.cc"
    break;

  case 916: /* $@402: %empty  */
#line 1438 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_CHGTIME ); }
#line 8727 "configparser.cc"
    break;

  case 918: /* $@403: %empty  */
#line 1439 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_TYPE ); }
#line 8733 "configparser.cc"
    break;

  case 920: /* $@404: %empty  */
#line 1440 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_OWNER ); }
#line 8739 "configparser.cc"
    break;

  case 922: /* $@405: %empty  */
#line 1441 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_INODE ); }
#line 8745 "configparser.cc"
    break;

  case 924: /* $@406: %empty  */
#line 1442 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NLINK ); }
#line 8751 "configparser.cc"
    break;

  case 926: /* $@407: %empty  */
#line 1443 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_PERMISSION ); }
#line 8757 "configparser.cc"
    break;

  case 928: /* $@408: %empty  */
#line 1444 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_REVERSE ); }
#line 8763 "configparser.cc"
    break;

  case 930: /* $@409: %empty  */
#line 1445 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRLAST ); }
#line 8769 "configparser.cc"
    break;

  case 932: /* $@410: %empty  */
#line 1446 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRMIXED ); }
#line 8775 "configparser.cc"
    break;

  case 934: /* $@411: %empty  */
#line 1447 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_EXTENSION ); }
#line 8781 "configparser.cc"
    break;

  case 937: /* $@412: %empty  */
#line 1450 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<SetFilterOp>(); }
#line 8787 "configparser.cc"
    break;

  case 938: /* setfilterop: SETFILTEROP_WCP LEFTBRACE_WCP $@412 setfilteropbody RIGHTBRACE_WCP  */
#line 1451 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8793 "configparser.cc"
    break;

  case 939: /* $@413: %empty  */
#line 1453 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8799 "configparser.cc"
    break;

  case 941: /* $@414: %empty  */
#line 1454 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::EXCLUDE_FILTER ); }
#line 8805 "configparser.cc"
    break;

  case 943: /* $@415: %empty  */
#line 1455 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::INCLUDE_FILTER ); }
#line 8811 "configparser.cc"
    break;

  case 945: /* $@416: %empty  */
#line 1456 "configparser.yy"
                                        { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_FILTER ); }
#line 8817 "configparser.cc"
    break;

  case 947: /* $@417: %empty  */
#line 1457 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_ALL ); }
#line 8823 "configparser.cc"
    break;

  case 949: /* $@418: %empty  */
#line 1458 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8829 "configparser.cc"
    break;

  case 951: /* $@419: %empty  */
#line 1459 "configparser.yy"
                                                  { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkLabel( (yyvsp[-1].strptr) ); }
#line 8835 "configparser.cc"
    break;

  case 953: /* $@420: %empty  */
#line 1460 "configparser.yy"
                                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_BOOKMARKS ); }
#line 8841 "configparser.cc"
    break;

  case 955: /* $@421: %empty  */
#line 1461 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_LABEL ); }
#line 8847 "configparser.cc"
    break;

  case 957: /* $@422: %empty  */
#line 1462 "configparser.yy"
                                                    { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ALL ); }
#line 8853 "configparser.cc"
    break;

  case 959: /* $@423: %empty  */
#line 1463 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::SET_OPTION ); }
#line 8859 "configparser.cc"
    break;

  case 961: /* $@424: %empty  */
#line 1464 "configparser.yy"
                                               { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::INVERT_OPTION ); }
#line 8865 "configparser.cc"
    break;

  case 963: /* $@425: %empty  */
#line 1465 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeFilters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8871 "configparser.cc"
    break;

  case 965: /* $@426: %empty  */
#line 1466 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeBookmarks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8877 "configparser.cc"
    break;

  case 967: /* $@427: %empty  */
#line 1467 "configparser.yy"
                                         { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setQueryLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8883 "configparser.cc"
    break;

  case 970: /* $@428: %empty  */
#line 1470 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ShortkeyFromListOp>(); }
#line 8889 "configparser.cc"
    break;

  case 971: /* shortkeyfromlistop: SHORTKEYFROMLISTOP_WCP LEFTBRACE_WCP $@428 RIGHTBRACE_WCP  */
#line 1471 "configparser.yy"
                                  { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8895 "configparser.cc"
    break;

  case 972: /* $@429: %empty  */
#line 1473 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChOwnOp>(); }
#line 8901 "configparser.cc"
    break;

  case 973: /* chownop: CHOWNOP_WCP LEFTBRACE_WCP $@429 chownopbody RIGHTBRACE_WCP  */
#line 1474 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8907 "configparser.cc"
    break;

  case 974: /* $@430: %empty  */
#line 1476 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8913 "configparser.cc"
    break;

  case 976: /* $@431: %empty  */
#line 1477 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8919 "configparser.cc"
    break;

  case 978: /* $@432: %empty  */
#line 1478 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8925 "configparser.cc"
    break;

  case 980: /* $@433: %empty  */
#line 1479 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8931 "configparser.cc"
    break;

  case 983: /* $@434: %empty  */
#line 1482 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ScriptOp>(); }
#line 8937 "configparser.cc"
    break;

  case 984: /* scriptop: SCRIPTOP_WCP LEFTBRACE_WCP $@434 scriptopbody RIGHTBRACE_WCP  */
#line 1483 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8943 "configparser.cc"
    break;

  case 985: /* $@435: %empty  */
#line 1485 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_NOP ); }
#line 8949 "configparser.cc"
    break;

  case 987: /* $@436: %empty  */
#line 1486 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_PUSH ); }
#line 8955 "configparser.cc"
    break;

  case 989: /* $@437: %empty  */
#line 1487 "configparser.yy"
                                     { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_LABEL ); }
#line 8961 "configparser.cc"
    break;

  case 991: /* $@438: %empty  */
#line 1488 "configparser.yy"
                                  { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_IF ); }
#line 8967 "configparser.cc"
    break;

  case 993: /* $@439: %empty  */
#line 1489 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_END ); }
#line 8973 "configparser.cc"
    break;

  case 995: /* $@440: %empty  */
#line 1490 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_POP ); }
#line 8979 "configparser.cc"
    break;

  case 997: /* $@441: %empty  */
#line 1491 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_SETTINGS ); }
#line 8985 "configparser.cc"
    break;

  case 999: /* $@442: %empty  */
#line 1492 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_WINDOW ); }
#line 8991 "configparser.cc"
    break;

  case 1001: /* $@443: %empty  */
#line 1493 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_GOTO ); }
#line 8997 "configparser.cc"
    break;

  case 1003: /* $@444: %empty  */
#line 1494 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_EVALCOMMAND ); }
#line 9003 "configparser.cc"
    break;

  case 1005: /* $@445: %empty  */
#line 1495 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9009 "configparser.cc"
    break;

  case 1007: /* $@446: %empty  */
#line 1496 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setDoDebug( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9015 "configparser.cc"
    break;

  case 1009: /* $@447: %empty  */
#line 1497 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPURecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9021 "configparser.cc"
    break;

  case 1011: /* $@448: %empty  */
#line 1498 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPUTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9027 "configparser.cc"
    break;

  case 1013: /* $@449: %empty  */
#line 1499 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setStackNr( (yyvsp[-1].num) ); }
#line 9033 "configparser.cc"
    break;

  case 1015: /* $@450: %empty  */
#line 1500 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 9039 "configparser.cc"
    break;

  case 1017: /* $@451: %empty  */
#line 1501 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushString( (yyvsp[-1].strptr) ); }
#line 9045 "configparser.cc"
    break;

  case 1019: /* $@452: %empty  */
#line 1502 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfTest( (yyvsp[-1].strptr) ); }
#line 9051 "configparser.cc"
    break;

  case 1021: /* $@453: %empty  */
#line 1503 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfLabel( (yyvsp[-1].strptr) ); }
#line 9057 "configparser.cc"
    break;

  case 1023: /* $@454: %empty  */
#line 1504 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_OPEN ); }
#line 9063 "configparser.cc"
    break;

  case 1025: /* $@455: %empty  */
#line 1505 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_CLOSE ); }
#line 9069 "configparser.cc"
    break;

  case 1027: /* $@456: %empty  */
#line 1506 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_LEAVE ); }
#line 9075 "configparser.cc"
    break;

  case 1029: /* $@457: %empty  */
#line 1507 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeProgress( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9081 "configparser.cc"
    break;

  case 1031: /* $@458: %empty  */
#line 1508 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeText( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9087 "configparser.cc"
    break;

  case 1033: /* $@459: %empty  */
#line 1509 "configparser.yy"
                                             { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgressUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9093 "configparser.cc"
    break;

  case 1035: /* $@460: %empty  */
#line 1510 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinTextUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9099 "configparser.cc"
    break;

  case 1037: /* $@461: %empty  */
#line 1511 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgress( (yyvsp[-1].strptr) ); }
#line 9105 "configparser.cc"
    break;

  case 1039: /* $@462: %empty  */
#line 1512 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinText( (yyvsp[-1].strptr) ); }
#line 9111 "configparser.cc"
    break;

  case 1041: /* $@463: %empty  */
#line 1513 "configparser.yy"
                                               { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setCommandStr( (yyvsp[-1].strptr) ); }
#line 9117 "configparser.cc"
    break;

  case 1044: /* $@464: %empty  */
#line 1516 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ShowDirCacheOp>(); }
#line 9123 "configparser.cc"
    break;

  case 1045: /* showdircacheop: SHOWDIRCACHEOP_WCP LEFTBRACE_WCP $@464 RIGHTBRACE_WCP  */
#line 1517 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9129 "configparser.cc"
    break;

  case 1046: /* $@465: %empty  */
#line 1519 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ParentActionOp>(); }
#line 9135 "configparser.cc"
    break;

  case 1047: /* parentactionop: PARENTACTIONOP_WCP LEFTBRACE_WCP $@465 RIGHTBRACE_WCP  */
#line 1520 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9141 "configparser.cc"
    break;

  case 1048: /* $@466: %empty  */
#line 1522 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<NoOperationOp>(); }
#line 9147 "configparser.cc"
    break;

  case 1049: /* nooperationop: NOOPERATIONOP_WCP LEFTBRACE_WCP $@466 RIGHTBRACE_WCP  */
#line 1523 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9153 "configparser.cc"
    break;

  case 1050: /* $@467: %empty  */
#line 1525 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<GoFTPOp>(); }
#line 9159 "configparser.cc"
    break;

  case 1051: /* goftpop: GOFTPOP_WCP LEFTBRACE_WCP $@467 goftpopbody RIGHTBRACE_WCP  */
#line 1526 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9165 "configparser.cc"
    break;

  case 1052: /* $@468: %empty  */
#line 1528 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9171 "configparser.cc"
    break;

  case 1054: /* $@469: %empty  */
#line 1529 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setHost( (yyvsp[-1].strptr) ); }
#line 9177 "configparser.cc"
    break;

  case 1056: /* $@470: %empty  */
#line 1530 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setUser( (yyvsp[-1].strptr) ); }
#line 9183 "configparser.cc"
    break;

  case 1058: /* $@471: %empty  */
#line 1531 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setPass( (yyvsp[-1].strptr) ); }
#line 9189 "configparser.cc"
    break;

  case 1060: /* $@472: %empty  */
#line 1532 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setDontEnterFTP( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9195 "configparser.cc"
    break;

  case 1062: /* $@473: %empty  */
#line 1533 "configparser.yy"
                                        { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAlwaysStorePW( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9201 "configparser.cc"
    break;

  case 1064: /* $@474: %empty  */
#line 1534 "configparser.yy"
                                           { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAVFSModule( (yyvsp[-1].strptr) ); }
#line 9207 "configparser.cc"
    break;

  case 1067: /* $@475: %empty  */
#line 1537 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<InternalViewOp>(); }
#line 9213 "configparser.cc"
    break;

  case 1068: /* internalviewop: INTERNALVIEWOP_WCP LEFTBRACE_WCP $@475 internalviewopbody RIGHTBRACE_WCP  */
#line 1538 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9219 "configparser.cc"
    break;

  case 1069: /* $@476: %empty  */
#line 1540 "configparser.yy"
                                              { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9225 "configparser.cc"
    break;

  case 1071: /* $@477: %empty  */
#line 1541 "configparser.yy"
                                            { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setCustomFiles( (yyvsp[-1].strptr) ); }
#line 9231 "configparser.cc"
    break;

  case 1073: /* $@478: %empty  */
#line 1542 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_ACTIVE_FILE ); }
#line 9237 "configparser.cc"
    break;

  case 1075: /* $@479: %empty  */
#line 1543 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_CUSTOM_FILES ); }
#line 9243 "configparser.cc"
    break;

  case 1078: /* $@480: %empty  */
#line 1547 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<ClipboardOp>(); }
#line 9249 "configparser.cc"
    break;

  case 1079: /* clipboardop: CLIPBOARDOP_WCP LEFTBRACE_WCP $@480 clipboardopbody RIGHTBRACE_WCP  */
#line 1548 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9255 "configparser.cc"
    break;

  case 1080: /* $@481: %empty  */
#line 1550 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ClipboardOp>(lconfig_fp1)->setClipboardString( (yyvsp[-1].strptr) ); }
#line 9261 "configparser.cc"
    break;

  case 1083: /* $@482: %empty  */
#line 1553 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<SearchOp>(); }
#line 9267 "configparser.cc"
    break;

  case 1084: /* searchop: SEARCHOP_WCP LEFTBRACE_WCP $@482 searchopbody RIGHTBRACE_WCP  */
#line 1554 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9273 "configparser.cc"
    break;

  case 1085: /* $@483: %empty  */
#line 1556 "configparser.yy"
                                             { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setEditCommand( (yyvsp[-1].strptr) ); }
#line 9279 "configparser.cc"
    break;

  case 1087: /* $@484: %empty  */
#line 1557 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setShowPrevResults( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9285 "configparser.cc"
    break;

  case 1090: /* $@485: %empty  */
#line 1560 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<DirBookmarkOp>(); }
#line 9291 "configparser.cc"
    break;

  case 1091: /* dirbookmarkop: DIRBOOKMARKOP_WCP LEFTBRACE_WCP $@485 RIGHTBRACE_WCP  */
#line 1561 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9297 "configparser.cc"
    break;

  case 1092: /* $@486: %empty  */
#line 1563 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<OpenContextMenuOp>(); }
#line 9303 "configparser.cc"
    break;

  case 1093: /* opencontextmenuop: OPENCONTEXTMENUOP_WCP LEFTBRACE_WCP $@486 opencontextmenuopbody RIGHTBRACE_WCP  */
#line 1564 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9309 "configparser.cc"
    break;

  case 1094: /* $@487: %empty  */
#line 1566 "configparser.yy"
                                                          { std::dynamic_pointer_cast<OpenContextMenuOp>(lconfig_fp1)->setHighlightUserAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9315 "configparser.cc"
    break;

  case 1097: /* $@488: %empty  */
#line 1569 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<RunCustomAction>(); }
#line 9321 "configparser.cc"
    break;

  case 1098: /* runcustomaction: RUNCUSTOMACTION_WCP LEFTBRACE_WCP $@488 runcustomactionbody RIGHTBRACE_WCP  */
#line 1570 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9327 "configparser.cc"
    break;

  case 1099: /* $@489: %empty  */
#line 1572 "configparser.yy"
                                                   { std::dynamic_pointer_cast<RunCustomAction>(lconfig_fp1)->setCustomName( (yyvsp[-1].strptr) ); }
#line 9333 "configparser.cc"
    break;

  case 1102: /* $@490: %empty  */
#line 1575 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<OpenWorkerMenuOp>(); }
#line 9339 "configparser.cc"
    break;

  case 1103: /* openworkermenuop: OPENWORKERMENUOP_WCP LEFTBRACE_WCP $@490 RIGHTBRACE_WCP  */
#line 1576 "configparser.yy"
                                { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9345 "configparser.cc"
    break;

  case 1104: /* $@491: %empty  */
#line 1578 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<ChangeLabelOp>(); }
#line 9351 "configparser.cc"
    break;

  case 1105: /* changelabelop: CHANGELABELOP_WCP LEFTBRACE_WCP $@491 changelabelopbody RIGHTBRACE_WCP  */
#line 1579 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9357 "configparser.cc"
    break;

  case 1106: /* $@492: %empty  */
#line 1581 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setAskForLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9363 "configparser.cc"
    break;

  case 1108: /* $@493: %empty  */
#line 1582 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 9369 "configparser.cc"
    break;

  case 1111: /* $@494: %empty  */
#line 1585 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<ModifyTabsOp>(); }
#line 9375 "configparser.cc"
    break;

  case 1112: /* modifytabsop: MODIFYTABSOP_WCP LEFTBRACE_WCP $@494 modifytabsopbody RIGHTBRACE_WCP  */
#line 1586 "configparser.yy"
                                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9381 "configparser.cc"
    break;

  case 1113: /* $@495: %empty  */
#line 1588 "configparser.yy"
                                               { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEW_TAB ); }
#line 9387 "configparser.cc"
    break;

  case 1115: /* $@496: %empty  */
#line 1589 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::CLOSE_CURRENT_TAB ); }
#line 9393 "configparser.cc"
    break;

  case 1117: /* $@497: %empty  */
#line 1590 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEXT_TAB ); }
#line 9399 "configparser.cc"
    break;

  case 1119: /* $@498: %empty  */
#line 1591 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::PREV_TAB ); }
#line 9405 "configparser.cc"
    break;

  case 1121: /* $@499: %empty  */
#line 1592 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::TOGGLE_LOCK_STATE ); }
#line 9411 "configparser.cc"
    break;

  case 1123: /* $@500: %empty  */
#line 1593 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_LEFT ); }
#line 9417 "configparser.cc"
    break;

  case 1125: /* $@501: %empty  */
#line 1594 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_RIGHT ); }
#line 9423 "configparser.cc"
    break;

  case 1128: /* $@502: %empty  */
#line 1597 "configparser.yy"
                                                {
                 lconfig_fp1 = std::make_shared<ChangeLayoutOp>();
                 layout_sets = LayoutSettings();
             }
#line 9432 "configparser.cc"
    break;

  case 1129: /* changelayoutop: CHANGELAYOUTOP_WCP LEFTBRACE_WCP $@502 changelayoutopbody RIGHTBRACE_WCP  */
#line 1600 "configparser.yy"
                                                 {
                 std::dynamic_pointer_cast<ChangeLayoutOp>(lconfig_fp1)->setLayout( layout_sets );
                 lconfig_listcom.push_back( lconfig_fp1 );
             }
#line 9441 "configparser.cc"
    break;

  case 1130: /* $@503: %empty  */
#line 1605 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_STATEBAR ); }
#line 9447 "configparser.cc"
    break;

  case 1132: /* $@504: %empty  */
#line 1606 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_CLOCKBAR ); }
#line 9453 "configparser.cc"
    break;

  case 1134: /* $@505: %empty  */
#line 1607 "configparser.yy"
                                  { layout_sets.pushBackOrder( LayoutSettings::LO_BUTTONS ); }
#line 9459 "configparser.cc"
    break;

  case 1136: /* $@506: %empty  */
#line 1608 "configparser.yy"
                                    { layout_sets.pushBackOrder( LayoutSettings::LO_LISTVIEWS ); }
#line 9465 "configparser.cc"
    break;

  case 1138: /* $@507: %empty  */
#line 1609 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_BLL ); }
#line 9471 "configparser.cc"
    break;

  case 1140: /* $@508: %empty  */
#line 1610 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LBL ); }
#line 9477 "configparser.cc"
    break;

  case 1142: /* $@509: %empty  */
#line 1611 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LLB ); }
#line 9483 "configparser.cc"
    break;

  case 1144: /* $@510: %empty  */
#line 1612 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_BL ); }
#line 9489 "configparser.cc"
    break;

  case 1146: /* $@511: %empty  */
#line 1613 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_LB ); }
#line 9495 "configparser.cc"
    break;

  case 1148: /* $@512: %empty  */
#line 1614 "configparser.yy"
                                            { layout_sets.setButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9501 "configparser.cc"
    break;

  case 1150: /* $@513: %empty  */
#line 1615 "configparser.yy"
                                              { layout_sets.setListViewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9507 "configparser.cc"
    break;

  case 1152: /* $@514: %empty  */
#line 1616 "configparser.yy"
                                                  { layout_sets.setListViewWeight( (yyvsp[-1].num) ); }
#line 9513 "configparser.cc"
    break;

  case 1154: /* $@515: %empty  */
#line 1617 "configparser.yy"
                                               { layout_sets.setWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9519 "configparser.cc"
    break;

  case 1157: /* $@516: %empty  */
#line 1620 "configparser.yy"
                                                  {
                  lconfig_fp1 = std::make_shared<ChangeColumnsOp>();
                  columns.clear();
                }
#line 9528 "configparser.cc"
    break;

  case 1158: /* changecolumnsop: CHANGECOLUMNSOP_WCP LEFTBRACE_WCP $@516 changecolumnsopbody RIGHTBRACE_WCP  */
#line 1623 "configparser.yy"
                                                     {
                  std::dynamic_pointer_cast<ChangeColumnsOp>(lconfig_fp1)->setColumns( columns );
                  lconfig_listcom.push_back( lconfig_fp1 );
                }
#line 9537 "configparser.cc"
    break;

  case 1159: /* $@517: %empty  */
#line 1628 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_NAME ); }
#line 9543 "configparser.cc"
    break;

  case 1161: /* $@518: %empty  */
#line 1629 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_SIZE ); }
#line 9549 "configparser.cc"
    break;

  case 1163: /* $@519: %empty  */
#line 1630 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_TYPE ); }
#line 9555 "configparser.cc"
    break;

  case 1165: /* $@520: %empty  */
#line 1631 "configparser.yy"
                                     { columns.push_back( WorkerTypes::LISTCOL_PERM ); }
#line 9561 "configparser.cc"
    break;

  case 1167: /* $@521: %empty  */
#line 1632 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_OWNER ); }
#line 9567 "configparser.cc"
    break;

  case 1169: /* $@522: %empty  */
#line 1633 "configparser.yy"
                                      { columns.push_back( WorkerTypes::LISTCOL_DEST ); }
#line 9573 "configparser.cc"
    break;

  case 1171: /* $@523: %empty  */
#line 1634 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_MOD ); }
#line 9579 "configparser.cc"
    break;

  case 1173: /* $@524: %empty  */
#line 1635 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_ACC ); }
#line 9585 "configparser.cc"
    break;

  case 1175: /* $@525: %empty  */
#line 1636 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_CHANGE ); }
#line 9591 "configparser.cc"
    break;

  case 1177: /* $@526: %empty  */
#line 1637 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_INODE ); }
#line 9597 "configparser.cc"
    break;

  case 1179: /* $@527: %empty  */
#line 1638 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_NLINK ); }
#line 9603 "configparser.cc"
    break;

  case 1181: /* $@528: %empty  */
#line 1639 "configparser.yy"
                                 { columns.push_back( WorkerTypes::LISTCOL_BLOCKS ); }
#line 9609 "configparser.cc"
    break;

  case 1183: /* $@529: %empty  */
#line 1640 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_SIZEH ); }
#line 9615 "configparser.cc"
    break;

  case 1185: /* $@530: %empty  */
#line 1641 "configparser.yy"
                                    { columns.push_back( WorkerTypes::LISTCOL_EXTENSION ); }
#line 9621 "configparser.cc"
    break;

  case 1188: /* $@531: %empty  */
#line 1644 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<VolumeManagerOp>(); }
#line 9627 "configparser.cc"
    break;

  case 1189: /* volumemanagerop: VOLUMEMANAGEROP_WCP LEFTBRACE_WCP $@531 RIGHTBRACE_WCP  */
#line 1645 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9633 "configparser.cc"
    break;

  case 1190: /* $@532: %empty  */
#line 1647 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<SwitchButtonBankOp>(); }
#line 9639 "configparser.cc"
    break;

  case 1191: /* switchbuttonbankop: SWITCHBUTTONBANKOP_WCP LEFTBRACE_WCP $@532 switchbuttonbankopbody RIGHTBRACE_WCP  */
#line 1648 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9645 "configparser.cc"
    break;

  case 1192: /* $@533: %empty  */
#line 1650 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_NEXT_BANK ); }
#line 9651 "configparser.cc"
    break;

  case 1194: /* $@534: %empty  */
#line 1651 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_PREV_BANK ); }
#line 9657 "configparser.cc"
    break;

  case 1196: /* $@535: %empty  */
#line 1652 "configparser.yy"
                                                        { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_BANK_NR ); }
#line 9663 "configparser.cc"
    break;

  case 1198: /* $@536: %empty  */
#line 1653 "configparser.yy"
                                              { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setBankNr( (yyvsp[-1].num) ); }
#line 9669 "configparser.cc"
    break;

  case 1201: /* $@537: %empty  */
#line 1656 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<PathJumpOp>(); }
#line 9675 "configparser.cc"
    break;

  case 1202: /* pathjumpop: PATHJUMPOP_WCP LEFTBRACE_WCP $@537 pathjumpopbody RIGHTBRACE_WCP  */
#line 1657 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9681 "configparser.cc"
    break;

  case 1203: /* $@538: %empty  */
#line 1659 "configparser.yy"
                                                  { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_TIME ); }
#line 9687 "configparser.cc"
    break;

  case 1205: /* $@539: %empty  */
#line 1660 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_FILTER ); }
#line 9693 "configparser.cc"
    break;

  case 1207: /* $@540: %empty  */
#line 1661 "configparser.yy"
                                                     { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_PROGRAM ); }
#line 9699 "configparser.cc"
    break;

  case 1209: /* $@541: %empty  */
#line 1662 "configparser.yy"
                                                { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_ALL ); }
#line 9705 "configparser.cc"
    break;

  case 1211: /* $@542: %empty  */
#line 1663 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_SUBDIRS ); }
#line 9711 "configparser.cc"
    break;

  case 1213: /* $@543: %empty  */
#line 1664 "configparser.yy"
                                                          { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_DIRECT_SUBDIRS ); }
#line 9717 "configparser.cc"
    break;

  case 1215: /* $@544: %empty  */
#line 1665 "configparser.yy"
                                        { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setIncludeAllData( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9723 "configparser.cc"
    break;

  case 1217: /* $@545: %empty  */
#line 1666 "configparser.yy"
                                             { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setHideNonExisting( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9729 "configparser.cc"
    break;

  case 1219: /* $@546: %empty  */
#line 1667 "configparser.yy"
                                              { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setLockOnCurrentDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9735 "configparser.cc"
    break;

  case 1222: /* $@547: %empty  */
#line 1670 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<CommandMenuOp>(); }
#line 9741 "configparser.cc"
    break;

  case 1223: /* commandmenuop: COMMANDMENUOP_WCP LEFTBRACE_WCP $@547 commandmenuopbody RIGHTBRACE_WCP  */
#line 1671 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9747 "configparser.cc"
    break;

  case 1224: /* $@548: %empty  */
#line 1673 "configparser.yy"
                                           { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setShowRecentlyUsed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9753 "configparser.cc"
    break;

  case 1227: /* $@549: %empty  */
#line 1676 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ViewNewestFilesOp>(); }
#line 9759 "configparser.cc"
    break;

  case 1228: /* viewnewestfilesop: VIEWNEWESTFILESOP_WCP LEFTBRACE_WCP $@549 RIGHTBRACE_WCP  */
#line 1677 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9765 "configparser.cc"
    break;

  case 1229: /* $@550: %empty  */
#line 1679 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<DirCompareOp>(); }
#line 9771 "configparser.cc"
    break;

  case 1230: /* dircompareop: DIRCOMPAREOP_WCP LEFTBRACE_WCP $@550 RIGHTBRACE_WCP  */
#line 1680 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9777 "configparser.cc"
    break;

  case 1231: /* $@551: %empty  */
#line 1682 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<TabProfilesOp>(); }
#line 9783 "configparser.cc"
    break;

  case 1232: /* tabprofilesop: TABPROFILESOP_WCP LEFTBRACE_WCP $@551 RIGHTBRACE_WCP  */
#line 1683 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9789 "configparser.cc"
    break;

  case 1233: /* $@552: %empty  */
#line 1685 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ExternalVDirOp>(); }
#line 9795 "configparser.cc"
    break;

  case 1234: /* externalvdirop: EXTERNALVDIROP_WCP LEFTBRACE_WCP $@552 externalvdiropbody RIGHTBRACE_WCP  */
#line 1686 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9801 "configparser.cc"
    break;

  case 1235: /* $@553: %empty  */
#line 1688 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ExternalVDirOp>(lconfig_fp1)->setCommandString( (yyvsp[-1].strptr) ); }
#line 9807 "configparser.cc"
    break;

  case 1238: /* $@554: %empty  */
#line 1691 "configparser.yy"
                                              { auto tfp = std::make_shared< ScriptOp >();
                                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                                tfp->setCommandStr( "open_current_tab_menu" );
                                                lconfig_fp1 = tfp;
                                              }
#line 9817 "configparser.cc"
    break;

  case 1239: /* opentabmenuop: OPENTABMENUOP_WCP LEFTBRACE_WCP $@554 RIGHTBRACE_WCP  */
#line 1696 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9823 "configparser.cc"
    break;

  case 1240: /* $@555: %empty  */
#line 1698 "configparser.yy"
                                                    { dir_preset = directory_presets(); }
#line 9829 "configparser.cc"
    break;

  case 1241: /* $@556: %empty  */
#line 1699 "configparser.yy"
                                                 { dir_presets[path] = dir_preset;
                                                 }
#line 9836 "configparser.cc"
    break;

  case 1244: /* $@557: %empty  */
#line 1703 "configparser.yy"
                                          { path  = (yyvsp[-1].strptr); }
#line 9842 "configparser.cc"
    break;

  case 1246: /* $@558: %empty  */
#line 1704 "configparser.yy"
                                          { dir_preset.sortmode = SORT_NAME; }
#line 9848 "configparser.cc"
    break;

  case 1248: /* $@559: %empty  */
#line 1705 "configparser.yy"
                                          { dir_preset.sortmode = SORT_SIZE; }
#line 9854 "configparser.cc"
    break;

  case 1250: /* $@560: %empty  */
#line 1706 "configparser.yy"
                                             { dir_preset.sortmode = SORT_ACCTIME; }
#line 9860 "configparser.cc"
    break;

  case 1252: /* $@561: %empty  */
#line 1707 "configparser.yy"
                                             { dir_preset.sortmode = SORT_MODTIME; }
#line 9866 "configparser.cc"
    break;

  case 1254: /* $@562: %empty  */
#line 1708 "configparser.yy"
                                             { dir_preset.sortmode = SORT_CHGTIME; }
#line 9872 "configparser.cc"
    break;

  case 1256: /* $@563: %empty  */
#line 1709 "configparser.yy"
                                          { dir_preset.sortmode = SORT_TYPE; }
#line 9878 "configparser.cc"
    break;

  case 1258: /* $@564: %empty  */
#line 1710 "configparser.yy"
                                           { dir_preset.sortmode = SORT_OWNER; }
#line 9884 "configparser.cc"
    break;

  case 1260: /* $@565: %empty  */
#line 1711 "configparser.yy"
                                           { dir_preset.sortmode = SORT_INODE; }
#line 9890 "configparser.cc"
    break;

  case 1262: /* $@566: %empty  */
#line 1712 "configparser.yy"
                                           { dir_preset.sortmode = SORT_NLINK; }
#line 9896 "configparser.cc"
    break;

  case 1264: /* $@567: %empty  */
#line 1713 "configparser.yy"
                                                { dir_preset.sortmode = SORT_PERMISSION; }
#line 9902 "configparser.cc"
    break;

  case 1266: /* $@568: %empty  */
#line 1714 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_REVERSE; }
#line 9908 "configparser.cc"
    break;

  case 1268: /* $@569: %empty  */
#line 1715 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_DIRLAST; }
#line 9914 "configparser.cc"
    break;

  case 1270: /* $@570: %empty  */
#line 1716 "configparser.yy"
                                                { dir_preset.sortmode |= SORT_DIRMIXED; }
#line 9920 "configparser.cc"
    break;

  case 1272: /* $@571: %empty  */
#line 1717 "configparser.yy"
                                               { dir_preset.sortmode = SORT_EXTENSION; }
#line 9926 "configparser.cc"
    break;

  case 1274: /* $@572: %empty  */
#line 1718 "configparser.yy"
                                               { dir_preset.show_hidden = true; }
#line 9932 "configparser.cc"
    break;

  case 1276: /* $@573: %empty  */
#line 1719 "configparser.yy"
                                               { dir_preset.show_hidden = false; }
#line 9938 "configparser.cc"
    break;

  case 1278: /* $@574: %empty  */
#line 1720 "configparser.yy"
                                          { dir_preset_filter = NM_Filter(); }
#line 9944 "configparser.cc"
    break;

  case 1279: /* $@575: %empty  */
#line 1721 "configparser.yy"
                                                       { dir_preset.filters.push_back( dir_preset_filter ); }
#line 9950 "configparser.cc"
    break;

  case 1282: /* $@576: %empty  */
#line 1724 "configparser.yy"
                                                    { dir_preset_filter.setPattern( (yyvsp[-1].strptr) ); }
#line 9956 "configparser.cc"
    break;

  case 1284: /* $@577: %empty  */
#line 1725 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::EXCLUDE ); }
#line 9962 "configparser.cc"
    break;

  case 1286: /* $@578: %empty  */
#line 1726 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::INCLUDE ); }
#line 9968 "configparser.cc"
    break;

  case 1289: /* $@579: %empty  */
#line 1729 "configparser.yy"
                                { auto tfp = std::make_shared< HelpOp >();
                                  lconfig_fp1 = tfp;
                                }
#line 9976 "configparser.cc"
    break;

  case 1290: /* helpop: HELPOP_WCP LEFTBRACE_WCP $@579 RIGHTBRACE_WCP  */
#line 1732 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9982 "configparser.cc"
    break;

  case 1291: /* $@580: %empty  */
#line 1734 "configparser.yy"
                                                    { auto tfp = std::make_shared< ViewCommandLogOp >();
                                                      lconfig_fp1 = tfp;
                                                    }
#line 9990 "configparser.cc"
    break;

  case 1292: /* viewcommandlogop: VIEWCOMMANDLOGOP_WCP LEFTBRACE_WCP $@580 RIGHTBRACE_WCP  */
#line 1737 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9996 "configparser.cc"
    break;


#line 10000 "configparser.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 1739 "configparser.yy"

/**/
int yymyparse(void)
{
  int erg;

  lconfig_error[0] = '\0';
  lconfig_linenr = 0;
  erg = yyparse();
  /* free all strings found by the lexer
     we don't need them anymore */
  lexer_cleanup();
  return erg;
}

int yyerror( const char *s )
{
  lconfig_cleanup();
  /* the following isn't really needed because yyerror is called inside the parser
     which itselve was started with yymyparse which will call it again
     but it doesn't hurt...*/
  lexer_cleanup();
  snprintf( lconfig_error, sizeof( lconfig_error ), "%s", s );
  return 0;
}
